#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1405
#define LARGE_STATE_COUNT 41
#define SYMBOL_COUNT 475
#define ALIAS_COUNT 0
#define TOKEN_COUNT 198
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 17

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    sym_char_type = 21,
    sym_wide_char_type = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_LT = 25,
    anon_sym_GT = 26,
    anon_sym_wstring = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_bin_number = 45,
    aux_sym_oct_number_token1 = 46,
    aux_sym_oct_number_token2 = 47,
    anon_sym_0 = 48,
    aux_sym_dec_number_token1 = 49,
    sym_hex_number = 50,
    anon_sym_DOT = 51,
    aux_sym_floating_pt_literal_token1 = 52,
    aux_sym_fixed_pt_literal_token1 = 53,
    sym_escape_sequence = 54,
    anon_sym_DQUOTE = 55,
    aux_sym_string_literal_token1 = 56,
    anon_sym_L = 57,
    anon_sym_SQUOTE = 58,
    aux_sym_char_literal_token1 = 59,
    anon_sym_TRUE = 60,
    anon_sym_FALSE = 61,
    anon_sym_POUNDdefine = 62,
    aux_sym_preproc_define_token1 = 63,
    aux_sym_preproc_call_token1 = 64,
    sym_preproc_directive = 65,
    sym_preproc_arg = 66,
    aux_sym_preproc_include_token1 = 67,
    sym_system_lib_path = 68,
    anon_sym_exception = 69,
    anon_sym_LBRACE = 70,
    anon_sym_RBRACE = 71,
    anon_sym_local = 72,
    anon_sym_abstract = 73,
    anon_sym_interface = 74,
    anon_sym_COLON = 75,
    anon_sym_SEMI = 76,
    anon_sym_void = 77,
    anon_sym_in = 78,
    anon_sym_out = 79,
    anon_sym_inout = 80,
    anon_sym_raises = 81,
    anon_sym_readonly = 82,
    anon_sym_attribute = 83,
    anon_sym_getraises = 84,
    anon_sym_setraises = 85,
    anon_sym_bitset = 86,
    anon_sym_bitfield = 87,
    anon_sym_bitmask = 88,
    anon_sym_ATannotation = 89,
    anon_sym_default = 90,
    anon_sym_AT = 91,
    anon_sym_SLASH_SLASH_AT = 92,
    aux_sym_extend_annotation_appl_token1 = 93,
    anon_sym_EQ = 94,
    aux_sym_annotation_appl_id_token1 = 95,
    aux_sym_annotation_appl_autoid_token1 = 96,
    aux_sym_autoid_kind_token1 = 97,
    aux_sym_autoid_kind_token2 = 98,
    aux_sym_annotation_appl_optional_token1 = 99,
    aux_sym_annotation_appl_position_token1 = 100,
    aux_sym_annotation_appl_value_token1 = 101,
    aux_sym_annotation_appl_extensibility_token1 = 102,
    aux_sym_extensibility_kind_token1 = 103,
    aux_sym_extensibility_kind_token2 = 104,
    aux_sym_extensibility_kind_token3 = 105,
    aux_sym_annotation_appl_final_token1 = 106,
    aux_sym_annotation_appl_appendable_token1 = 107,
    aux_sym_annotation_appl_mutable_token1 = 108,
    aux_sym_annotation_appl_key_token1 = 109,
    aux_sym_annotation_appl_must_understand_token1 = 110,
    aux_sym_annotation_appl_default_literal_token1 = 111,
    aux_sym_annotation_appl_default_token1 = 112,
    aux_sym_annotation_appl_range_token1 = 113,
    aux_sym_min_expr_token1 = 114,
    aux_sym_max_expr_token1 = 115,
    aux_sym_annotation_appl_unit_token1 = 116,
    aux_sym_annotation_appl_bit_bound_token1 = 117,
    aux_sym_annotation_appl_external_token1 = 118,
    aux_sym_annotation_appl_nested_token1 = 119,
    aux_sym_annotation_appl_verbatim_token1 = 120,
    aux_sym_verbatim_language_token1 = 121,
    aux_sym_verbatim_language_token2 = 122,
    aux_sym_verbatim_language_token3 = 123,
    aux_sym_verbatim_language_token4 = 124,
    aux_sym_placement_kind_token1 = 125,
    aux_sym_placement_kind_token2 = 126,
    aux_sym_placement_kind_token3 = 127,
    aux_sym_placement_kind_token4 = 128,
    aux_sym_placement_kind_token5 = 129,
    aux_sym_placement_kind_token6 = 130,
    aux_sym_annotation_appl_service_token1 = 131,
    aux_sym_service_platform_token1 = 132,
    aux_sym_service_platform_token2 = 133,
    aux_sym_annotation_appl_oneway_token1 = 134,
    aux_sym_annotation_appl_ami_token1 = 135,
    anon_sym_hashid = 136,
    aux_sym_annotation_appl_default_nested_token1 = 137,
    aux_sym_annotation_appl_ignore_literal_names_token1 = 138,
    aux_sym_annotation_appl_try_construct_token1 = 139,
    aux_sym_try_construct_fail_action_token1 = 140,
    aux_sym_try_construct_fail_action_token2 = 141,
    aux_sym_try_construct_fail_action_token3 = 142,
    aux_sym_annotation_appl_non_serialized_token1 = 143,
    aux_sym_annotation_appl_data_representation_token1 = 144,
    aux_sym_data_representation_mask_token1 = 145,
    aux_sym_data_representation_mask_token2 = 146,
    aux_sym_data_representation_mask_token3 = 147,
    aux_sym_data_representation_mask_token4 = 148,
    aux_sym_annotation_appl_topic_token1 = 149,
    anon_sym_module = 150,
    anon_sym_typename = 151,
    anon_sym_valuetype = 152,
    anon_sym_eventtype = 153,
    anon_sym_struct = 154,
    anon_sym_union = 155,
    anon_sym_enum = 156,
    anon_sym_const = 157,
    anon_sym_alias = 158,
    anon_sym_custom = 159,
    anon_sym_truncatable = 160,
    anon_sym_supports = 161,
    anon_sym_public = 162,
    anon_sym_private = 163,
    anon_sym_factory = 164,
    anon_sym_typedef = 165,
    anon_sym_LBRACK = 166,
    anon_sym_RBRACK = 167,
    anon_sym_switch = 168,
    anon_sym_case = 169,
    anon_sym_typeid = 170,
    anon_sym_typeprefix = 171,
    anon_sym_import = 172,
    anon_sym_Object = 173,
    anon_sym_oneway = 174,
    anon_sym_context = 175,
    sym_value_base_type = 176,
    anon_sym_component = 177,
    anon_sym_provides = 178,
    anon_sym_uses = 179,
    anon_sym_multiple = 180,
    anon_sym_home = 181,
    anon_sym_manages = 182,
    anon_sym_emits = 183,
    anon_sym_publishes = 184,
    anon_sym_consumes = 185,
    anon_sym_primarykey = 186,
    anon_sym_finder = 187,
    anon_sym_porttype = 188,
    anon_sym_port = 189,
    anon_sym_mirrorport = 190,
    anon_sym_connector = 191,
    anon_sym_native = 192,
    sym_identifier = 193,
    anon_sym_SLASH_SLASH = 194,
    aux_sym_comment_token1 = 195,
    anon_sym_SLASH_STAR = 196,
    aux_sym_comment_token2 = 197,
    sym_specification = 198,
    sym_signed_short_int = 199,
    sym_signed_long_int = 200,
    sym_signed_longlong_int = 201,
    sym_unsigned_int = 202,
    sym_fixed_pt_const_type = 203,
    sym_integer_type = 204,
    sym_signed_int = 205,
    sym_unsigned_short_int = 206,
    sym_unsigned_long_int = 207,
    sym_unsigned_longlong_int = 208,
    sym_floating_pt_type = 209,
    sym_scoped_name = 210,
    sym_string_type = 211,
    sym_wide_string_type = 212,
    sym_type_spec = 213,
    sym_simple_type_spec = 214,
    sym_base_type_spec = 215,
    sym_any_type = 216,
    sym_fixed_pt_type = 217,
    sym_template_type_spec = 218,
    sym_sequence_type = 219,
    sym_map_type = 220,
    sym_positive_int_const = 221,
    sym_const_expr = 222,
    sym_or_expr = 223,
    sym_xor_expr = 224,
    sym_and_expr = 225,
    sym_shift_expr = 226,
    sym_add_expr = 227,
    sym_mult_expr = 228,
    sym_unary_expr = 229,
    sym_primary_expr = 230,
    sym_unary_operator = 231,
    sym_literal = 232,
    sym_integer_literal = 233,
    sym_integer_sign = 234,
    sym_oct_number = 235,
    sym_dec_number = 236,
    sym_floating_pt_literal = 237,
    sym_fixed_pt_literal = 238,
    sym_string_literal = 239,
    sym_wide_string_literal = 240,
    sym_char_literal = 241,
    sym_wide_character_literal = 242,
    sym_boolean_literal = 243,
    sym_preproc_define = 244,
    sym_preproc_call = 245,
    sym_preproc_include = 246,
    sym_system_lib_string = 247,
    sym_except_dcl = 248,
    sym_interface_dcl = 249,
    sym_interface_kind = 250,
    sym_interface_forward_dcl = 251,
    sym_interface_def = 252,
    sym_interface_header = 253,
    sym_interface_inheritance_spec = 254,
    sym_interface_name = 255,
    sym_interface_body = 256,
    sym_export = 257,
    sym_op_dcl = 258,
    sym_op_type_spec = 259,
    sym_parameter_dcls = 260,
    sym_param_dcl = 261,
    sym_param_attribute = 262,
    sym_raises_expr = 263,
    sym_attr_dcl = 264,
    sym_readonly_attr_spec = 265,
    sym_readonly_attr_declarator = 266,
    sym_attr_spec = 267,
    sym_attr_declarator = 268,
    sym_attr_raises_expr = 269,
    sym_get_excep_expr = 270,
    sym_set_excep_expr = 271,
    sym_exception_list = 272,
    sym_bitset_dcl = 273,
    sym_bitfield = 274,
    sym_bitfield_spec = 275,
    sym_destination_type = 276,
    sym_bitmask_dcl = 277,
    sym_bit_value = 278,
    sym_annotation_dcl = 279,
    sym_annotation_body = 280,
    sym_annotation_member = 281,
    sym_annotation_member_type = 282,
    sym_any_const_type = 283,
    sym_annotation_appl = 284,
    sym_extend_annotation_appl = 285,
    sym_annotation_appl_custom_body = 286,
    sym_annotation_appl_params = 287,
    sym_annotation_appl_param = 288,
    sym_annotation_appl_builtin_body = 289,
    sym_annotation_appl_id = 290,
    sym_annotation_appl_autoid = 291,
    sym_autoid_kind = 292,
    sym_annotation_appl_optional = 293,
    sym_annotation_appl_position = 294,
    sym_annotation_appl_value = 295,
    sym_annotation_appl_extensibility = 296,
    sym_extensibility_kind = 297,
    sym_annotation_appl_final = 298,
    sym_annotation_appl_appendable = 299,
    sym_annotation_appl_mutable = 300,
    sym_annotation_appl_key = 301,
    sym_annotation_appl_must_understand = 302,
    sym_annotation_appl_default_literal = 303,
    sym_annotation_appl_default = 304,
    sym_annotation_appl_range = 305,
    sym_min_expr = 306,
    sym_max_expr = 307,
    sym_annotation_appl_min = 308,
    sym_annotation_appl_max = 309,
    sym_annotation_appl_unit = 310,
    sym_annotation_appl_bit_bound = 311,
    sym_annotation_appl_external = 312,
    sym_annotation_appl_nested = 313,
    sym_annotation_appl_verbatim = 314,
    sym_verbatim_language = 315,
    sym_placement_kind = 316,
    sym_annotation_appl_service = 317,
    sym_service_platform = 318,
    sym_annotation_appl_oneway = 319,
    sym_annotation_appl_ami = 320,
    sym_annotation_appl_hashid = 321,
    sym_annotation_appl_default_nested = 322,
    sym_annotation_appl_ignore_literal_names = 323,
    sym_annotation_appl_try_construct = 324,
    sym_try_construct_fail_action = 325,
    sym_annotation_appl_non_serialized = 326,
    sym_annotation_appl_data_representation = 327,
    sym_data_representation_mask = 328,
    sym_annotation_appl_topic = 329,
    sym_topic_platform = 330,
    sym_template_module_dcl = 331,
    sym_formal_parameters = 332,
    sym_formal_parameter = 333,
    sym_formal_parameter_type = 334,
    sym_tpl_definition = 335,
    sym_template_module_inst = 336,
    sym_actual_parameters = 337,
    sym_actual_parameter = 338,
    sym_template_module_ref = 339,
    sym_formal_parameter_names = 340,
    sym_value_dcl = 341,
    sym_value_def = 342,
    sym_value_kind = 343,
    sym_value_header = 344,
    sym_value_inheritance_spec = 345,
    sym_value_inheritance = 346,
    sym_value_supports = 347,
    sym_value_name = 348,
    sym_value_element = 349,
    sym_state_member = 350,
    sym_init_dcl = 351,
    sym_init_param_dcls = 352,
    sym_init_param_dcl = 353,
    sym_value_forward_dcl = 354,
    sym_typedef_dcl = 355,
    sym_type_declarator = 356,
    sym_any_declarators = 357,
    sym_any_declarator = 358,
    sym_simple_declarator = 359,
    sym_declarator = 360,
    sym_declarators = 361,
    sym_array_declarator = 362,
    sym_fixed_array_size = 363,
    sym_enum_dcl = 364,
    sym_enumerator = 365,
    sym_union_dcl = 366,
    sym_union_forward_dcl = 367,
    sym_union_def = 368,
    sym_case = 369,
    sym_case_label = 370,
    sym_element_spec = 371,
    sym_switch_type_spec = 372,
    sym_type_id_dcl = 373,
    sym_type_prefix_dcl = 374,
    sym_import_dcl = 375,
    sym_imported_scope = 376,
    sym_object_type = 377,
    sym_op_oneway_dcl = 378,
    sym_in_parameter_dcls = 379,
    sym_in_param_dcl = 380,
    sym_op_with_context = 381,
    sym_context_expr = 382,
    sym_value_box_def = 383,
    sym_value_abs_def = 384,
    sym_component_dcl = 385,
    sym_component_forward_dcl = 386,
    sym_component_def = 387,
    sym_component_header = 388,
    sym_component_inheritance_spec = 389,
    sym_component_body = 390,
    sym_component_export = 391,
    sym_provides_dcl = 392,
    sym_interface_type = 393,
    sym_uses_dcl = 394,
    sym_home_dcl = 395,
    sym_home_header = 396,
    sym_home_inheritance_spec = 397,
    sym_home_body = 398,
    sym_home_export = 399,
    sym_factory_dcl = 400,
    sym_factory_param_dcls = 401,
    sym_factory_param_dcl = 402,
    sym_supported_interface_spec = 403,
    sym_emits_dcl = 404,
    sym_publishes_dcl = 405,
    sym_consumes_dcl = 406,
    sym_primary_key_spec = 407,
    sym_finder_dcl = 408,
    sym_event_dcl = 409,
    sym_event_forward_dcl = 410,
    sym_event_abs_def = 411,
    sym_event_def = 412,
    sym_event_header = 413,
    sym_porttype_dcl = 414,
    sym_porttype_forward_dcl = 415,
    sym_porttype_def = 416,
    sym_port_body = 417,
    sym_port_ref = 418,
    sym_port_export = 419,
    sym_port_dcl = 420,
    sym_connector_dcl = 421,
    sym_connector_header = 422,
    sym_connector_inherit_spec = 423,
    sym_connector_export = 424,
    sym_definition = 425,
    sym_type_dcl = 426,
    sym_constr_type_dcl = 427,
    sym_native_dcl = 428,
    sym_module_dcl = 429,
    sym_struct_dcl = 430,
    sym_struct_forward_dcl = 431,
    sym_struct_def = 432,
    sym_member = 433,
    sym_default = 434,
    sym_const_dcl = 435,
    sym_const_type = 436,
    sym_comment = 437,
    aux_sym_specification_repeat1 = 438,
    aux_sym_string_literal_repeat1 = 439,
    aux_sym_char_literal_repeat1 = 440,
    aux_sym_except_dcl_repeat1 = 441,
    aux_sym_interface_dcl_repeat1 = 442,
    aux_sym_interface_inheritance_spec_repeat1 = 443,
    aux_sym_interface_body_repeat1 = 444,
    aux_sym_parameter_dcls_repeat1 = 445,
    aux_sym_raises_expr_repeat1 = 446,
    aux_sym_readonly_attr_declarator_repeat1 = 447,
    aux_sym_bitset_dcl_repeat1 = 448,
    aux_sym_bitfield_repeat1 = 449,
    aux_sym_bitmask_dcl_repeat1 = 450,
    aux_sym_annotation_dcl_repeat1 = 451,
    aux_sym_annotation_appl_params_repeat1 = 452,
    aux_sym_annotation_appl_data_representation_repeat1 = 453,
    aux_sym_template_module_dcl_repeat1 = 454,
    aux_sym_formal_parameters_repeat1 = 455,
    aux_sym_actual_parameters_repeat1 = 456,
    aux_sym_formal_parameter_names_repeat1 = 457,
    aux_sym_value_def_repeat1 = 458,
    aux_sym_value_inheritance_spec_repeat1 = 459,
    aux_sym_init_param_dcls_repeat1 = 460,
    aux_sym_any_declarators_repeat1 = 461,
    aux_sym_declarators_repeat1 = 462,
    aux_sym_array_declarator_repeat1 = 463,
    aux_sym_enum_dcl_repeat1 = 464,
    aux_sym_union_def_repeat1 = 465,
    aux_sym_case_repeat1 = 466,
    aux_sym_in_parameter_dcls_repeat1 = 467,
    aux_sym_context_expr_repeat1 = 468,
    aux_sym_component_body_repeat1 = 469,
    aux_sym_home_body_repeat1 = 470,
    aux_sym_factory_param_dcls_repeat1 = 471,
    aux_sym_port_body_repeat1 = 472,
    aux_sym_connector_dcl_repeat1 = 473,
    aux_sym_module_dcl_repeat1 = 474,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [sym_char_type] = "char_type",
    [sym_wide_char_type] = "wide_char_type",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_wstring] = "wstring",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_bin_number] = "bin_number",
    [aux_sym_oct_number_token1] = "oct_number_token1",
    [aux_sym_oct_number_token2] = "oct_number_token2",
    [anon_sym_0] = "0",
    [aux_sym_dec_number_token1] = "dec_number_token1",
    [sym_hex_number] = "hex_number",
    [anon_sym_DOT] = ".",
    [aux_sym_floating_pt_literal_token1] = "floating_pt_literal_token1",
    [aux_sym_fixed_pt_literal_token1] = "fixed_pt_literal_token1",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_L] = "L",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [aux_sym_annotation_appl_id_token1] = "anno_name",
    [aux_sym_annotation_appl_autoid_token1] = "anno_name",
    [aux_sym_autoid_kind_token1] = "autoid_kind_token1",
    [aux_sym_autoid_kind_token2] = "autoid_kind_token2",
    [aux_sym_annotation_appl_optional_token1] = "anno_name",
    [aux_sym_annotation_appl_position_token1] = "anno_name",
    [aux_sym_annotation_appl_value_token1] = "anno_name",
    [aux_sym_annotation_appl_extensibility_token1] = "anno_name",
    [aux_sym_extensibility_kind_token1] = "extensibility_kind_token1",
    [aux_sym_extensibility_kind_token2] = "extensibility_kind_token2",
    [aux_sym_extensibility_kind_token3] = "extensibility_kind_token3",
    [aux_sym_annotation_appl_final_token1] = "anno_name",
    [aux_sym_annotation_appl_appendable_token1] = "anno_name",
    [aux_sym_annotation_appl_mutable_token1] = "anno_name",
    [aux_sym_annotation_appl_key_token1] = "anno_name",
    [aux_sym_annotation_appl_must_understand_token1] = "anno_name",
    [aux_sym_annotation_appl_default_literal_token1] = "anno_name",
    [aux_sym_annotation_appl_default_token1] = "anno_name",
    [aux_sym_annotation_appl_range_token1] = "anno_name",
    [aux_sym_min_expr_token1] = "range_kind",
    [aux_sym_max_expr_token1] = "range_kind",
    [aux_sym_annotation_appl_unit_token1] = "anno_name",
    [aux_sym_annotation_appl_bit_bound_token1] = "anno_name",
    [aux_sym_annotation_appl_external_token1] = "anno_name",
    [aux_sym_annotation_appl_nested_token1] = "anno_name",
    [aux_sym_annotation_appl_verbatim_token1] = "anno_name",
    [aux_sym_verbatim_language_token1] = "verbatim_language_token1",
    [aux_sym_verbatim_language_token2] = "verbatim_language_token2",
    [aux_sym_verbatim_language_token3] = "verbatim_language_token3",
    [aux_sym_verbatim_language_token4] = "verbatim_language_token4",
    [aux_sym_placement_kind_token1] = "placement_kind_token1",
    [aux_sym_placement_kind_token2] = "placement_kind_token2",
    [aux_sym_placement_kind_token3] = "placement_kind_token3",
    [aux_sym_placement_kind_token4] = "placement_kind_token4",
    [aux_sym_placement_kind_token5] = "placement_kind_token5",
    [aux_sym_placement_kind_token6] = "placement_kind_token6",
    [aux_sym_annotation_appl_service_token1] = "anno_name",
    [aux_sym_service_platform_token1] = "service_platform_token1",
    [aux_sym_service_platform_token2] = "service_platform_token2",
    [aux_sym_annotation_appl_oneway_token1] = "anno_name",
    [aux_sym_annotation_appl_ami_token1] = "anno_name",
    [anon_sym_hashid] = "anno_name",
    [aux_sym_annotation_appl_default_nested_token1] = "anno_name",
    [aux_sym_annotation_appl_ignore_literal_names_token1] = "anno_name",
    [aux_sym_annotation_appl_try_construct_token1] = "anno_name",
    [aux_sym_try_construct_fail_action_token1] = "try_construct_fail_action_token1",
    [aux_sym_try_construct_fail_action_token2] = "try_construct_fail_action_token2",
    [aux_sym_try_construct_fail_action_token3] = "try_construct_fail_action_token3",
    [aux_sym_annotation_appl_non_serialized_token1] = "anno_name",
    [aux_sym_annotation_appl_data_representation_token1] = "anno_name",
    [aux_sym_data_representation_mask_token1] = "data_representation_mask_token1",
    [aux_sym_data_representation_mask_token2] = "data_representation_mask_token2",
    [aux_sym_data_representation_mask_token3] = "data_representation_mask_token3",
    [aux_sym_data_representation_mask_token4] = "data_representation_mask_token4",
    [aux_sym_annotation_appl_topic_token1] = "annotation_appl_topic_token1",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_oneway] = "oneway",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_wide_string_type] = "wide_string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_integer_literal] = "integer_literal",
    [sym_integer_sign] = "integer_sign",
    [sym_oct_number] = "oct_number",
    [sym_dec_number] = "dec_number",
    [sym_floating_pt_literal] = "floating_pt_literal",
    [sym_fixed_pt_literal] = "fixed_pt_literal",
    [sym_string_literal] = "string_literal",
    [sym_wide_string_literal] = "wide_string_literal",
    [sym_char_literal] = "char_literal",
    [sym_wide_character_literal] = "wide_character_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_annotation_appl_hashid] = "annotation_appl_hashid",
    [sym_annotation_appl_default_nested] = "annotation_appl_default_nested",
    [sym_annotation_appl_ignore_literal_names] = "annotation_appl_ignore_literal_names",
    [sym_annotation_appl_try_construct] = "annotation_appl_try_construct",
    [sym_try_construct_fail_action] = "try_construct_fail_action",
    [sym_annotation_appl_non_serialized] = "annotation_appl_non_serialized",
    [sym_annotation_appl_data_representation] = "annotation_appl_data_representation",
    [sym_data_representation_mask] = "data_representation_mask",
    [sym_annotation_appl_topic] = "annotation_appl_topic",
    [sym_topic_platform] = "topic_platform",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_dcl_repeat1] = "interface_dcl_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_annotation_appl_data_representation_repeat1] = "annotation_appl_data_representation_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [sym_char_type] = sym_char_type,
    [sym_wide_char_type] = sym_wide_char_type,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_bin_number] = sym_bin_number,
    [aux_sym_oct_number_token1] = aux_sym_oct_number_token1,
    [aux_sym_oct_number_token2] = aux_sym_oct_number_token2,
    [anon_sym_0] = anon_sym_0,
    [aux_sym_dec_number_token1] = aux_sym_dec_number_token1,
    [sym_hex_number] = sym_hex_number,
    [anon_sym_DOT] = anon_sym_DOT,
    [aux_sym_floating_pt_literal_token1] = aux_sym_floating_pt_literal_token1,
    [aux_sym_fixed_pt_literal_token1] = aux_sym_fixed_pt_literal_token1,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [aux_sym_annotation_appl_id_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_autoid_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_autoid_kind_token1] = aux_sym_autoid_kind_token1,
    [aux_sym_autoid_kind_token2] = aux_sym_autoid_kind_token2,
    [aux_sym_annotation_appl_optional_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_position_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_value_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_extensibility_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_extensibility_kind_token1] = aux_sym_extensibility_kind_token1,
    [aux_sym_extensibility_kind_token2] = aux_sym_extensibility_kind_token2,
    [aux_sym_extensibility_kind_token3] = aux_sym_extensibility_kind_token3,
    [aux_sym_annotation_appl_final_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_appendable_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_mutable_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_key_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_must_understand_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_default_literal_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_default_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_range_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_min_expr_token1] = aux_sym_min_expr_token1,
    [aux_sym_max_expr_token1] = aux_sym_min_expr_token1,
    [aux_sym_annotation_appl_unit_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_bit_bound_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_external_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_nested_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_verbatim_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_verbatim_language_token1] = aux_sym_verbatim_language_token1,
    [aux_sym_verbatim_language_token2] = aux_sym_verbatim_language_token2,
    [aux_sym_verbatim_language_token3] = aux_sym_verbatim_language_token3,
    [aux_sym_verbatim_language_token4] = aux_sym_verbatim_language_token4,
    [aux_sym_placement_kind_token1] = aux_sym_placement_kind_token1,
    [aux_sym_placement_kind_token2] = aux_sym_placement_kind_token2,
    [aux_sym_placement_kind_token3] = aux_sym_placement_kind_token3,
    [aux_sym_placement_kind_token4] = aux_sym_placement_kind_token4,
    [aux_sym_placement_kind_token5] = aux_sym_placement_kind_token5,
    [aux_sym_placement_kind_token6] = aux_sym_placement_kind_token6,
    [aux_sym_annotation_appl_service_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_service_platform_token1] = aux_sym_service_platform_token1,
    [aux_sym_service_platform_token2] = aux_sym_service_platform_token2,
    [aux_sym_annotation_appl_oneway_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_ami_token1] = aux_sym_annotation_appl_id_token1,
    [anon_sym_hashid] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_default_nested_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_ignore_literal_names_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_try_construct_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_try_construct_fail_action_token1] = aux_sym_try_construct_fail_action_token1,
    [aux_sym_try_construct_fail_action_token2] = aux_sym_try_construct_fail_action_token2,
    [aux_sym_try_construct_fail_action_token3] = aux_sym_try_construct_fail_action_token3,
    [aux_sym_annotation_appl_non_serialized_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_data_representation_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_data_representation_mask_token1] = aux_sym_data_representation_mask_token1,
    [aux_sym_data_representation_mask_token2] = aux_sym_data_representation_mask_token2,
    [aux_sym_data_representation_mask_token3] = aux_sym_data_representation_mask_token3,
    [aux_sym_data_representation_mask_token4] = aux_sym_data_representation_mask_token4,
    [aux_sym_annotation_appl_topic_token1] = aux_sym_annotation_appl_topic_token1,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_wide_string_type] = sym_wide_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_integer_literal] = sym_integer_literal,
    [sym_integer_sign] = sym_integer_sign,
    [sym_oct_number] = sym_oct_number,
    [sym_dec_number] = sym_dec_number,
    [sym_floating_pt_literal] = sym_floating_pt_literal,
    [sym_fixed_pt_literal] = sym_fixed_pt_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_wide_string_literal] = sym_wide_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_wide_character_literal] = sym_wide_character_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_annotation_appl_hashid] = sym_annotation_appl_hashid,
    [sym_annotation_appl_default_nested] = sym_annotation_appl_default_nested,
    [sym_annotation_appl_ignore_literal_names] = sym_annotation_appl_ignore_literal_names,
    [sym_annotation_appl_try_construct] = sym_annotation_appl_try_construct,
    [sym_try_construct_fail_action] = sym_try_construct_fail_action,
    [sym_annotation_appl_non_serialized] = sym_annotation_appl_non_serialized,
    [sym_annotation_appl_data_representation] = sym_annotation_appl_data_representation,
    [sym_data_representation_mask] = sym_data_representation_mask,
    [sym_annotation_appl_topic] = sym_annotation_appl_topic,
    [sym_topic_platform] = sym_topic_platform,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_dcl_repeat1] = aux_sym_interface_dcl_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_annotation_appl_data_representation_repeat1] = aux_sym_annotation_appl_data_representation_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_char_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_bin_number] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_oct_number_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_oct_number_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_0] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_dec_number_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_hex_number] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_floating_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_fixed_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_annotation_appl_id_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_autoid_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_autoid_kind_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_autoid_kind_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_optional_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_position_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_value_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_extensibility_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_extensibility_kind_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_extensibility_kind_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_extensibility_kind_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_final_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_appendable_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_mutable_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_key_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_must_understand_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_default_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_default_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_range_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_min_expr_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_max_expr_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_unit_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_bit_bound_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_external_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_nested_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_verbatim_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_verbatim_language_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_verbatim_language_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_verbatim_language_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_verbatim_language_token4] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token4] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token5] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token6] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_service_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_service_platform_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_service_platform_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_oneway_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_ami_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_hashid] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_default_nested_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_ignore_literal_names_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_try_construct_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_try_construct_fail_action_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_try_construct_fail_action_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_try_construct_fail_action_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_non_serialized_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_data_representation_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_data_representation_mask_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_data_representation_mask_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_data_representation_mask_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_data_representation_mask_token4] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_topic_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_sign] = {
        .visible = true,
        .named = true,
    },
    [sym_oct_number] = {
        .visible = true,
        .named = true,
    },
    [sym_dec_number] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_character_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_hashid] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ignore_literal_names] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_try_construct] = {
        .visible = true,
        .named = true,
    },
    [sym_try_construct_fail_action] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_non_serialized] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_data_representation] = {
        .visible = true,
        .named = true,
    },
    [sym_data_representation_mask] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_topic] = {
        .visible = true,
        .named = true,
    },
    [sym_topic_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_data_representation_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_platform = 11,
    field_text = 12,
    field_type = 13,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_platform] = "platform",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 5, .length = 2 },
    [6] = { .index = 7, .length = 2 },
    [7] = { .index = 9, .length = 3 },
    [8] = { .index = 1, .length = 1 },
    [9] = { .index = 12, .length = 2 },
    [10] = { .index = 14, .length = 2 },
    [11] = { .index = 16, .length = 1 },
    [12] = { .index = 17, .length = 2 },
    [13] = { .index = 19, .length = 3 },
    [14] = { .index = 22, .length = 4 },
    [15] = { .index = 26, .length = 4 },
    [16] = { .index = 30, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_name, 1 },
    [7] = { field_name, 0 },
    { field_platform, 1 },
    [9] = { field_name, 0 },
    { field_name, 1 },
    { field_platform, 2 },
    [12] = { field_name, 0 },
    { field_text, 2 },
    [14] = { field_identifier, 1 },
    { field_type, 0 },
    [16] = { field_parent, 3 },
    [17] = { field_identifier, 2 },
    { field_type, 1 },
    [19] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [22] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [26] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [30] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
    [8] = {
        [0] = aux_sym_annotation_appl_id_token1,
    },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 32,
    [34] = 34,
    [35] = 34,
    [36] = 32,
    [37] = 32,
    [38] = 34,
    [39] = 34,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 59,
    [60] = 60,
    [61] = 61,
    [62] = 62,
    [63] = 63,
    [64] = 56,
    [65] = 65,
    [66] = 66,
    [67] = 67,
    [68] = 68,
    [69] = 69,
    [70] = 70,
    [71] = 71,
    [72] = 72,
    [73] = 73,
    [74] = 74,
    [75] = 75,
    [76] = 76,
    [77] = 77,
    [78] = 78,
    [79] = 79,
    [80] = 56,
    [81] = 81,
    [82] = 82,
    [83] = 83,
    [84] = 81,
    [85] = 81,
    [86] = 81,
    [87] = 87,
    [88] = 88,
    [89] = 89,
    [90] = 90,
    [91] = 91,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 119,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 126,
    [127] = 127,
    [128] = 128,
    [129] = 129,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 134,
    [135] = 135,
    [136] = 136,
    [137] = 137,
    [138] = 138,
    [139] = 139,
    [140] = 140,
    [141] = 141,
    [142] = 142,
    [143] = 143,
    [144] = 144,
    [145] = 145,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 153,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 158,
    [159] = 159,
    [160] = 160,
    [161] = 161,
    [162] = 162,
    [163] = 163,
    [164] = 164,
    [165] = 165,
    [166] = 166,
    [167] = 167,
    [168] = 168,
    [169] = 169,
    [170] = 170,
    [171] = 171,
    [172] = 172,
    [173] = 173,
    [174] = 174,
    [175] = 175,
    [176] = 176,
    [177] = 177,
    [178] = 178,
    [179] = 179,
    [180] = 180,
    [181] = 181,
    [182] = 182,
    [183] = 183,
    [184] = 184,
    [185] = 185,
    [186] = 186,
    [187] = 187,
    [188] = 188,
    [189] = 189,
    [190] = 190,
    [191] = 191,
    [192] = 192,
    [193] = 193,
    [194] = 194,
    [195] = 195,
    [196] = 196,
    [197] = 197,
    [198] = 198,
    [199] = 199,
    [200] = 200,
    [201] = 201,
    [202] = 202,
    [203] = 203,
    [204] = 204,
    [205] = 205,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 209,
    [210] = 210,
    [211] = 211,
    [212] = 212,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 214,
    [217] = 217,
    [218] = 214,
    [219] = 213,
    [220] = 220,
    [221] = 215,
    [222] = 217,
    [223] = 215,
    [224] = 213,
    [225] = 217,
    [226] = 215,
    [227] = 214,
    [228] = 213,
    [229] = 217,
    [230] = 230,
    [231] = 231,
    [232] = 130,
    [233] = 118,
    [234] = 234,
    [235] = 235,
    [236] = 127,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 105,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 115,
    [246] = 246,
    [247] = 247,
    [248] = 116,
    [249] = 249,
    [250] = 250,
    [251] = 251,
    [252] = 252,
    [253] = 253,
    [254] = 254,
    [255] = 255,
    [256] = 256,
    [257] = 257,
    [258] = 258,
    [259] = 259,
    [260] = 260,
    [261] = 261,
    [262] = 262,
    [263] = 263,
    [264] = 264,
    [265] = 265,
    [266] = 266,
    [267] = 267,
    [268] = 268,
    [269] = 269,
    [270] = 270,
    [271] = 271,
    [272] = 272,
    [273] = 273,
    [274] = 273,
    [275] = 273,
    [276] = 109,
    [277] = 108,
    [278] = 273,
    [279] = 130,
    [280] = 118,
    [281] = 116,
    [282] = 142,
    [283] = 127,
    [284] = 115,
    [285] = 285,
    [286] = 286,
    [287] = 135,
    [288] = 126,
    [289] = 128,
    [290] = 123,
    [291] = 124,
    [292] = 129,
    [293] = 136,
    [294] = 125,
    [295] = 295,
    [296] = 132,
    [297] = 122,
    [298] = 137,
    [299] = 138,
    [300] = 140,
    [301] = 143,
    [302] = 302,
    [303] = 163,
    [304] = 304,
    [305] = 160,
    [306] = 190,
    [307] = 159,
    [308] = 158,
    [309] = 156,
    [310] = 310,
    [311] = 153,
    [312] = 152,
    [313] = 155,
    [314] = 145,
    [315] = 179,
    [316] = 182,
    [317] = 133,
    [318] = 184,
    [319] = 180,
    [320] = 320,
    [321] = 157,
    [322] = 183,
    [323] = 161,
    [324] = 171,
    [325] = 176,
    [326] = 304,
    [327] = 187,
    [328] = 164,
    [329] = 144,
    [330] = 165,
    [331] = 166,
    [332] = 304,
    [333] = 169,
    [334] = 174,
    [335] = 154,
    [336] = 170,
    [337] = 178,
    [338] = 120,
    [339] = 320,
    [340] = 168,
    [341] = 162,
    [342] = 175,
    [343] = 173,
    [344] = 150,
    [345] = 185,
    [346] = 172,
    [347] = 310,
    [348] = 181,
    [349] = 146,
    [350] = 186,
    [351] = 304,
    [352] = 149,
    [353] = 320,
    [354] = 167,
    [355] = 310,
    [356] = 147,
    [357] = 189,
    [358] = 320,
    [359] = 148,
    [360] = 191,
    [361] = 310,
    [362] = 188,
    [363] = 177,
    [364] = 364,
    [365] = 365,
    [366] = 366,
    [367] = 367,
    [368] = 368,
    [369] = 369,
    [370] = 370,
    [371] = 130,
    [372] = 369,
    [373] = 118,
    [374] = 369,
    [375] = 375,
    [376] = 369,
    [377] = 377,
    [378] = 378,
    [379] = 379,
    [380] = 380,
    [381] = 381,
    [382] = 382,
    [383] = 383,
    [384] = 105,
    [385] = 127,
    [386] = 105,
    [387] = 387,
    [388] = 388,
    [389] = 389,
    [390] = 390,
    [391] = 391,
    [392] = 392,
    [393] = 393,
    [394] = 394,
    [395] = 395,
    [396] = 396,
    [397] = 397,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 402,
    [403] = 403,
    [404] = 109,
    [405] = 109,
    [406] = 406,
    [407] = 407,
    [408] = 408,
    [409] = 407,
    [410] = 408,
    [411] = 411,
    [412] = 412,
    [413] = 407,
    [414] = 408,
    [415] = 407,
    [416] = 416,
    [417] = 417,
    [418] = 418,
    [419] = 108,
    [420] = 420,
    [421] = 421,
    [422] = 422,
    [423] = 408,
    [424] = 424,
    [425] = 108,
    [426] = 426,
    [427] = 427,
    [428] = 428,
    [429] = 429,
    [430] = 430,
    [431] = 431,
    [432] = 432,
    [433] = 433,
    [434] = 434,
    [435] = 435,
    [436] = 142,
    [437] = 437,
    [438] = 438,
    [439] = 439,
    [440] = 440,
    [441] = 441,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 441,
    [446] = 446,
    [447] = 447,
    [448] = 448,
    [449] = 449,
    [450] = 450,
    [451] = 451,
    [452] = 130,
    [453] = 453,
    [454] = 115,
    [455] = 130,
    [456] = 441,
    [457] = 118,
    [458] = 116,
    [459] = 459,
    [460] = 127,
    [461] = 461,
    [462] = 142,
    [463] = 463,
    [464] = 127,
    [465] = 118,
    [466] = 115,
    [467] = 467,
    [468] = 116,
    [469] = 441,
    [470] = 138,
    [471] = 471,
    [472] = 472,
    [473] = 473,
    [474] = 474,
    [475] = 472,
    [476] = 473,
    [477] = 474,
    [478] = 478,
    [479] = 472,
    [480] = 473,
    [481] = 474,
    [482] = 482,
    [483] = 483,
    [484] = 482,
    [485] = 483,
    [486] = 486,
    [487] = 487,
    [488] = 482,
    [489] = 483,
    [490] = 486,
    [491] = 487,
    [492] = 482,
    [493] = 483,
    [494] = 494,
    [495] = 486,
    [496] = 487,
    [497] = 482,
    [498] = 483,
    [499] = 483,
    [500] = 122,
    [501] = 132,
    [502] = 129,
    [503] = 124,
    [504] = 123,
    [505] = 128,
    [506] = 126,
    [507] = 135,
    [508] = 136,
    [509] = 137,
    [510] = 510,
    [511] = 140,
    [512] = 143,
    [513] = 125,
    [514] = 514,
    [515] = 515,
    [516] = 516,
    [517] = 478,
    [518] = 518,
    [519] = 519,
    [520] = 520,
    [521] = 521,
    [522] = 522,
    [523] = 523,
    [524] = 524,
    [525] = 525,
    [526] = 482,
    [527] = 487,
    [528] = 528,
    [529] = 486,
    [530] = 474,
    [531] = 473,
    [532] = 472,
    [533] = 533,
    [534] = 534,
    [535] = 122,
    [536] = 132,
    [537] = 129,
    [538] = 124,
    [539] = 123,
    [540] = 128,
    [541] = 126,
    [542] = 135,
    [543] = 136,
    [544] = 544,
    [545] = 545,
    [546] = 137,
    [547] = 547,
    [548] = 138,
    [549] = 140,
    [550] = 143,
    [551] = 125,
    [552] = 552,
    [553] = 553,
    [554] = 554,
    [555] = 555,
    [556] = 556,
    [557] = 557,
    [558] = 558,
    [559] = 559,
    [560] = 560,
    [561] = 561,
    [562] = 562,
    [563] = 563,
    [564] = 564,
    [565] = 565,
    [566] = 566,
    [567] = 567,
    [568] = 568,
    [569] = 569,
    [570] = 570,
    [571] = 571,
    [572] = 572,
    [573] = 573,
    [574] = 574,
    [575] = 575,
    [576] = 576,
    [577] = 577,
    [578] = 578,
    [579] = 579,
    [580] = 580,
    [581] = 581,
    [582] = 582,
    [583] = 583,
    [584] = 584,
    [585] = 585,
    [586] = 586,
    [587] = 587,
    [588] = 588,
    [589] = 589,
    [590] = 590,
    [591] = 591,
    [592] = 592,
    [593] = 593,
    [594] = 594,
    [595] = 595,
    [596] = 596,
    [597] = 597,
    [598] = 598,
    [599] = 599,
    [600] = 600,
    [601] = 601,
    [602] = 602,
    [603] = 603,
    [604] = 590,
    [605] = 605,
    [606] = 606,
    [607] = 607,
    [608] = 608,
    [609] = 609,
    [610] = 592,
    [611] = 593,
    [612] = 595,
    [613] = 596,
    [614] = 597,
    [615] = 599,
    [616] = 616,
    [617] = 617,
    [618] = 600,
    [619] = 619,
    [620] = 602,
    [621] = 621,
    [622] = 607,
    [623] = 623,
    [624] = 569,
    [625] = 592,
    [626] = 593,
    [627] = 595,
    [628] = 596,
    [629] = 597,
    [630] = 599,
    [631] = 600,
    [632] = 602,
    [633] = 607,
    [634] = 634,
    [635] = 635,
    [636] = 636,
    [637] = 635,
    [638] = 636,
    [639] = 639,
    [640] = 640,
    [641] = 641,
    [642] = 642,
    [643] = 568,
    [644] = 605,
    [645] = 635,
    [646] = 646,
    [647] = 636,
    [648] = 640,
    [649] = 649,
    [650] = 650,
    [651] = 651,
    [652] = 157,
    [653] = 171,
    [654] = 174,
    [655] = 176,
    [656] = 178,
    [657] = 190,
    [658] = 186,
    [659] = 659,
    [660] = 185,
    [661] = 183,
    [662] = 182,
    [663] = 179,
    [664] = 145,
    [665] = 155,
    [666] = 152,
    [667] = 156,
    [668] = 668,
    [669] = 669,
    [670] = 158,
    [671] = 159,
    [672] = 160,
    [673] = 161,
    [674] = 163,
    [675] = 164,
    [676] = 165,
    [677] = 166,
    [678] = 169,
    [679] = 175,
    [680] = 680,
    [681] = 181,
    [682] = 146,
    [683] = 683,
    [684] = 147,
    [685] = 148,
    [686] = 686,
    [687] = 149,
    [688] = 688,
    [689] = 689,
    [690] = 690,
    [691] = 150,
    [692] = 153,
    [693] = 154,
    [694] = 133,
    [695] = 167,
    [696] = 170,
    [697] = 697,
    [698] = 172,
    [699] = 173,
    [700] = 120,
    [701] = 144,
    [702] = 187,
    [703] = 703,
    [704] = 184,
    [705] = 180,
    [706] = 706,
    [707] = 707,
    [708] = 708,
    [709] = 189,
    [710] = 710,
    [711] = 191,
    [712] = 188,
    [713] = 177,
    [714] = 714,
    [715] = 168,
    [716] = 162,
    [717] = 717,
    [718] = 718,
    [719] = 719,
    [720] = 720,
    [721] = 721,
    [722] = 722,
    [723] = 723,
    [724] = 724,
    [725] = 725,
    [726] = 726,
    [727] = 727,
    [728] = 728,
    [729] = 729,
    [730] = 730,
    [731] = 731,
    [732] = 732,
    [733] = 733,
    [734] = 734,
    [735] = 735,
    [736] = 736,
    [737] = 737,
    [738] = 738,
    [739] = 739,
    [740] = 607,
    [741] = 741,
    [742] = 602,
    [743] = 600,
    [744] = 599,
    [745] = 597,
    [746] = 596,
    [747] = 595,
    [748] = 593,
    [749] = 749,
    [750] = 592,
    [751] = 751,
    [752] = 752,
    [753] = 753,
    [754] = 174,
    [755] = 176,
    [756] = 178,
    [757] = 190,
    [758] = 186,
    [759] = 185,
    [760] = 183,
    [761] = 182,
    [762] = 179,
    [763] = 145,
    [764] = 155,
    [765] = 765,
    [766] = 152,
    [767] = 156,
    [768] = 158,
    [769] = 159,
    [770] = 770,
    [771] = 160,
    [772] = 772,
    [773] = 161,
    [774] = 163,
    [775] = 636,
    [776] = 164,
    [777] = 165,
    [778] = 166,
    [779] = 169,
    [780] = 175,
    [781] = 181,
    [782] = 782,
    [783] = 146,
    [784] = 784,
    [785] = 147,
    [786] = 148,
    [787] = 149,
    [788] = 788,
    [789] = 150,
    [790] = 153,
    [791] = 154,
    [792] = 792,
    [793] = 649,
    [794] = 133,
    [795] = 795,
    [796] = 167,
    [797] = 797,
    [798] = 798,
    [799] = 170,
    [800] = 800,
    [801] = 172,
    [802] = 802,
    [803] = 173,
    [804] = 120,
    [805] = 805,
    [806] = 144,
    [807] = 807,
    [808] = 808,
    [809] = 187,
    [810] = 810,
    [811] = 811,
    [812] = 812,
    [813] = 813,
    [814] = 814,
    [815] = 815,
    [816] = 816,
    [817] = 817,
    [818] = 184,
    [819] = 180,
    [820] = 820,
    [821] = 821,
    [822] = 157,
    [823] = 171,
    [824] = 824,
    [825] = 825,
    [826] = 189,
    [827] = 191,
    [828] = 188,
    [829] = 829,
    [830] = 830,
    [831] = 177,
    [832] = 168,
    [833] = 162,
    [834] = 834,
    [835] = 835,
    [836] = 640,
    [837] = 837,
    [838] = 838,
    [839] = 839,
    [840] = 840,
    [841] = 841,
    [842] = 842,
    [843] = 843,
    [844] = 844,
    [845] = 845,
    [846] = 846,
    [847] = 847,
    [848] = 848,
    [849] = 849,
    [850] = 850,
    [851] = 635,
    [852] = 852,
    [853] = 853,
    [854] = 854,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 854,
    [859] = 859,
    [860] = 860,
    [861] = 854,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 868,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 864,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 864,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 866,
    [883] = 883,
    [884] = 867,
    [885] = 885,
    [886] = 872,
    [887] = 887,
    [888] = 888,
    [889] = 889,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 875,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 864,
    [899] = 866,
    [900] = 867,
    [901] = 901,
    [902] = 902,
    [903] = 872,
    [904] = 875,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 866,
    [912] = 912,
    [913] = 913,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 867,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 932,
    [933] = 933,
    [934] = 934,
    [935] = 935,
    [936] = 936,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 943,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 948,
    [949] = 949,
    [950] = 950,
    [951] = 951,
    [952] = 952,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 962,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 969,
    [970] = 970,
    [971] = 971,
    [972] = 972,
    [973] = 973,
    [974] = 974,
    [975] = 854,
    [976] = 976,
    [977] = 875,
    [978] = 978,
    [979] = 157,
    [980] = 872,
    [981] = 981,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 115,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 171,
    [993] = 993,
    [994] = 994,
    [995] = 995,
    [996] = 996,
    [997] = 997,
    [998] = 998,
    [999] = 999,
    [1000] = 1000,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 1004,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 116,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 1028,
    [1029] = 1029,
    [1030] = 1030,
    [1031] = 1031,
    [1032] = 1032,
    [1033] = 1033,
    [1034] = 1034,
    [1035] = 1035,
    [1036] = 1036,
    [1037] = 1037,
    [1038] = 1038,
    [1039] = 1039,
    [1040] = 1040,
    [1041] = 1041,
    [1042] = 1042,
    [1043] = 1043,
    [1044] = 1044,
    [1045] = 1045,
    [1046] = 1046,
    [1047] = 1047,
    [1048] = 1048,
    [1049] = 1049,
    [1050] = 1050,
    [1051] = 1051,
    [1052] = 1052,
    [1053] = 1053,
    [1054] = 1054,
    [1055] = 1055,
    [1056] = 1056,
    [1057] = 1057,
    [1058] = 1058,
    [1059] = 1059,
    [1060] = 1060,
    [1061] = 1061,
    [1062] = 1062,
    [1063] = 1063,
    [1064] = 1064,
    [1065] = 1065,
    [1066] = 1066,
    [1067] = 1067,
    [1068] = 1068,
    [1069] = 1011,
    [1070] = 1070,
    [1071] = 1071,
    [1072] = 1072,
    [1073] = 1073,
    [1074] = 1074,
    [1075] = 1075,
    [1076] = 1076,
    [1077] = 1077,
    [1078] = 1078,
    [1079] = 1079,
    [1080] = 1080,
    [1081] = 1081,
    [1082] = 1082,
    [1083] = 1083,
    [1084] = 1084,
    [1085] = 1085,
    [1086] = 1086,
    [1087] = 1087,
    [1088] = 1088,
    [1089] = 1089,
    [1090] = 1090,
    [1091] = 1091,
    [1092] = 1092,
    [1093] = 1093,
    [1094] = 1094,
    [1095] = 1095,
    [1096] = 1096,
    [1097] = 1097,
    [1098] = 1098,
    [1099] = 1099,
    [1100] = 1100,
    [1101] = 1101,
    [1102] = 1102,
    [1103] = 1103,
    [1104] = 1104,
    [1105] = 1105,
    [1106] = 1106,
    [1107] = 1107,
    [1108] = 1108,
    [1109] = 1109,
    [1110] = 1110,
    [1111] = 1111,
    [1112] = 1112,
    [1113] = 1113,
    [1114] = 1114,
    [1115] = 983,
    [1116] = 1116,
    [1117] = 1117,
    [1118] = 1118,
    [1119] = 1119,
    [1120] = 1120,
    [1121] = 1121,
    [1122] = 1122,
    [1123] = 1123,
    [1124] = 1124,
    [1125] = 1125,
    [1126] = 1126,
    [1127] = 1127,
    [1128] = 1128,
    [1129] = 1129,
    [1130] = 1130,
    [1131] = 1131,
    [1132] = 1080,
    [1133] = 1011,
    [1134] = 1134,
    [1135] = 1135,
    [1136] = 1136,
    [1137] = 986,
    [1138] = 1138,
    [1139] = 1139,
    [1140] = 1140,
    [1141] = 1052,
    [1142] = 1142,
    [1143] = 1099,
    [1144] = 1101,
    [1145] = 1102,
    [1146] = 1103,
    [1147] = 983,
    [1148] = 1119,
    [1149] = 1127,
    [1150] = 1150,
    [1151] = 1151,
    [1152] = 1152,
    [1153] = 1153,
    [1154] = 1154,
    [1155] = 1155,
    [1156] = 1156,
    [1157] = 1157,
    [1158] = 1158,
    [1159] = 1159,
    [1160] = 1116,
    [1161] = 1090,
    [1162] = 1162,
    [1163] = 1028,
    [1164] = 1002,
    [1165] = 1017,
    [1166] = 1056,
    [1167] = 1150,
    [1168] = 1060,
    [1169] = 1169,
    [1170] = 1170,
    [1171] = 1171,
    [1172] = 1110,
    [1173] = 1109,
    [1174] = 1107,
    [1175] = 1175,
    [1176] = 1171,
    [1177] = 1177,
    [1178] = 1151,
    [1179] = 1080,
    [1180] = 1180,
    [1181] = 1181,
    [1182] = 1182,
    [1183] = 1183,
    [1184] = 986,
    [1185] = 1185,
    [1186] = 1186,
    [1187] = 1052,
    [1188] = 1188,
    [1189] = 1099,
    [1190] = 1101,
    [1191] = 1102,
    [1192] = 1103,
    [1193] = 1193,
    [1194] = 1119,
    [1195] = 1127,
    [1196] = 1150,
    [1197] = 1151,
    [1198] = 1152,
    [1199] = 1153,
    [1200] = 1154,
    [1201] = 1155,
    [1202] = 1156,
    [1203] = 1157,
    [1204] = 1158,
    [1205] = 1159,
    [1206] = 1116,
    [1207] = 1090,
    [1208] = 1162,
    [1209] = 1028,
    [1210] = 1002,
    [1211] = 1017,
    [1212] = 1056,
    [1213] = 1213,
    [1214] = 1060,
    [1215] = 1215,
    [1216] = 1110,
    [1217] = 1109,
    [1218] = 1107,
    [1219] = 1171,
    [1220] = 1220,
    [1221] = 1221,
    [1222] = 1080,
    [1223] = 1223,
    [1224] = 1224,
    [1225] = 1225,
    [1226] = 1226,
    [1227] = 986,
    [1228] = 1228,
    [1229] = 1229,
    [1230] = 1099,
    [1231] = 1101,
    [1232] = 1102,
    [1233] = 1103,
    [1234] = 983,
    [1235] = 1119,
    [1236] = 1127,
    [1237] = 1150,
    [1238] = 1151,
    [1239] = 1152,
    [1240] = 1153,
    [1241] = 1154,
    [1242] = 1155,
    [1243] = 1156,
    [1244] = 1157,
    [1245] = 1158,
    [1246] = 1159,
    [1247] = 1116,
    [1248] = 1090,
    [1249] = 1162,
    [1250] = 1028,
    [1251] = 1002,
    [1252] = 1017,
    [1253] = 1056,
    [1254] = 1254,
    [1255] = 1060,
    [1256] = 1152,
    [1257] = 1110,
    [1258] = 1109,
    [1259] = 1107,
    [1260] = 1171,
    [1261] = 1261,
    [1262] = 1080,
    [1263] = 1263,
    [1264] = 1264,
    [1265] = 1080,
    [1266] = 1266,
    [1267] = 986,
    [1268] = 1268,
    [1269] = 1269,
    [1270] = 1270,
    [1271] = 1271,
    [1272] = 1272,
    [1273] = 1159,
    [1274] = 1274,
    [1275] = 1275,
    [1276] = 1276,
    [1277] = 1277,
    [1278] = 1278,
    [1279] = 1279,
    [1280] = 1280,
    [1281] = 1281,
    [1282] = 1282,
    [1283] = 1283,
    [1284] = 1284,
    [1285] = 1285,
    [1286] = 1286,
    [1287] = 1287,
    [1288] = 1288,
    [1289] = 1289,
    [1290] = 1290,
    [1291] = 1291,
    [1292] = 1292,
    [1293] = 1293,
    [1294] = 1294,
    [1295] = 1295,
    [1296] = 1296,
    [1297] = 1297,
    [1298] = 1298,
    [1299] = 1299,
    [1300] = 1300,
    [1301] = 1301,
    [1302] = 1302,
    [1303] = 1303,
    [1304] = 1153,
    [1305] = 1305,
    [1306] = 1306,
    [1307] = 1307,
    [1308] = 1308,
    [1309] = 1309,
    [1310] = 1154,
    [1311] = 1311,
    [1312] = 1312,
    [1313] = 1313,
    [1314] = 1314,
    [1315] = 1155,
    [1316] = 1316,
    [1317] = 1156,
    [1318] = 1157,
    [1319] = 1319,
    [1320] = 1320,
    [1321] = 1321,
    [1322] = 1322,
    [1323] = 1323,
    [1324] = 1324,
    [1325] = 1325,
    [1326] = 1326,
    [1327] = 1327,
    [1328] = 1328,
    [1329] = 1329,
    [1330] = 1330,
    [1331] = 1162,
    [1332] = 1332,
    [1333] = 1333,
    [1334] = 1334,
    [1335] = 1335,
    [1336] = 1336,
    [1337] = 1337,
    [1338] = 1338,
    [1339] = 1339,
    [1340] = 1340,
    [1341] = 1341,
    [1342] = 1158,
    [1343] = 1343,
    [1344] = 1344,
    [1345] = 1345,
    [1346] = 1346,
    [1347] = 1347,
    [1348] = 1348,
    [1349] = 1349,
    [1350] = 1350,
    [1351] = 1351,
    [1352] = 1352,
    [1353] = 1353,
    [1354] = 1077,
    [1355] = 1075,
    [1356] = 1074,
    [1357] = 1073,
    [1358] = 1070,
    [1359] = 1068,
    [1360] = 1067,
    [1361] = 1065,
    [1362] = 1054,
    [1363] = 1045,
    [1364] = 1044,
    [1365] = 1093,
    [1366] = 1345,
    [1367] = 1254,
    [1368] = 1108,
    [1369] = 1077,
    [1370] = 1075,
    [1371] = 1074,
    [1372] = 1073,
    [1373] = 1070,
    [1374] = 1068,
    [1375] = 1067,
    [1376] = 1065,
    [1377] = 1054,
    [1378] = 1045,
    [1379] = 1044,
    [1380] = 1093,
    [1381] = 1345,
    [1382] = 1254,
    [1383] = 1108,
    [1384] = 1077,
    [1385] = 1075,
    [1386] = 1074,
    [1387] = 1073,
    [1388] = 1070,
    [1389] = 1068,
    [1390] = 1067,
    [1391] = 1065,
    [1392] = 1054,
    [1393] = 1045,
    [1394] = 1044,
    [1395] = 1093,
    [1396] = 1345,
    [1397] = 1254,
    [1398] = 1108,
    [1399] = 1399,
    [1400] = 1400,
    [1401] = 1401,
    [1402] = 1011,
    [1403] = 1403,
    [1404] = 1404,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(883);
            ADVANCE_MAP(
                '"', 977,
                '#', 246,
                '%', 950,
                '&', 942,
                '\'', 983,
                '(', 951,
                ')', 952,
                '*', 947,
                '+', 945,
                ',', 935,
                '-', 946,
                '.', 966,
                '/', 948,
                '0', 960,
                ':', 1032,
                ';', 1033,
                '<', 928,
                '=', 1062,
                '>', 930,
                '@', 1059,
                'A', 688,
                'B', 653,
                'C', 1112,
                'D', 972,
                'E', 969,
                'F', 128,
                'H', 592,
                'I', 635,
                'L', 981,
                'M', 586,
                'N', 668,
                'O', 219,
                'P', 773,
                'R', 596,
                'S', 654,
                'T', 161,
                'U', 755,
                'V', 130,
                '[', 1188,
            );
            if(lookahead == '\\')
                SKIP(876);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == '^')
                ADVANCE(941);
            if(lookahead == 'a')
                ADVANCE(222);
            if(lookahead == 'b')
                ADVANCE(148);
            if(lookahead == 'c')
                ADVANCE(1110);
            if(lookahead == 'd')
                ADVANCE(971);
            if(lookahead == 'e')
                ADVANCE(968);
            if(lookahead == 'f')
                ADVANCE(147);
            if(lookahead == 'g')
                ADVANCE(300);
            if(lookahead == 'h')
                ADVANCE(134);
            if(lookahead == 'i')
                ADVANCE(374);
            if(lookahead == 'l')
                ADVANCE(418);
            if(lookahead == 'm')
                ADVANCE(129);
            if(lookahead == 'n')
                ADVANCE(192);
            if(lookahead == 'o')
                ADVANCE(155);
            if(lookahead == 'p')
                ADVANCE(159);
            if(lookahead == 'r')
                ADVANCE(135);
            if(lookahead == 's')
                ADVANCE(136);
            if(lookahead == 't')
                ADVANCE(162);
            if(lookahead == 'u')
                ADVANCE(154);
            if(lookahead == 'v')
                ADVANCE(131);
            if(lookahead == 'w')
                ADVANCE(230);
            if(lookahead == '{')
                ADVANCE(1024);
            if(lookahead == '|')
                ADVANCE(940);
            if(lookahead == '}')
                ADVANCE(1025);
            if(lookahead == '~')
                ADVANCE(953);
            if(lookahead == 'J' ||
               lookahead == 'j')
                ADVANCE(587);
            if(lookahead == 'K' ||
               lookahead == 'k')
                ADVANCE(655);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(624);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(962);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(99);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(97);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(97);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(89);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(89);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(104);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(91);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(91);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(81);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(84);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(112);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(112);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(82);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(79);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(87);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(87);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(90);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(90);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                SKIP(47);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(47);
            if(lookahead == '\r')
                SKIP(45);
            END_STATE();
        case 47:
            ADVANCE_MAP(
                '\n', 1061,
                '\r', 47,
                '"', 977,
                '(', 951,
                '*', 947,
                '/', 92,
                ':', 126,
                '@', 1058,
            );
            if(lookahead == '\\')
                SKIP(46);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(633);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(47);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(98);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '\r')
                SKIP(48);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(85);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\r')
                SKIP(50);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(52);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(54);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(113);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                SKIP(113);
            if(lookahead == '\r')
                SKIP(56);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(86);
            if(lookahead == '"')
                ADVANCE(977);
            if(lookahead == '/')
                ADVANCE(978);
            if(lookahead == '\\')
                ADVANCE(59);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(979);
            if(lookahead != 0)
                ADVANCE(980);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                ADVANCE(974);
            if(lookahead == '\r')
                ADVANCE(973);
            if(lookahead == 'U')
                ADVANCE(873);
            if(lookahead == 'u')
                ADVANCE(869);
            if(lookahead == 'x')
                ADVANCE(867);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(976);
            if(lookahead != 0)
                ADVANCE(973);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                SKIP(114);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                SKIP(114);
            if(lookahead == '\r')
                SKIP(60);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                SKIP(88);
            if(lookahead == '\'')
                ADVANCE(983);
            if(lookahead == '/')
                ADVANCE(986);
            if(lookahead == '\\')
                ADVANCE(985);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(987);
            if(lookahead != 0)
                ADVANCE(984);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                SKIP(115);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                SKIP(115);
            if(lookahead == '\r')
                SKIP(63);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                ADVANCE(997);
            if(lookahead == '\r')
                ADVANCE(67);
            if(lookahead == '/')
                ADVANCE(1013);
            if(lookahead == '\\')
                ADVANCE(1010);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(103);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                ADVANCE(997);
            if(lookahead == '\r')
                ADVANCE(68);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == '\\')
                SKIP(70);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(116);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(997);
            if(lookahead == '/')
                ADVANCE(1013);
            if(lookahead == '\\')
                ADVANCE(1010);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                ADVANCE(997);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == '\\')
                SKIP(70);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(116);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                SKIP(116);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(116);
            if(lookahead == '\r')
                SKIP(69);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                ADVANCE(1741);
            if(lookahead == '\r')
                ADVANCE(1738);
            if(lookahead == '\\')
                ADVANCE(1739);
            if(lookahead != 0)
                ADVANCE(1742);
            END_STATE();
        case 72:
            if(lookahead == '\n')
                ADVANCE(94);
            if(lookahead == '\r')
                ADVANCE(73);
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead != 0)
                ADVANCE(95);
            END_STATE();
        case 73:
            if(lookahead == '\n')
                ADVANCE(94);
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead != 0)
                ADVANCE(95);
            END_STATE();
        case 74:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 75:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(74);
            END_STATE();
        case 76:
            if(lookahead == '\r')
                ADVANCE(1743);
            if(lookahead == '\\')
                ADVANCE(1739);
            if(lookahead != 0)
                ADVANCE(1742);
            END_STATE();
        case 77:
            if(lookahead == ' ')
                ADVANCE(372);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 977,
                '%', 950,
                '&', 942,
                '\'', 983,
                ')', 952,
                '*', 947,
                '+', 945,
                ',', 935,
                '-', 946,
                '/', 949,
                '0', 960,
                ':', 1032,
                ';', 1033,
                '<', 127,
                '>', 930,
                'A', 689,
                'B', 652,
                'C', 771,
                'D', 634,
                'E', 746,
                'F', 128,
                'L', 981,
                'M', 852,
                'S', 665,
                'T', 163,
                'U', 812,
                '[', 1188,
            );
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == '^')
                ADVANCE(941);
            if(lookahead == 'a')
                ADVANCE(509);
            if(lookahead == 'b')
                ADVANCE(346);
            if(lookahead == 'c')
                ADVANCE(158);
            if(lookahead == 'd')
                ADVANCE(303);
            if(lookahead == 'e')
                ADVANCE(378);
            if(lookahead == 'f')
                ADVANCE(695);
            if(lookahead == 'g')
                ADVANCE(300);
            if(lookahead == 'i')
                ADVANCE(410);
            if(lookahead == 'l')
                ADVANCE(438);
            if(lookahead == 'm')
                ADVANCE(208);
            if(lookahead == 'o')
                ADVANCE(233);
            if(lookahead == 'p')
                ADVANCE(445);
            if(lookahead == 'r')
                ADVANCE(217);
            if(lookahead == 's')
                ADVANCE(142);
            if(lookahead == 't')
                ADVANCE(796);
            if(lookahead == 'u')
                ADVANCE(166);
            if(lookahead == 'v')
                ADVANCE(201);
            if(lookahead == '{')
                ADVANCE(1024);
            if(lookahead == '|')
                ADVANCE(940);
            if(lookahead == '}')
                ADVANCE(1025);
            if(lookahead == 'H' ||
               lookahead == 'h')
                ADVANCE(592);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(624);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(962);
            END_STATE();
        case 79:
            ADVANCE_MAP(
                '"', 977,
                '%', 950,
                '&', 942,
                ')', 952,
                '*', 947,
                '+', 945,
                ',', 935,
                '-', 946,
                '/', 949,
                ':', 1032,
                ';', 1033,
                '<', 127,
                '>', 930,
            );
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == '^')
                ADVANCE(941);
            if(lookahead == '{')
                ADVANCE(1024);
            if(lookahead == '|')
                ADVANCE(940);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 80:
            ADVANCE_MAP(
                '"', 977,
                '&', 942,
                ')', 952,
                '*', 947,
                ',', 935,
                '/', 93,
                ':', 1031,
                ';', 1033,
                '>', 929,
                'C', 1109,
            );
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == '^')
                ADVANCE(941);
            if(lookahead == 'c')
                ADVANCE(1111);
            if(lookahead == '|')
                ADVANCE(940);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(687);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(652);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(746);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(646);
            if(lookahead == 'J' ||
               lookahead == 'j')
                ADVANCE(587);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            END_STATE();
        case 81:
            ADVANCE_MAP(
                '"', 977,
                '\'', 983,
                '(', 951,
                ')', 952,
                '+', 945,
                '-', 946,
                '/', 93,
                '0', 961,
                ':', 126,
                'F', 1235,
                'L', 982,
                'T', 1240,
            );
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == '~')
                ADVANCE(953);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(963);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 82:
            if(lookahead == '"')
                ADVANCE(977);
            if(lookahead == '(')
                ADVANCE(951);
            if(lookahead == '*')
                ADVANCE(947);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == 'a')
                ADVANCE(220);
            if(lookahead == 'b')
                ADVANCE(345);
            if(lookahead == 'e')
                ADVANCE(395);
            if(lookahead == 'i')
                ADVANCE(414);
            if(lookahead == 'l')
                ADVANCE(439);
            if(lookahead == 'n')
                ADVANCE(191);
            if(lookahead == 's')
                ADVANCE(543);
            if(lookahead == 't')
                ADVANCE(585);
            if(lookahead == 'u')
                ADVANCE(416);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(633);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            END_STATE();
        case 83:
            ADVANCE_MAP(
                '"', 977,
                ')', 952,
                ',', 935,
                '/', 93,
                ':', 126,
                ';', 1033,
                '<', 928,
                '>', 929,
            );
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == '{')
                ADVANCE(1024);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 84:
            ADVANCE_MAP(
                '"', 977,
                '*', 947,
                '/', 92,
                ':', 126,
                '@', 1058,
                'D', 1566,
                'O', 1275,
                'V', 1251,
            );
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1415);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 85:
            if(lookahead == '"')
                ADVANCE(977);
            if(lookahead == '*')
                ADVANCE(947);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == '\\')
                SKIP(51);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1566);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 86:
            if(lookahead == '"')
                ADVANCE(977);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == '\\')
                ADVANCE(59);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(86);
            END_STATE();
        case 87:
            ADVANCE_MAP(
                '%', 950,
                '&', 942,
                ')', 952,
                '*', 947,
                '+', 945,
                ',', 935,
                '-', 946,
                '.', 966,
                '/', 949,
                ':', 1031,
                ';', 1033,
                '<', 127,
                '>', 930,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == '^')
                ADVANCE(941);
            if(lookahead == 'i')
                ADVANCE(392);
            if(lookahead == 'm')
                ADVANCE(207);
            if(lookahead == 's')
                ADVANCE(561);
            if(lookahead == '{')
                ADVANCE(1024);
            if(lookahead == '|')
                ADVANCE(940);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(970);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(967);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(87);
            END_STATE();
        case 88:
            if(lookahead == '\'')
                ADVANCE(983);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == '\\')
                ADVANCE(59);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(88);
            END_STATE();
        case 89:
            if(lookahead == '(')
                ADVANCE(951);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(89);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 90:
            if(lookahead == '(')
                ADVANCE(951);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == '\\')
                SKIP(44);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(90);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 91:
            if(lookahead == ')')
                ADVANCE(952);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1396);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1287);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(91);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 92:
            if(lookahead == '*')
                ADVANCE(1744);
            if(lookahead == '/')
                ADVANCE(1734);
            END_STATE();
        case 93:
            if(lookahead == '*')
                ADVANCE(1744);
            if(lookahead == '/')
                ADVANCE(1732);
            END_STATE();
        case 94:
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead == '/')
                ADVANCE(96);
            if(lookahead == '\\')
                ADVANCE(72);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(94);
            if(lookahead != 0)
                ADVANCE(95);
            END_STATE();
        case 95:
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead != 0)
                ADVANCE(95);
            END_STATE();
        case 96:
            if(lookahead == '*')
                ADVANCE(1745);
            if(lookahead == '/')
                ADVANCE(1733);
            if(lookahead != 0)
                ADVANCE(95);
            END_STATE();
        case 97:
            if(lookahead == ',')
                ADVANCE(935);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '<')
                ADVANCE(928);
            if(lookahead == '>')
                ADVANCE(929);
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == 'h')
                ADVANCE(1262);
            if(lookahead == '{')
                ADVANCE(1024);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1636);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1603);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1529);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1723);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1599);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1557);
            if(lookahead == 'K' ||
               lookahead == 'k')
                ADVANCE(1570);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1526);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1579);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1643);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1658);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1533);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1571);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1657);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1654);
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(1525);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1551);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(97);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('C' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 98:
            if(lookahead == ',')
                ADVANCE(935);
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '<')
                ADVANCE(928);
            if(lookahead == '>')
                ADVANCE(929);
            if(lookahead == '\\')
                SKIP(49);
            if(lookahead == 'm')
                ADVANCE(207);
            if(lookahead == 'p')
                ADVANCE(477);
            if(lookahead == 's')
                ADVANCE(561);
            if(lookahead == '{')
                ADVANCE(1024);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            END_STATE();
        case 99:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1276);
            if(lookahead == 'b')
                ADVANCE(1358);
            if(lookahead == 'c')
                ADVANCE(1350);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'e')
                ADVANCE(1399);
            if(lookahead == 'f')
                ADVANCE(1254);
            if(lookahead == 'i')
                ADVANCE(1387);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'n')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1286);
            if(lookahead == 'p')
                ADVANCE(1442);
            if(lookahead == 'r')
                ADVANCE(1329);
            if(lookahead == 's')
                ADVANCE(1305);
            if(lookahead == 't')
                ADVANCE(1520);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(lookahead == 'v')
                ADVANCE(1273);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1276);
            if(lookahead == 'b')
                ADVANCE(1358);
            if(lookahead == 'c')
                ADVANCE(1350);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'e')
                ADVANCE(1399);
            if(lookahead == 'f')
                ADVANCE(1255);
            if(lookahead == 'i')
                ADVANCE(1387);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'n')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1286);
            if(lookahead == 'r')
                ADVANCE(1329);
            if(lookahead == 's')
                ADVANCE(1305);
            if(lookahead == 't')
                ADVANCE(1520);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(lookahead == 'v')
                ADVANCE(1273);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(75);
            if(lookahead == 'a')
                ADVANCE(1276);
            if(lookahead == 'b')
                ADVANCE(1358);
            if(lookahead == 'c')
                ADVANCE(1350);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'e')
                ADVANCE(1399);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1387);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'n')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1286);
            if(lookahead == 'r')
                ADVANCE(1329);
            if(lookahead == 's')
                ADVANCE(1305);
            if(lookahead == 't')
                ADVANCE(1520);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(lookahead == 'v')
                ADVANCE(1273);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1058);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1358);
            if(lookahead == 'c')
                ADVANCE(1268);
            if(lookahead == 'd')
                ADVANCE(1326);
            if(lookahead == 'e')
                ADVANCE(1400);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1305);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(1013);
            if(lookahead == '\\')
                ADVANCE(1010);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(1032);
            if(lookahead == ';')
                ADVANCE(1033);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1307);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '{')
                ADVANCE(1024);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1358);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'e')
                ADVANCE(1400);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1305);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1351);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'e')
                ADVANCE(1398);
            if(lookahead == 'f')
                ADVANCE(1377);
            if(lookahead == 'i')
                ADVANCE(1410);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1306);
            if(lookahead == 't')
                ADVANCE(1523);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(lookahead == 'v')
                ADVANCE(1274);
            if(lookahead == 'w')
                ADVANCE(1282);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == 'V')
                ADVANCE(1251);
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == '\\')
                SKIP(53);
            if(lookahead == 'm')
                ADVANCE(1507);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1275);
            if(lookahead == '\\')
                SKIP(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1351);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'e')
                ADVANCE(1400);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 't')
                ADVANCE(1522);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 112:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1426);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1353);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1282);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(112);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 113:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(57);
            if(lookahead == 't')
                ADVANCE(1451);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(113);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 114:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ':')
                ADVANCE(1031);
            if(lookahead == ';')
                ADVANCE(1033);
            if(lookahead == '\\')
                SKIP(61);
            if(lookahead == '{')
                ADVANCE(1024);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(114);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 115:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == ';')
                ADVANCE(1033);
            if(lookahead == '\\')
                SKIP(64);
            if(lookahead == 's')
                ADVANCE(1514);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(115);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 116:
            if(lookahead == '/')
                ADVANCE(93);
            if(lookahead == '\\')
                SKIP(70);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(116);
            END_STATE();
        case 117:
            if(lookahead == '1')
                ADVANCE(124);
            if(lookahead == '3')
                ADVANCE(120);
            if(lookahead == '6')
                ADVANCE(122);
            if(lookahead == '8')
                ADVANCE(905);
            END_STATE();
        case 118:
            if(lookahead == '1')
                ADVANCE(124);
            if(lookahead == '3')
                ADVANCE(120);
            if(lookahead == '6')
                ADVANCE(122);
            if(lookahead == '8')
                ADVANCE(905);
            if(lookahead == 'e')
                ADVANCE(466);
            END_STATE();
        case 119:
            if(lookahead == '1')
                ADVANCE(125);
            if(lookahead == '3')
                ADVANCE(121);
            if(lookahead == '6')
                ADVANCE(123);
            if(lookahead == '8')
                ADVANCE(897);
            END_STATE();
        case 120:
            if(lookahead == '2')
                ADVANCE(892);
            END_STATE();
        case 121:
            if(lookahead == '2')
                ADVANCE(911);
            END_STATE();
        case 122:
            if(lookahead == '4')
                ADVANCE(895);
            END_STATE();
        case 123:
            if(lookahead == '4')
                ADVANCE(914);
            END_STATE();
        case 124:
            if(lookahead == '6')
                ADVANCE(886);
            END_STATE();
        case 125:
            if(lookahead == '6')
                ADVANCE(908);
            END_STATE();
        case 126:
            if(lookahead == ':')
                ADVANCE(925);
            END_STATE();
        case 127:
            if(lookahead == '<')
                ADVANCE(944);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(150);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(758);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(858);
            if(lookahead == 'I')
                ADVANCE(747);
            if(lookahead == 'U')
                ADVANCE(813);
            if(lookahead == 'a')
                ADVANCE(402);
            if(lookahead == 'i')
                ADVANCE(470);
            if(lookahead == 'o')
                ADVANCE(253);
            if(lookahead == 'u')
                ADVANCE(370);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(738);
            if(lookahead == 'a')
                ADVANCE(152);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(799);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(738);
            if(lookahead == 'a')
                ADVANCE(153);
            if(lookahead == 'o')
                ADVANCE(333);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(799);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(860);
            if(lookahead == 'a')
                ADVANCE(176);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(847);
            if(lookahead == 'a')
                ADVANCE(171);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(810);
            if(lookahead == 'a')
                ADVANCE(164);
            if(lookahead == 'o')
                ADVANCE(379);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(748);
            if(lookahead == 'a')
                ADVANCE(348);
            if(lookahead == 'e')
                ADVANCE(193);
            END_STATE();
        case 136:
            if(lookahead == 'E')
                ADVANCE(789);
            if(lookahead == 'e')
                ADVANCE(160);
            if(lookahead == 'h')
                ADVANCE(426);
            if(lookahead == 't')
                ADVANCE(460);
            if(lookahead == 'u')
                ADVANCE(459);
            if(lookahead == 'w')
                ADVANCE(341);
            END_STATE();
        case 137:
            if(lookahead == 'E')
                ADVANCE(857);
            if(lookahead == 'e')
                ADVANCE(175);
            END_STATE();
        case 138:
            if(lookahead == 'E')
                ADVANCE(988);
            END_STATE();
        case 139:
            if(lookahead == 'E')
                ADVANCE(990);
            END_STATE();
        case 140:
            if(lookahead == 'E')
                ADVANCE(1074);
            if(lookahead == 'e')
                ADVANCE(1075);
            END_STATE();
        case 141:
            if(lookahead == 'E')
                ADVANCE(1074);
            if(lookahead == 'e')
                ADVANCE(1076);
            END_STATE();
        case 142:
            if(lookahead == 'E')
                ADVANCE(788);
            if(lookahead == 'e')
                ADVANCE(558);
            if(lookahead == 'h')
                ADVANCE(426);
            if(lookahead == 'u')
                ADVANCE(459);
            END_STATE();
        case 143:
            if(lookahead == 'E')
                ADVANCE(181);
            if(lookahead == 'e')
                ADVANCE(182);
            END_STATE();
        case 144:
            if(lookahead == 'E')
                ADVANCE(768);
            if(lookahead == 'e')
                ADVANCE(157);
            END_STATE();
        case 145:
            if(lookahead == 'F')
                ADVANCE(591);
            if(lookahead == 'f')
                ADVANCE(133);
            END_STATE();
        case 146:
            if(lookahead == 'H')
                ADVANCE(1068);
            if(lookahead == 'h')
                ADVANCE(1069);
            END_STATE();
        case 147:
            if(lookahead == 'I')
                ADVANCE(758);
            if(lookahead == 'a')
                ADVANCE(238);
            if(lookahead == 'i')
                ADVANCE(156);
            if(lookahead == 'l')
                ADVANCE(423);
            END_STATE();
        case 148:
            if(lookahead == 'I')
                ADVANCE(821);
            if(lookahead == 'i')
                ADVANCE(167);
            if(lookahead == 'o')
                ADVANCE(420);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(690);
            END_STATE();
        case 149:
            if(lookahead == 'I')
                ADVANCE(822);
            if(lookahead == 'i')
                ADVANCE(425);
            if(lookahead == 's')
                ADVANCE(334);
            END_STATE();
        case 150:
            if(lookahead == 'L')
                ADVANCE(165);
            END_STATE();
        case 151:
            if(lookahead == 'L')
                ADVANCE(823);
            if(lookahead == 'l')
                ADVANCE(168);
            END_STATE();
        case 152:
            if(lookahead == 'L')
                ADVANCE(850);
            if(lookahead == 'l')
                ADVANCE(172);
            END_STATE();
        case 153:
            if(lookahead == 'L')
                ADVANCE(850);
            if(lookahead == 'l')
                ADVANCE(173);
            END_STATE();
        case 154:
            if(lookahead == 'N')
                ADVANCE(706);
            if(lookahead == 'S')
                ADVANCE(669);
            if(lookahead == 'i')
                ADVANCE(406);
            if(lookahead == 'n')
                ADVANCE(149);
            if(lookahead == 's')
                ADVANCE(143);
            END_STATE();
        case 155:
            if(lookahead == 'N')
                ADVANCE(656);
            if(lookahead == 'c')
                ADVANCE(548);
            if(lookahead == 'n')
                ADVANCE(137);
            if(lookahead == 'u')
                ADVANCE(510);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(829);
            END_STATE();
        case 156:
            if(lookahead == 'N')
                ADVANCE(593);
            if(lookahead == 'n')
                ADVANCE(255);
            if(lookahead == 'x')
                ADVANCE(284);
            END_STATE();
        case 157:
            if(lookahead == 'N')
                ADVANCE(840);
            if(lookahead == 'n')
                ADVANCE(242);
            END_STATE();
        case 158:
            if(lookahead == 'O')
                ADVANCE(790);
            if(lookahead == 'a')
                ADVANCE(500);
            if(lookahead == 'o')
                ADVANCE(391);
            END_STATE();
        case 159:
            if(lookahead == 'O')
                ADVANCE(818);
            if(lookahead == 'o')
                ADVANCE(473);
            if(lookahead == 'r')
                ADVANCE(327);
            if(lookahead == 'u')
                ADVANCE(223);
            END_STATE();
        case 160:
            if(lookahead == 'Q')
                ADVANCE(854);
            if(lookahead == 'q')
                ADVANCE(174);
            if(lookahead == 't')
                ADVANCE(485);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(855);
            END_STATE();
        case 161:
            if(lookahead == 'R')
                ADVANCE(170);
            if(lookahead == 'r')
                ADVANCE(698);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(785);
            END_STATE();
        case 162:
            if(lookahead == 'R')
                ADVANCE(698);
            if(lookahead == 'r')
                ADVANCE(562);
            if(lookahead == 'y')
                ADVANCE(448);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(785);
            END_STATE();
        case 163:
            if(lookahead == 'R')
                ADVANCE(169);
            if(lookahead == 'r')
                ADVANCE(697);
            END_STATE();
        case 164:
            if(lookahead == 'S')
                ADVANCE(694);
            if(lookahead == 's')
                ADVANCE(146);
            END_STATE();
        case 165:
            if(lookahead == 'S')
                ADVANCE(139);
            END_STATE();
        case 166:
            if(lookahead == 'S')
                ADVANCE(669);
            if(lookahead == 'i')
                ADVANCE(406);
            if(lookahead == 'n')
                ADVANCE(501);
            if(lookahead == 's')
                ADVANCE(143);
            END_STATE();
        case 167:
            if(lookahead == 'T')
                ADVANCE(178);
            if(lookahead == 't')
                ADVANCE(179);
            END_STATE();
        case 168:
            if(lookahead == 'T')
                ADVANCE(1091);
            if(lookahead == 't')
                ADVANCE(1056);
            END_STATE();
        case 169:
            if(lookahead == 'U')
                ADVANCE(138);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(743);
            END_STATE();
        case 170:
            if(lookahead == 'U')
                ADVANCE(138);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(743);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(180);
            END_STATE();
        case 171:
            if(lookahead == 'U')
                ADVANCE(728);
            if(lookahead == 'u')
                ADVANCE(151);
            END_STATE();
        case 172:
            if(lookahead == 'U')
                ADVANCE(659);
            if(lookahead == 'u')
                ADVANCE(140);
            END_STATE();
        case 173:
            if(lookahead == 'U')
                ADVANCE(659);
            if(lookahead == 'u')
                ADVANCE(141);
            END_STATE();
        case 174:
            if(lookahead == 'U')
                ADVANCE(674);
            if(lookahead == 'u')
                ADVANCE(144);
            END_STATE();
        case 175:
            if(lookahead == 'W')
                ADVANCE(590);
            if(lookahead == 'w')
                ADVANCE(132);
            END_STATE();
        case 176:
            if(lookahead == 'Y')
                ADVANCE(1127);
            if(lookahead == 'y')
                ADVANCE(1201);
            END_STATE();
        case 177:
            if(lookahead == '_')
                ADVANCE(644);
            END_STATE();
        case 178:
            if(lookahead == '_')
                ADVANCE(617);
            END_STATE();
        case 179:
            if(lookahead == '_')
                ADVANCE(617);
            if(lookahead == 'f')
                ADVANCE(343);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 's')
                ADVANCE(299);
            END_STATE();
        case 180:
            if(lookahead == '_')
                ADVANCE(625);
            END_STATE();
        case 181:
            if(lookahead == '_')
                ADVANCE(645);
            END_STATE();
        case 182:
            if(lookahead == '_')
                ADVANCE(645);
            if(lookahead == 's')
                ADVANCE(1208);
            END_STATE();
        case 183:
            if(lookahead == '_')
                ADVANCE(849);
            END_STATE();
        case 184:
            if(lookahead == '_')
                ADVANCE(795);
            END_STATE();
        case 185:
            if(lookahead == '_')
                ADVANCE(816);
            END_STATE();
        case 186:
            if(lookahead == '_')
                ADVANCE(731);
            END_STATE();
        case 187:
            if(lookahead == '_')
                ADVANCE(649);
            END_STATE();
        case 188:
            if(lookahead == '_')
                ADVANCE(766);
            END_STATE();
        case 189:
            if(lookahead == '_')
                ADVANCE(650);
            END_STATE();
        case 190:
            if(lookahead == '_')
                ADVANCE(651);
            END_STATE();
        case 191:
            if(lookahead == 'a')
                ADVANCE(535);
            END_STATE();
        case 192:
            if(lookahead == 'a')
                ADVANCE(535);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(819);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(756);
            END_STATE();
        case 193:
            if(lookahead == 'a')
                ADVANCE(260);
            END_STATE();
        case 194:
            if(lookahead == 'a')
                ADVANCE(321);
            END_STATE();
        case 195:
            if(lookahead == 'a')
                ADVANCE(488);
            END_STATE();
        case 196:
            if(lookahead == 'a')
                ADVANCE(461);
            END_STATE();
        case 197:
            if(lookahead == 'a')
                ADVANCE(357);
            END_STATE();
        case 198:
            if(lookahead == 'a')
                ADVANCE(490);
            END_STATE();
        case 199:
            if(lookahead == 'a')
                ADVANCE(462);
            END_STATE();
        case 200:
            if(lookahead == 'a')
                ADVANCE(359);
            END_STATE();
        case 201:
            if(lookahead == 'a')
                ADVANCE(359);
            if(lookahead == 'o')
                ADVANCE(333);
            END_STATE();
        case 202:
            if(lookahead == 'a')
                ADVANCE(563);
            END_STATE();
        case 203:
            if(lookahead == 'a')
                ADVANCE(388);
            END_STATE();
        case 204:
            if(lookahead == 'a')
                ADVANCE(349);
            END_STATE();
        case 205:
            if(lookahead == 'a')
                ADVANCE(467);
            END_STATE();
        case 206:
            if(lookahead == 'a')
                ADVANCE(514);
            END_STATE();
        case 207:
            if(lookahead == 'a')
                ADVANCE(401);
            END_STATE();
        case 208:
            if(lookahead == 'a')
                ADVANCE(401);
            if(lookahead == 'i')
                ADVANCE(469);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(831);
            END_STATE();
        case 209:
            if(lookahead == 'a')
                ADVANCE(545);
            END_STATE();
        case 210:
            if(lookahead == 'a')
                ADVANCE(542);
            END_STATE();
        case 211:
            if(lookahead == 'a')
                ADVANCE(243);
            END_STATE();
        case 212:
            if(lookahead == 'a')
                ADVANCE(382);
            END_STATE();
        case 213:
            if(lookahead == 'a')
                ADVANCE(241);
            END_STATE();
        case 214:
            if(lookahead == 'a')
                ADVANCE(507);
            END_STATE();
        case 215:
            if(lookahead == 'a')
                ADVANCE(350);
            END_STATE();
        case 216:
            if(lookahead == 'a')
                ADVANCE(555);
            END_STATE();
        case 217:
            if(lookahead == 'a')
                ADVANCE(347);
            if(lookahead == 'e')
                ADVANCE(193);
            END_STATE();
        case 218:
            if(lookahead == 'a')
                ADVANCE(228);
            END_STATE();
        case 219:
            if(lookahead == 'b')
                ADVANCE(354);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(656);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(829);
            END_STATE();
        case 220:
            if(lookahead == 'b')
                ADVANCE(508);
            END_STATE();
        case 221:
            if(lookahead == 'b')
                ADVANCE(508);
            if(lookahead == 'l')
                ADVANCE(332);
            END_STATE();
        case 222:
            ADVANCE_MAP(
                'b', 508,
                'l', 332,
                'n', 576,
                't', 532,
                'F', 830,
                'f', 830,
                'M', 696,
                'm', 696,
                'P', 786,
                'p', 786,
                'U', 826,
                'u', 826,
            );
            END_STATE();
        case 223:
            if(lookahead == 'b')
                ADVANCE(362);
            END_STATE();
        case 224:
            if(lookahead == 'b')
                ADVANCE(363);
            END_STATE();
        case 225:
            if(lookahead == 'b')
                ADVANCE(565);
            END_STATE();
        case 226:
            if(lookahead == 'b')
                ADVANCE(364);
            END_STATE();
        case 227:
            if(lookahead == 'b')
                ADVANCE(367);
            END_STATE();
        case 228:
            if(lookahead == 'b')
                ADVANCE(369);
            END_STATE();
        case 229:
            if(lookahead == 'c')
                ADVANCE(229);
            if(lookahead == 'i')
                ADVANCE(1113);
            END_STATE();
        case 230:
            if(lookahead == 'c')
                ADVANCE(324);
            if(lookahead == 's')
                ADVANCE(549);
            END_STATE();
        case 231:
            if(lookahead == 'c')
                ADVANCE(1180);
            if(lookahead == 's')
                ADVANCE(323);
            END_STATE();
        case 232:
            if(lookahead == 'c')
                ADVANCE(322);
            END_STATE();
        case 233:
            if(lookahead == 'c')
                ADVANCE(548);
            END_STATE();
        case 234:
            if(lookahead == 'c')
                ADVANCE(283);
            END_STATE();
        case 235:
            if(lookahead == 'c')
                ADVANCE(283);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(657);
            END_STATE();
        case 236:
            if(lookahead == 'c')
                ADVANCE(197);
            END_STATE();
        case 237:
            if(lookahead == 'c')
                ADVANCE(197);
            if(lookahead == 'n')
                ADVANCE(313);
            END_STATE();
        case 238:
            if(lookahead == 'c')
                ADVANCE(551);
            END_STATE();
        case 239:
            if(lookahead == 'c')
                ADVANCE(518);
            END_STATE();
        case 240:
            if(lookahead == 'c')
                ADVANCE(521);
            END_STATE();
        case 241:
            if(lookahead == 'c')
                ADVANCE(524);
            END_STATE();
        case 242:
            if(lookahead == 'c')
                ADVANCE(271);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(712);
            END_STATE();
        case 243:
            if(lookahead == 'c')
                ADVANCE(281);
            END_STATE();
        case 244:
            if(lookahead == 'c')
                ADVANCE(210);
            END_STATE();
        case 245:
            if(lookahead == 'c')
                ADVANCE(553);
            END_STATE();
        case 246:
            if(lookahead == 'd')
                ADVANCE(1000);
            if(lookahead == 'i')
                ADVANCE(1006);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 247:
            if(lookahead == 'd')
                ADVANCE(1034);
            END_STATE();
        case 248:
            if(lookahead == 'd')
                ADVANCE(901);
            END_STATE();
        case 249:
            if(lookahead == 'd')
                ADVANCE(1131);
            END_STATE();
        case 250:
            if(lookahead == 'd')
                ADVANCE(1194);
            END_STATE();
        case 251:
            if(lookahead == 'd')
                ADVANCE(1052);
            END_STATE();
        case 252:
            if(lookahead == 'd')
                ADVANCE(77);
            END_STATE();
        case 253:
            if(lookahead == 'd')
                ADVANCE(569);
            END_STATE();
        case 254:
            if(lookahead == 'd')
                ADVANCE(446);
            if(lookahead == 'l')
                ADVANCE(431);
            END_STATE();
        case 255:
            if(lookahead == 'd')
                ADVANCE(292);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(724);
            END_STATE();
        case 256:
            if(lookahead == 'd')
                ADVANCE(268);
            END_STATE();
        case 257:
            if(lookahead == 'd')
                ADVANCE(268);
            if(lookahead == 'i')
                ADVANCE(250);
            if(lookahead == 'n')
                ADVANCE(212);
            if(lookahead == 'p')
                ADVANCE(480);
            END_STATE();
        case 258:
            if(lookahead == 'd')
                ADVANCE(268);
            if(lookahead == 'i')
                ADVANCE(250);
            if(lookahead == 'p')
                ADVANCE(480);
            END_STATE();
        case 259:
            if(lookahead == 'd')
                ADVANCE(290);
            END_STATE();
        case 260:
            if(lookahead == 'd')
                ADVANCE(428);
            END_STATE();
        case 261:
            if(lookahead == 'e')
                ADVANCE(1192);
            END_STATE();
        case 262:
            if(lookahead == 'e')
                ADVANCE(1211);
            END_STATE();
        case 263:
            if(lookahead == 'e')
                ADVANCE(257);
            END_STATE();
        case 264:
            if(lookahead == 'e')
                ADVANCE(575);
            END_STATE();
        case 265:
            if(lookahead == 'e')
                ADVANCE(918);
            END_STATE();
        case 266:
            if(lookahead == 'e')
                ADVANCE(1158);
            END_STATE();
        case 267:
            if(lookahead == 'e')
                ADVANCE(1223);
            END_STATE();
        case 268:
            if(lookahead == 'e')
                ADVANCE(308);
            END_STATE();
        case 269:
            if(lookahead == 'e')
                ADVANCE(1182);
            END_STATE();
        case 270:
            if(lookahead == 'e')
                ADVANCE(1209);
            END_STATE();
        case 271:
            if(lookahead == 'e')
                ADVANCE(936);
            END_STATE();
        case 272:
            if(lookahead == 'e')
                ADVANCE(1159);
            END_STATE();
        case 273:
            if(lookahead == 'e')
                ADVANCE(1204);
            END_STATE();
        case 274:
            if(lookahead == 'e')
                ADVANCE(1046);
            END_STATE();
        case 275:
            if(lookahead == 'e')
                ADVANCE(1163);
            END_STATE();
        case 276:
            if(lookahead == 'e')
                ADVANCE(1161);
            END_STATE();
        case 277:
            if(lookahead == 'e')
                ADVANCE(920);
            END_STATE();
        case 278:
            if(lookahead == 'e')
                ADVANCE(1176);
            END_STATE();
        case 279:
            if(lookahead == 'e')
                ADVANCE(258);
            END_STATE();
        case 280:
            if(lookahead == 'e')
                ADVANCE(1219);
            END_STATE();
        case 281:
            if(lookahead == 'e')
                ADVANCE(1029);
            END_STATE();
        case 282:
            if(lookahead == 'e')
                ADVANCE(310);
            END_STATE();
        case 283:
            if(lookahead == 'e')
                ADVANCE(454);
            END_STATE();
        case 284:
            if(lookahead == 'e')
                ADVANCE(248);
            END_STATE();
        case 285:
            if(lookahead == 'e')
                ADVANCE(360);
            END_STATE();
        case 286:
            if(lookahead == 'e')
                ADVANCE(491);
            END_STATE();
        case 287:
            if(lookahead == 'e')
                ADVANCE(579);
            END_STATE();
        case 288:
            if(lookahead == 'e')
                ADVANCE(492);
            END_STATE();
        case 289:
            if(lookahead == 'e')
                ADVANCE(493);
            END_STATE();
        case 290:
            if(lookahead == 'e')
                ADVANCE(494);
            END_STATE();
        case 291:
            if(lookahead == 'e')
                ADVANCE(252);
            END_STATE();
        case 292:
            if(lookahead == 'e')
                ADVANCE(463);
            END_STATE();
        case 293:
            if(lookahead == 'e')
                ADVANCE(203);
            END_STATE();
        case 294:
            if(lookahead == 'e')
                ADVANCE(496);
            END_STATE();
        case 295:
            if(lookahead == 'e')
                ADVANCE(497);
            END_STATE();
        case 296:
            if(lookahead == 'e')
                ADVANCE(498);
            END_STATE();
        case 297:
            if(lookahead == 'e')
                ADVANCE(516);
            END_STATE();
        case 298:
            if(lookahead == 'e')
                ADVANCE(466);
            END_STATE();
        case 299:
            if(lookahead == 'e')
                ADVANCE(519);
            END_STATE();
        case 300:
            if(lookahead == 'e')
                ADVANCE(536);
            END_STATE();
        case 301:
            if(lookahead == 'e')
                ADVANCE(239);
            END_STATE();
        case 302:
            if(lookahead == 'e')
                ADVANCE(407);
            END_STATE();
        case 303:
            if(lookahead == 'e')
                ADVANCE(312);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(808);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(809);
            END_STATE();
        case 304:
            if(lookahead == 'e')
                ADVANCE(256);
            END_STATE();
        case 305:
            if(lookahead == 'e')
                ADVANCE(409);
            END_STATE();
        case 306:
            if(lookahead == 'e')
                ADVANCE(554);
            END_STATE();
        case 307:
            if(lookahead == 'e')
                ADVANCE(245);
            END_STATE();
        case 308:
            if(lookahead == 'f')
                ADVANCE(1186);
            END_STATE();
        case 309:
            if(lookahead == 'f')
                ADVANCE(343);
            END_STATE();
        case 310:
            if(lookahead == 'f')
                ADVANCE(331);
            END_STATE();
        case 311:
            if(lookahead == 'f')
                ADVANCE(211);
            END_STATE();
        case 312:
            if(lookahead == 'f')
                ADVANCE(202);
            END_STATE();
        case 313:
            if(lookahead == 'g')
                ADVANCE(888);
            END_STATE();
        case 314:
            if(lookahead == 'g')
                ADVANCE(926);
            END_STATE();
        case 315:
            if(lookahead == 'g')
                ADVANCE(931);
            END_STATE();
        case 316:
            if(lookahead == 'g')
                ADVANCE(894);
            END_STATE();
        case 317:
            if(lookahead == 'g')
                ADVANCE(910);
            END_STATE();
        case 318:
            if(lookahead == 'g')
                ADVANCE(913);
            END_STATE();
        case 319:
            if(lookahead == 'g')
                ADVANCE(890);
            END_STATE();
        case 320:
            if(lookahead == 'g')
                ADVANCE(408);
            END_STATE();
        case 321:
            if(lookahead == 'g')
                ADVANCE(288);
            END_STATE();
        case 322:
            if(lookahead == 'h')
                ADVANCE(1190);
            END_STATE();
        case 323:
            if(lookahead == 'h')
                ADVANCE(295);
            END_STATE();
        case 324:
            if(lookahead == 'h')
                ADVANCE(199);
            END_STATE();
        case 325:
            if(lookahead == 'h')
                ADVANCE(443);
            END_STATE();
        case 326:
            if(lookahead == 'i')
                ADVANCE(1006);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 327:
            if(lookahead == 'i')
                ADVANCE(386);
            if(lookahead == 'o')
                ADVANCE(573);
            END_STATE();
        case 328:
            if(lookahead == 'i')
                ADVANCE(231);
            END_STATE();
        case 329:
            if(lookahead == 'i')
                ADVANCE(225);
            END_STATE();
        case 330:
            if(lookahead == 'i')
                ADVANCE(572);
            END_STATE();
        case 331:
            if(lookahead == 'i')
                ADVANCE(574);
            END_STATE();
        case 332:
            if(lookahead == 'i')
                ADVANCE(195);
            END_STATE();
        case 333:
            if(lookahead == 'i')
                ADVANCE(247);
            END_STATE();
        case 334:
            if(lookahead == 'i')
                ADVANCE(320);
            END_STATE();
        case 335:
            if(lookahead == 'i')
                ADVANCE(385);
            END_STATE();
        case 336:
            if(lookahead == 'i')
                ADVANCE(385);
            if(lookahead == 'o')
                ADVANCE(573);
            END_STATE();
        case 337:
            if(lookahead == 'i')
                ADVANCE(397);
            if(lookahead == 'u')
                ADVANCE(240);
            END_STATE();
        case 338:
            if(lookahead == 'i')
                ADVANCE(455);
            END_STATE();
        case 339:
            if(lookahead == 'i')
                ADVANCE(534);
            END_STATE();
        case 340:
            if(lookahead == 'i')
                ADVANCE(259);
            END_STATE();
        case 341:
            if(lookahead == 'i')
                ADVANCE(531);
            END_STATE();
        case 342:
            if(lookahead == 'i')
                ADVANCE(400);
            END_STATE();
        case 343:
            if(lookahead == 'i')
                ADVANCE(285);
            END_STATE();
        case 344:
            if(lookahead == 'i')
                ADVANCE(499);
            END_STATE();
        case 345:
            if(lookahead == 'i')
                ADVANCE(528);
            END_STATE();
        case 346:
            if(lookahead == 'i')
                ADVANCE(550);
            if(lookahead == 'o')
                ADVANCE(420);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(690);
            END_STATE();
        case 347:
            if(lookahead == 'i')
                ADVANCE(504);
            END_STATE();
        case 348:
            if(lookahead == 'i')
                ADVANCE(504);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(693);
            END_STATE();
        case 349:
            if(lookahead == 'i')
                ADVANCE(505);
            END_STATE();
        case 350:
            if(lookahead == 'i')
                ADVANCE(506);
            END_STATE();
        case 351:
            if(lookahead == 'i')
                ADVANCE(432);
            END_STATE();
        case 352:
            if(lookahead == 'i')
                ADVANCE(434);
            END_STATE();
        case 353:
            if(lookahead == 'i')
                ADVANCE(424);
            END_STATE();
        case 354:
            if(lookahead == 'j')
                ADVANCE(301);
            END_STATE();
        case 355:
            if(lookahead == 'k')
                ADVANCE(1053);
            END_STATE();
        case 356:
            if(lookahead == 'k')
                ADVANCE(287);
            END_STATE();
        case 357:
            if(lookahead == 'l')
                ADVANCE(1026);
            END_STATE();
        case 358:
            if(lookahead == 'l')
                ADVANCE(578);
            END_STATE();
        case 359:
            if(lookahead == 'l')
                ADVANCE(570);
            END_STATE();
        case 360:
            if(lookahead == 'l')
                ADVANCE(251);
            END_STATE();
        case 361:
            if(lookahead == 'l')
                ADVANCE(293);
            END_STATE();
        case 362:
            if(lookahead == 'l')
                ADVANCE(328);
            END_STATE();
        case 363:
            if(lookahead == 'l')
                ADVANCE(265);
            END_STATE();
        case 364:
            if(lookahead == 'l')
                ADVANCE(344);
            END_STATE();
        case 365:
            if(lookahead == 'l')
                ADVANCE(266);
            END_STATE();
        case 366:
            if(lookahead == 'l')
                ADVANCE(270);
            END_STATE();
        case 367:
            if(lookahead == 'l')
                ADVANCE(277);
            END_STATE();
        case 368:
            if(lookahead == 'l')
                ADVANCE(523);
            END_STATE();
        case 369:
            if(lookahead == 'l')
                ADVANCE(278);
            END_STATE();
        case 370:
            if(lookahead == 'l')
                ADVANCE(538);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(833);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(594);
            END_STATE();
        case 371:
            if(lookahead == 'l')
                ADVANCE(431);
            END_STATE();
        case 372:
            if(lookahead == 'l')
                ADVANCE(435);
            if(lookahead == 's')
                ADVANCE(325);
            END_STATE();
        case 373:
            if(lookahead == 'l')
                ADVANCE(436);
            END_STATE();
        case 374:
            if(lookahead == 'm')
                ADVANCE(456);
            if(lookahead == 'n')
                ADVANCE(1037);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1063);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(769);
            END_STATE();
        case 375:
            if(lookahead == 'm')
                ADVANCE(456);
            if(lookahead == 'n')
                ADVANCE(547);
            END_STATE();
        case 376:
            if(lookahead == 'm')
                ADVANCE(1169);
            END_STATE();
        case 377:
            if(lookahead == 'm')
                ADVANCE(1174);
            END_STATE();
        case 378:
            if(lookahead == 'm')
                ADVANCE(339);
            if(lookahead == 'v')
                ADVANCE(302);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(643);
            END_STATE();
        case 379:
            if(lookahead == 'm')
                ADVANCE(262);
            END_STATE();
        case 380:
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 's')
                ADVANCE(299);
            END_STATE();
        case 381:
            if(lookahead == 'm')
                ADVANCE(289);
            END_STATE();
        case 382:
            if(lookahead == 'm')
                ADVANCE(272);
            END_STATE();
        case 383:
            if(lookahead == 'm')
                ADVANCE(447);
            if(lookahead == 'n')
                ADVANCE(412);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(619);
            END_STATE();
        case 384:
            if(lookahead == 'm')
                ADVANCE(447);
            if(lookahead == 'n')
                ADVANCE(413);
            END_STATE();
        case 385:
            if(lookahead == 'm')
                ADVANCE(205);
            END_STATE();
        case 386:
            if(lookahead == 'm')
                ADVANCE(205);
            if(lookahead == 'v')
                ADVANCE(209);
            END_STATE();
        case 387:
            if(lookahead == 'n')
                ADVANCE(1167);
            END_STATE();
        case 388:
            if(lookahead == 'n')
                ADVANCE(899);
            END_STATE();
        case 389:
            if(lookahead == 'n')
                ADVANCE(1022);
            END_STATE();
        case 390:
            if(lookahead == 'n')
                ADVANCE(1055);
            END_STATE();
        case 391:
            if(lookahead == 'n')
                ADVANCE(503);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(619);
            END_STATE();
        case 392:
            if(lookahead == 'n')
                ADVANCE(1036);
            END_STATE();
        case 393:
            if(lookahead == 'n')
                ADVANCE(398);
            END_STATE();
        case 394:
            if(lookahead == 'n')
                ADVANCE(244);
            END_STATE();
        case 395:
            if(lookahead == 'n')
                ADVANCE(559);
            END_STATE();
        case 396:
            if(lookahead == 'n')
                ADVANCE(559);
            if(lookahead == 'v')
                ADVANCE(302);
            if(lookahead == 'x')
                ADVANCE(234);
            END_STATE();
        case 397:
            if(lookahead == 'n')
                ADVANCE(314);
            END_STATE();
        case 398:
            if(lookahead == 'n')
                ADVANCE(437);
            END_STATE();
        case 399:
            if(lookahead == 'n')
                ADVANCE(358);
            END_STATE();
        case 400:
            if(lookahead == 'n')
                ADVANCE(315);
            END_STATE();
        case 401:
            if(lookahead == 'n')
                ADVANCE(194);
            END_STATE();
        case 402:
            if(lookahead == 'n')
                ADVANCE(194);
            if(lookahead == 'p')
                ADVANCE(938);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1097);
            END_STATE();
        case 403:
            if(lookahead == 'n')
                ADVANCE(316);
            END_STATE();
        case 404:
            if(lookahead == 'n')
                ADVANCE(317);
            END_STATE();
        case 405:
            if(lookahead == 'n')
                ADVANCE(318);
            END_STATE();
        case 406:
            if(lookahead == 'n')
                ADVANCE(533);
            END_STATE();
        case 407:
            if(lookahead == 'n')
                ADVANCE(544);
            END_STATE();
        case 408:
            if(lookahead == 'n')
                ADVANCE(291);
            END_STATE();
        case 409:
            if(lookahead == 'n')
                ADVANCE(525);
            END_STATE();
        case 410:
            if(lookahead == 'n')
                ADVANCE(529);
            END_STATE();
        case 411:
            if(lookahead == 'n')
                ADVANCE(319);
            END_STATE();
        case 412:
            if(lookahead == 'n')
                ADVANCE(307);
            if(lookahead == 's')
                ADVANCE(513);
            if(lookahead == 't')
                ADVANCE(264);
            END_STATE();
        case 413:
            if(lookahead == 'n')
                ADVANCE(307);
            if(lookahead == 's')
                ADVANCE(512);
            END_STATE();
        case 414:
            if(lookahead == 'n')
                ADVANCE(547);
            END_STATE();
        case 415:
            if(lookahead == 'n')
                ADVANCE(305);
            END_STATE();
        case 416:
            if(lookahead == 'n')
                ADVANCE(353);
            END_STATE();
        case 417:
            if(lookahead == 'o')
                ADVANCE(379);
            END_STATE();
        case 418:
            if(lookahead == 'o')
                ADVANCE(237);
            END_STATE();
        case 419:
            if(lookahead == 'o')
                ADVANCE(253);
            END_STATE();
        case 420:
            if(lookahead == 'o')
                ADVANCE(361);
            END_STATE();
        case 421:
            if(lookahead == 'o')
                ADVANCE(384);
            if(lookahead == 'u')
                ADVANCE(502);
            END_STATE();
        case 422:
            if(lookahead == 'o')
                ADVANCE(377);
            END_STATE();
        case 423:
            if(lookahead == 'o')
                ADVANCE(206);
            END_STATE();
        case 424:
            if(lookahead == 'o')
                ADVANCE(387);
            END_STATE();
        case 425:
            if(lookahead == 'o')
                ADVANCE(387);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1099);
            END_STATE();
        case 426:
            if(lookahead == 'o')
                ADVANCE(478);
            END_STATE();
        case 427:
            if(lookahead == 'o')
                ADVANCE(415);
            END_STATE();
        case 428:
            if(lookahead == 'o')
                ADVANCE(399);
            END_STATE();
        case 429:
            if(lookahead == 'o')
                ADVANCE(465);
            END_STATE();
        case 430:
            if(lookahead == 'o')
                ADVANCE(487);
            END_STATE();
        case 431:
            if(lookahead == 'o')
                ADVANCE(403);
            END_STATE();
        case 432:
            if(lookahead == 'o')
                ADVANCE(389);
            END_STATE();
        case 433:
            if(lookahead == 'o')
                ADVANCE(464);
            END_STATE();
        case 434:
            if(lookahead == 'o')
                ADVANCE(390);
            END_STATE();
        case 435:
            if(lookahead == 'o')
                ADVANCE(404);
            END_STATE();
        case 436:
            if(lookahead == 'o')
                ADVANCE(405);
            END_STATE();
        case 437:
            if(lookahead == 'o')
                ADVANCE(541);
            END_STATE();
        case 438:
            if(lookahead == 'o')
                ADVANCE(411);
            END_STATE();
        case 439:
            if(lookahead == 'o')
                ADVANCE(236);
            END_STATE();
        case 440:
            if(lookahead == 'o')
                ADVANCE(479);
            END_STATE();
        case 441:
            if(lookahead == 'o')
                ADVANCE(481);
            END_STATE();
        case 442:
            if(lookahead == 'o')
                ADVANCE(482);
            END_STATE();
        case 443:
            if(lookahead == 'o')
                ADVANCE(483);
            END_STATE();
        case 444:
            if(lookahead == 'o')
                ADVANCE(486);
            END_STATE();
        case 445:
            if(lookahead == 'o')
                ADVANCE(472);
            if(lookahead == 'r')
                ADVANCE(336);
            if(lookahead == 'u')
                ADVANCE(226);
            END_STATE();
        case 446:
            if(lookahead == 'o')
                ADVANCE(571);
            END_STATE();
        case 447:
            if(lookahead == 'p')
                ADVANCE(427);
            END_STATE();
        case 448:
            if(lookahead == 'p')
                ADVANCE(263);
            END_STATE();
        case 449:
            if(lookahead == 'p')
                ADVANCE(275);
            END_STATE();
        case 450:
            if(lookahead == 'p')
                ADVANCE(276);
            END_STATE();
        case 451:
            if(lookahead == 'p')
                ADVANCE(279);
            END_STATE();
        case 452:
            if(lookahead == 'p')
                ADVANCE(280);
            END_STATE();
        case 453:
            if(lookahead == 'p')
                ADVANCE(304);
            END_STATE();
        case 454:
            if(lookahead == 'p')
                ADVANCE(540);
            END_STATE();
        case 455:
            if(lookahead == 'p')
                ADVANCE(366);
            END_STATE();
        case 456:
            if(lookahead == 'p')
                ADVANCE(440);
            END_STATE();
        case 457:
            if(lookahead == 'p')
                ADVANCE(441);
            END_STATE();
        case 458:
            if(lookahead == 'p')
                ADVANCE(442);
            END_STATE();
        case 459:
            if(lookahead == 'p')
                ADVANCE(457);
            END_STATE();
        case 460:
            if(lookahead == 'r')
                ADVANCE(337);
            END_STATE();
        case 461:
            if(lookahead == 'r')
                ADVANCE(921);
            END_STATE();
        case 462:
            if(lookahead == 'r')
                ADVANCE(923);
            END_STATE();
        case 463:
            if(lookahead == 'r')
                ADVANCE(1217);
            END_STATE();
        case 464:
            if(lookahead == 'r')
                ADVANCE(1222);
            END_STATE();
        case 465:
            if(lookahead == 'r')
                ADVANCE(577);
            END_STATE();
        case 466:
            if(lookahead == 'r')
                ADVANCE(311);
            END_STATE();
        case 467:
            if(lookahead == 'r')
                ADVANCE(580);
            END_STATE();
        case 468:
            if(lookahead == 'r')
                ADVANCE(568);
            END_STATE();
        case 469:
            if(lookahead == 'r')
                ADVANCE(484);
            END_STATE();
        case 470:
            if(lookahead == 'r')
                ADVANCE(484);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1095);
            END_STATE();
        case 471:
            if(lookahead == 'r')
                ADVANCE(329);
            END_STATE();
        case 472:
            if(lookahead == 'r')
                ADVANCE(511);
            END_STATE();
        case 473:
            if(lookahead == 'r')
                ADVANCE(511);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(708);
            END_STATE();
        case 474:
            if(lookahead == 'r')
                ADVANCE(204);
            END_STATE();
        case 475:
            if(lookahead == 'r')
                ADVANCE(213);
            END_STATE();
        case 476:
            if(lookahead == 'r')
                ADVANCE(342);
            END_STATE();
        case 477:
            if(lookahead == 'r')
                ADVANCE(335);
            END_STATE();
        case 478:
            if(lookahead == 'r')
                ADVANCE(517);
            END_STATE();
        case 479:
            if(lookahead == 'r')
                ADVANCE(520);
            END_STATE();
        case 480:
            if(lookahead == 'r')
                ADVANCE(282);
            END_STATE();
        case 481:
            if(lookahead == 'r')
                ADVANCE(539);
            END_STATE();
        case 482:
            if(lookahead == 'r')
                ADVANCE(526);
            END_STATE();
        case 483:
            if(lookahead == 'r')
                ADVANCE(527);
            END_STATE();
        case 484:
            if(lookahead == 'r')
                ADVANCE(430);
            END_STATE();
        case 485:
            if(lookahead == 'r')
                ADVANCE(215);
            END_STATE();
        case 486:
            if(lookahead == 'r')
                ADVANCE(556);
            END_STATE();
        case 487:
            if(lookahead == 'r')
                ADVANCE(458);
            END_STATE();
        case 488:
            if(lookahead == 's')
                ADVANCE(1173);
            END_STATE();
        case 489:
            if(lookahead == 's')
                ADVANCE(1213);
            END_STATE();
        case 490:
            if(lookahead == 's')
                ADVANCE(355);
            END_STATE();
        case 491:
            if(lookahead == 's')
                ADVANCE(1043);
            END_STATE();
        case 492:
            if(lookahead == 's')
                ADVANCE(1212);
            END_STATE();
        case 493:
            if(lookahead == 's')
                ADVANCE(1215);
            END_STATE();
        case 494:
            if(lookahead == 's')
                ADVANCE(1207);
            END_STATE();
        case 495:
            if(lookahead == 's')
                ADVANCE(1178);
            END_STATE();
        case 496:
            if(lookahead == 's')
                ADVANCE(1048);
            END_STATE();
        case 497:
            if(lookahead == 's')
                ADVANCE(1214);
            END_STATE();
        case 498:
            if(lookahead == 's')
                ADVANCE(1049);
            END_STATE();
        case 499:
            if(lookahead == 's')
                ADVANCE(323);
            END_STATE();
        case 500:
            if(lookahead == 's')
                ADVANCE(261);
            END_STATE();
        case 501:
            if(lookahead == 's')
                ADVANCE(334);
            END_STATE();
        case 502:
            if(lookahead == 's')
                ADVANCE(537);
            END_STATE();
        case 503:
            if(lookahead == 's')
                ADVANCE(566);
            if(lookahead == 't')
                ADVANCE(264);
            END_STATE();
        case 504:
            if(lookahead == 's')
                ADVANCE(286);
            END_STATE();
        case 505:
            if(lookahead == 's')
                ADVANCE(294);
            END_STATE();
        case 506:
            if(lookahead == 's')
                ADVANCE(296);
            END_STATE();
        case 507:
            if(lookahead == 's')
                ADVANCE(273);
            END_STATE();
        case 508:
            if(lookahead == 's')
                ADVANCE(552);
            END_STATE();
        case 509:
            if(lookahead == 't')
                ADVANCE(532);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(830);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(786);
            END_STATE();
        case 510:
            if(lookahead == 't')
                ADVANCE(1039);
            END_STATE();
        case 511:
            if(lookahead == 't')
                ADVANCE(1220);
            END_STATE();
        case 512:
            if(lookahead == 't')
                ADVANCE(1171);
            END_STATE();
        case 513:
            if(lookahead == 't')
                ADVANCE(1171);
            if(lookahead == 'u')
                ADVANCE(381);
            END_STATE();
        case 514:
            if(lookahead == 't')
                ADVANCE(916);
            END_STATE();
        case 515:
            if(lookahead == 't')
                ADVANCE(1041);
            END_STATE();
        case 516:
            if(lookahead == 't')
                ADVANCE(903);
            END_STATE();
        case 517:
            if(lookahead == 't')
                ADVANCE(884);
            END_STATE();
        case 518:
            if(lookahead == 't')
                ADVANCE(1199);
            END_STATE();
        case 519:
            if(lookahead == 't')
                ADVANCE(1050);
            END_STATE();
        case 520:
            if(lookahead == 't')
                ADVANCE(1197);
            END_STATE();
        case 521:
            if(lookahead == 't')
                ADVANCE(1165);
            END_STATE();
        case 522:
            if(lookahead == 't')
                ADVANCE(1203);
            END_STATE();
        case 523:
            if(lookahead == 't')
                ADVANCE(1056);
            END_STATE();
        case 524:
            if(lookahead == 't')
                ADVANCE(1027);
            END_STATE();
        case 525:
            if(lookahead == 't')
                ADVANCE(1206);
            END_STATE();
        case 526:
            if(lookahead == 't')
                ADVANCE(1221);
            END_STATE();
        case 527:
            if(lookahead == 't')
                ADVANCE(907);
            END_STATE();
        case 528:
            if(lookahead == 't')
                ADVANCE(380);
            END_STATE();
        case 529:
            if(lookahead == 't')
                ADVANCE(118);
            END_STATE();
        case 530:
            if(lookahead == 't')
                ADVANCE(581);
            END_STATE();
        case 531:
            if(lookahead == 't')
                ADVANCE(232);
            END_STATE();
        case 532:
            if(lookahead == 't')
                ADVANCE(471);
            END_STATE();
        case 533:
            if(lookahead == 't')
                ADVANCE(119);
            END_STATE();
        case 534:
            if(lookahead == 't')
                ADVANCE(489);
            END_STATE();
        case 535:
            if(lookahead == 't')
                ADVANCE(330);
            END_STATE();
        case 536:
            if(lookahead == 't')
                ADVANCE(474);
            END_STATE();
        case 537:
            if(lookahead == 't')
                ADVANCE(422);
            END_STATE();
        case 538:
            if(lookahead == 't')
                ADVANCE(338);
            END_STATE();
        case 539:
            if(lookahead == 't')
                ADVANCE(495);
            END_STATE();
        case 540:
            if(lookahead == 't')
                ADVANCE(351);
            END_STATE();
        case 541:
            if(lookahead == 't')
                ADVANCE(216);
            END_STATE();
        case 542:
            if(lookahead == 't')
                ADVANCE(218);
            END_STATE();
        case 543:
            if(lookahead == 't')
                ADVANCE(468);
            END_STATE();
        case 544:
            if(lookahead == 't')
                ADVANCE(530);
            END_STATE();
        case 545:
            if(lookahead == 't')
                ADVANCE(269);
            END_STATE();
        case 546:
            if(lookahead == 't')
                ADVANCE(274);
            END_STATE();
        case 547:
            if(lookahead == 't')
                ADVANCE(298);
            END_STATE();
        case 548:
            if(lookahead == 't')
                ADVANCE(297);
            END_STATE();
        case 549:
            if(lookahead == 't')
                ADVANCE(476);
            END_STATE();
        case 550:
            if(lookahead == 't')
                ADVANCE(309);
            END_STATE();
        case 551:
            if(lookahead == 't')
                ADVANCE(429);
            END_STATE();
        case 552:
            if(lookahead == 't')
                ADVANCE(475);
            END_STATE();
        case 553:
            if(lookahead == 't')
                ADVANCE(433);
            END_STATE();
        case 554:
            if(lookahead == 't')
                ADVANCE(582);
            END_STATE();
        case 555:
            if(lookahead == 't')
                ADVANCE(352);
            END_STATE();
        case 556:
            if(lookahead == 't')
                ADVANCE(557);
            END_STATE();
        case 557:
            if(lookahead == 't')
                ADVANCE(584);
            END_STATE();
        case 558:
            if(lookahead == 't')
                ADVANCE(485);
            if(lookahead == 'Q' ||
               lookahead == 'q')
                ADVANCE(854);
            END_STATE();
        case 559:
            if(lookahead == 'u')
                ADVANCE(376);
            END_STATE();
        case 560:
            if(lookahead == 'u')
                ADVANCE(376);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(177);
            END_STATE();
        case 561:
            if(lookahead == 'u')
                ADVANCE(459);
            END_STATE();
        case 562:
            if(lookahead == 'u')
                ADVANCE(394);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(743);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(180);
            END_STATE();
        case 563:
            if(lookahead == 'u')
                ADVANCE(368);
            END_STATE();
        case 564:
            if(lookahead == 'u')
                ADVANCE(515);
            END_STATE();
        case 565:
            if(lookahead == 'u')
                ADVANCE(546);
            END_STATE();
        case 566:
            if(lookahead == 'u')
                ADVANCE(381);
            END_STATE();
        case 567:
            if(lookahead == 'u')
                ADVANCE(224);
            END_STATE();
        case 568:
            if(lookahead == 'u')
                ADVANCE(240);
            END_STATE();
        case 569:
            if(lookahead == 'u')
                ADVANCE(365);
            END_STATE();
        case 570:
            if(lookahead == 'u')
                ADVANCE(306);
            END_STATE();
        case 571:
            if(lookahead == 'u')
                ADVANCE(227);
            END_STATE();
        case 572:
            if(lookahead == 'v')
                ADVANCE(267);
            END_STATE();
        case 573:
            if(lookahead == 'v')
                ADVANCE(340);
            END_STATE();
        case 574:
            if(lookahead == 'x')
                ADVANCE(1196);
            END_STATE();
        case 575:
            if(lookahead == 'x')
                ADVANCE(522);
            END_STATE();
        case 576:
            if(lookahead == 'y')
                ADVANCE(933);
            END_STATE();
        case 577:
            if(lookahead == 'y')
                ADVANCE(1184);
            END_STATE();
        case 578:
            if(lookahead == 'y')
                ADVANCE(1044);
            END_STATE();
        case 579:
            if(lookahead == 'y')
                ADVANCE(1216);
            END_STATE();
        case 580:
            if(lookahead == 'y')
                ADVANCE(356);
            END_STATE();
        case 581:
            if(lookahead == 'y')
                ADVANCE(449);
            END_STATE();
        case 582:
            if(lookahead == 'y')
                ADVANCE(450);
            END_STATE();
        case 583:
            if(lookahead == 'y')
                ADVANCE(451);
            END_STATE();
        case 584:
            if(lookahead == 'y')
                ADVANCE(452);
            END_STATE();
        case 585:
            if(lookahead == 'y')
                ADVANCE(453);
            END_STATE();
        case 586:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(858);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(747);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(813);
            END_STATE();
        case 587:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(856);
            END_STATE();
        case 588:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1114);
            END_STATE();
        case 589:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1124);
            END_STATE();
        case 590:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(860);
            END_STATE();
        case 591:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(847);
            END_STATE();
        case 592:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(810);
            END_STATE();
        case 593:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(724);
            END_STATE();
        case 594:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(618);
            END_STATE();
        case 595:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(745);
            END_STATE();
        case 596:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(748);
            END_STATE();
        case 597:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(793);
            END_STATE();
        case 598:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(184);
            END_STATE();
        case 599:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(725);
            END_STATE();
        case 600:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(803);
            END_STATE();
        case 601:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(726);
            END_STATE();
        case 602:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(727);
            END_STATE();
        case 603:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(729);
            END_STATE();
        case 604:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(762);
            END_STATE();
        case 605:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(837);
            END_STATE();
        case 606:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(734);
            END_STATE();
        case 607:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(853);
            END_STATE();
        case 608:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(622);
            END_STATE();
        case 609:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(841);
            END_STATE();
        case 610:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(842);
            END_STATE();
        case 611:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(843);
            END_STATE();
        case 612:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(844);
            END_STATE();
        case 613:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(845);
            END_STATE();
        case 614:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(805);
            END_STATE();
        case 615:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(806);
            END_STATE();
        case 616:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(807);
            END_STATE();
        case 617:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(782);
            END_STATE();
        case 618:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(733);
            END_STATE();
        case 619:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(589);
            END_STATE();
        case 620:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(605);
            END_STATE();
        case 621:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(709);
            END_STATE();
        case 622:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(736);
            END_STATE();
        case 623:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1156);
            END_STATE();
        case 624:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(642);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(723);
            END_STATE();
        case 625:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(775);
            END_STATE();
        case 626:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(732);
            END_STATE();
        case 627:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(597);
            END_STATE();
        case 628:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(825);
            END_STATE();
        case 629:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(661);
            END_STATE();
        case 630:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(740);
            END_STATE();
        case 631:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(741);
            END_STATE();
        case 632:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(742);
            END_STATE();
        case 633:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(808);
            END_STATE();
        case 634:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(808);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(809);
            END_STATE();
        case 635:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1063);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(769);
            END_STATE();
        case 636:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1065);
            END_STATE();
        case 637:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1105);
            END_STATE();
        case 638:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1138);
            END_STATE();
        case 639:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1101);
            END_STATE();
        case 640:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1144);
            END_STATE();
        case 641:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1088);
            END_STATE();
        case 642:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(791);
            END_STATE();
        case 643:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(177);
            END_STATE();
        case 644:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(670);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(713);
            END_STATE();
        case 645:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(682);
            END_STATE();
        case 646:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(722);
            END_STATE();
        case 647:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(676);
            END_STATE();
        case 648:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(608);
            END_STATE();
        case 649:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(683);
            END_STATE();
        case 650:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(684);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(717);
            END_STATE();
        case 651:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(685);
            END_STATE();
        case 652:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(690);
            END_STATE();
        case 653:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(690);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(821);
            END_STATE();
        case 654:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(789);
            END_STATE();
        case 655:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(859);
            END_STATE();
        case 656:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(857);
            END_STATE();
        case 657:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(759);
            END_STATE();
        case 658:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1093);
            END_STATE();
        case 659:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1074);
            END_STATE();
        case 660:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1082);
            END_STATE();
        case 661:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1122);
            END_STATE();
        case 662:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1121);
            END_STATE();
        case 663:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1081);
            END_STATE();
        case 664:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1116);
            END_STATE();
        case 665:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(788);
            END_STATE();
        case 666:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(787);
            END_STATE();
        case 667:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(801);
            END_STATE();
        case 668:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(819);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(756);
            END_STATE();
        case 669:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(181);
            END_STATE();
        case 670:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(626);
            END_STATE();
        case 671:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(637);
            END_STATE();
        case 672:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(757);
            END_STATE();
        case 673:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(794);
            END_STATE();
        case 674:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(768);
            END_STATE();
        case 675:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(186);
            END_STATE();
        case 676:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(802);
            END_STATE();
        case 677:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(820);
            END_STATE();
        case 678:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(640);
            END_STATE();
        case 679:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(811);
            END_STATE();
        case 680:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(765);
            END_STATE();
        case 681:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(797);
            END_STATE();
        case 682:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(692);
            END_STATE();
        case 683:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(630);
            END_STATE();
        case 684:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(631);
            END_STATE();
        case 685:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(632);
            END_STATE();
        case 686:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(190);
            END_STATE();
        case 687:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(830);
            END_STATE();
        case 688:
            ADVANCE_MAP(
                'F', 830,
                'f', 830,
                'M', 696,
                'm', 696,
                'P', 786,
                'p', 786,
                'U', 826,
                'u', 826,
            );
            END_STATE();
        case 689:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(830);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(786);
            END_STATE();
        case 690:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(772);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(707);
            END_STATE();
        case 691:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(591);
            END_STATE();
        case 692:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(607);
            END_STATE();
        case 693:
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(658);
            END_STATE();
        case 694:
            if(lookahead == 'H' ||
               lookahead == 'h')
                ADVANCE(1068);
            END_STATE();
        case 695:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(758);
            END_STATE();
        case 696:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1129);
            END_STATE();
        case 697:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(743);
            END_STATE();
        case 698:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(743);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(180);
            END_STATE();
        case 699:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(862);
            END_STATE();
        case 700:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(744);
            END_STATE();
        case 701:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(623);
            END_STATE();
        case 702:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(784);
            END_STATE();
        case 703:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(621);
            END_STATE();
        case 704:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(629);
            END_STATE();
        case 705:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(636);
            END_STATE();
        case 706:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(822);
            END_STATE();
        case 707:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(770);
            END_STATE();
        case 708:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(835);
            END_STATE();
        case 709:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(739);
            END_STATE();
        case 710:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(827);
            END_STATE();
        case 711:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(606);
            END_STATE();
        case 712:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(602);
            END_STATE();
        case 713:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(735);
            END_STATE();
        case 714:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(776);
            END_STATE();
        case 715:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(777);
            END_STATE();
        case 716:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(838);
            END_STATE();
        case 717:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(737);
            END_STATE();
        case 718:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(778);
            END_STATE();
        case 719:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(779);
            END_STATE();
        case 720:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(780);
            END_STATE();
        case 721:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(781);
            END_STATE();
        case 722:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1115);
            END_STATE();
        case 723:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1152);
            END_STATE();
        case 724:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1080);
            END_STATE();
        case 725:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1103);
            END_STATE();
        case 726:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1070);
            END_STATE();
        case 727:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1067);
            END_STATE();
        case 728:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(823);
            END_STATE();
        case 729:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(188);
            END_STATE();
        case 730:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(824);
            END_STATE();
        case 731:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(716);
            END_STATE();
        case 732:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(600);
            END_STATE();
        case 733:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(660);
            END_STATE();
        case 734:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(699);
            END_STATE();
        case 735:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(662);
            END_STATE();
        case 736:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(663);
            END_STATE();
        case 737:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(664);
            END_STATE();
        case 738:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(850);
            END_STATE();
        case 739:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(710);
            END_STATE();
        case 740:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(614);
            END_STATE();
        case 741:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(615);
            END_STATE();
        case 742:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(616);
            END_STATE();
        case 743:
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1142);
            END_STATE();
        case 744:
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1107);
            END_STATE();
        case 745:
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(679);
            END_STATE();
        case 746:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(643);
            END_STATE();
        case 747:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1095);
            END_STATE();
        case 748:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(693);
            END_STATE();
        case 749:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1072);
            END_STATE();
        case 750:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1119);
            END_STATE();
        case 751:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1120);
            END_STATE();
        case 752:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1118);
            END_STATE();
        case 753:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1117);
            END_STATE();
        case 754:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1146);
            END_STATE();
        case 755:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(706);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(669);
            END_STATE();
        case 756:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(185);
            END_STATE();
        case 757:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(648);
            END_STATE();
        case 758:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(593);
            END_STATE();
        case 759:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(815);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(763);
            END_STATE();
        case 760:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(814);
            END_STATE();
        case 761:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(639);
            END_STATE();
        case 762:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(641);
            END_STATE();
        case 763:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(599);
            END_STATE();
        case 764:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(601);
            END_STATE();
        case 765:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(846);
            END_STATE();
        case 766:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(595);
            END_STATE();
        case 767:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(647);
            END_STATE();
        case 768:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(840);
            END_STATE();
        case 769:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(783);
            END_STATE();
        case 770:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(189);
            END_STATE();
        case 771:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(790);
            END_STATE();
        case 772:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(804);
            END_STATE();
        case 773:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(818);
            END_STATE();
        case 774:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(705);
            END_STATE();
        case 775:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(760);
            END_STATE();
        case 776:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(749);
            END_STATE();
        case 777:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(750);
            END_STATE();
        case 778:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(751);
            END_STATE();
        case 779:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(752);
            END_STATE();
        case 780:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(753);
            END_STATE();
        case 781:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(754);
            END_STATE();
        case 782:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(851);
            END_STATE();
        case 783:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(800);
            END_STATE();
        case 784:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(764);
            END_STATE();
        case 785:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(701);
            END_STATE();
        case 786:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(672);
            END_STATE();
        case 787:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(798);
            END_STATE();
        case 788:
            if(lookahead == 'Q' ||
               lookahead == 'q')
                ADVANCE(854);
            END_STATE();
        case 789:
            if(lookahead == 'Q' ||
               lookahead == 'q')
                ADVANCE(854);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(855);
            END_STATE();
        case 790:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(619);
            END_STATE();
        case 791:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1148);
            END_STATE();
        case 792:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(848);
            END_STATE();
        case 793:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(638);
            END_STATE();
        case 794:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(711);
            END_STATE();
        case 795:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(666);
            END_STATE();
        case 796:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(697);
            END_STATE();
        case 797:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(603);
            END_STATE();
        case 798:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(677);
            END_STATE();
        case 799:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(620);
            END_STATE();
        case 800:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(675);
            END_STATE();
        case 801:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(187);
            END_STATE();
        case 802:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(817);
            END_STATE();
        case 803:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(609);
            END_STATE();
        case 804:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(686);
            END_STATE();
        case 805:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(610);
            END_STATE();
        case 806:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(611);
            END_STATE();
        case 807:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(612);
            END_STATE();
        case 808:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1125);
            END_STATE();
        case 809:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(627);
            END_STATE();
        case 810:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(694);
            END_STATE();
        case 811:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1134);
            END_STATE();
        case 812:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(669);
            END_STATE();
        case 813:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(833);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(594);
            END_STATE();
        case 814:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(836);
            END_STATE();
        case 815:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(703);
            END_STATE();
        case 816:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(673);
            END_STATE();
        case 817:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(839);
            END_STATE();
        case 818:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(708);
            END_STATE();
        case 819:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(834);
            END_STATE();
        case 820:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(680);
            END_STATE();
        case 821:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(178);
            END_STATE();
        case 822:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1099);
            END_STATE();
        case 823:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1091);
            END_STATE();
        case 824:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1140);
            END_STATE();
        case 825:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1136);
            END_STATE();
        case 826:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(774);
            END_STATE();
        case 827:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(861);
            END_STATE();
        case 828:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(598);
            END_STATE();
        case 829:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(702);
            END_STATE();
        case 830:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(667);
            END_STATE();
        case 831:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(594);
            END_STATE();
        case 832:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(657);
            END_STATE();
        case 833:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(183);
            END_STATE();
        case 834:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(671);
            END_STATE();
        case 835:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(714);
            END_STATE();
        case 836:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(792);
            END_STATE();
        case 837:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(700);
            END_STATE();
        case 838:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(681);
            END_STATE();
        case 839:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(604);
            END_STATE();
        case 840:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(712);
            END_STATE();
        case 841:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(715);
            END_STATE();
        case 842:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(718);
            END_STATE();
        case 843:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(719);
            END_STATE();
        case 844:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(720);
            END_STATE();
        case 845:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(721);
            END_STATE();
        case 846:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(613);
            END_STATE();
        case 847:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(728);
            END_STATE();
        case 848:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(628);
            END_STATE();
        case 849:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(767);
            END_STATE();
        case 850:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(659);
            END_STATE();
        case 851:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(761);
            END_STATE();
        case 852:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(831);
            END_STATE();
        case 853:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(730);
            END_STATE();
        case 854:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(674);
            END_STATE();
        case 855:
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(704);
            END_STATE();
        case 856:
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(588);
            END_STATE();
        case 857:
            if(lookahead == 'W' ||
               lookahead == 'w')
                ADVANCE(590);
            END_STATE();
        case 858:
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1097);
            END_STATE();
        case 859:
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1086);
            END_STATE();
        case 860:
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1127);
            END_STATE();
        case 861:
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1078);
            END_STATE();
        case 862:
            if(lookahead == 'Z' ||
               lookahead == 'z')
                ADVANCE(678);
            END_STATE();
        case 863:
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(954);
            END_STATE();
        case 864:
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(958);
            END_STATE();
        case 865:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(964);
            END_STATE();
        case 866:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(973);
            END_STATE();
        case 867:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(866);
            END_STATE();
        case 868:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(867);
            END_STATE();
        case 869:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(868);
            END_STATE();
        case 870:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(869);
            END_STATE();
        case 871:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(870);
            END_STATE();
        case 872:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(871);
            END_STATE();
        case 873:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(872);
            END_STATE();
        case 874:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(1014);
            END_STATE();
        case 875:
            if(eof)
                ADVANCE(883);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 876:
            if(eof)
                ADVANCE(883);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(875);
            END_STATE();
        case 877:
            if(eof)
                ADVANCE(883);
            if(lookahead == '\n')
                SKIP(882);
            END_STATE();
        case 878:
            if(eof)
                ADVANCE(883);
            if(lookahead == '\n')
                SKIP(882);
            if(lookahead == '\r')
                SKIP(877);
            END_STATE();
        case 879:
            if(eof)
                ADVANCE(883);
            if(lookahead == '\n')
                SKIP(881);
            END_STATE();
        case 880:
            if(eof)
                ADVANCE(883);
            if(lookahead == '\n')
                SKIP(881);
            if(lookahead == '\r')
                SKIP(879);
            END_STATE();
        case 881:
            if(eof)
                ADVANCE(883);
            ADVANCE_MAP(
                '"', 977,
                '%', 950,
                '&', 942,
                '\'', 983,
                '(', 951,
                ')', 952,
                '*', 947,
                '+', 945,
                ',', 935,
                '-', 946,
                '/', 949,
                '0', 961,
                ':', 1032,
                ';', 1033,
                '<', 127,
                '=', 1062,
                '>', 930,
                'F', 1235,
                'L', 982,
                'O', 1275,
                'T', 1240,
                'V', 1251,
            );
            if(lookahead == '\\')
                SKIP(880);
            if(lookahead == ']')
                ADVANCE(1189);
            if(lookahead == '^')
                ADVANCE(941);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(lookahead == 'b')
                ADVANCE(1420);
            if(lookahead == 'c')
                ADVANCE(1352);
            if(lookahead == 'd')
                ADVANCE(1416);
            if(lookahead == 'f')
                ADVANCE(1356);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(lookahead == 'l')
                ADVANCE(1418);
            if(lookahead == 'm')
                ADVANCE(1256);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(lookahead == 's')
                ADVANCE(1308);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(lookahead == 'w')
                ADVANCE(1281);
            if(lookahead == '{')
                ADVANCE(1024);
            if(lookahead == '|')
                ADVANCE(940);
            if(lookahead == '}')
                ADVANCE(1025);
            if(lookahead == '~')
                ADVANCE(953);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(881);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(963);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 882:
            if(eof)
                ADVANCE(883);
            if(lookahead == '#')
                ADVANCE(246);
            if(lookahead == '/')
                ADVANCE(92);
            if(lookahead == '@')
                ADVANCE(1059);
            if(lookahead == '\\')
                SKIP(878);
            if(lookahead == 'a')
                ADVANCE(221);
            if(lookahead == 'b')
                ADVANCE(345);
            if(lookahead == 'c')
                ADVANCE(421);
            if(lookahead == 'e')
                ADVANCE(396);
            if(lookahead == 'h')
                ADVANCE(417);
            if(lookahead == 'i')
                ADVANCE(375);
            if(lookahead == 'l')
                ADVANCE(439);
            if(lookahead == 'm')
                ADVANCE(419);
            if(lookahead == 'n')
                ADVANCE(191);
            if(lookahead == 'p')
                ADVANCE(444);
            if(lookahead == 's')
                ADVANCE(543);
            if(lookahead == 't')
                ADVANCE(583);
            if(lookahead == 'u')
                ADVANCE(416);
            if(lookahead == 'v')
                ADVANCE(200);
            if(lookahead == '}')
                ADVANCE(1025);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(882);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(254);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(254);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(371);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(373);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(sym_char_type);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(sym_char_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(sym_wide_char_type);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(sym_wide_char_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(943);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 937:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1744);
            if(lookahead == '/')
                ADVANCE(1734);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1744);
            if(lookahead == '/')
                ADVANCE(1732);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(954);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(955);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(956);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(957);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(958);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(959);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(864);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(863);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(865);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(956);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(1729);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1728);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1730);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(957);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(962);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(963);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 964:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(964);
            END_STATE();
        case 965:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(965);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N')
                ADVANCE(643);
            if(lookahead == 'X')
                ADVANCE(832);
            if(lookahead == 'm')
                ADVANCE(339);
            if(lookahead == 'n')
                ADVANCE(560);
            if(lookahead == 'v')
                ADVANCE(302);
            if(lookahead == 'x')
                ADVANCE(235);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(643);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(832);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            ADVANCE_MAP(
                'E', 691,
                'e', 145,
                'o', 567,
                'A', 828,
                'a', 828,
                'D', 808,
                'd', 808,
                'I', 809,
                'i', 809,
            );
            END_STATE();
        case 972:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            ADVANCE_MAP(
                'A', 828,
                'a', 828,
                'D', 808,
                'd', 808,
                'E', 691,
                'e', 691,
                'I', 809,
                'i', 809,
            );
            END_STATE();
        case 973:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(59);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(973);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(975);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(980);
            if(lookahead == '/')
                ADVANCE(980);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(980);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(978);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(979);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(980);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(980);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(974);
            if(lookahead == '\r')
                ADVANCE(973);
            if(lookahead == 'U')
                ADVANCE(873);
            if(lookahead == 'u')
                ADVANCE(869);
            if(lookahead == 'x')
                ADVANCE(867);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(976);
            if(lookahead != 0)
                ADVANCE(973);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1744);
            if(lookahead == '/')
                ADVANCE(1732);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(59);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(996);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(996);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1748);
            if(lookahead == '/')
                ADVANCE(1737);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(996);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(994);
            if(lookahead == '\\')
                ADVANCE(993);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(995);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(996);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(996);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(1005);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(1002);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(1003);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(992);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(1016);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(1004);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(1007);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(1008);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(998);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(1001);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(999);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1009);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                ADVANCE(1011);
            if(lookahead == '/')
                ADVANCE(874);
            if(lookahead == '\\')
                ADVANCE(1012);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '/')
                ADVANCE(874);
            if(lookahead == '\\')
                ADVANCE(1012);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(1015);
            if(lookahead == '/')
                ADVANCE(874);
            if(lookahead == '\\')
                ADVANCE(1012);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1744);
            if(lookahead == '/')
                ADVANCE(1732);
            if(lookahead == '\\')
                ADVANCE(1012);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1014);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(874);
            if(lookahead == '\\')
                ADVANCE(1012);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1014);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(874);
            if(lookahead == '\\')
                ADVANCE(1012);
            if(lookahead != 0)
                ADVANCE(1014);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(1020);
            if(lookahead == '\\')
                ADVANCE(1021);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1020);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1746);
            if(lookahead == '/')
                ADVANCE(1735);
            if(lookahead == '\\')
                ADVANCE(1021);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1020);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(1018);
            if(lookahead == '\\')
                ADVANCE(1017);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1019);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(1020);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(1021);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1020);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(1021);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1020);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(925);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(564);
            if(lookahead == 't')
                ADVANCE(117);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1505);
            if(lookahead == 't')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(393);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(1061);
            if(lookahead == '\r')
                ADVANCE(47);
            if(lookahead == '/')
                ADVANCE(92);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(aux_sym_annotation_appl_id_token1);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1115);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(aux_sym_annotation_appl_id_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(aux_sym_annotation_appl_autoid_token1);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(aux_sym_annotation_appl_autoid_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(aux_sym_autoid_kind_token1);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(aux_sym_autoid_kind_token2);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(aux_sym_autoid_kind_token2);
            if(lookahead == 'i')
                ADVANCE(249);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(aux_sym_annotation_appl_optional_token1);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(aux_sym_annotation_appl_optional_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(aux_sym_annotation_appl_position_token1);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(aux_sym_annotation_appl_position_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            if(lookahead == 'B')
                ADVANCE(214);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            if(lookahead == 't')
                ADVANCE(582);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(aux_sym_annotation_appl_extensibility_token1);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(aux_sym_annotation_appl_extensibility_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(aux_sym_extensibility_kind_token1);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(aux_sym_extensibility_kind_token2);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(aux_sym_extensibility_kind_token3);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(aux_sym_annotation_appl_final_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(aux_sym_annotation_appl_appendable_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(aux_sym_annotation_appl_mutable_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(aux_sym_annotation_appl_key_token1);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(aux_sym_annotation_appl_key_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(aux_sym_annotation_appl_must_understand_token1);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(aux_sym_annotation_appl_must_understand_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_literal_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_token1);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_token1);
            if(lookahead == '_')
                ADVANCE(1632);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(aux_sym_annotation_appl_range_token1);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(aux_sym_annotation_appl_range_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(aux_sym_min_expr_token1);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(aux_sym_min_expr_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(aux_sym_max_expr_token1);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(aux_sym_max_expr_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(aux_sym_annotation_appl_unit_token1);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(aux_sym_annotation_appl_unit_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(aux_sym_annotation_appl_bit_bound_token1);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(aux_sym_annotation_appl_bit_bound_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(aux_sym_annotation_appl_external_token1);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(aux_sym_annotation_appl_external_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(aux_sym_annotation_appl_nested_token1);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(aux_sym_annotation_appl_nested_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(aux_sym_annotation_appl_verbatim_token1);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(aux_sym_annotation_appl_verbatim_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(lookahead == 'O')
                ADVANCE(790);
            if(lookahead == 'a')
                ADVANCE(500);
            if(lookahead == 'c')
                ADVANCE(229);
            if(lookahead == 'h')
                ADVANCE(196);
            if(lookahead == 'i')
                ADVANCE(1113);
            if(lookahead == 'o')
                ADVANCE(383);
            if(lookahead == 'u')
                ADVANCE(502);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(lookahead == 'c')
                ADVANCE(229);
            if(lookahead == 'i')
                ADVANCE(1113);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(790);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token2);
            if(lookahead == 'i')
                ADVANCE(1113);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token3);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token4);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(aux_sym_placement_kind_token1);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(aux_sym_placement_kind_token2);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(aux_sym_placement_kind_token3);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(aux_sym_placement_kind_token4);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(aux_sym_placement_kind_token5);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(aux_sym_placement_kind_token6);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(aux_sym_annotation_appl_service_token1);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(aux_sym_annotation_appl_service_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(aux_sym_service_platform_token1);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(aux_sym_service_platform_token2);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(aux_sym_service_platform_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(aux_sym_annotation_appl_oneway_token1);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(aux_sym_annotation_appl_oneway_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ami_token1);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ami_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(anon_sym_hashid);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(anon_sym_hashid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_nested_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ignore_literal_names_token1);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ignore_literal_names_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(aux_sym_annotation_appl_try_construct_token1);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(aux_sym_annotation_appl_try_construct_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token1);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token2);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token3);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token3);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(aux_sym_annotation_appl_non_serialized_token1);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(aux_sym_annotation_appl_non_serialized_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(aux_sym_annotation_appl_data_representation_token1);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(aux_sym_annotation_appl_data_representation_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token1);
            if(lookahead == '1')
                ADVANCE(1150);
            if(lookahead == '2')
                ADVANCE(1154);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token1);
            if(lookahead == '1')
                ADVANCE(1151);
            if(lookahead == '2')
                ADVANCE(1155);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token2);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token3);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token3);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token4);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token4);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(aux_sym_annotation_appl_topic_token1);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(aux_sym_annotation_appl_topic_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(372);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1233);
            if(lookahead == '3')
                ADVANCE(1229);
            if(lookahead == '6')
                ADVANCE(1231);
            if(lookahead == '8')
                ADVANCE(906);
            if(lookahead == 'e')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1233);
            if(lookahead == '3')
                ADVANCE(1229);
            if(lookahead == '6')
                ADVANCE(1231);
            if(lookahead == '8')
                ADVANCE(906);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1234);
            if(lookahead == '3')
                ADVANCE(1230);
            if(lookahead == '6')
                ADVANCE(1232);
            if(lookahead == '8')
                ADVANCE(898);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(893);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(912);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(896);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(915);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(887);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(909);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1258);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(989);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(991);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1241);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1242);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1237);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1567);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1546);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1553);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1716);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1686);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1675);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1631);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1652);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1304);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1289);
            if(lookahead == 'i')
                ADVANCE(1515);
            if(lookahead == 'l')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1289);
            if(lookahead == 'i')
                ADVANCE(1406);
            if(lookahead == 'l')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1430);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1464);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1444);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1391);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1495);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1465);
            if(lookahead == 'h')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1294);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1280);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1293);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1386);
            if(lookahead == 'o')
                ADVANCE(1361);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1386);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1374);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1466);
            if(lookahead == 'n')
                ADVANCE(1516);
            if(lookahead == 't')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1379);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1354);
            if(lookahead == 's')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1354);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1181);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1486);
            if(lookahead == 'n')
                ADVANCE(1309);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1486);
            if(lookahead == 'u')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1316);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1267);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1035);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(902);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1195);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1132);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1314);
            if(lookahead == 'i')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1314);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1423);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1441);
            if(lookahead == 'h')
                ADVANCE(1421);
            if(lookahead == 't')
                ADVANCE(1443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1441);
            if(lookahead == 'h')
                ADVANCE(1421);
            if(lookahead == 't')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1441);
            if(lookahead == 'h')
                ADVANCE(1421);
            if(lookahead == 't')
                ADVANCE(1452);
            if(lookahead == 'u')
                ADVANCE(1440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1441);
            if(lookahead == 'h')
                ADVANCE(1421);
            if(lookahead == 't')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1301);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1236);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(919);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1224);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1183);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(937);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1205);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1047);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1162);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1193);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1160);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1164);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1210);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1177);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1342);
            if(lookahead == 'o')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1412);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1446);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1266);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1408);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1290);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1302);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1411);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1187);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1263);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(889);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(927);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(932);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(891);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1409);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1191);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1259);
            if(lookahead == 'o')
                ADVANCE(1414);
            if(lookahead == 'u')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1259);
            if(lookahead == 'o')
                ADVANCE(1414);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1421);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1264);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1515);
            if(lookahead == 'l')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1467);
            if(lookahead == 'o')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1348);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1279);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'n')
                ADVANCE(1372);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'n')
                ADVANCE(1461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1283);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1402);
            if(lookahead == 'u')
                ADVANCE(1292);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1300);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1422);
            if(lookahead == 's')
                ADVANCE(1359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1425);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(1054);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1519);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1312);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1325);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1438);
            if(lookahead == 'n')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1170);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1175);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1253);
            if(lookahead == 's')
                ADVANCE(1335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1168);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(900);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1023);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1038);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1500);
            if(lookahead == 'v')
                ADVANCE(1340);
            if(lookahead == 'x')
                ADVANCE(1284);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1500);
            if(lookahead == 'x')
                ADVANCE(1284);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1345);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1346);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1378);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1295);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1303);
            if(lookahead == 'x')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1260);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1291);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1506);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1683);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1385);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1389);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1404);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1395);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1413);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1265);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(939);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1310);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1383);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1428);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1357);
            if(lookahead == 'u')
                ADVANCE(1277);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1366);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(922);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(924);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1218);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1362);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1179);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1355);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1320);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1172);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(917);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(904);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(885);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1200);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1051);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1198);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1166);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1028);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1057);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1040);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1042);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1226);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1448);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1368);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1271);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1360);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1381);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1311);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1405);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1278);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1292);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1313);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(934);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1202);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1185);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1045);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1431);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1436);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1619);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1670);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1722);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1638);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1684);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1725);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1714);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1699);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1596);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1681);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1621);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1637);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1547);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1639);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1248);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1673);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1622);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1705);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1623);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1628);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1625);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1624);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1651);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1719);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1550);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1713);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1546:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1664);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1547:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1629);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1548:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1537);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1549:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1618);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1550:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1630);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1551:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1565);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1620);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1552:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1157);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1553:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1661);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1554:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1535);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1555:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1577);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1556:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1697);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1557:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1064);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(1644);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1558:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1066);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1559:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1560:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1139);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1561:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1562:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1133);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1563:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1145);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1564:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1089);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1565:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1671);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1566:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1683);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1567:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1595);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1568:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1587);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1569:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1544);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1570:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1724);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1571:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1669);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1572:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1721);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1573:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1647);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1574:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1094);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1575:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1077);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1576:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1085);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1577:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1123);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1578:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1084);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1579:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1689);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1642);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1580:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1668);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1581:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1243);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1582:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1559);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1583:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1682);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1584:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1645);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1585:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1674);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1586:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1587:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1680);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1588:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1562);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1589:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1563);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1590:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1676);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1591:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1653);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1592:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1690);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1593:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1677);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1594:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1692);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1595:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1597);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1596:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1528);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1597:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1543);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1598:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(1574);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1599:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1646);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1600:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1130);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1601:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1634);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1602:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1727);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1603:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1693);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1604:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1552);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1605:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1635);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1606:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1665);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1607:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1558);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1608:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1555);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1609:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1549);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1610:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1694);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1611:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1539);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1612:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1700);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1613:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1711);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1614:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1662);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1615:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1708);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1616:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1663);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1617:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1712);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1618:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1633);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1619:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1717);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1620:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1153);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1621:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1083);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1622:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1623:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1071);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1624:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1090);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1625:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1250);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1626:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1695);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1627:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1696);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1628:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1602);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1629:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1576);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1630:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1578);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1631:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1615);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1632:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1617);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1594);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1633:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1612);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1634:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1143);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1635:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1636:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1600);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1667);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1698);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1637:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1583);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1638:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1096);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1639:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1598);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1640:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1073);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1641:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1147);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1642:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1247);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1643:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1572);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1701);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1644:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1659);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1645:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1569);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1646:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1530);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1647:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1685);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1649);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1648:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1561);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1649:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1536);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1650:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1538);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1651:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1564);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1652:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1531);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1653:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1707);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1654:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1610);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1581);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1655:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1687);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1656:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1568);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1657:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1666);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1601);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1658:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1691);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1659:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1679);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1660:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1607);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1661:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1655);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1662:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1640);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1663:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1641);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1664:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1718);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1665:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1650);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1666:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1604);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1667:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1584);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1668:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1678);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1669:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1720);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1670:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1548);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1671:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1149);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1672:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1715);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1673:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1560);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1674:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1611);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1675:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1580);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1676:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1540);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1677:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1541);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1678:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1592);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1679:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1586);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1680:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1688);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1681:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1554);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1682:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1135);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1683:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1126);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1684:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1703);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1532);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1685:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1609);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1686:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1585);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1687:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1706);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1688:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1710);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1689:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1704);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1690:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1591);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1691:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1613);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1692:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1709);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1693:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1694:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1695:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1092);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1696:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1141);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1697:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1137);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1698:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1660);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1699:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1534);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1700:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1726);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1701:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1606);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1702:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1573);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1703:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1246);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1704:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1582);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1705:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1605);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1706:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1672);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1707:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1545);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1708:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1590);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1709:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1588);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1710:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1542);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1711:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1614);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1712:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1593);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1713:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1616);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1714:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1626);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1715:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1556);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1716:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1656);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1717:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1575);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1718:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1648);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1719:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1627);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1720:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(1608);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1721:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'W' ||
               lookahead == 'w')
                ADVANCE(1527);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1722:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1098);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1723:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1702);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1724:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1087);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1725:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1128);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1726:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1079);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1727:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Z' ||
               lookahead == 'z')
                ADVANCE(1589);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Y') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'y'))
                ADVANCE(1731);
            END_STATE();
        case 1728:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(955);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1729:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(959);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1730:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(965);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1731:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1731);
            END_STATE();
        case 1732:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1733:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead != 0)
                ADVANCE(95);
            END_STATE();
        case 1734:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(1060);
            END_STATE();
        case 1735:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(1021);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1020);
            END_STATE();
        case 1736:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1742);
            END_STATE();
        case 1737:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(996);
            END_STATE();
        case 1738:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1741);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0)
                ADVANCE(1742);
            END_STATE();
        case 1739:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1743);
            if(lookahead == '\\')
                ADVANCE(1739);
            if(lookahead != 0)
                ADVANCE(1742);
            END_STATE();
        case 1740:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1747);
            if(lookahead == '/')
                ADVANCE(1736);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1742);
            END_STATE();
        case 1741:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1740);
            if(lookahead == '\\')
                ADVANCE(71);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1741);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1742);
            END_STATE();
        case 1742:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1742);
            END_STATE();
        case 1743:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0)
                ADVANCE(1742);
            END_STATE();
        case 1744:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1745:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(95);
            END_STATE();
        case 1746:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(1021);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1020);
            END_STATE();
        case 1747:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1742);
            END_STATE();
        case 1748:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(996);
            END_STATE();
        case 1749:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1749);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(95);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 882 },
    [2] = { .lex_state = 99 },
    [3] = { .lex_state = 99 },
    [4] = { .lex_state = 99 },
    [5] = { .lex_state = 100 },
    [6] = { .lex_state = 99 },
    [7] = { .lex_state = 99 },
    [8] = { .lex_state = 100 },
    [9] = { .lex_state = 100 },
    [10] = { .lex_state = 101 },
    [11] = { .lex_state = 101 },
    [12] = { .lex_state = 101 },
    [13] = { .lex_state = 101 },
    [14] = { .lex_state = 101 },
    [15] = { .lex_state = 101 },
    [16] = { .lex_state = 101 },
    [17] = { .lex_state = 101 },
    [18] = { .lex_state = 101 },
    [19] = { .lex_state = 101 },
    [20] = { .lex_state = 101 },
    [21] = { .lex_state = 881 },
    [22] = { .lex_state = 881 },
    [23] = { .lex_state = 882 },
    [24] = { .lex_state = 882 },
    [25] = { .lex_state = 882 },
    [26] = { .lex_state = 882 },
    [27] = { .lex_state = 882 },
    [28] = { .lex_state = 882 },
    [29] = { .lex_state = 882 },
    [30] = { .lex_state = 882 },
    [31] = { .lex_state = 102 },
    [32] = { .lex_state = 97 },
    [33] = { .lex_state = 97 },
    [34] = { .lex_state = 97 },
    [35] = { .lex_state = 97 },
    [36] = { .lex_state = 97 },
    [37] = { .lex_state = 97 },
    [38] = { .lex_state = 97 },
    [39] = { .lex_state = 97 },
    [40] = { .lex_state = 105 },
    [41] = { .lex_state = 89 },
    [42] = { .lex_state = 89 },
    [43] = { .lex_state = 89 },
    [44] = { .lex_state = 89 },
    [45] = { .lex_state = 89 },
    [46] = { .lex_state = 89 },
    [47] = { .lex_state = 89 },
    [48] = { .lex_state = 104 },
    [49] = { .lex_state = 91 },
    [50] = { .lex_state = 89 },
    [51] = { .lex_state = 89 },
    [52] = { .lex_state = 91 },
    [53] = { .lex_state = 110 },
    [54] = { .lex_state = 110 },
    [55] = { .lex_state = 110 },
    [56] = { .lex_state = 99 },
    [57] = { .lex_state = 99 },
    [58] = { .lex_state = 106 },
    [59] = { .lex_state = 99 },
    [60] = { .lex_state = 99 },
    [61] = { .lex_state = 99 },
    [62] = { .lex_state = 99 },
    [63] = { .lex_state = 99 },
    [64] = { .lex_state = 100 },
    [65] = { .lex_state = 100 },
    [66] = { .lex_state = 100 },
    [67] = { .lex_state = 106 },
    [68] = { .lex_state = 100 },
    [69] = { .lex_state = 107 },
    [70] = { .lex_state = 107 },
    [71] = { .lex_state = 107 },
    [72] = { .lex_state = 107 },
    [73] = { .lex_state = 107 },
    [74] = { .lex_state = 107 },
    [75] = { .lex_state = 107 },
    [76] = { .lex_state = 107 },
    [77] = { .lex_state = 107 },
    [78] = { .lex_state = 107 },
    [79] = { .lex_state = 101 },
    [80] = { .lex_state = 101 },
    [81] = { .lex_state = 81 },
    [82] = { .lex_state = 111 },
    [83] = { .lex_state = 111 },
    [84] = { .lex_state = 81 },
    [85] = { .lex_state = 81 },
    [86] = { .lex_state = 81 },
    [87] = { .lex_state = 102 },
    [88] = { .lex_state = 81 },
    [89] = { .lex_state = 81 },
    [90] = { .lex_state = 81 },
    [91] = { .lex_state = 81 },
    [92] = { .lex_state = 81 },
    [93] = { .lex_state = 81 },
    [94] = { .lex_state = 81 },
    [95] = { .lex_state = 81 },
    [96] = { .lex_state = 81 },
    [97] = { .lex_state = 81 },
    [98] = { .lex_state = 81 },
    [99] = { .lex_state = 102 },
    [100] = { .lex_state = 81 },
    [101] = { .lex_state = 81 },
    [102] = { .lex_state = 102 },
    [103] = { .lex_state = 81 },
    [104] = { .lex_state = 102 },
    [105] = { .lex_state = 84 },
    [106] = { .lex_state = 81 },
    [107] = { .lex_state = 81 },
    [108] = { .lex_state = 89 },
    [109] = { .lex_state = 84 },
    [110] = { .lex_state = 81 },
    [111] = { .lex_state = 89 },
    [112] = { .lex_state = 89 },
    [113] = { .lex_state = 89 },
    [114] = { .lex_state = 81 },
    [115] = { .lex_state = 84 },
    [116] = { .lex_state = 84 },
    [117] = { .lex_state = 89 },
    [118] = { .lex_state = 89 },
    [119] = { .lex_state = 81 },
    [120] = { .lex_state = 89 },
    [121] = { .lex_state = 89 },
    [122] = { .lex_state = 89 },
    [123] = { .lex_state = 89 },
    [124] = { .lex_state = 89 },
    [125] = { .lex_state = 89 },
    [126] = { .lex_state = 89 },
    [127] = { .lex_state = 89 },
    [128] = { .lex_state = 89 },
    [129] = { .lex_state = 89 },
    [130] = { .lex_state = 89 },
    [131] = { .lex_state = 89 },
    [132] = { .lex_state = 89 },
    [133] = { .lex_state = 89 },
    [134] = { .lex_state = 89 },
    [135] = { .lex_state = 89 },
    [136] = { .lex_state = 89 },
    [137] = { .lex_state = 89 },
    [138] = { .lex_state = 89 },
    [139] = { .lex_state = 89 },
    [140] = { .lex_state = 89 },
    [141] = { .lex_state = 89 },
    [142] = { .lex_state = 89 },
    [143] = { .lex_state = 89 },
    [144] = { .lex_state = 89 },
    [145] = { .lex_state = 89 },
    [146] = { .lex_state = 89 },
    [147] = { .lex_state = 89 },
    [148] = { .lex_state = 89 },
    [149] = { .lex_state = 89 },
    [150] = { .lex_state = 89 },
    [151] = { .lex_state = 81 },
    [152] = { .lex_state = 89 },
    [153] = { .lex_state = 89 },
    [154] = { .lex_state = 89 },
    [155] = { .lex_state = 89 },
    [156] = { .lex_state = 89 },
    [157] = { .lex_state = 89 },
    [158] = { .lex_state = 89 },
    [159] = { .lex_state = 89 },
    [160] = { .lex_state = 89 },
    [161] = { .lex_state = 89 },
    [162] = { .lex_state = 89 },
    [163] = { .lex_state = 89 },
    [164] = { .lex_state = 89 },
    [165] = { .lex_state = 89 },
    [166] = { .lex_state = 89 },
    [167] = { .lex_state = 89 },
    [168] = { .lex_state = 89 },
    [169] = { .lex_state = 89 },
    [170] = { .lex_state = 89 },
    [171] = { .lex_state = 89 },
    [172] = { .lex_state = 89 },
    [173] = { .lex_state = 89 },
    [174] = { .lex_state = 89 },
    [175] = { .lex_state = 89 },
    [176] = { .lex_state = 89 },
    [177] = { .lex_state = 89 },
    [178] = { .lex_state = 89 },
    [179] = { .lex_state = 89 },
    [180] = { .lex_state = 89 },
    [181] = { .lex_state = 89 },
    [182] = { .lex_state = 89 },
    [183] = { .lex_state = 89 },
    [184] = { .lex_state = 89 },
    [185] = { .lex_state = 89 },
    [186] = { .lex_state = 89 },
    [187] = { .lex_state = 89 },
    [188] = { .lex_state = 89 },
    [189] = { .lex_state = 89 },
    [190] = { .lex_state = 89 },
    [191] = { .lex_state = 89 },
    [192] = { .lex_state = 110 },
    [193] = { .lex_state = 110 },
    [194] = { .lex_state = 110 },
    [195] = { .lex_state = 110 },
    [196] = { .lex_state = 882 },
    [197] = { .lex_state = 110 },
    [198] = { .lex_state = 112 },
    [199] = { .lex_state = 82 },
    [200] = { .lex_state = 107 },
    [201] = { .lex_state = 882 },
    [202] = { .lex_state = 81 },
    [203] = { .lex_state = 882 },
    [204] = { .lex_state = 882 },
    [205] = { .lex_state = 882 },
    [206] = { .lex_state = 882 },
    [207] = { .lex_state = 882 },
    [208] = { .lex_state = 882 },
    [209] = { .lex_state = 882 },
    [210] = { .lex_state = 882 },
    [211] = { .lex_state = 78 },
    [212] = { .lex_state = 78 },
    [213] = { .lex_state = 78 },
    [214] = { .lex_state = 78 },
    [215] = { .lex_state = 78 },
    [216] = { .lex_state = 78 },
    [217] = { .lex_state = 78 },
    [218] = { .lex_state = 78 },
    [219] = { .lex_state = 78 },
    [220] = { .lex_state = 78 },
    [221] = { .lex_state = 78 },
    [222] = { .lex_state = 78 },
    [223] = { .lex_state = 78 },
    [224] = { .lex_state = 78 },
    [225] = { .lex_state = 78 },
    [226] = { .lex_state = 78 },
    [227] = { .lex_state = 78 },
    [228] = { .lex_state = 78 },
    [229] = { .lex_state = 78 },
    [230] = { .lex_state = 82 },
    [231] = { .lex_state = 78 },
    [232] = { .lex_state = 78 },
    [233] = { .lex_state = 78 },
    [234] = { .lex_state = 78 },
    [235] = { .lex_state = 78 },
    [236] = { .lex_state = 79 },
    [237] = { .lex_state = 87 },
    [238] = { .lex_state = 87 },
    [239] = { .lex_state = 881 },
    [240] = { .lex_state = 87 },
    [241] = { .lex_state = 82 },
    [242] = { .lex_state = 87 },
    [243] = { .lex_state = 87 },
    [244] = { .lex_state = 78 },
    [245] = { .lex_state = 87 },
    [246] = { .lex_state = 87 },
    [247] = { .lex_state = 78 },
    [248] = { .lex_state = 87 },
    [249] = { .lex_state = 81 },
    [250] = { .lex_state = 87 },
    [251] = { .lex_state = 81 },
    [252] = { .lex_state = 87 },
    [253] = { .lex_state = 78 },
    [254] = { .lex_state = 87 },
    [255] = { .lex_state = 87 },
    [256] = { .lex_state = 87 },
    [257] = { .lex_state = 87 },
    [258] = { .lex_state = 87 },
    [259] = { .lex_state = 87 },
    [260] = { .lex_state = 87 },
    [261] = { .lex_state = 87 },
    [262] = { .lex_state = 87 },
    [263] = { .lex_state = 78 },
    [264] = { .lex_state = 87 },
    [265] = { .lex_state = 87 },
    [266] = { .lex_state = 87 },
    [267] = { .lex_state = 87 },
    [268] = { .lex_state = 87 },
    [269] = { .lex_state = 78 },
    [270] = { .lex_state = 87 },
    [271] = { .lex_state = 87 },
    [272] = { .lex_state = 78 },
    [273] = { .lex_state = 80 },
    [274] = { .lex_state = 80 },
    [275] = { .lex_state = 80 },
    [276] = { .lex_state = 82 },
    [277] = { .lex_state = 82 },
    [278] = { .lex_state = 80 },
    [279] = { .lex_state = 82 },
    [280] = { .lex_state = 82 },
    [281] = { .lex_state = 82 },
    [282] = { .lex_state = 82 },
    [283] = { .lex_state = 82 },
    [284] = { .lex_state = 82 },
    [285] = { .lex_state = 87 },
    [286] = { .lex_state = 87 },
    [287] = { .lex_state = 82 },
    [288] = { .lex_state = 82 },
    [289] = { .lex_state = 82 },
    [290] = { .lex_state = 82 },
    [291] = { .lex_state = 82 },
    [292] = { .lex_state = 82 },
    [293] = { .lex_state = 82 },
    [294] = { .lex_state = 82 },
    [295] = { .lex_state = 881 },
    [296] = { .lex_state = 82 },
    [297] = { .lex_state = 82 },
    [298] = { .lex_state = 82 },
    [299] = { .lex_state = 82 },
    [300] = { .lex_state = 82 },
    [301] = { .lex_state = 82 },
    [302] = { .lex_state = 881 },
    [303] = { .lex_state = 82 },
    [304] = { .lex_state = 78 },
    [305] = { .lex_state = 82 },
    [306] = { .lex_state = 82 },
    [307] = { .lex_state = 82 },
    [308] = { .lex_state = 82 },
    [309] = { .lex_state = 82 },
    [310] = { .lex_state = 78 },
    [311] = { .lex_state = 82 },
    [312] = { .lex_state = 82 },
    [313] = { .lex_state = 82 },
    [314] = { .lex_state = 82 },
    [315] = { .lex_state = 82 },
    [316] = { .lex_state = 82 },
    [317] = { .lex_state = 82 },
    [318] = { .lex_state = 82 },
    [319] = { .lex_state = 82 },
    [320] = { .lex_state = 78 },
    [321] = { .lex_state = 82 },
    [322] = { .lex_state = 82 },
    [323] = { .lex_state = 82 },
    [324] = { .lex_state = 82 },
    [325] = { .lex_state = 82 },
    [326] = { .lex_state = 78 },
    [327] = { .lex_state = 82 },
    [328] = { .lex_state = 82 },
    [329] = { .lex_state = 82 },
    [330] = { .lex_state = 82 },
    [331] = { .lex_state = 82 },
    [332] = { .lex_state = 78 },
    [333] = { .lex_state = 82 },
    [334] = { .lex_state = 82 },
    [335] = { .lex_state = 82 },
    [336] = { .lex_state = 82 },
    [337] = { .lex_state = 82 },
    [338] = { .lex_state = 82 },
    [339] = { .lex_state = 78 },
    [340] = { .lex_state = 82 },
    [341] = { .lex_state = 82 },
    [342] = { .lex_state = 82 },
    [343] = { .lex_state = 82 },
    [344] = { .lex_state = 82 },
    [345] = { .lex_state = 82 },
    [346] = { .lex_state = 82 },
    [347] = { .lex_state = 78 },
    [348] = { .lex_state = 82 },
    [349] = { .lex_state = 82 },
    [350] = { .lex_state = 82 },
    [351] = { .lex_state = 78 },
    [352] = { .lex_state = 82 },
    [353] = { .lex_state = 78 },
    [354] = { .lex_state = 82 },
    [355] = { .lex_state = 78 },
    [356] = { .lex_state = 82 },
    [357] = { .lex_state = 82 },
    [358] = { .lex_state = 78 },
    [359] = { .lex_state = 82 },
    [360] = { .lex_state = 82 },
    [361] = { .lex_state = 78 },
    [362] = { .lex_state = 82 },
    [363] = { .lex_state = 82 },
    [364] = { .lex_state = 87 },
    [365] = { .lex_state = 87 },
    [366] = { .lex_state = 78 },
    [367] = { .lex_state = 78 },
    [368] = { .lex_state = 78 },
    [369] = { .lex_state = 78 },
    [370] = { .lex_state = 80 },
    [371] = { .lex_state = 83 },
    [372] = { .lex_state = 78 },
    [373] = { .lex_state = 83 },
    [374] = { .lex_state = 78 },
    [375] = { .lex_state = 80 },
    [376] = { .lex_state = 78 },
    [377] = { .lex_state = 90 },
    [378] = { .lex_state = 80 },
    [379] = { .lex_state = 78 },
    [380] = { .lex_state = 78 },
    [381] = { .lex_state = 80 },
    [382] = { .lex_state = 78 },
    [383] = { .lex_state = 90 },
    [384] = { .lex_state = 47 },
    [385] = { .lex_state = 98 },
    [386] = { .lex_state = 85 },
    [387] = { .lex_state = 78 },
    [388] = { .lex_state = 78 },
    [389] = { .lex_state = 78 },
    [390] = { .lex_state = 78 },
    [391] = { .lex_state = 90 },
    [392] = { .lex_state = 78 },
    [393] = { .lex_state = 87 },
    [394] = { .lex_state = 78 },
    [395] = { .lex_state = 80 },
    [396] = { .lex_state = 90 },
    [397] = { .lex_state = 78 },
    [398] = { .lex_state = 78 },
    [399] = { .lex_state = 78 },
    [400] = { .lex_state = 78 },
    [401] = { .lex_state = 87 },
    [402] = { .lex_state = 78 },
    [403] = { .lex_state = 90 },
    [404] = { .lex_state = 85 },
    [405] = { .lex_state = 47 },
    [406] = { .lex_state = 78 },
    [407] = { .lex_state = 47 },
    [408] = { .lex_state = 47 },
    [409] = { .lex_state = 47 },
    [410] = { .lex_state = 47 },
    [411] = { .lex_state = 78 },
    [412] = { .lex_state = 108 },
    [413] = { .lex_state = 47 },
    [414] = { .lex_state = 47 },
    [415] = { .lex_state = 47 },
    [416] = { .lex_state = 87 },
    [417] = { .lex_state = 79 },
    [418] = { .lex_state = 78 },
    [419] = { .lex_state = 90 },
    [420] = { .lex_state = 87 },
    [421] = { .lex_state = 78 },
    [422] = { .lex_state = 87 },
    [423] = { .lex_state = 47 },
    [424] = { .lex_state = 90 },
    [425] = { .lex_state = 47 },
    [426] = { .lex_state = 83 },
    [427] = { .lex_state = 83 },
    [428] = { .lex_state = 79 },
    [429] = { .lex_state = 83 },
    [430] = { .lex_state = 87 },
    [431] = { .lex_state = 83 },
    [432] = { .lex_state = 83 },
    [433] = { .lex_state = 83 },
    [434] = { .lex_state = 83 },
    [435] = { .lex_state = 109 },
    [436] = { .lex_state = 90 },
    [437] = { .lex_state = 79 },
    [438] = { .lex_state = 78 },
    [439] = { .lex_state = 83 },
    [440] = { .lex_state = 83 },
    [441] = { .lex_state = 78 },
    [442] = { .lex_state = 83 },
    [443] = { .lex_state = 83 },
    [444] = { .lex_state = 83 },
    [445] = { .lex_state = 78 },
    [446] = { .lex_state = 78 },
    [447] = { .lex_state = 78 },
    [448] = { .lex_state = 78 },
    [449] = { .lex_state = 78 },
    [450] = { .lex_state = 113 },
    [451] = { .lex_state = 78 },
    [452] = { .lex_state = 90 },
    [453] = { .lex_state = 79 },
    [454] = { .lex_state = 85 },
    [455] = { .lex_state = 47 },
    [456] = { .lex_state = 78 },
    [457] = { .lex_state = 90 },
    [458] = { .lex_state = 85 },
    [459] = { .lex_state = 79 },
    [460] = { .lex_state = 47 },
    [461] = { .lex_state = 109 },
    [462] = { .lex_state = 47 },
    [463] = { .lex_state = 83 },
    [464] = { .lex_state = 90 },
    [465] = { .lex_state = 47 },
    [466] = { .lex_state = 47 },
    [467] = { .lex_state = 78 },
    [468] = { .lex_state = 47 },
    [469] = { .lex_state = 78 },
    [470] = { .lex_state = 90 },
    [471] = { .lex_state = 83 },
    [472] = { .lex_state = 78 },
    [473] = { .lex_state = 78 },
    [474] = { .lex_state = 78 },
    [475] = { .lex_state = 78 },
    [476] = { .lex_state = 78 },
    [477] = { .lex_state = 78 },
    [478] = { .lex_state = 78 },
    [479] = { .lex_state = 78 },
    [480] = { .lex_state = 78 },
    [481] = { .lex_state = 78 },
    [482] = { .lex_state = 58 },
    [483] = { .lex_state = 58 },
    [484] = { .lex_state = 58 },
    [485] = { .lex_state = 58 },
    [486] = { .lex_state = 881 },
    [487] = { .lex_state = 78 },
    [488] = { .lex_state = 58 },
    [489] = { .lex_state = 58 },
    [490] = { .lex_state = 881 },
    [491] = { .lex_state = 78 },
    [492] = { .lex_state = 58 },
    [493] = { .lex_state = 58 },
    [494] = { .lex_state = 78 },
    [495] = { .lex_state = 881 },
    [496] = { .lex_state = 78 },
    [497] = { .lex_state = 58 },
    [498] = { .lex_state = 58 },
    [499] = { .lex_state = 58 },
    [500] = { .lex_state = 90 },
    [501] = { .lex_state = 90 },
    [502] = { .lex_state = 90 },
    [503] = { .lex_state = 90 },
    [504] = { .lex_state = 90 },
    [505] = { .lex_state = 90 },
    [506] = { .lex_state = 90 },
    [507] = { .lex_state = 90 },
    [508] = { .lex_state = 90 },
    [509] = { .lex_state = 90 },
    [510] = { .lex_state = 78 },
    [511] = { .lex_state = 90 },
    [512] = { .lex_state = 90 },
    [513] = { .lex_state = 90 },
    [514] = { .lex_state = 114 },
    [515] = { .lex_state = 83 },
    [516] = { .lex_state = 83 },
    [517] = { .lex_state = 881 },
    [518] = { .lex_state = 83 },
    [519] = { .lex_state = 83 },
    [520] = { .lex_state = 83 },
    [521] = { .lex_state = 79 },
    [522] = { .lex_state = 78 },
    [523] = { .lex_state = 83 },
    [524] = { .lex_state = 87 },
    [525] = { .lex_state = 58 },
    [526] = { .lex_state = 58 },
    [527] = { .lex_state = 78 },
    [528] = { .lex_state = 62 },
    [529] = { .lex_state = 881 },
    [530] = { .lex_state = 78 },
    [531] = { .lex_state = 78 },
    [532] = { .lex_state = 78 },
    [533] = { .lex_state = 79 },
    [534] = { .lex_state = 79 },
    [535] = { .lex_state = 47 },
    [536] = { .lex_state = 47 },
    [537] = { .lex_state = 47 },
    [538] = { .lex_state = 47 },
    [539] = { .lex_state = 47 },
    [540] = { .lex_state = 47 },
    [541] = { .lex_state = 47 },
    [542] = { .lex_state = 47 },
    [543] = { .lex_state = 47 },
    [544] = { .lex_state = 78 },
    [545] = { .lex_state = 78 },
    [546] = { .lex_state = 47 },
    [547] = { .lex_state = 79 },
    [548] = { .lex_state = 47 },
    [549] = { .lex_state = 47 },
    [550] = { .lex_state = 47 },
    [551] = { .lex_state = 47 },
    [552] = { .lex_state = 79 },
    [553] = { .lex_state = 881 },
    [554] = { .lex_state = 83 },
    [555] = { .lex_state = 79 },
    [556] = { .lex_state = 83 },
    [557] = { .lex_state = 881 },
    [558] = { .lex_state = 78 },
    [559] = { .lex_state = 83 },
    [560] = { .lex_state = 83 },
    [561] = { .lex_state = 83 },
    [562] = { .lex_state = 79 },
    [563] = { .lex_state = 58 },
    [564] = { .lex_state = 78 },
    [565] = { .lex_state = 78 },
    [566] = { .lex_state = 87 },
    [567] = { .lex_state = 78 },
    [568] = { .lex_state = 881 },
    [569] = { .lex_state = 881 },
    [570] = { .lex_state = 78 },
    [571] = { .lex_state = 78 },
    [572] = { .lex_state = 78 },
    [573] = { .lex_state = 79 },
    [574] = { .lex_state = 62 },
    [575] = { .lex_state = 62 },
    [576] = { .lex_state = 58 },
    [577] = { .lex_state = 78 },
    [578] = { .lex_state = 79 },
    [579] = { .lex_state = 87 },
    [580] = { .lex_state = 78 },
    [581] = { .lex_state = 79 },
    [582] = { .lex_state = 79 },
    [583] = { .lex_state = 78 },
    [584] = { .lex_state = 87 },
    [585] = { .lex_state = 87 },
    [586] = { .lex_state = 79 },
    [587] = { .lex_state = 78 },
    [588] = { .lex_state = 83 },
    [589] = { .lex_state = 83 },
    [590] = { .lex_state = 79 },
    [591] = { .lex_state = 881 },
    [592] = { .lex_state = 881 },
    [593] = { .lex_state = 881 },
    [594] = { .lex_state = 881 },
    [595] = { .lex_state = 881 },
    [596] = { .lex_state = 881 },
    [597] = { .lex_state = 881 },
    [598] = { .lex_state = 881 },
    [599] = { .lex_state = 881 },
    [600] = { .lex_state = 881 },
    [601] = { .lex_state = 78 },
    [602] = { .lex_state = 881 },
    [603] = { .lex_state = 881 },
    [604] = { .lex_state = 79 },
    [605] = { .lex_state = 881 },
    [606] = { .lex_state = 79 },
    [607] = { .lex_state = 881 },
    [608] = { .lex_state = 79 },
    [609] = { .lex_state = 79 },
    [610] = { .lex_state = 881 },
    [611] = { .lex_state = 881 },
    [612] = { .lex_state = 881 },
    [613] = { .lex_state = 881 },
    [614] = { .lex_state = 881 },
    [615] = { .lex_state = 881 },
    [616] = { .lex_state = 881 },
    [617] = { .lex_state = 79 },
    [618] = { .lex_state = 881 },
    [619] = { .lex_state = 79 },
    [620] = { .lex_state = 881 },
    [621] = { .lex_state = 881 },
    [622] = { .lex_state = 881 },
    [623] = { .lex_state = 79 },
    [624] = { .lex_state = 78 },
    [625] = { .lex_state = 881 },
    [626] = { .lex_state = 881 },
    [627] = { .lex_state = 881 },
    [628] = { .lex_state = 881 },
    [629] = { .lex_state = 881 },
    [630] = { .lex_state = 881 },
    [631] = { .lex_state = 881 },
    [632] = { .lex_state = 881 },
    [633] = { .lex_state = 881 },
    [634] = { .lex_state = 97 },
    [635] = { .lex_state = 881 },
    [636] = { .lex_state = 881 },
    [637] = { .lex_state = 881 },
    [638] = { .lex_state = 881 },
    [639] = { .lex_state = 78 },
    [640] = { .lex_state = 78 },
    [641] = { .lex_state = 78 },
    [642] = { .lex_state = 78 },
    [643] = { .lex_state = 78 },
    [644] = { .lex_state = 78 },
    [645] = { .lex_state = 881 },
    [646] = { .lex_state = 79 },
    [647] = { .lex_state = 881 },
    [648] = { .lex_state = 78 },
    [649] = { .lex_state = 79 },
    [650] = { .lex_state = 79 },
    [651] = { .lex_state = 881 },
    [652] = { .lex_state = 90 },
    [653] = { .lex_state = 90 },
    [654] = { .lex_state = 90 },
    [655] = { .lex_state = 90 },
    [656] = { .lex_state = 90 },
    [657] = { .lex_state = 90 },
    [658] = { .lex_state = 90 },
    [659] = { .lex_state = 78 },
    [660] = { .lex_state = 90 },
    [661] = { .lex_state = 90 },
    [662] = { .lex_state = 90 },
    [663] = { .lex_state = 90 },
    [664] = { .lex_state = 90 },
    [665] = { .lex_state = 90 },
    [666] = { .lex_state = 90 },
    [667] = { .lex_state = 90 },
    [668] = { .lex_state = 62 },
    [669] = { .lex_state = 881 },
    [670] = { .lex_state = 90 },
    [671] = { .lex_state = 90 },
    [672] = { .lex_state = 90 },
    [673] = { .lex_state = 90 },
    [674] = { .lex_state = 90 },
    [675] = { .lex_state = 90 },
    [676] = { .lex_state = 90 },
    [677] = { .lex_state = 90 },
    [678] = { .lex_state = 90 },
    [679] = { .lex_state = 90 },
    [680] = { .lex_state = 881 },
    [681] = { .lex_state = 90 },
    [682] = { .lex_state = 90 },
    [683] = { .lex_state = 97 },
    [684] = { .lex_state = 90 },
    [685] = { .lex_state = 90 },
    [686] = { .lex_state = 97 },
    [687] = { .lex_state = 90 },
    [688] = { .lex_state = 97 },
    [689] = { .lex_state = 78 },
    [690] = { .lex_state = 881 },
    [691] = { .lex_state = 90 },
    [692] = { .lex_state = 90 },
    [693] = { .lex_state = 90 },
    [694] = { .lex_state = 90 },
    [695] = { .lex_state = 90 },
    [696] = { .lex_state = 90 },
    [697] = { .lex_state = 881 },
    [698] = { .lex_state = 90 },
    [699] = { .lex_state = 90 },
    [700] = { .lex_state = 90 },
    [701] = { .lex_state = 90 },
    [702] = { .lex_state = 90 },
    [703] = { .lex_state = 881 },
    [704] = { .lex_state = 90 },
    [705] = { .lex_state = 90 },
    [706] = { .lex_state = 79 },
    [707] = { .lex_state = 79 },
    [708] = { .lex_state = 78 },
    [709] = { .lex_state = 90 },
    [710] = { .lex_state = 881 },
    [711] = { .lex_state = 90 },
    [712] = { .lex_state = 90 },
    [713] = { .lex_state = 90 },
    [714] = { .lex_state = 881 },
    [715] = { .lex_state = 90 },
    [716] = { .lex_state = 90 },
    [717] = { .lex_state = 78 },
    [718] = { .lex_state = 97 },
    [719] = { .lex_state = 881 },
    [720] = { .lex_state = 115 },
    [721] = { .lex_state = 78 },
    [722] = { .lex_state = 881 },
    [723] = { .lex_state = 881 },
    [724] = { .lex_state = 881 },
    [725] = { .lex_state = 881 },
    [726] = { .lex_state = 881 },
    [727] = { .lex_state = 881 },
    [728] = { .lex_state = 87 },
    [729] = { .lex_state = 62 },
    [730] = { .lex_state = 78 },
    [731] = { .lex_state = 58 },
    [732] = { .lex_state = 62 },
    [733] = { .lex_state = 881 },
    [734] = { .lex_state = 79 },
    [735] = { .lex_state = 78 },
    [736] = { .lex_state = 79 },
    [737] = { .lex_state = 78 },
    [738] = { .lex_state = 881 },
    [739] = { .lex_state = 78 },
    [740] = { .lex_state = 881 },
    [741] = { .lex_state = 78 },
    [742] = { .lex_state = 881 },
    [743] = { .lex_state = 881 },
    [744] = { .lex_state = 881 },
    [745] = { .lex_state = 881 },
    [746] = { .lex_state = 881 },
    [747] = { .lex_state = 881 },
    [748] = { .lex_state = 881 },
    [749] = { .lex_state = 97 },
    [750] = { .lex_state = 881 },
    [751] = { .lex_state = 78 },
    [752] = { .lex_state = 79 },
    [753] = { .lex_state = 881 },
    [754] = { .lex_state = 47 },
    [755] = { .lex_state = 47 },
    [756] = { .lex_state = 47 },
    [757] = { .lex_state = 47 },
    [758] = { .lex_state = 47 },
    [759] = { .lex_state = 47 },
    [760] = { .lex_state = 47 },
    [761] = { .lex_state = 47 },
    [762] = { .lex_state = 47 },
    [763] = { .lex_state = 47 },
    [764] = { .lex_state = 47 },
    [765] = { .lex_state = 79 },
    [766] = { .lex_state = 47 },
    [767] = { .lex_state = 47 },
    [768] = { .lex_state = 47 },
    [769] = { .lex_state = 47 },
    [770] = { .lex_state = 881 },
    [771] = { .lex_state = 47 },
    [772] = { .lex_state = 881 },
    [773] = { .lex_state = 47 },
    [774] = { .lex_state = 47 },
    [775] = { .lex_state = 881 },
    [776] = { .lex_state = 47 },
    [777] = { .lex_state = 47 },
    [778] = { .lex_state = 47 },
    [779] = { .lex_state = 47 },
    [780] = { .lex_state = 47 },
    [781] = { .lex_state = 47 },
    [782] = { .lex_state = 881 },
    [783] = { .lex_state = 47 },
    [784] = { .lex_state = 79 },
    [785] = { .lex_state = 47 },
    [786] = { .lex_state = 47 },
    [787] = { .lex_state = 47 },
    [788] = { .lex_state = 881 },
    [789] = { .lex_state = 47 },
    [790] = { .lex_state = 47 },
    [791] = { .lex_state = 47 },
    [792] = { .lex_state = 881 },
    [793] = { .lex_state = 79 },
    [794] = { .lex_state = 47 },
    [795] = { .lex_state = 881 },
    [796] = { .lex_state = 47 },
    [797] = { .lex_state = 78 },
    [798] = { .lex_state = 881 },
    [799] = { .lex_state = 47 },
    [800] = { .lex_state = 881 },
    [801] = { .lex_state = 47 },
    [802] = { .lex_state = 79 },
    [803] = { .lex_state = 47 },
    [804] = { .lex_state = 47 },
    [805] = { .lex_state = 78 },
    [806] = { .lex_state = 47 },
    [807] = { .lex_state = 881 },
    [808] = { .lex_state = 79 },
    [809] = { .lex_state = 47 },
    [810] = { .lex_state = 78 },
    [811] = { .lex_state = 79 },
    [812] = { .lex_state = 881 },
    [813] = { .lex_state = 78 },
    [814] = { .lex_state = 78 },
    [815] = { .lex_state = 79 },
    [816] = { .lex_state = 79 },
    [817] = { .lex_state = 79 },
    [818] = { .lex_state = 47 },
    [819] = { .lex_state = 47 },
    [820] = { .lex_state = 79 },
    [821] = { .lex_state = 881 },
    [822] = { .lex_state = 47 },
    [823] = { .lex_state = 47 },
    [824] = { .lex_state = 881 },
    [825] = { .lex_state = 97 },
    [826] = { .lex_state = 47 },
    [827] = { .lex_state = 47 },
    [828] = { .lex_state = 47 },
    [829] = { .lex_state = 881 },
    [830] = { .lex_state = 881 },
    [831] = { .lex_state = 47 },
    [832] = { .lex_state = 47 },
    [833] = { .lex_state = 47 },
    [834] = { .lex_state = 78 },
    [835] = { .lex_state = 97 },
    [836] = { .lex_state = 78 },
    [837] = { .lex_state = 97 },
    [838] = { .lex_state = 881 },
    [839] = { .lex_state = 79 },
    [840] = { .lex_state = 97 },
    [841] = { .lex_state = 78 },
    [842] = { .lex_state = 97 },
    [843] = { .lex_state = 881 },
    [844] = { .lex_state = 881 },
    [845] = { .lex_state = 881 },
    [846] = { .lex_state = 79 },
    [847] = { .lex_state = 881 },
    [848] = { .lex_state = 881 },
    [849] = { .lex_state = 881 },
    [850] = { .lex_state = 881 },
    [851] = { .lex_state = 881 },
    [852] = { .lex_state = 881 },
    [853] = { .lex_state = 79 },
    [854] = { .lex_state = 97 },
    [855] = { .lex_state = 881 },
    [856] = { .lex_state = 881 },
    [857] = { .lex_state = 881 },
    [858] = { .lex_state = 97 },
    [859] = { .lex_state = 881 },
    [860] = { .lex_state = 78 },
    [861] = { .lex_state = 97 },
    [862] = { .lex_state = 881 },
    [863] = { .lex_state = 79 },
    [864] = { .lex_state = 881 },
    [865] = { .lex_state = 79 },
    [866] = { .lex_state = 881 },
    [867] = { .lex_state = 97 },
    [868] = { .lex_state = 79 },
    [869] = { .lex_state = 79 },
    [870] = { .lex_state = 881 },
    [871] = { .lex_state = 83 },
    [872] = { .lex_state = 881 },
    [873] = { .lex_state = 881 },
    [874] = { .lex_state = 65 },
    [875] = { .lex_state = 881 },
    [876] = { .lex_state = 881 },
    [877] = { .lex_state = 78 },
    [878] = { .lex_state = 881 },
    [879] = { .lex_state = 881 },
    [880] = { .lex_state = 881 },
    [881] = { .lex_state = 881 },
    [882] = { .lex_state = 881 },
    [883] = { .lex_state = 87 },
    [884] = { .lex_state = 97 },
    [885] = { .lex_state = 79 },
    [886] = { .lex_state = 881 },
    [887] = { .lex_state = 78 },
    [888] = { .lex_state = 79 },
    [889] = { .lex_state = 78 },
    [890] = { .lex_state = 881 },
    [891] = { .lex_state = 78 },
    [892] = { .lex_state = 79 },
    [893] = { .lex_state = 881 },
    [894] = { .lex_state = 78 },
    [895] = { .lex_state = 79 },
    [896] = { .lex_state = 78 },
    [897] = { .lex_state = 97 },
    [898] = { .lex_state = 881 },
    [899] = { .lex_state = 881 },
    [900] = { .lex_state = 97 },
    [901] = { .lex_state = 79 },
    [902] = { .lex_state = 79 },
    [903] = { .lex_state = 881 },
    [904] = { .lex_state = 881 },
    [905] = { .lex_state = 79 },
    [906] = { .lex_state = 79 },
    [907] = { .lex_state = 97 },
    [908] = { .lex_state = 79 },
    [909] = { .lex_state = 881 },
    [910] = { .lex_state = 79 },
    [911] = { .lex_state = 881 },
    [912] = { .lex_state = 97 },
    [913] = { .lex_state = 97 },
    [914] = { .lex_state = 78 },
    [915] = { .lex_state = 79 },
    [916] = { .lex_state = 881 },
    [917] = { .lex_state = 79 },
    [918] = { .lex_state = 97 },
    [919] = { .lex_state = 79 },
    [920] = { .lex_state = 881 },
    [921] = { .lex_state = 881 },
    [922] = { .lex_state = 79 },
    [923] = { .lex_state = 79 },
    [924] = { .lex_state = 881 },
    [925] = { .lex_state = 87 },
    [926] = { .lex_state = 79 },
    [927] = { .lex_state = 87 },
    [928] = { .lex_state = 881 },
    [929] = { .lex_state = 881 },
    [930] = { .lex_state = 87 },
    [931] = { .lex_state = 79 },
    [932] = { .lex_state = 881 },
    [933] = { .lex_state = 87 },
    [934] = { .lex_state = 881 },
    [935] = { .lex_state = 79 },
    [936] = { .lex_state = 97 },
    [937] = { .lex_state = 79 },
    [938] = { .lex_state = 97 },
    [939] = { .lex_state = 881 },
    [940] = { .lex_state = 78 },
    [941] = { .lex_state = 97 },
    [942] = { .lex_state = 79 },
    [943] = { .lex_state = 79 },
    [944] = { .lex_state = 881 },
    [945] = { .lex_state = 78 },
    [946] = { .lex_state = 79 },
    [947] = { .lex_state = 97 },
    [948] = { .lex_state = 78 },
    [949] = { .lex_state = 881 },
    [950] = { .lex_state = 881 },
    [951] = { .lex_state = 79 },
    [952] = { .lex_state = 79 },
    [953] = { .lex_state = 78 },
    [954] = { .lex_state = 79 },
    [955] = { .lex_state = 79 },
    [956] = { .lex_state = 881 },
    [957] = { .lex_state = 79 },
    [958] = { .lex_state = 79 },
    [959] = { .lex_state = 881 },
    [960] = { .lex_state = 79 },
    [961] = { .lex_state = 881 },
    [962] = { .lex_state = 97 },
    [963] = { .lex_state = 881 },
    [964] = { .lex_state = 78 },
    [965] = { .lex_state = 79 },
    [966] = { .lex_state = 79 },
    [967] = { .lex_state = 881 },
    [968] = { .lex_state = 881 },
    [969] = { .lex_state = 881 },
    [970] = { .lex_state = 79 },
    [971] = { .lex_state = 87 },
    [972] = { .lex_state = 881 },
    [973] = { .lex_state = 97 },
    [974] = { .lex_state = 78 },
    [975] = { .lex_state = 97 },
    [976] = { .lex_state = 881 },
    [977] = { .lex_state = 881 },
    [978] = { .lex_state = 79 },
    [979] = { .lex_state = 881 },
    [980] = { .lex_state = 881 },
    [981] = { .lex_state = 79 },
    [982] = { .lex_state = 66 },
    [983] = { .lex_state = 881 },
    [984] = { .lex_state = 881 },
    [985] = { .lex_state = 881 },
    [986] = { .lex_state = 79 },
    [987] = { .lex_state = 881 },
    [988] = { .lex_state = 66 },
    [989] = { .lex_state = 881 },
    [990] = { .lex_state = 881 },
    [991] = { .lex_state = 881 },
    [992] = { .lex_state = 881 },
    [993] = { .lex_state = 881 },
    [994] = { .lex_state = 881 },
    [995] = { .lex_state = 881 },
    [996] = { .lex_state = 97 },
    [997] = { .lex_state = 97 },
    [998] = { .lex_state = 881 },
    [999] = { .lex_state = 881 },
    [1000] = { .lex_state = 881 },
    [1001] = { .lex_state = 881 },
    [1002] = { .lex_state = 881 },
    [1003] = { .lex_state = 881 },
    [1004] = { .lex_state = 881 },
    [1005] = { .lex_state = 881 },
    [1006] = { .lex_state = 881 },
    [1007] = { .lex_state = 881 },
    [1008] = { .lex_state = 66 },
    [1009] = { .lex_state = 881 },
    [1010] = { .lex_state = 97 },
    [1011] = { .lex_state = 881 },
    [1012] = { .lex_state = 881 },
    [1013] = { .lex_state = 881 },
    [1014] = { .lex_state = 97 },
    [1015] = { .lex_state = 881 },
    [1016] = { .lex_state = 881 },
    [1017] = { .lex_state = 881 },
    [1018] = { .lex_state = 881 },
    [1019] = { .lex_state = 881 },
    [1020] = { .lex_state = 881 },
    [1021] = { .lex_state = 66 },
    [1022] = { .lex_state = 881 },
    [1023] = { .lex_state = 881 },
    [1024] = { .lex_state = 881 },
    [1025] = { .lex_state = 881 },
    [1026] = { .lex_state = 881 },
    [1027] = { .lex_state = 97 },
    [1028] = { .lex_state = 881 },
    [1029] = { .lex_state = 97 },
    [1030] = { .lex_state = 881 },
    [1031] = { .lex_state = 79 },
    [1032] = { .lex_state = 79 },
    [1033] = { .lex_state = 79 },
    [1034] = { .lex_state = 881 },
    [1035] = { .lex_state = 881 },
    [1036] = { .lex_state = 881 },
    [1037] = { .lex_state = 79 },
    [1038] = { .lex_state = 79 },
    [1039] = { .lex_state = 881 },
    [1040] = { .lex_state = 881 },
    [1041] = { .lex_state = 881 },
    [1042] = { .lex_state = 881 },
    [1043] = { .lex_state = 881 },
    [1044] = { .lex_state = 881 },
    [1045] = { .lex_state = 881 },
    [1046] = { .lex_state = 881 },
    [1047] = { .lex_state = 881 },
    [1048] = { .lex_state = 881 },
    [1049] = { .lex_state = 881 },
    [1050] = { .lex_state = 881 },
    [1051] = { .lex_state = 79 },
    [1052] = { .lex_state = 881 },
    [1053] = { .lex_state = 881 },
    [1054] = { .lex_state = 881 },
    [1055] = { .lex_state = 881 },
    [1056] = { .lex_state = 881 },
    [1057] = { .lex_state = 79 },
    [1058] = { .lex_state = 881 },
    [1059] = { .lex_state = 881 },
    [1060] = { .lex_state = 881 },
    [1061] = { .lex_state = 881 },
    [1062] = { .lex_state = 78 },
    [1063] = { .lex_state = 881 },
    [1064] = { .lex_state = 881 },
    [1065] = { .lex_state = 881 },
    [1066] = { .lex_state = 881 },
    [1067] = { .lex_state = 881 },
    [1068] = { .lex_state = 881 },
    [1069] = { .lex_state = 881 },
    [1070] = { .lex_state = 881 },
    [1071] = { .lex_state = 881 },
    [1072] = { .lex_state = 881 },
    [1073] = { .lex_state = 881 },
    [1074] = { .lex_state = 881 },
    [1075] = { .lex_state = 881 },
    [1076] = { .lex_state = 881 },
    [1077] = { .lex_state = 881 },
    [1078] = { .lex_state = 79 },
    [1079] = { .lex_state = 881 },
    [1080] = { .lex_state = 79 },
    [1081] = { .lex_state = 881 },
    [1082] = { .lex_state = 97 },
    [1083] = { .lex_state = 97 },
    [1084] = { .lex_state = 881 },
    [1085] = { .lex_state = 881 },
    [1086] = { .lex_state = 881 },
    [1087] = { .lex_state = 881 },
    [1088] = { .lex_state = 881 },
    [1089] = { .lex_state = 881 },
    [1090] = { .lex_state = 881 },
    [1091] = { .lex_state = 881 },
    [1092] = { .lex_state = 881 },
    [1093] = { .lex_state = 881 },
    [1094] = { .lex_state = 881 },
    [1095] = { .lex_state = 79 },
    [1096] = { .lex_state = 881 },
    [1097] = { .lex_state = 881 },
    [1098] = { .lex_state = 881 },
    [1099] = { .lex_state = 881 },
    [1100] = { .lex_state = 881 },
    [1101] = { .lex_state = 881 },
    [1102] = { .lex_state = 881 },
    [1103] = { .lex_state = 881 },
    [1104] = { .lex_state = 881 },
    [1105] = { .lex_state = 881 },
    [1106] = { .lex_state = 881 },
    [1107] = { .lex_state = 881 },
    [1108] = { .lex_state = 881 },
    [1109] = { .lex_state = 881 },
    [1110] = { .lex_state = 881 },
    [1111] = { .lex_state = 881 },
    [1112] = { .lex_state = 881 },
    [1113] = { .lex_state = 97 },
    [1114] = { .lex_state = 881 },
    [1115] = { .lex_state = 881 },
    [1116] = { .lex_state = 881 },
    [1117] = { .lex_state = 79 },
    [1118] = { .lex_state = 881 },
    [1119] = { .lex_state = 881 },
    [1120] = { .lex_state = 78 },
    [1121] = { .lex_state = 97 },
    [1122] = { .lex_state = 79 },
    [1123] = { .lex_state = 79 },
    [1124] = { .lex_state = 79 },
    [1125] = { .lex_state = 881 },
    [1126] = { .lex_state = 66 },
    [1127] = { .lex_state = 881 },
    [1128] = { .lex_state = 1019 },
    [1129] = { .lex_state = 881 },
    [1130] = { .lex_state = 881 },
    [1131] = { .lex_state = 881 },
    [1132] = { .lex_state = 79 },
    [1133] = { .lex_state = 881 },
    [1134] = { .lex_state = 79 },
    [1135] = { .lex_state = 881 },
    [1136] = { .lex_state = 881 },
    [1137] = { .lex_state = 79 },
    [1138] = { .lex_state = 79 },
    [1139] = { .lex_state = 881 },
    [1140] = { .lex_state = 881 },
    [1141] = { .lex_state = 881 },
    [1142] = { .lex_state = 881 },
    [1143] = { .lex_state = 881 },
    [1144] = { .lex_state = 881 },
    [1145] = { .lex_state = 881 },
    [1146] = { .lex_state = 881 },
    [1147] = { .lex_state = 881 },
    [1148] = { .lex_state = 881 },
    [1149] = { .lex_state = 881 },
    [1150] = { .lex_state = 881 },
    [1151] = { .lex_state = 881 },
    [1152] = { .lex_state = 881 },
    [1153] = { .lex_state = 881 },
    [1154] = { .lex_state = 881 },
    [1155] = { .lex_state = 881 },
    [1156] = { .lex_state = 881 },
    [1157] = { .lex_state = 881 },
    [1158] = { .lex_state = 881 },
    [1159] = { .lex_state = 881 },
    [1160] = { .lex_state = 881 },
    [1161] = { .lex_state = 881 },
    [1162] = { .lex_state = 881 },
    [1163] = { .lex_state = 881 },
    [1164] = { .lex_state = 881 },
    [1165] = { .lex_state = 881 },
    [1166] = { .lex_state = 881 },
    [1167] = { .lex_state = 881 },
    [1168] = { .lex_state = 881 },
    [1169] = { .lex_state = 97 },
    [1170] = { .lex_state = 79 },
    [1171] = { .lex_state = 881 },
    [1172] = { .lex_state = 881 },
    [1173] = { .lex_state = 881 },
    [1174] = { .lex_state = 881 },
    [1175] = { .lex_state = 881 },
    [1176] = { .lex_state = 881 },
    [1177] = { .lex_state = 881 },
    [1178] = { .lex_state = 881 },
    [1179] = { .lex_state = 79 },
    [1180] = { .lex_state = 881 },
    [1181] = { .lex_state = 881 },
    [1182] = { .lex_state = 881 },
    [1183] = { .lex_state = 881 },
    [1184] = { .lex_state = 79 },
    [1185] = { .lex_state = 881 },
    [1186] = { .lex_state = 881 },
    [1187] = { .lex_state = 881 },
    [1188] = { .lex_state = 881 },
    [1189] = { .lex_state = 881 },
    [1190] = { .lex_state = 881 },
    [1191] = { .lex_state = 881 },
    [1192] = { .lex_state = 881 },
    [1193] = { .lex_state = 881 },
    [1194] = { .lex_state = 881 },
    [1195] = { .lex_state = 881 },
    [1196] = { .lex_state = 881 },
    [1197] = { .lex_state = 881 },
    [1198] = { .lex_state = 881 },
    [1199] = { .lex_state = 881 },
    [1200] = { .lex_state = 881 },
    [1201] = { .lex_state = 881 },
    [1202] = { .lex_state = 881 },
    [1203] = { .lex_state = 881 },
    [1204] = { .lex_state = 881 },
    [1205] = { .lex_state = 881 },
    [1206] = { .lex_state = 881 },
    [1207] = { .lex_state = 881 },
    [1208] = { .lex_state = 881 },
    [1209] = { .lex_state = 881 },
    [1210] = { .lex_state = 881 },
    [1211] = { .lex_state = 881 },
    [1212] = { .lex_state = 881 },
    [1213] = { .lex_state = 881 },
    [1214] = { .lex_state = 881 },
    [1215] = { .lex_state = 881 },
    [1216] = { .lex_state = 881 },
    [1217] = { .lex_state = 881 },
    [1218] = { .lex_state = 881 },
    [1219] = { .lex_state = 881 },
    [1220] = { .lex_state = 881 },
    [1221] = { .lex_state = 881 },
    [1222] = { .lex_state = 79 },
    [1223] = { .lex_state = 881 },
    [1224] = { .lex_state = 881 },
    [1225] = { .lex_state = 881 },
    [1226] = { .lex_state = 881 },
    [1227] = { .lex_state = 79 },
    [1228] = { .lex_state = 1741 },
    [1229] = { .lex_state = 881 },
    [1230] = { .lex_state = 881 },
    [1231] = { .lex_state = 881 },
    [1232] = { .lex_state = 881 },
    [1233] = { .lex_state = 881 },
    [1234] = { .lex_state = 881 },
    [1235] = { .lex_state = 881 },
    [1236] = { .lex_state = 881 },
    [1237] = { .lex_state = 881 },
    [1238] = { .lex_state = 881 },
    [1239] = { .lex_state = 881 },
    [1240] = { .lex_state = 881 },
    [1241] = { .lex_state = 881 },
    [1242] = { .lex_state = 881 },
    [1243] = { .lex_state = 881 },
    [1244] = { .lex_state = 881 },
    [1245] = { .lex_state = 881 },
    [1246] = { .lex_state = 881 },
    [1247] = { .lex_state = 881 },
    [1248] = { .lex_state = 881 },
    [1249] = { .lex_state = 881 },
    [1250] = { .lex_state = 881 },
    [1251] = { .lex_state = 881 },
    [1252] = { .lex_state = 881 },
    [1253] = { .lex_state = 881 },
    [1254] = { .lex_state = 881 },
    [1255] = { .lex_state = 881 },
    [1256] = { .lex_state = 881 },
    [1257] = { .lex_state = 881 },
    [1258] = { .lex_state = 881 },
    [1259] = { .lex_state = 881 },
    [1260] = { .lex_state = 881 },
    [1261] = { .lex_state = 881 },
    [1262] = { .lex_state = 79 },
    [1263] = { .lex_state = 881 },
    [1264] = { .lex_state = 881 },
    [1265] = { .lex_state = 79 },
    [1266] = { .lex_state = 881 },
    [1267] = { .lex_state = 79 },
    [1268] = { .lex_state = 881 },
    [1269] = { .lex_state = 79 },
    [1270] = { .lex_state = 881 },
    [1271] = { .lex_state = 881 },
    [1272] = { .lex_state = 881 },
    [1273] = { .lex_state = 881 },
    [1274] = { .lex_state = 881 },
    [1275] = { .lex_state = 881 },
    [1276] = { .lex_state = 881 },
    [1277] = { .lex_state = 79 },
    [1278] = { .lex_state = 881 },
    [1279] = { .lex_state = 881 },
    [1280] = { .lex_state = 79 },
    [1281] = { .lex_state = 881 },
    [1282] = { .lex_state = 881 },
    [1283] = { .lex_state = 881 },
    [1284] = { .lex_state = 881 },
    [1285] = { .lex_state = 881 },
    [1286] = { .lex_state = 87 },
    [1287] = { .lex_state = 881 },
    [1288] = { .lex_state = 881 },
    [1289] = { .lex_state = 881 },
    [1290] = { .lex_state = 79 },
    [1291] = { .lex_state = 881 },
    [1292] = { .lex_state = 79 },
    [1293] = { .lex_state = 881 },
    [1294] = { .lex_state = 79 },
    [1295] = { .lex_state = 79 },
    [1296] = { .lex_state = 881 },
    [1297] = { .lex_state = 881 },
    [1298] = { .lex_state = 79 },
    [1299] = { .lex_state = 79 },
    [1300] = { .lex_state = 79 },
    [1301] = { .lex_state = 881 },
    [1302] = { .lex_state = 881 },
    [1303] = { .lex_state = 881 },
    [1304] = { .lex_state = 881 },
    [1305] = { .lex_state = 881 },
    [1306] = { .lex_state = 881 },
    [1307] = { .lex_state = 79 },
    [1308] = { .lex_state = 79 },
    [1309] = { .lex_state = 79 },
    [1310] = { .lex_state = 881 },
    [1311] = { .lex_state = 881 },
    [1312] = { .lex_state = 79 },
    [1313] = { .lex_state = 97 },
    [1314] = { .lex_state = 79 },
    [1315] = { .lex_state = 881 },
    [1316] = { .lex_state = 97 },
    [1317] = { .lex_state = 881 },
    [1318] = { .lex_state = 881 },
    [1319] = { .lex_state = 881 },
    [1320] = { .lex_state = 881 },
    [1321] = { .lex_state = 79 },
    [1322] = { .lex_state = 881 },
    [1323] = { .lex_state = 79 },
    [1324] = { .lex_state = 97 },
    [1325] = { .lex_state = 881 },
    [1326] = { .lex_state = 881 },
    [1327] = { .lex_state = 79 },
    [1328] = { .lex_state = 79 },
    [1329] = { .lex_state = 79 },
    [1330] = { .lex_state = 79 },
    [1331] = { .lex_state = 881 },
    [1332] = { .lex_state = 881 },
    [1333] = { .lex_state = 79 },
    [1334] = { .lex_state = 881 },
    [1335] = { .lex_state = 78 },
    [1336] = { .lex_state = 97 },
    [1337] = { .lex_state = 79 },
    [1338] = { .lex_state = 881 },
    [1339] = { .lex_state = 881 },
    [1340] = { .lex_state = 79 },
    [1341] = { .lex_state = 881 },
    [1342] = { .lex_state = 881 },
    [1343] = { .lex_state = 881 },
    [1344] = { .lex_state = 78 },
    [1345] = { .lex_state = 881 },
    [1346] = { .lex_state = 881 },
    [1347] = { .lex_state = 79 },
    [1348] = { .lex_state = 78 },
    [1349] = { .lex_state = 995 },
    [1350] = { .lex_state = 87 },
    [1351] = { .lex_state = 94 },
    [1352] = { .lex_state = 78 },
    [1353] = { .lex_state = 79 },
    [1354] = { .lex_state = 881 },
    [1355] = { .lex_state = 881 },
    [1356] = { .lex_state = 881 },
    [1357] = { .lex_state = 881 },
    [1358] = { .lex_state = 881 },
    [1359] = { .lex_state = 881 },
    [1360] = { .lex_state = 881 },
    [1361] = { .lex_state = 881 },
    [1362] = { .lex_state = 881 },
    [1363] = { .lex_state = 881 },
    [1364] = { .lex_state = 881 },
    [1365] = { .lex_state = 881 },
    [1366] = { .lex_state = 881 },
    [1367] = { .lex_state = 881 },
    [1368] = { .lex_state = 881 },
    [1369] = { .lex_state = 881 },
    [1370] = { .lex_state = 881 },
    [1371] = { .lex_state = 881 },
    [1372] = { .lex_state = 881 },
    [1373] = { .lex_state = 881 },
    [1374] = { .lex_state = 881 },
    [1375] = { .lex_state = 881 },
    [1376] = { .lex_state = 881 },
    [1377] = { .lex_state = 881 },
    [1378] = { .lex_state = 881 },
    [1379] = { .lex_state = 881 },
    [1380] = { .lex_state = 881 },
    [1381] = { .lex_state = 881 },
    [1382] = { .lex_state = 881 },
    [1383] = { .lex_state = 881 },
    [1384] = { .lex_state = 881 },
    [1385] = { .lex_state = 881 },
    [1386] = { .lex_state = 881 },
    [1387] = { .lex_state = 881 },
    [1388] = { .lex_state = 881 },
    [1389] = { .lex_state = 881 },
    [1390] = { .lex_state = 881 },
    [1391] = { .lex_state = 881 },
    [1392] = { .lex_state = 881 },
    [1393] = { .lex_state = 881 },
    [1394] = { .lex_state = 881 },
    [1395] = { .lex_state = 881 },
    [1396] = { .lex_state = 881 },
    [1397] = { .lex_state = 881 },
    [1398] = { .lex_state = 881 },
    [1399] = { .lex_state = 78 },
    [1400] = { .lex_state = 881 },
    [1401] = { .lex_state = 881 },
    [1402] = { .lex_state = 881 },
    [1403] = { (TSStateId)(-1) },
    [1404] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [sym_char_type] = ACTIONS(1),
        [sym_wide_char_type] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [sym_bin_number] = ACTIONS(1),
        [aux_sym_oct_number_token1] = ACTIONS(1),
        [aux_sym_oct_number_token2] = ACTIONS(1),
        [anon_sym_0] = ACTIONS(1),
        [aux_sym_dec_number_token1] = ACTIONS(1),
        [sym_hex_number] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [aux_sym_floating_pt_literal_token1] = ACTIONS(1),
        [aux_sym_fixed_pt_literal_token1] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(1),
        [aux_sym_autoid_kind_token1] = ACTIONS(1),
        [aux_sym_autoid_kind_token2] = ACTIONS(1),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(1),
        [aux_sym_extensibility_kind_token1] = ACTIONS(1),
        [aux_sym_extensibility_kind_token2] = ACTIONS(1),
        [aux_sym_extensibility_kind_token3] = ACTIONS(1),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(1),
        [aux_sym_min_expr_token1] = ACTIONS(1),
        [aux_sym_max_expr_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1),
        [aux_sym_verbatim_language_token1] = ACTIONS(1),
        [aux_sym_verbatim_language_token2] = ACTIONS(1),
        [aux_sym_verbatim_language_token3] = ACTIONS(1),
        [aux_sym_verbatim_language_token4] = ACTIONS(1),
        [aux_sym_placement_kind_token1] = ACTIONS(1),
        [aux_sym_placement_kind_token2] = ACTIONS(1),
        [aux_sym_placement_kind_token3] = ACTIONS(1),
        [aux_sym_placement_kind_token4] = ACTIONS(1),
        [aux_sym_placement_kind_token5] = ACTIONS(1),
        [aux_sym_placement_kind_token6] = ACTIONS(1),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1),
        [aux_sym_service_platform_token1] = ACTIONS(1),
        [aux_sym_service_platform_token2] = ACTIONS(1),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1),
        [anon_sym_hashid] = ACTIONS(1),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(1282),
        [sym_preproc_define] = STATE(201),
        [sym_preproc_call] = STATE(201),
        [sym_preproc_include] = STATE(201),
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_template_module_inst] = STATE(1279),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(201),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1141),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(648),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1141),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1141),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_element] = STATE(60),
        [sym_state_member] = STATE(57),
        [sym_init_dcl] = STATE(57),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1141),
        [sym_import_dcl] = STATE(1141),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(648),
        [sym_op_with_context] = STATE(1141),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1141),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1141),
        [sym_comment] = STATE(2),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(70),
        [anon_sym_int32] = ACTIONS(70),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(76),
        [sym_unsigned_tiny_int] = ACTIONS(79),
        [sym_boolean_type] = ACTIONS(82),
        [anon_sym_fixed] = ACTIONS(85),
        [sym_octet_type] = ACTIONS(82),
        [sym_signed_tiny_int] = ACTIONS(88),
        [anon_sym_unsignedshort] = ACTIONS(91),
        [anon_sym_uint16] = ACTIONS(94),
        [anon_sym_unsignedlong] = ACTIONS(97),
        [anon_sym_uint32] = ACTIONS(97),
        [anon_sym_unsignedlonglong] = ACTIONS(100),
        [anon_sym_uint64] = ACTIONS(103),
        [anon_sym_float] = ACTIONS(106),
        [anon_sym_double] = ACTIONS(106),
        [anon_sym_longdouble] = ACTIONS(109),
        [sym_char_type] = ACTIONS(82),
        [sym_wide_char_type] = ACTIONS(82),
        [anon_sym_COLON_COLON] = ACTIONS(112),
        [anon_sym_string] = ACTIONS(115),
        [anon_sym_wstring] = ACTIONS(118),
        [anon_sym_any] = ACTIONS(121),
        [anon_sym_sequence] = ACTIONS(124),
        [anon_sym_map] = ACTIONS(127),
        [anon_sym_exception] = ACTIONS(130),
        [anon_sym_RBRACE] = ACTIONS(133),
        [anon_sym_abstract] = ACTIONS(135),
        [anon_sym_void] = ACTIONS(138),
        [anon_sym_readonly] = ACTIONS(141),
        [anon_sym_attribute] = ACTIONS(144),
        [anon_sym_bitset] = ACTIONS(147),
        [anon_sym_bitmask] = ACTIONS(150),
        [anon_sym_AT] = ACTIONS(153),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(156),
        [anon_sym_valuetype] = ACTIONS(159),
        [anon_sym_struct] = ACTIONS(162),
        [anon_sym_union] = ACTIONS(165),
        [anon_sym_enum] = ACTIONS(168),
        [anon_sym_const] = ACTIONS(171),
        [anon_sym_custom] = ACTIONS(174),
        [anon_sym_public] = ACTIONS(177),
        [anon_sym_private] = ACTIONS(177),
        [anon_sym_factory] = ACTIONS(180),
        [anon_sym_typedef] = ACTIONS(183),
        [anon_sym_typeid] = ACTIONS(186),
        [anon_sym_import] = ACTIONS(189),
        [anon_sym_Object] = ACTIONS(192),
        [anon_sym_oneway] = ACTIONS(195),
        [sym_value_base_type] = ACTIONS(82),
        [anon_sym_native] = ACTIONS(198),
        [sym_identifier] = ACTIONS(201),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1141),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(648),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1141),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1141),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_element] = STATE(60),
        [sym_state_member] = STATE(57),
        [sym_init_dcl] = STATE(57),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1141),
        [sym_import_dcl] = STATE(1141),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(648),
        [sym_op_with_context] = STATE(1141),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1141),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1141),
        [sym_comment] = STATE(3),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(248),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_public] = ACTIONS(276),
        [anon_sym_private] = ACTIONS(276),
        [anon_sym_factory] = ACTIONS(278),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1141),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(648),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1141),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1141),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_element] = STATE(60),
        [sym_state_member] = STATE(57),
        [sym_init_dcl] = STATE(57),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1141),
        [sym_import_dcl] = STATE(1141),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(648),
        [sym_op_with_context] = STATE(1141),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1141),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1141),
        [sym_comment] = STATE(4),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_value_def_repeat1] = STATE(6),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(294),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_public] = ACTIONS(276),
        [anon_sym_private] = ACTIONS(276),
        [anon_sym_factory] = ACTIONS(278),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1187),
        [sym_export] = STATE(65),
        [sym_op_dcl] = STATE(640),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1187),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1187),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1187),
        [sym_import_dcl] = STATE(1187),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(640),
        [sym_op_with_context] = STATE(1187),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_home_body] = STATE(1050),
        [sym_home_export] = STATE(66),
        [sym_factory_dcl] = STATE(1048),
        [sym_finder_dcl] = STATE(1048),
        [sym_type_dcl] = STATE(1187),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1187),
        [sym_comment] = STATE(5),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(296),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_factory] = ACTIONS(298),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_finder] = ACTIONS(300),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1141),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(648),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1141),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1141),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_element] = STATE(60),
        [sym_state_member] = STATE(57),
        [sym_init_dcl] = STATE(57),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1141),
        [sym_import_dcl] = STATE(1141),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(648),
        [sym_op_with_context] = STATE(1141),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1141),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1141),
        [sym_comment] = STATE(6),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(302),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_public] = ACTIONS(276),
        [anon_sym_private] = ACTIONS(276),
        [anon_sym_factory] = ACTIONS(278),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1141),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(648),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1141),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1141),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_element] = STATE(60),
        [sym_state_member] = STATE(57),
        [sym_init_dcl] = STATE(57),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1141),
        [sym_import_dcl] = STATE(1141),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(648),
        [sym_op_with_context] = STATE(1141),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1141),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1141),
        [sym_comment] = STATE(7),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_value_def_repeat1] = STATE(3),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(304),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_public] = ACTIONS(276),
        [anon_sym_private] = ACTIONS(276),
        [anon_sym_factory] = ACTIONS(278),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1187),
        [sym_export] = STATE(65),
        [sym_op_dcl] = STATE(640),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1187),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1187),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1187),
        [sym_import_dcl] = STATE(1187),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(640),
        [sym_op_with_context] = STATE(1187),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_home_export] = STATE(66),
        [sym_factory_dcl] = STATE(1048),
        [sym_finder_dcl] = STATE(1048),
        [sym_type_dcl] = STATE(1187),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1187),
        [sym_comment] = STATE(8),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(306),
        [anon_sym_int16] = ACTIONS(306),
        [anon_sym_long] = ACTIONS(309),
        [anon_sym_int32] = ACTIONS(309),
        [anon_sym_longlong] = ACTIONS(312),
        [anon_sym_int64] = ACTIONS(315),
        [sym_unsigned_tiny_int] = ACTIONS(318),
        [sym_boolean_type] = ACTIONS(321),
        [anon_sym_fixed] = ACTIONS(324),
        [sym_octet_type] = ACTIONS(321),
        [sym_signed_tiny_int] = ACTIONS(327),
        [anon_sym_unsignedshort] = ACTIONS(330),
        [anon_sym_uint16] = ACTIONS(333),
        [anon_sym_unsignedlong] = ACTIONS(336),
        [anon_sym_uint32] = ACTIONS(336),
        [anon_sym_unsignedlonglong] = ACTIONS(339),
        [anon_sym_uint64] = ACTIONS(342),
        [anon_sym_float] = ACTIONS(345),
        [anon_sym_double] = ACTIONS(345),
        [anon_sym_longdouble] = ACTIONS(348),
        [sym_char_type] = ACTIONS(321),
        [sym_wide_char_type] = ACTIONS(321),
        [anon_sym_COLON_COLON] = ACTIONS(351),
        [anon_sym_string] = ACTIONS(354),
        [anon_sym_wstring] = ACTIONS(357),
        [anon_sym_any] = ACTIONS(360),
        [anon_sym_sequence] = ACTIONS(363),
        [anon_sym_map] = ACTIONS(366),
        [anon_sym_exception] = ACTIONS(369),
        [anon_sym_RBRACE] = ACTIONS(372),
        [anon_sym_abstract] = ACTIONS(374),
        [anon_sym_void] = ACTIONS(377),
        [anon_sym_readonly] = ACTIONS(380),
        [anon_sym_attribute] = ACTIONS(383),
        [anon_sym_bitset] = ACTIONS(386),
        [anon_sym_bitmask] = ACTIONS(389),
        [anon_sym_AT] = ACTIONS(392),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(395),
        [anon_sym_valuetype] = ACTIONS(398),
        [anon_sym_struct] = ACTIONS(401),
        [anon_sym_union] = ACTIONS(404),
        [anon_sym_enum] = ACTIONS(407),
        [anon_sym_const] = ACTIONS(410),
        [anon_sym_custom] = ACTIONS(413),
        [anon_sym_factory] = ACTIONS(416),
        [anon_sym_typedef] = ACTIONS(419),
        [anon_sym_typeid] = ACTIONS(422),
        [anon_sym_import] = ACTIONS(425),
        [anon_sym_Object] = ACTIONS(428),
        [anon_sym_oneway] = ACTIONS(431),
        [sym_value_base_type] = ACTIONS(321),
        [anon_sym_finder] = ACTIONS(434),
        [anon_sym_native] = ACTIONS(437),
        [sym_identifier] = ACTIONS(440),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1187),
        [sym_export] = STATE(65),
        [sym_op_dcl] = STATE(640),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1187),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1187),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1187),
        [sym_import_dcl] = STATE(1187),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(640),
        [sym_op_with_context] = STATE(1187),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_home_export] = STATE(66),
        [sym_factory_dcl] = STATE(1048),
        [sym_finder_dcl] = STATE(1048),
        [sym_type_dcl] = STATE(1187),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1187),
        [sym_comment] = STATE(9),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(443),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_factory] = ACTIONS(298),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_finder] = ACTIONS(300),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_interface_body] = STATE(1302),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(10),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(17),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(445),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(11),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(447),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(12),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(449),
        [anon_sym_int16] = ACTIONS(449),
        [anon_sym_long] = ACTIONS(452),
        [anon_sym_int32] = ACTIONS(452),
        [anon_sym_longlong] = ACTIONS(455),
        [anon_sym_int64] = ACTIONS(458),
        [sym_unsigned_tiny_int] = ACTIONS(461),
        [sym_boolean_type] = ACTIONS(464),
        [anon_sym_fixed] = ACTIONS(467),
        [sym_octet_type] = ACTIONS(464),
        [sym_signed_tiny_int] = ACTIONS(470),
        [anon_sym_unsignedshort] = ACTIONS(473),
        [anon_sym_uint16] = ACTIONS(476),
        [anon_sym_unsignedlong] = ACTIONS(479),
        [anon_sym_uint32] = ACTIONS(479),
        [anon_sym_unsignedlonglong] = ACTIONS(482),
        [anon_sym_uint64] = ACTIONS(485),
        [anon_sym_float] = ACTIONS(488),
        [anon_sym_double] = ACTIONS(488),
        [anon_sym_longdouble] = ACTIONS(491),
        [sym_char_type] = ACTIONS(464),
        [sym_wide_char_type] = ACTIONS(464),
        [anon_sym_COLON_COLON] = ACTIONS(494),
        [anon_sym_string] = ACTIONS(497),
        [anon_sym_wstring] = ACTIONS(500),
        [anon_sym_any] = ACTIONS(503),
        [anon_sym_sequence] = ACTIONS(506),
        [anon_sym_map] = ACTIONS(509),
        [anon_sym_exception] = ACTIONS(512),
        [anon_sym_RBRACE] = ACTIONS(515),
        [anon_sym_abstract] = ACTIONS(517),
        [anon_sym_void] = ACTIONS(520),
        [anon_sym_readonly] = ACTIONS(523),
        [anon_sym_attribute] = ACTIONS(526),
        [anon_sym_bitset] = ACTIONS(529),
        [anon_sym_bitmask] = ACTIONS(532),
        [anon_sym_AT] = ACTIONS(535),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(538),
        [anon_sym_valuetype] = ACTIONS(541),
        [anon_sym_struct] = ACTIONS(544),
        [anon_sym_union] = ACTIONS(547),
        [anon_sym_enum] = ACTIONS(550),
        [anon_sym_const] = ACTIONS(553),
        [anon_sym_custom] = ACTIONS(556),
        [anon_sym_typedef] = ACTIONS(559),
        [anon_sym_typeid] = ACTIONS(562),
        [anon_sym_import] = ACTIONS(565),
        [anon_sym_Object] = ACTIONS(568),
        [anon_sym_oneway] = ACTIONS(571),
        [sym_value_base_type] = ACTIONS(464),
        [anon_sym_native] = ACTIONS(574),
        [sym_identifier] = ACTIONS(577),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(13),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(580),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(14),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(582),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(15),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(13),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(582),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(16),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(584),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(17),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(586),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(18),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(584),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(19),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(14),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(588),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(1353),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_except_dcl] = STATE(1052),
        [sym_export] = STATE(79),
        [sym_op_dcl] = STATE(836),
        [sym_op_type_spec] = STATE(1295),
        [sym_attr_dcl] = STATE(1052),
        [sym_readonly_attr_spec] = STATE(1293),
        [sym_attr_spec] = STATE(1293),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_value_dcl] = STATE(1052),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1052),
        [sym_import_dcl] = STATE(1052),
        [sym_object_type] = STATE(516),
        [sym_op_oneway_dcl] = STATE(836),
        [sym_op_with_context] = STATE(1052),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_type_dcl] = STATE(1052),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1052),
        [sym_comment] = STATE(20),
        [aux_sym_interface_dcl_repeat1] = STATE(230),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_exception] = ACTIONS(246),
        [anon_sym_RBRACE] = ACTIONS(590),
        [anon_sym_abstract] = ACTIONS(250),
        [anon_sym_void] = ACTIONS(252),
        [anon_sym_readonly] = ACTIONS(254),
        [anon_sym_attribute] = ACTIONS(256),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_AT] = ACTIONS(262),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_const] = ACTIONS(272),
        [anon_sym_custom] = ACTIONS(274),
        [anon_sym_typedef] = ACTIONS(280),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(284),
        [anon_sym_Object] = ACTIONS(286),
        [anon_sym_oneway] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(214),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(302),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(907),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_const_expr] = STATE(907),
        [sym_or_expr] = STATE(395),
        [sym_xor_expr] = STATE(378),
        [sym_and_expr] = STATE(370),
        [sym_shift_expr] = STATE(364),
        [sym_add_expr] = STATE(286),
        [sym_mult_expr] = STATE(258),
        [sym_unary_expr] = STATE(262),
        [sym_primary_expr] = STATE(264),
        [sym_unary_operator] = STATE(202),
        [sym_literal] = STATE(265),
        [sym_integer_literal] = STATE(250),
        [sym_integer_sign] = STATE(382),
        [sym_oct_number] = STATE(257),
        [sym_dec_number] = STATE(240),
        [sym_floating_pt_literal] = STATE(250),
        [sym_fixed_pt_literal] = STATE(250),
        [sym_string_literal] = STATE(250),
        [sym_wide_string_literal] = STATE(250),
        [sym_char_literal] = STATE(250),
        [sym_wide_character_literal] = STATE(250),
        [sym_boolean_literal] = STATE(250),
        [sym_actual_parameters] = STATE(1169),
        [sym_actual_parameter] = STATE(825),
        [sym_object_type] = STATE(516),
        [sym_comment] = STATE(21),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(592),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_PLUS] = ACTIONS(594),
        [anon_sym_DASH] = ACTIONS(594),
        [anon_sym_LPAREN] = ACTIONS(596),
        [anon_sym_TILDE] = ACTIONS(598),
        [sym_bin_number] = ACTIONS(600),
        [aux_sym_oct_number_token1] = ACTIONS(602),
        [aux_sym_oct_number_token2] = ACTIONS(602),
        [anon_sym_0] = ACTIONS(604),
        [aux_sym_dec_number_token1] = ACTIONS(604),
        [sym_hex_number] = ACTIONS(600),
        [anon_sym_DQUOTE] = ACTIONS(606),
        [anon_sym_L] = ACTIONS(608),
        [anon_sym_SQUOTE] = ACTIONS(610),
        [anon_sym_TRUE] = ACTIONS(612),
        [anon_sym_FALSE] = ACTIONS(612),
        [anon_sym_Object] = ACTIONS(286),
        [sym_value_base_type] = ACTIONS(214),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(302),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(907),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_const_expr] = STATE(907),
        [sym_or_expr] = STATE(395),
        [sym_xor_expr] = STATE(378),
        [sym_and_expr] = STATE(370),
        [sym_shift_expr] = STATE(364),
        [sym_add_expr] = STATE(286),
        [sym_mult_expr] = STATE(258),
        [sym_unary_expr] = STATE(262),
        [sym_primary_expr] = STATE(264),
        [sym_unary_operator] = STATE(202),
        [sym_literal] = STATE(265),
        [sym_integer_literal] = STATE(250),
        [sym_integer_sign] = STATE(382),
        [sym_oct_number] = STATE(257),
        [sym_dec_number] = STATE(240),
        [sym_floating_pt_literal] = STATE(250),
        [sym_fixed_pt_literal] = STATE(250),
        [sym_string_literal] = STATE(250),
        [sym_wide_string_literal] = STATE(250),
        [sym_char_literal] = STATE(250),
        [sym_wide_character_literal] = STATE(250),
        [sym_boolean_literal] = STATE(250),
        [sym_actual_parameter] = STATE(938),
        [sym_object_type] = STATE(516),
        [sym_comment] = STATE(22),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(592),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_PLUS] = ACTIONS(594),
        [anon_sym_DASH] = ACTIONS(594),
        [anon_sym_LPAREN] = ACTIONS(596),
        [anon_sym_TILDE] = ACTIONS(598),
        [sym_bin_number] = ACTIONS(600),
        [aux_sym_oct_number_token1] = ACTIONS(602),
        [aux_sym_oct_number_token2] = ACTIONS(602),
        [anon_sym_0] = ACTIONS(604),
        [aux_sym_dec_number_token1] = ACTIONS(604),
        [sym_hex_number] = ACTIONS(600),
        [anon_sym_DQUOTE] = ACTIONS(606),
        [anon_sym_L] = ACTIONS(608),
        [anon_sym_SQUOTE] = ACTIONS(610),
        [anon_sym_TRUE] = ACTIONS(612),
        [anon_sym_FALSE] = ACTIONS(612),
        [anon_sym_Object] = ACTIONS(286),
        [sym_value_base_type] = ACTIONS(214),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_preproc_define] = STATE(201),
        [sym_preproc_call] = STATE(201),
        [sym_preproc_include] = STATE(201),
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_template_module_inst] = STATE(1279),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(201),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(23),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [ts_builtin_sym_end] = ACTIONS(616),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_preproc_define] = STATE(201),
        [sym_preproc_call] = STATE(201),
        [sym_preproc_include] = STATE(201),
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_template_module_inst] = STATE(1279),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(201),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(24),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [ts_builtin_sym_end] = ACTIONS(618),
        [anon_sym_POUNDdefine] = ACTIONS(620),
        [sym_preproc_directive] = ACTIONS(623),
        [aux_sym_preproc_include_token1] = ACTIONS(626),
        [anon_sym_exception] = ACTIONS(629),
        [anon_sym_local] = ACTIONS(632),
        [anon_sym_abstract] = ACTIONS(635),
        [anon_sym_interface] = ACTIONS(638),
        [anon_sym_bitset] = ACTIONS(641),
        [anon_sym_bitmask] = ACTIONS(644),
        [anon_sym_ATannotation] = ACTIONS(647),
        [anon_sym_AT] = ACTIONS(650),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(653),
        [anon_sym_module] = ACTIONS(656),
        [anon_sym_valuetype] = ACTIONS(659),
        [anon_sym_eventtype] = ACTIONS(662),
        [anon_sym_struct] = ACTIONS(665),
        [anon_sym_union] = ACTIONS(668),
        [anon_sym_enum] = ACTIONS(671),
        [anon_sym_const] = ACTIONS(674),
        [anon_sym_custom] = ACTIONS(677),
        [anon_sym_typedef] = ACTIONS(680),
        [anon_sym_typeid] = ACTIONS(683),
        [anon_sym_typeprefix] = ACTIONS(686),
        [anon_sym_import] = ACTIONS(689),
        [anon_sym_component] = ACTIONS(692),
        [anon_sym_home] = ACTIONS(695),
        [anon_sym_porttype] = ACTIONS(698),
        [anon_sym_connector] = ACTIONS(701),
        [anon_sym_native] = ACTIONS(704),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_tpl_definition] = STATE(208),
        [sym_template_module_inst] = STATE(1279),
        [sym_template_module_ref] = STATE(1049),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(209),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(25),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(707),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(709),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_tpl_definition] = STATE(208),
        [sym_template_module_inst] = STATE(1279),
        [sym_template_module_ref] = STATE(1049),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(209),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(26),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(711),
        [anon_sym_RBRACE] = ACTIONS(714),
        [anon_sym_local] = ACTIONS(716),
        [anon_sym_abstract] = ACTIONS(719),
        [anon_sym_interface] = ACTIONS(722),
        [anon_sym_bitset] = ACTIONS(725),
        [anon_sym_bitmask] = ACTIONS(728),
        [anon_sym_ATannotation] = ACTIONS(731),
        [anon_sym_AT] = ACTIONS(734),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(737),
        [anon_sym_module] = ACTIONS(740),
        [anon_sym_valuetype] = ACTIONS(743),
        [anon_sym_eventtype] = ACTIONS(746),
        [anon_sym_struct] = ACTIONS(749),
        [anon_sym_union] = ACTIONS(752),
        [anon_sym_enum] = ACTIONS(755),
        [anon_sym_const] = ACTIONS(758),
        [anon_sym_alias] = ACTIONS(761),
        [anon_sym_custom] = ACTIONS(764),
        [anon_sym_typedef] = ACTIONS(767),
        [anon_sym_typeid] = ACTIONS(770),
        [anon_sym_typeprefix] = ACTIONS(773),
        [anon_sym_import] = ACTIONS(776),
        [anon_sym_component] = ACTIONS(779),
        [anon_sym_home] = ACTIONS(782),
        [anon_sym_porttype] = ACTIONS(785),
        [anon_sym_connector] = ACTIONS(788),
        [anon_sym_native] = ACTIONS(791),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_tpl_definition] = STATE(208),
        [sym_template_module_inst] = STATE(1279),
        [sym_template_module_ref] = STATE(1049),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(209),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(27),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(794),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(709),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_template_module_inst] = STATE(1279),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(210),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(28),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(796),
        [anon_sym_RBRACE] = ACTIONS(799),
        [anon_sym_local] = ACTIONS(801),
        [anon_sym_abstract] = ACTIONS(804),
        [anon_sym_interface] = ACTIONS(807),
        [anon_sym_bitset] = ACTIONS(810),
        [anon_sym_bitmask] = ACTIONS(813),
        [anon_sym_ATannotation] = ACTIONS(816),
        [anon_sym_AT] = ACTIONS(819),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(822),
        [anon_sym_module] = ACTIONS(825),
        [anon_sym_valuetype] = ACTIONS(828),
        [anon_sym_eventtype] = ACTIONS(831),
        [anon_sym_struct] = ACTIONS(834),
        [anon_sym_union] = ACTIONS(837),
        [anon_sym_enum] = ACTIONS(840),
        [anon_sym_const] = ACTIONS(843),
        [anon_sym_custom] = ACTIONS(846),
        [anon_sym_typedef] = ACTIONS(849),
        [anon_sym_typeid] = ACTIONS(852),
        [anon_sym_typeprefix] = ACTIONS(855),
        [anon_sym_import] = ACTIONS(858),
        [anon_sym_component] = ACTIONS(861),
        [anon_sym_home] = ACTIONS(864),
        [anon_sym_porttype] = ACTIONS(867),
        [anon_sym_connector] = ACTIONS(870),
        [anon_sym_native] = ACTIONS(873),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_template_module_inst] = STATE(1279),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(210),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(29),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(876),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_except_dcl] = STATE(1279),
        [sym_interface_dcl] = STATE(1279),
        [sym_interface_kind] = STATE(1277),
        [sym_interface_forward_dcl] = STATE(1276),
        [sym_interface_def] = STATE(1276),
        [sym_interface_header] = STATE(1275),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_dcl] = STATE(1279),
        [sym_annotation_appl] = STATE(341),
        [sym_extend_annotation_appl] = STATE(340),
        [sym_template_module_dcl] = STATE(1279),
        [sym_template_module_inst] = STATE(1279),
        [sym_value_dcl] = STATE(1279),
        [sym_value_def] = STATE(1270),
        [sym_value_kind] = STATE(1269),
        [sym_value_header] = STATE(1268),
        [sym_value_forward_dcl] = STATE(1270),
        [sym_typedef_dcl] = STATE(1229),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_type_id_dcl] = STATE(1279),
        [sym_type_prefix_dcl] = STATE(1279),
        [sym_import_dcl] = STATE(1279),
        [sym_value_box_def] = STATE(1270),
        [sym_value_abs_def] = STATE(1270),
        [sym_component_dcl] = STATE(1279),
        [sym_component_forward_dcl] = STATE(1223),
        [sym_component_def] = STATE(1223),
        [sym_component_header] = STATE(1220),
        [sym_home_dcl] = STATE(1279),
        [sym_home_header] = STATE(1186),
        [sym_event_dcl] = STATE(1279),
        [sym_event_forward_dcl] = STATE(1185),
        [sym_event_abs_def] = STATE(1185),
        [sym_event_def] = STATE(1185),
        [sym_event_header] = STATE(1180),
        [sym_porttype_dcl] = STATE(1279),
        [sym_porttype_forward_dcl] = STATE(1177),
        [sym_porttype_def] = STATE(1177),
        [sym_connector_dcl] = STATE(1279),
        [sym_connector_header] = STATE(1139),
        [sym_definition] = STATE(210),
        [sym_type_dcl] = STATE(1279),
        [sym_constr_type_dcl] = STATE(1229),
        [sym_native_dcl] = STATE(1229),
        [sym_module_dcl] = STATE(1279),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_const_dcl] = STATE(1279),
        [sym_comment] = STATE(30),
        [aux_sym_interface_dcl_repeat1] = STATE(199),
        [aux_sym_module_dcl_repeat1] = STATE(29),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(878),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_type_spec] = STATE(555),
        [sym_simple_type_spec] = STATE(556),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(556),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_annotation_appl] = STATE(162),
        [sym_extend_annotation_appl] = STATE(168),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_case_label] = STATE(99),
        [sym_element_spec] = STATE(1346),
        [sym_object_type] = STATE(516),
        [sym_constr_type_dcl] = STATE(555),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_comment] = STATE(31),
        [aux_sym_interface_dcl_repeat1] = STATE(50),
        [aux_sym_case_repeat1] = STATE(87),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_default] = ACTIONS(880),
        [anon_sym_AT] = ACTIONS(882),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(884),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_case] = ACTIONS(886),
        [anon_sym_Object] = ACTIONS(286),
        [sym_value_base_type] = ACTIONS(214),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_scoped_name] = STATE(462),
        [sym_annotation_appl_custom_body] = STATE(413),
        [sym_annotation_appl_builtin_body] = STATE(413),
        [sym_annotation_appl_id] = STATE(818),
        [sym_annotation_appl_autoid] = STATE(818),
        [sym_annotation_appl_optional] = STATE(818),
        [sym_annotation_appl_position] = STATE(818),
        [sym_annotation_appl_value] = STATE(818),
        [sym_annotation_appl_extensibility] = STATE(818),
        [sym_annotation_appl_final] = STATE(818),
        [sym_annotation_appl_appendable] = STATE(818),
        [sym_annotation_appl_mutable] = STATE(818),
        [sym_annotation_appl_key] = STATE(818),
        [sym_annotation_appl_must_understand] = STATE(818),
        [sym_annotation_appl_default_literal] = STATE(818),
        [sym_annotation_appl_default] = STATE(818),
        [sym_annotation_appl_range] = STATE(818),
        [sym_annotation_appl_min] = STATE(818),
        [sym_annotation_appl_max] = STATE(818),
        [sym_annotation_appl_unit] = STATE(818),
        [sym_annotation_appl_bit_bound] = STATE(818),
        [sym_annotation_appl_external] = STATE(818),
        [sym_annotation_appl_nested] = STATE(818),
        [sym_annotation_appl_verbatim] = STATE(818),
        [sym_annotation_appl_service] = STATE(818),
        [sym_annotation_appl_oneway] = STATE(818),
        [sym_annotation_appl_ami] = STATE(818),
        [sym_annotation_appl_hashid] = STATE(818),
        [sym_annotation_appl_default_nested] = STATE(818),
        [sym_annotation_appl_ignore_literal_names] = STATE(818),
        [sym_annotation_appl_try_construct] = STATE(818),
        [sym_try_construct_fail_action] = STATE(818),
        [sym_annotation_appl_non_serialized] = STATE(818),
        [sym_annotation_appl_data_representation] = STATE(818),
        [sym_data_representation_mask] = STATE(818),
        [sym_annotation_appl_topic] = STATE(818),
        [sym_comment] = STATE(32),
        [anon_sym_COLON_COLON] = ACTIONS(888),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(890),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(892),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(894),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(896),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(898),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(900),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(902),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(904),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(906),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(908),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(910),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(912),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(914),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(916),
        [aux_sym_min_expr_token1] = ACTIONS(918),
        [aux_sym_max_expr_token1] = ACTIONS(920),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(922),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(924),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(926),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(928),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(930),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(932),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(934),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(936),
        [anon_sym_hashid] = ACTIONS(938),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(940),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(942),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(944),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(946),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(948),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(950),
        [aux_sym_data_representation_mask_token1] = ACTIONS(952),
        [aux_sym_data_representation_mask_token2] = ACTIONS(952),
        [aux_sym_data_representation_mask_token3] = ACTIONS(952),
        [aux_sym_data_representation_mask_token4] = ACTIONS(952),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(954),
        [sym_identifier] = ACTIONS(956),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [33] = {
        [sym_scoped_name] = STATE(462),
        [sym_annotation_appl_custom_body] = STATE(409),
        [sym_annotation_appl_builtin_body] = STATE(409),
        [sym_annotation_appl_id] = STATE(818),
        [sym_annotation_appl_autoid] = STATE(818),
        [sym_annotation_appl_optional] = STATE(818),
        [sym_annotation_appl_position] = STATE(818),
        [sym_annotation_appl_value] = STATE(818),
        [sym_annotation_appl_extensibility] = STATE(818),
        [sym_annotation_appl_final] = STATE(818),
        [sym_annotation_appl_appendable] = STATE(818),
        [sym_annotation_appl_mutable] = STATE(818),
        [sym_annotation_appl_key] = STATE(818),
        [sym_annotation_appl_must_understand] = STATE(818),
        [sym_annotation_appl_default_literal] = STATE(818),
        [sym_annotation_appl_default] = STATE(818),
        [sym_annotation_appl_range] = STATE(818),
        [sym_annotation_appl_min] = STATE(818),
        [sym_annotation_appl_max] = STATE(818),
        [sym_annotation_appl_unit] = STATE(818),
        [sym_annotation_appl_bit_bound] = STATE(818),
        [sym_annotation_appl_external] = STATE(818),
        [sym_annotation_appl_nested] = STATE(818),
        [sym_annotation_appl_verbatim] = STATE(818),
        [sym_annotation_appl_service] = STATE(818),
        [sym_annotation_appl_oneway] = STATE(818),
        [sym_annotation_appl_ami] = STATE(818),
        [sym_annotation_appl_hashid] = STATE(818),
        [sym_annotation_appl_default_nested] = STATE(818),
        [sym_annotation_appl_ignore_literal_names] = STATE(818),
        [sym_annotation_appl_try_construct] = STATE(818),
        [sym_try_construct_fail_action] = STATE(818),
        [sym_annotation_appl_non_serialized] = STATE(818),
        [sym_annotation_appl_data_representation] = STATE(818),
        [sym_data_representation_mask] = STATE(818),
        [sym_annotation_appl_topic] = STATE(818),
        [sym_comment] = STATE(33),
        [anon_sym_COLON_COLON] = ACTIONS(888),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(890),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(892),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(894),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(896),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(898),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(900),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(902),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(904),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(906),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(908),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(910),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(912),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(914),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(916),
        [aux_sym_min_expr_token1] = ACTIONS(918),
        [aux_sym_max_expr_token1] = ACTIONS(920),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(922),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(924),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(926),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(928),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(930),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(932),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(934),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(936),
        [anon_sym_hashid] = ACTIONS(938),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(940),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(942),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(944),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(946),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(948),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(950),
        [aux_sym_data_representation_mask_token1] = ACTIONS(952),
        [aux_sym_data_representation_mask_token2] = ACTIONS(952),
        [aux_sym_data_representation_mask_token3] = ACTIONS(952),
        [aux_sym_data_representation_mask_token4] = ACTIONS(952),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(954),
        [sym_identifier] = ACTIONS(956),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [34] = {
        [sym_scoped_name] = STATE(462),
        [sym_annotation_appl_custom_body] = STATE(819),
        [sym_annotation_appl_builtin_body] = STATE(819),
        [sym_annotation_appl_id] = STATE(818),
        [sym_annotation_appl_autoid] = STATE(818),
        [sym_annotation_appl_optional] = STATE(818),
        [sym_annotation_appl_position] = STATE(818),
        [sym_annotation_appl_value] = STATE(818),
        [sym_annotation_appl_extensibility] = STATE(818),
        [sym_annotation_appl_final] = STATE(818),
        [sym_annotation_appl_appendable] = STATE(818),
        [sym_annotation_appl_mutable] = STATE(818),
        [sym_annotation_appl_key] = STATE(818),
        [sym_annotation_appl_must_understand] = STATE(818),
        [sym_annotation_appl_default_literal] = STATE(818),
        [sym_annotation_appl_default] = STATE(818),
        [sym_annotation_appl_range] = STATE(818),
        [sym_annotation_appl_min] = STATE(818),
        [sym_annotation_appl_max] = STATE(818),
        [sym_annotation_appl_unit] = STATE(818),
        [sym_annotation_appl_bit_bound] = STATE(818),
        [sym_annotation_appl_external] = STATE(818),
        [sym_annotation_appl_nested] = STATE(818),
        [sym_annotation_appl_verbatim] = STATE(818),
        [sym_annotation_appl_service] = STATE(818),
        [sym_annotation_appl_oneway] = STATE(818),
        [sym_annotation_appl_ami] = STATE(818),
        [sym_annotation_appl_hashid] = STATE(818),
        [sym_annotation_appl_default_nested] = STATE(818),
        [sym_annotation_appl_ignore_literal_names] = STATE(818),
        [sym_annotation_appl_try_construct] = STATE(818),
        [sym_try_construct_fail_action] = STATE(818),
        [sym_annotation_appl_non_serialized] = STATE(818),
        [sym_annotation_appl_data_representation] = STATE(818),
        [sym_data_representation_mask] = STATE(818),
        [sym_annotation_appl_topic] = STATE(818),
        [sym_comment] = STATE(34),
        [anon_sym_COLON_COLON] = ACTIONS(888),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(890),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(892),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(894),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(896),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(898),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(900),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(902),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(904),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(906),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(908),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(910),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(912),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(914),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(916),
        [aux_sym_min_expr_token1] = ACTIONS(918),
        [aux_sym_max_expr_token1] = ACTIONS(920),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(922),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(924),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(926),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(928),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(930),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(932),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(934),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(936),
        [anon_sym_hashid] = ACTIONS(938),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(940),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(942),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(944),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(946),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(948),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(950),
        [aux_sym_data_representation_mask_token1] = ACTIONS(952),
        [aux_sym_data_representation_mask_token2] = ACTIONS(952),
        [aux_sym_data_representation_mask_token3] = ACTIONS(952),
        [aux_sym_data_representation_mask_token4] = ACTIONS(952),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(954),
        [sym_identifier] = ACTIONS(956),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [35] = {
        [sym_scoped_name] = STATE(142),
        [sym_annotation_appl_custom_body] = STATE(180),
        [sym_annotation_appl_builtin_body] = STATE(180),
        [sym_annotation_appl_id] = STATE(184),
        [sym_annotation_appl_autoid] = STATE(184),
        [sym_annotation_appl_optional] = STATE(184),
        [sym_annotation_appl_position] = STATE(184),
        [sym_annotation_appl_value] = STATE(184),
        [sym_annotation_appl_extensibility] = STATE(184),
        [sym_annotation_appl_final] = STATE(184),
        [sym_annotation_appl_appendable] = STATE(184),
        [sym_annotation_appl_mutable] = STATE(184),
        [sym_annotation_appl_key] = STATE(184),
        [sym_annotation_appl_must_understand] = STATE(184),
        [sym_annotation_appl_default_literal] = STATE(184),
        [sym_annotation_appl_default] = STATE(184),
        [sym_annotation_appl_range] = STATE(184),
        [sym_annotation_appl_min] = STATE(184),
        [sym_annotation_appl_max] = STATE(184),
        [sym_annotation_appl_unit] = STATE(184),
        [sym_annotation_appl_bit_bound] = STATE(184),
        [sym_annotation_appl_external] = STATE(184),
        [sym_annotation_appl_nested] = STATE(184),
        [sym_annotation_appl_verbatim] = STATE(184),
        [sym_annotation_appl_service] = STATE(184),
        [sym_annotation_appl_oneway] = STATE(184),
        [sym_annotation_appl_ami] = STATE(184),
        [sym_annotation_appl_hashid] = STATE(184),
        [sym_annotation_appl_default_nested] = STATE(184),
        [sym_annotation_appl_ignore_literal_names] = STATE(184),
        [sym_annotation_appl_try_construct] = STATE(184),
        [sym_try_construct_fail_action] = STATE(184),
        [sym_annotation_appl_non_serialized] = STATE(184),
        [sym_annotation_appl_data_representation] = STATE(184),
        [sym_data_representation_mask] = STATE(184),
        [sym_annotation_appl_topic] = STATE(184),
        [sym_comment] = STATE(35),
        [anon_sym_COLON_COLON] = ACTIONS(958),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(960),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(962),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(964),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(966),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(968),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(970),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(972),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(974),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(976),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(978),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(980),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(982),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(984),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(986),
        [aux_sym_min_expr_token1] = ACTIONS(988),
        [aux_sym_max_expr_token1] = ACTIONS(990),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(992),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(994),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(996),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(998),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1000),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1002),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1004),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1006),
        [anon_sym_hashid] = ACTIONS(1008),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1010),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1012),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1014),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1016),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1018),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1020),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1022),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1024),
        [sym_identifier] = ACTIONS(1026),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [36] = {
        [sym_scoped_name] = STATE(462),
        [sym_annotation_appl_custom_body] = STATE(415),
        [sym_annotation_appl_builtin_body] = STATE(415),
        [sym_annotation_appl_id] = STATE(818),
        [sym_annotation_appl_autoid] = STATE(818),
        [sym_annotation_appl_optional] = STATE(818),
        [sym_annotation_appl_position] = STATE(818),
        [sym_annotation_appl_value] = STATE(818),
        [sym_annotation_appl_extensibility] = STATE(818),
        [sym_annotation_appl_final] = STATE(818),
        [sym_annotation_appl_appendable] = STATE(818),
        [sym_annotation_appl_mutable] = STATE(818),
        [sym_annotation_appl_key] = STATE(818),
        [sym_annotation_appl_must_understand] = STATE(818),
        [sym_annotation_appl_default_literal] = STATE(818),
        [sym_annotation_appl_default] = STATE(818),
        [sym_annotation_appl_range] = STATE(818),
        [sym_annotation_appl_min] = STATE(818),
        [sym_annotation_appl_max] = STATE(818),
        [sym_annotation_appl_unit] = STATE(818),
        [sym_annotation_appl_bit_bound] = STATE(818),
        [sym_annotation_appl_external] = STATE(818),
        [sym_annotation_appl_nested] = STATE(818),
        [sym_annotation_appl_verbatim] = STATE(818),
        [sym_annotation_appl_service] = STATE(818),
        [sym_annotation_appl_oneway] = STATE(818),
        [sym_annotation_appl_ami] = STATE(818),
        [sym_annotation_appl_hashid] = STATE(818),
        [sym_annotation_appl_default_nested] = STATE(818),
        [sym_annotation_appl_ignore_literal_names] = STATE(818),
        [sym_annotation_appl_try_construct] = STATE(818),
        [sym_try_construct_fail_action] = STATE(818),
        [sym_annotation_appl_non_serialized] = STATE(818),
        [sym_annotation_appl_data_representation] = STATE(818),
        [sym_data_representation_mask] = STATE(818),
        [sym_annotation_appl_topic] = STATE(818),
        [sym_comment] = STATE(36),
        [anon_sym_COLON_COLON] = ACTIONS(888),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(890),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(892),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(894),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(896),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(898),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(900),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(902),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(904),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(906),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(908),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(910),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(912),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(914),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(916),
        [aux_sym_min_expr_token1] = ACTIONS(918),
        [aux_sym_max_expr_token1] = ACTIONS(920),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(922),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(924),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(926),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(928),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(930),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(932),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(934),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(936),
        [anon_sym_hashid] = ACTIONS(938),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(940),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(942),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(944),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(946),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(948),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(950),
        [aux_sym_data_representation_mask_token1] = ACTIONS(952),
        [aux_sym_data_representation_mask_token2] = ACTIONS(952),
        [aux_sym_data_representation_mask_token3] = ACTIONS(952),
        [aux_sym_data_representation_mask_token4] = ACTIONS(952),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(954),
        [sym_identifier] = ACTIONS(956),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [37] = {
        [sym_scoped_name] = STATE(462),
        [sym_annotation_appl_custom_body] = STATE(407),
        [sym_annotation_appl_builtin_body] = STATE(407),
        [sym_annotation_appl_id] = STATE(818),
        [sym_annotation_appl_autoid] = STATE(818),
        [sym_annotation_appl_optional] = STATE(818),
        [sym_annotation_appl_position] = STATE(818),
        [sym_annotation_appl_value] = STATE(818),
        [sym_annotation_appl_extensibility] = STATE(818),
        [sym_annotation_appl_final] = STATE(818),
        [sym_annotation_appl_appendable] = STATE(818),
        [sym_annotation_appl_mutable] = STATE(818),
        [sym_annotation_appl_key] = STATE(818),
        [sym_annotation_appl_must_understand] = STATE(818),
        [sym_annotation_appl_default_literal] = STATE(818),
        [sym_annotation_appl_default] = STATE(818),
        [sym_annotation_appl_range] = STATE(818),
        [sym_annotation_appl_min] = STATE(818),
        [sym_annotation_appl_max] = STATE(818),
        [sym_annotation_appl_unit] = STATE(818),
        [sym_annotation_appl_bit_bound] = STATE(818),
        [sym_annotation_appl_external] = STATE(818),
        [sym_annotation_appl_nested] = STATE(818),
        [sym_annotation_appl_verbatim] = STATE(818),
        [sym_annotation_appl_service] = STATE(818),
        [sym_annotation_appl_oneway] = STATE(818),
        [sym_annotation_appl_ami] = STATE(818),
        [sym_annotation_appl_hashid] = STATE(818),
        [sym_annotation_appl_default_nested] = STATE(818),
        [sym_annotation_appl_ignore_literal_names] = STATE(818),
        [sym_annotation_appl_try_construct] = STATE(818),
        [sym_try_construct_fail_action] = STATE(818),
        [sym_annotation_appl_non_serialized] = STATE(818),
        [sym_annotation_appl_data_representation] = STATE(818),
        [sym_data_representation_mask] = STATE(818),
        [sym_annotation_appl_topic] = STATE(818),
        [sym_comment] = STATE(37),
        [anon_sym_COLON_COLON] = ACTIONS(888),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(890),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(892),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(894),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(896),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(898),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(900),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(902),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(904),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(906),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(908),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(910),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(912),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(914),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(916),
        [aux_sym_min_expr_token1] = ACTIONS(918),
        [aux_sym_max_expr_token1] = ACTIONS(920),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(922),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(924),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(926),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(928),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(930),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(932),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(934),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(936),
        [anon_sym_hashid] = ACTIONS(938),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(940),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(942),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(944),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(946),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(948),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(950),
        [aux_sym_data_representation_mask_token1] = ACTIONS(952),
        [aux_sym_data_representation_mask_token2] = ACTIONS(952),
        [aux_sym_data_representation_mask_token3] = ACTIONS(952),
        [aux_sym_data_representation_mask_token4] = ACTIONS(952),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(954),
        [sym_identifier] = ACTIONS(956),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [38] = {
        [sym_scoped_name] = STATE(436),
        [sym_annotation_appl_custom_body] = STATE(705),
        [sym_annotation_appl_builtin_body] = STATE(705),
        [sym_annotation_appl_id] = STATE(704),
        [sym_annotation_appl_autoid] = STATE(704),
        [sym_annotation_appl_optional] = STATE(704),
        [sym_annotation_appl_position] = STATE(704),
        [sym_annotation_appl_value] = STATE(704),
        [sym_annotation_appl_extensibility] = STATE(704),
        [sym_annotation_appl_final] = STATE(704),
        [sym_annotation_appl_appendable] = STATE(704),
        [sym_annotation_appl_mutable] = STATE(704),
        [sym_annotation_appl_key] = STATE(704),
        [sym_annotation_appl_must_understand] = STATE(704),
        [sym_annotation_appl_default_literal] = STATE(704),
        [sym_annotation_appl_default] = STATE(704),
        [sym_annotation_appl_range] = STATE(704),
        [sym_annotation_appl_min] = STATE(704),
        [sym_annotation_appl_max] = STATE(704),
        [sym_annotation_appl_unit] = STATE(704),
        [sym_annotation_appl_bit_bound] = STATE(704),
        [sym_annotation_appl_external] = STATE(704),
        [sym_annotation_appl_nested] = STATE(704),
        [sym_annotation_appl_verbatim] = STATE(704),
        [sym_annotation_appl_service] = STATE(704),
        [sym_annotation_appl_oneway] = STATE(704),
        [sym_annotation_appl_ami] = STATE(704),
        [sym_annotation_appl_hashid] = STATE(704),
        [sym_annotation_appl_default_nested] = STATE(704),
        [sym_annotation_appl_ignore_literal_names] = STATE(704),
        [sym_annotation_appl_try_construct] = STATE(704),
        [sym_try_construct_fail_action] = STATE(704),
        [sym_annotation_appl_non_serialized] = STATE(704),
        [sym_annotation_appl_data_representation] = STATE(704),
        [sym_data_representation_mask] = STATE(704),
        [sym_annotation_appl_topic] = STATE(704),
        [sym_comment] = STATE(38),
        [anon_sym_COLON_COLON] = ACTIONS(1028),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(1030),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(1032),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(1034),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(1036),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(1038),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(1040),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(1042),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(1044),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(1046),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(1048),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(1050),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(1052),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(1054),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(1056),
        [aux_sym_min_expr_token1] = ACTIONS(1058),
        [aux_sym_max_expr_token1] = ACTIONS(1060),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(1062),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(1064),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(1066),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(1068),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1070),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1072),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1074),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1076),
        [anon_sym_hashid] = ACTIONS(1078),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1080),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1082),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1084),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1086),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1086),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1086),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1088),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1090),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1092),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1092),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1092),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1092),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1094),
        [sym_identifier] = ACTIONS(1096),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [39] = {
        [sym_scoped_name] = STATE(282),
        [sym_annotation_appl_custom_body] = STATE(319),
        [sym_annotation_appl_builtin_body] = STATE(319),
        [sym_annotation_appl_id] = STATE(318),
        [sym_annotation_appl_autoid] = STATE(318),
        [sym_annotation_appl_optional] = STATE(318),
        [sym_annotation_appl_position] = STATE(318),
        [sym_annotation_appl_value] = STATE(318),
        [sym_annotation_appl_extensibility] = STATE(318),
        [sym_annotation_appl_final] = STATE(318),
        [sym_annotation_appl_appendable] = STATE(318),
        [sym_annotation_appl_mutable] = STATE(318),
        [sym_annotation_appl_key] = STATE(318),
        [sym_annotation_appl_must_understand] = STATE(318),
        [sym_annotation_appl_default_literal] = STATE(318),
        [sym_annotation_appl_default] = STATE(318),
        [sym_annotation_appl_range] = STATE(318),
        [sym_annotation_appl_min] = STATE(318),
        [sym_annotation_appl_max] = STATE(318),
        [sym_annotation_appl_unit] = STATE(318),
        [sym_annotation_appl_bit_bound] = STATE(318),
        [sym_annotation_appl_external] = STATE(318),
        [sym_annotation_appl_nested] = STATE(318),
        [sym_annotation_appl_verbatim] = STATE(318),
        [sym_annotation_appl_service] = STATE(318),
        [sym_annotation_appl_oneway] = STATE(318),
        [sym_annotation_appl_ami] = STATE(318),
        [sym_annotation_appl_hashid] = STATE(318),
        [sym_annotation_appl_default_nested] = STATE(318),
        [sym_annotation_appl_ignore_literal_names] = STATE(318),
        [sym_annotation_appl_try_construct] = STATE(318),
        [sym_try_construct_fail_action] = STATE(318),
        [sym_annotation_appl_non_serialized] = STATE(318),
        [sym_annotation_appl_data_representation] = STATE(318),
        [sym_data_representation_mask] = STATE(318),
        [sym_annotation_appl_topic] = STATE(318),
        [sym_comment] = STATE(39),
        [anon_sym_COLON_COLON] = ACTIONS(1098),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(1100),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(1102),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(1104),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(1106),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(1108),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(1110),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(1112),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(1114),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(1116),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(1118),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(1120),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(1122),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(1124),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(1126),
        [aux_sym_min_expr_token1] = ACTIONS(1128),
        [aux_sym_max_expr_token1] = ACTIONS(1130),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(1132),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(1134),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(1136),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(1138),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1140),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1142),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1144),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1146),
        [anon_sym_hashid] = ACTIONS(1148),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1150),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1152),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1154),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1156),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1156),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1156),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1158),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1160),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1162),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1162),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1162),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1162),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1164),
        [sym_identifier] = ACTIONS(1166),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [40] = {
        [sym_signed_short_int] = STATE(426),
        [sym_signed_long_int] = STATE(426),
        [sym_signed_longlong_int] = STATE(426),
        [sym_unsigned_int] = STATE(444),
        [sym_integer_type] = STATE(516),
        [sym_signed_int] = STATE(444),
        [sym_unsigned_short_int] = STATE(439),
        [sym_unsigned_long_int] = STATE(439),
        [sym_unsigned_longlong_int] = STATE(439),
        [sym_floating_pt_type] = STATE(516),
        [sym_scoped_name] = STATE(434),
        [sym_string_type] = STATE(520),
        [sym_wide_string_type] = STATE(520),
        [sym_simple_type_spec] = STATE(428),
        [sym_base_type_spec] = STATE(523),
        [sym_any_type] = STATE(516),
        [sym_fixed_pt_type] = STATE(520),
        [sym_template_type_spec] = STATE(428),
        [sym_sequence_type] = STATE(520),
        [sym_map_type] = STATE(520),
        [sym_bitset_dcl] = STATE(908),
        [sym_bitmask_dcl] = STATE(908),
        [sym_type_declarator] = STATE(1023),
        [sym_enum_dcl] = STATE(908),
        [sym_union_dcl] = STATE(908),
        [sym_union_forward_dcl] = STATE(926),
        [sym_union_def] = STATE(926),
        [sym_object_type] = STATE(516),
        [sym_constr_type_dcl] = STATE(428),
        [sym_struct_dcl] = STATE(908),
        [sym_struct_forward_dcl] = STATE(923),
        [sym_struct_def] = STATE(923),
        [sym_comment] = STATE(40),
        [anon_sym_short] = ACTIONS(204),
        [anon_sym_int16] = ACTIONS(204),
        [anon_sym_long] = ACTIONS(206),
        [anon_sym_int32] = ACTIONS(206),
        [anon_sym_longlong] = ACTIONS(208),
        [anon_sym_int64] = ACTIONS(210),
        [sym_unsigned_tiny_int] = ACTIONS(212),
        [sym_boolean_type] = ACTIONS(214),
        [anon_sym_fixed] = ACTIONS(216),
        [sym_octet_type] = ACTIONS(214),
        [sym_signed_tiny_int] = ACTIONS(218),
        [anon_sym_unsignedshort] = ACTIONS(220),
        [anon_sym_uint16] = ACTIONS(222),
        [anon_sym_unsignedlong] = ACTIONS(224),
        [anon_sym_uint32] = ACTIONS(224),
        [anon_sym_unsignedlonglong] = ACTIONS(226),
        [anon_sym_uint64] = ACTIONS(228),
        [anon_sym_float] = ACTIONS(230),
        [anon_sym_double] = ACTIONS(230),
        [anon_sym_longdouble] = ACTIONS(232),
        [sym_char_type] = ACTIONS(214),
        [sym_wide_char_type] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(234),
        [anon_sym_string] = ACTIONS(236),
        [anon_sym_wstring] = ACTIONS(238),
        [anon_sym_any] = ACTIONS(240),
        [anon_sym_sequence] = ACTIONS(242),
        [anon_sym_map] = ACTIONS(244),
        [anon_sym_bitset] = ACTIONS(258),
        [anon_sym_bitmask] = ACTIONS(260),
        [anon_sym_struct] = ACTIONS(266),
        [anon_sym_union] = ACTIONS(268),
        [anon_sym_enum] = ACTIONS(270),
        [anon_sym_Object] = ACTIONS(286),
        [sym_value_base_type] = ACTIONS(214),
        [sym_identifier] = ACTIONS(292),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1168),
    1,
    anon_sym_RBRACE,
    STATE(41),
    1,
    sym_comment,
    STATE(46),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [151] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1170),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [302] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1172),
    1,
    anon_sym_RBRACE,
    STATE(43),
    1,
    sym_comment,
    STATE(44),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [453] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1180),
    1,
    anon_sym_longlong,
    ACTIONS(1183),
    1,
    anon_sym_int64,
    ACTIONS(1186),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1192),
    1,
    anon_sym_fixed,
    ACTIONS(1195),
    1,
    sym_signed_tiny_int,
    ACTIONS(1198),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1201),
    1,
    anon_sym_uint16,
    ACTIONS(1207),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1210),
    1,
    anon_sym_uint64,
    ACTIONS(1216),
    1,
    anon_sym_longdouble,
    ACTIONS(1219),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1222),
    1,
    anon_sym_string,
    ACTIONS(1225),
    1,
    anon_sym_wstring,
    ACTIONS(1228),
    1,
    anon_sym_any,
    ACTIONS(1231),
    1,
    anon_sym_sequence,
    ACTIONS(1234),
    1,
    anon_sym_map,
    ACTIONS(1237),
    1,
    anon_sym_RBRACE,
    ACTIONS(1239),
    1,
    anon_sym_AT,
    ACTIONS(1242),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1245),
    1,
    anon_sym_Object,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(1174),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1177),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1204),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1213),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(44),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1189),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [602] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1251),
    1,
    anon_sym_RBRACE,
    STATE(45),
    1,
    sym_comment,
    STATE(47),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [753] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1253),
    1,
    anon_sym_RBRACE,
    STATE(44),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(46),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [904] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1255),
    1,
    anon_sym_RBRACE,
    STATE(44),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(47),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(121),
    1,
    sym_member,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(437),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1055] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1257),
    1,
    anon_sym_LBRACE,
    ACTIONS(1259),
    1,
    anon_sym_COLON,
    ACTIONS(1261),
    1,
    anon_sym_SEMI,
    ACTIONS(1263),
    1,
    anon_sym_supports,
    STATE(48),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(751),
    1,
    sym_value_inheritance,
    STATE(1193),
    1,
    sym_value_supports,
    STATE(1224),
    1,
    sym_value_inheritance_spec,
    STATE(1278),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1203] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1265),
    1,
    anon_sym_RPAREN,
    STATE(49),
    1,
    sym_comment,
    STATE(76),
    1,
    sym_param_attribute,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(727),
    1,
    sym_param_dcl,
    STATE(966),
    1,
    sym_type_spec,
    STATE(1022),
    1,
    sym_parameter_dcls,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(1267),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1347] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(50),
    1,
    sym_comment,
    STATE(108),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(552),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1489] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(51),
    1,
    sym_comment,
    STATE(108),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(453),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1631] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(52),
    1,
    sym_comment,
    STATE(76),
    1,
    sym_param_attribute,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(856),
    1,
    sym_param_dcl,
    STATE(966),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(1267),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1769] = 39,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(270),
    1,
    anon_sym_enum,
    ACTIONS(272),
    1,
    anon_sym_const,
    ACTIONS(280),
    1,
    anon_sym_typedef,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    ACTIONS(1273),
    1,
    anon_sym_any,
    ACTIONS(1275),
    1,
    anon_sym_RBRACE,
    STATE(53),
    1,
    sym_comment,
    STATE(54),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(194),
    1,
    sym_annotation_body,
    STATE(195),
    1,
    sym_annotation_member,
    STATE(943),
    1,
    sym_annotation_member_type,
    STATE(952),
    1,
    sym_scoped_name,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1095),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1098),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1038),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [1907] = 39,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(270),
    1,
    anon_sym_enum,
    ACTIONS(272),
    1,
    anon_sym_const,
    ACTIONS(280),
    1,
    anon_sym_typedef,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    ACTIONS(1273),
    1,
    anon_sym_any,
    ACTIONS(1277),
    1,
    anon_sym_RBRACE,
    STATE(54),
    1,
    sym_comment,
    STATE(55),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(194),
    1,
    sym_annotation_body,
    STATE(195),
    1,
    sym_annotation_member,
    STATE(943),
    1,
    sym_annotation_member_type,
    STATE(952),
    1,
    sym_scoped_name,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1095),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1098),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1038),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [2045] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1285),
    1,
    anon_sym_longlong,
    ACTIONS(1288),
    1,
    anon_sym_int64,
    ACTIONS(1291),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1297),
    1,
    anon_sym_fixed,
    ACTIONS(1300),
    1,
    sym_signed_tiny_int,
    ACTIONS(1303),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1306),
    1,
    anon_sym_uint16,
    ACTIONS(1312),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1315),
    1,
    anon_sym_uint64,
    ACTIONS(1321),
    1,
    anon_sym_longdouble,
    ACTIONS(1324),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1327),
    1,
    anon_sym_string,
    ACTIONS(1330),
    1,
    anon_sym_wstring,
    ACTIONS(1333),
    1,
    anon_sym_any,
    ACTIONS(1336),
    1,
    anon_sym_sequence,
    ACTIONS(1339),
    1,
    anon_sym_RBRACE,
    ACTIONS(1341),
    1,
    anon_sym_enum,
    ACTIONS(1344),
    1,
    anon_sym_const,
    ACTIONS(1347),
    1,
    anon_sym_typedef,
    ACTIONS(1350),
    1,
    sym_identifier,
    STATE(194),
    1,
    sym_annotation_body,
    STATE(195),
    1,
    sym_annotation_member,
    STATE(943),
    1,
    sym_annotation_member_type,
    STATE(952),
    1,
    sym_scoped_name,
    ACTIONS(1279),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1282),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1309),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1318),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(55),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1095),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1098),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1294),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1038),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [2181] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(56),
    1,
    sym_comment,
    ACTIONS(1355),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1353),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2250] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1359),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1357),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2319] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1361),
    1,
    anon_sym_sequence,
    ACTIONS(1365),
    1,
    anon_sym_const,
    STATE(58),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(840),
    1,
    sym_formal_parameter,
    STATE(1292),
    1,
    sym_formal_parameter_type,
    STATE(1336),
    1,
    sym_formal_parameters,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1340),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    ACTIONS(1363),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [2446] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(59),
    1,
    sym_comment,
    ACTIONS(1369),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1367),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2515] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(60),
    1,
    sym_comment,
    ACTIONS(1373),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1371),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2584] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(61),
    1,
    sym_comment,
    ACTIONS(1377),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1375),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2653] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(62),
    1,
    sym_comment,
    ACTIONS(1381),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1379),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2722] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(63),
    1,
    sym_comment,
    ACTIONS(1385),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1383),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2791] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(64),
    1,
    sym_comment,
    ACTIONS(1355),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1353),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2859] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(65),
    1,
    sym_comment,
    ACTIONS(1389),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1387),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2927] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(66),
    1,
    sym_comment,
    ACTIONS(1393),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1391),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2995] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1361),
    1,
    anon_sym_sequence,
    ACTIONS(1365),
    1,
    anon_sym_const,
    STATE(67),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(936),
    1,
    sym_formal_parameter,
    STATE(1292),
    1,
    sym_formal_parameter_type,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1340),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    ACTIONS(1363),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3119] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(68),
    1,
    sym_comment,
    ACTIONS(1397),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1395),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3187] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    sym_identifier,
    STATE(69),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(973),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3314] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(70),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(617),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3441] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(71),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(650),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3568] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(72),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(459),
    1,
    sym_type_spec,
    STATE(523),
    1,
    sym_base_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3695] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(73),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(1025),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3822] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(74),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(931),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3949] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(75),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(935),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4076] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(76),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(937),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4203] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    sym_identifier,
    STATE(77),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(947),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4330] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(216),
    1,
    anon_sym_fixed,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(240),
    1,
    anon_sym_any,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(244),
    1,
    anon_sym_map,
    ACTIONS(286),
    1,
    anon_sym_Object,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(78),
    1,
    sym_comment,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(523),
    1,
    sym_base_type_spec,
    STATE(888),
    1,
    sym_type_spec,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(556),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(516),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(214),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(520),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4457] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(79),
    1,
    sym_comment,
    ACTIONS(1403),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1401),
    44,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4523] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(80),
    1,
    sym_comment,
    ACTIONS(1355),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1353),
    44,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4589] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1405),
    1,
    anon_sym_RPAREN,
    ACTIONS(1407),
    1,
    sym_identifier,
    STATE(81),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(798),
    1,
    sym_annotation_appl_param,
    STATE(985),
    1,
    sym_const_expr,
    STATE(1060),
    1,
    sym_annotation_appl_params,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [4704] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    STATE(82),
    1,
    sym_comment,
    STATE(965),
    1,
    sym_scoped_name,
    STATE(1078),
    1,
    sym_const_type,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1038),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [4809] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(232),
    1,
    anon_sym_longdouble,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(236),
    1,
    anon_sym_string,
    ACTIONS(238),
    1,
    anon_sym_wstring,
    ACTIONS(242),
    1,
    anon_sym_sequence,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    STATE(83),
    1,
    sym_comment,
    STATE(965),
    1,
    sym_scoped_name,
    STATE(1033),
    1,
    sym_const_type,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(230),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1038),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [4914] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1407),
    1,
    sym_identifier,
    ACTIONS(1409),
    1,
    anon_sym_RPAREN,
    STATE(84),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(798),
    1,
    sym_annotation_appl_param,
    STATE(985),
    1,
    sym_const_expr,
    STATE(1214),
    1,
    sym_annotation_appl_params,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5029] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1407),
    1,
    sym_identifier,
    ACTIONS(1411),
    1,
    anon_sym_RPAREN,
    STATE(85),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(798),
    1,
    sym_annotation_appl_param,
    STATE(985),
    1,
    sym_const_expr,
    STATE(1255),
    1,
    sym_annotation_appl_params,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5144] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1407),
    1,
    sym_identifier,
    ACTIONS(1413),
    1,
    anon_sym_RPAREN,
    STATE(86),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(798),
    1,
    sym_annotation_appl_param,
    STATE(985),
    1,
    sym_const_expr,
    STATE(1168),
    1,
    sym_annotation_appl_params,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5259] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1419),
    1,
    anon_sym_default,
    ACTIONS(1422),
    1,
    anon_sym_case,
    STATE(99),
    1,
    sym_case_label,
    STATE(87),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1417),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1415),
    31,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [5321] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(88),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(1024),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5430] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(89),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(1083),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5539] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(90),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(913),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5648] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(91),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(1313),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5757] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(92),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(1316),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5866] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(93),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(1339),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5975] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(94),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(996),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6084] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(95),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(749),
    1,
    sym_const_expr,
    STATE(1082),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6193] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(96),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(1343),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6299] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(97),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(1350),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6405] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(98),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(932),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6511] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(99),
    1,
    sym_comment,
    ACTIONS(1427),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1425),
    33,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6565] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(100),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(998),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6671] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(101),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(1036),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6777] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(102),
    1,
    sym_comment,
    ACTIONS(1431),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1429),
    33,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6831] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(103),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(378),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(395),
    1,
    sym_or_expr,
    STATE(991),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6937] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(104),
    1,
    sym_comment,
    ACTIONS(1435),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1433),
    33,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6991] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1441),
    1,
    anon_sym_STAR,
    ACTIONS(1443),
    1,
    anon_sym_DQUOTE,
    ACTIONS(1445),
    1,
    aux_sym_service_platform_token2,
    STATE(105),
    1,
    sym_comment,
    STATE(109),
    1,
    sym_string_literal,
    STATE(144),
    1,
    sym_topic_platform,
    ACTIONS(1439),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1437),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7053] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(106),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(370),
    1,
    sym_and_expr,
    STATE(381),
    1,
    sym_xor_expr,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7153] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(107),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(364),
    1,
    sym_shift_expr,
    STATE(375),
    1,
    sym_and_expr,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7250] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1451),
    1,
    anon_sym_AT,
    ACTIONS(1454),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(162),
    1,
    sym_annotation_appl,
    STATE(168),
    1,
    sym_extend_annotation_appl,
    STATE(108),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1449),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1447),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7308] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1441),
    1,
    anon_sym_STAR,
    ACTIONS(1445),
    1,
    aux_sym_service_platform_token2,
    STATE(109),
    1,
    sym_comment,
    STATE(170),
    1,
    sym_topic_platform,
    ACTIONS(1459),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1457),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7364] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(110),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(286),
    1,
    sym_add_expr,
    STATE(365),
    1,
    sym_shift_expr,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7458] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(111),
    1,
    sym_comment,
    STATE(139),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1463),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1461),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7509] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(112),
    1,
    sym_comment,
    STATE(141),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1467),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1465),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7560] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(113),
    1,
    sym_comment,
    STATE(134),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1471),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1469),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7611] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(114),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(258),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(285),
    1,
    sym_add_expr,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7702] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(1475),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_STAR,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1473),
    27,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    aux_sym_service_platform_token2,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7751] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(116),
    1,
    sym_comment,
    ACTIONS(1479),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_STAR,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1477),
    27,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    aux_sym_service_platform_token2,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7800] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(117),
    1,
    sym_comment,
    STATE(131),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1483),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1481),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7851] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(118),
    1,
    sym_comment,
    ACTIONS(1487),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1485),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7899] = 25,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(119),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(259),
    1,
    sym_mult_expr,
    STATE(262),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7987] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(1491),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1489),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8035] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(1495),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1493),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8083] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1501),
    1,
    anon_sym_LPAREN,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(1499),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1497),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8133] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1507),
    1,
    anon_sym_LPAREN,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(1505),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1503),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8183] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1513),
    1,
    anon_sym_LPAREN,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(1511),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1509),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8233] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1519),
    1,
    anon_sym_LPAREN,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(1517),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1515),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8283] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1525),
    1,
    anon_sym_LPAREN,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(1523),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1521),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8333] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(1529),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1527),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8381] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1535),
    1,
    anon_sym_LPAREN,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(1533),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1531),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8431] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1541),
    1,
    anon_sym_LPAREN,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(1539),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1537),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8481] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(1545),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1543),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8529] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(131),
    1,
    sym_comment,
    ACTIONS(1463),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1461),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8577] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1551),
    1,
    anon_sym_LPAREN,
    STATE(132),
    1,
    sym_comment,
    ACTIONS(1549),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1547),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8627] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(1555),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1553),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8675] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(1559),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1557),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8723] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1565),
    1,
    anon_sym_LPAREN,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(1563),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1561),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8773] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1571),
    1,
    anon_sym_LPAREN,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(1569),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1567),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8823] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1577),
    1,
    anon_sym_LPAREN,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(1575),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1573),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8873] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1583),
    1,
    anon_sym_LPAREN,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(1581),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1579),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8923] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(1587),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1585),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8971] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1593),
    1,
    anon_sym_LPAREN,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(1591),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1589),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9021] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(1471),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1469),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9069] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1599),
    1,
    anon_sym_LPAREN,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(1597),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1595),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9119] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1605),
    1,
    anon_sym_LPAREN,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(1603),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1601),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9169] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(1609),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1607),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9216] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(1613),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1611),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9263] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(1617),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1615),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9310] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(147),
    1,
    sym_comment,
    ACTIONS(1621),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1619),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9357] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(148),
    1,
    sym_comment,
    ACTIONS(1625),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1623),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9404] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1629),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1627),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9451] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(1633),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1631),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9498] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(151),
    1,
    sym_comment,
    STATE(202),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(261),
    1,
    sym_unary_expr,
    STATE(264),
    1,
    sym_primary_expr,
    STATE(265),
    1,
    sym_literal,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9583] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(1637),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1635),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9630] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(153),
    1,
    sym_comment,
    ACTIONS(1641),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1639),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9677] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(1645),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1643),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9724] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(1649),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1647),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9771] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1653),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1651),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9818] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(157),
    1,
    sym_comment,
    ACTIONS(1657),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1655),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9865] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(158),
    1,
    sym_comment,
    ACTIONS(1661),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1659),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9912] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(159),
    1,
    sym_comment,
    ACTIONS(1665),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1663),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9959] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(160),
    1,
    sym_comment,
    ACTIONS(1669),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1667),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10006] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(161),
    1,
    sym_comment,
    ACTIONS(1673),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1671),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10053] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(162),
    1,
    sym_comment,
    ACTIONS(1677),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1675),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10100] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(1681),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1679),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10147] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(164),
    1,
    sym_comment,
    ACTIONS(1685),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1683),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10194] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(165),
    1,
    sym_comment,
    ACTIONS(1689),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1687),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10241] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(166),
    1,
    sym_comment,
    ACTIONS(1693),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1691),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10288] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(167),
    1,
    sym_comment,
    ACTIONS(1697),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1695),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10335] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(168),
    1,
    sym_comment,
    ACTIONS(1701),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1699),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10382] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(1705),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1703),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10429] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(170),
    1,
    sym_comment,
    ACTIONS(1709),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1707),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10476] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(171),
    1,
    sym_comment,
    ACTIONS(1713),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1711),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10523] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(172),
    1,
    sym_comment,
    ACTIONS(1717),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1715),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10570] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(173),
    1,
    sym_comment,
    ACTIONS(1721),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1719),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10617] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(174),
    1,
    sym_comment,
    ACTIONS(1725),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1723),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10664] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(175),
    1,
    sym_comment,
    ACTIONS(1729),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1727),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10711] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(176),
    1,
    sym_comment,
    ACTIONS(1733),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1731),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10758] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(177),
    1,
    sym_comment,
    ACTIONS(1737),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1735),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10805] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(178),
    1,
    sym_comment,
    ACTIONS(1741),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1739),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10852] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(179),
    1,
    sym_comment,
    ACTIONS(1745),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1743),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10899] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(180),
    1,
    sym_comment,
    ACTIONS(1749),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1747),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10946] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(181),
    1,
    sym_comment,
    ACTIONS(1753),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1751),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10993] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(182),
    1,
    sym_comment,
    ACTIONS(1757),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1755),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11040] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(183),
    1,
    sym_comment,
    ACTIONS(1761),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1759),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11087] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(184),
    1,
    sym_comment,
    ACTIONS(1765),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1763),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11134] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(185),
    1,
    sym_comment,
    ACTIONS(1769),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1767),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11181] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(186),
    1,
    sym_comment,
    ACTIONS(1773),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1771),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11228] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(187),
    1,
    sym_comment,
    ACTIONS(1777),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1775),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11275] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(188),
    1,
    sym_comment,
    ACTIONS(1781),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1779),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11322] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(189),
    1,
    sym_comment,
    ACTIONS(1785),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1783),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11369] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(190),
    1,
    sym_comment,
    ACTIONS(1789),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1787),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11416] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(191),
    1,
    sym_comment,
    ACTIONS(1793),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1791),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11463] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(192),
    1,
    sym_comment,
    ACTIONS(1797),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1795),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11509] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(193),
    1,
    sym_comment,
    ACTIONS(1801),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1799),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11555] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(194),
    1,
    sym_comment,
    ACTIONS(1805),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1803),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11601] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(195),
    1,
    sym_comment,
    ACTIONS(1809),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1807),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11647] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(196),
    1,
    sym_comment,
    ACTIONS(1813),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1811),
    29,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11693] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(197),
    1,
    sym_comment,
    ACTIONS(1817),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1815),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11739] = 23,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(208),
    1,
    anon_sym_longlong,
    ACTIONS(210),
    1,
    anon_sym_int64,
    ACTIONS(212),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(218),
    1,
    sym_signed_tiny_int,
    ACTIONS(220),
    1,
    anon_sym_unsignedshort,
    ACTIONS(222),
    1,
    anon_sym_uint16,
    ACTIONS(226),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(228),
    1,
    anon_sym_uint64,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(198),
    1,
    sym_comment,
    STATE(890),
    1,
    sym_scoped_name,
    STATE(1091),
    1,
    sym_switch_type_spec,
    STATE(1301),
    1,
    sym_integer_type,
    ACTIONS(204),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(206),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(224),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    ACTIONS(1819),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    [11820] = 24,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(49),
    1,
    anon_sym_typedef,
    ACTIONS(65),
    1,
    anon_sym_native,
    ACTIONS(262),
    1,
    anon_sym_AT,
    STATE(199),
    1,
    sym_comment,
    STATE(277),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(340),
    1,
    sym_extend_annotation_appl,
    STATE(341),
    1,
    sym_annotation_appl,
    STATE(1275),
    1,
    sym_interface_header,
    STATE(1277),
    1,
    sym_interface_kind,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    STATE(923),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(926),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(1013),
    2,
    sym_interface_forward_dcl,
    sym_interface_def,
    STATE(1012),
    3,
    sym_typedef_dcl,
    sym_constr_type_dcl,
    sym_native_dcl,
    STATE(908),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [11903] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(200),
    1,
    sym_comment,
    ACTIONS(1823),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1821),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11948] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(201),
    1,
    sym_comment,
    ACTIONS(1827),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1825),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11992] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(202),
    1,
    sym_comment,
    STATE(239),
    1,
    sym_scoped_name,
    STATE(240),
    1,
    sym_dec_number,
    STATE(246),
    1,
    sym_primary_expr,
    STATE(257),
    1,
    sym_oct_number,
    STATE(265),
    1,
    sym_literal,
    STATE(382),
    1,
    sym_integer_sign,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12068] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(203),
    1,
    sym_comment,
    ACTIONS(1833),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1831),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12112] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(204),
    1,
    sym_comment,
    ACTIONS(1837),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1835),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12156] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(205),
    1,
    sym_comment,
    ACTIONS(1841),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1839),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12200] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(206),
    1,
    sym_comment,
    ACTIONS(1845),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1843),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12244] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1849),
    1,
    anon_sym_AT,
    STATE(207),
    1,
    sym_comment,
    ACTIONS(1847),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12286] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1853),
    1,
    anon_sym_AT,
    STATE(208),
    1,
    sym_comment,
    ACTIONS(1851),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12328] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1857),
    1,
    anon_sym_AT,
    STATE(209),
    1,
    sym_comment,
    ACTIONS(1855),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12370] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1861),
    1,
    anon_sym_AT,
    STATE(210),
    1,
    sym_comment,
    ACTIONS(1859),
    26,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12411] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(206),
    1,
    anon_sym_long,
    ACTIONS(224),
    1,
    anon_sym_unsignedlong,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1865),
    1,
    anon_sym_int32,
    ACTIONS(1867),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1871),
    1,
    sym_signed_tiny_int,
    ACTIONS(1873),
    1,
    anon_sym_uint32,
    STATE(211),
    1,
    sym_comment,
    STATE(1113),
    1,
    sym_integer_type,
    STATE(1121),
    1,
    sym_destination_type,
    ACTIONS(208),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(220),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(226),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1863),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1869),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(444),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(426),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(439),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    [12479] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(212),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1020),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12542] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(213),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1239),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12605] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(214),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1199),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12668] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(215),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1197),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12731] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(216),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1240),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12794] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(217),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(983),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12857] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(218),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1304),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12920] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(219),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1256),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12983] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(220),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1112),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13046] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(221),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1178),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13109] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(222),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1147),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13172] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(223),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1151),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13235] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(224),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1152),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13298] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(225),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1234),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13361] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(226),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1238),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13424] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(227),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1153),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13487] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(228),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1198),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13550] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1881),
    1,
    anon_sym_L,
    STATE(229),
    1,
    sym_comment,
    STATE(240),
    1,
    sym_dec_number,
    STATE(257),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_integer_sign,
    STATE(1115),
    1,
    sym_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(250),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13613] = 19,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(49),
    1,
    anon_sym_typedef,
    ACTIONS(65),
    1,
    anon_sym_native,
    ACTIONS(262),
    1,
    anon_sym_AT,
    STATE(230),
    1,
    sym_comment,
    STATE(277),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(340),
    1,
    sym_extend_annotation_appl,
    STATE(341),
    1,
    sym_annotation_appl,
    STATE(923),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(926),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(1012),
    3,
    sym_typedef_dcl,
    sym_constr_type_dcl,
    sym_native_dcl,
    STATE(908),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [13679] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1885),
    1,
    anon_sym_RBRACE,
    ACTIONS(1887),
    1,
    anon_sym_readonly,
    ACTIONS(1889),
    1,
    anon_sym_attribute,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    ACTIONS(1895),
    1,
    anon_sym_emits,
    ACTIONS(1897),
    1,
    anon_sym_publishes,
    ACTIONS(1899),
    1,
    anon_sym_consumes,
    STATE(231),
    1,
    sym_comment,
    STATE(235),
    1,
    aux_sym_component_body_repeat1,
    STATE(368),
    1,
    sym_component_export,
    STATE(1088),
    1,
    sym_component_body,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1094),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13739] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(232),
    1,
    sym_comment,
    ACTIONS(1543),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1545),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13774] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(233),
    1,
    sym_comment,
    ACTIONS(1485),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1487),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13809] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1903),
    1,
    anon_sym_RBRACE,
    ACTIONS(1905),
    1,
    anon_sym_readonly,
    ACTIONS(1908),
    1,
    anon_sym_attribute,
    ACTIONS(1911),
    1,
    anon_sym_provides,
    ACTIONS(1914),
    1,
    anon_sym_uses,
    ACTIONS(1917),
    1,
    anon_sym_emits,
    ACTIONS(1920),
    1,
    anon_sym_publishes,
    ACTIONS(1923),
    1,
    anon_sym_consumes,
    STATE(368),
    1,
    sym_component_export,
    ACTIONS(1926),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(234),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1094),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13864] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1887),
    1,
    anon_sym_readonly,
    ACTIONS(1889),
    1,
    anon_sym_attribute,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    ACTIONS(1895),
    1,
    anon_sym_emits,
    ACTIONS(1897),
    1,
    anon_sym_publishes,
    ACTIONS(1899),
    1,
    anon_sym_consumes,
    ACTIONS(1929),
    1,
    anon_sym_RBRACE,
    STATE(234),
    1,
    aux_sym_component_body_repeat1,
    STATE(235),
    1,
    sym_comment,
    STATE(368),
    1,
    sym_component_export,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1094),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13921] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1527),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1529),
    17,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [13955] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(237),
    1,
    sym_comment,
    ACTIONS(1931),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1933),
    17,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DOT,
    aux_sym_floating_pt_literal_token1,
    aux_sym_fixed_pt_literal_token1,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13988] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1939),
    1,
    anon_sym_DOT,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(1935),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1937),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14021] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    STATE(239),
    1,
    sym_comment,
    ACTIONS(1943),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1945),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14054] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1951),
    1,
    anon_sym_DOT,
    STATE(240),
    1,
    sym_comment,
    ACTIONS(1947),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1949),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14087] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1955),
    1,
    anon_sym_DQUOTE,
    STATE(241),
    1,
    sym_comment,
    STATE(276),
    1,
    sym_string_literal,
    STATE(329),
    1,
    sym_topic_platform,
    ACTIONS(1953),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    ACTIONS(1439),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [14124] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(242),
    1,
    sym_comment,
    ACTIONS(1957),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1959),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14154] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(243),
    1,
    sym_comment,
    ACTIONS(1961),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1963),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14184] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1965),
    1,
    anon_sym_RBRACE,
    ACTIONS(1967),
    1,
    anon_sym_readonly,
    ACTIONS(1970),
    1,
    anon_sym_attribute,
    ACTIONS(1973),
    1,
    anon_sym_provides,
    ACTIONS(1976),
    1,
    anon_sym_uses,
    STATE(389),
    1,
    sym_port_ref,
    STATE(390),
    1,
    sym_connector_export,
    STATE(1034),
    1,
    sym_attr_dcl,
    ACTIONS(1979),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(244),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14232] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(245),
    1,
    sym_comment,
    ACTIONS(1473),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1475),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14262] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(246),
    1,
    sym_comment,
    ACTIONS(1982),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1984),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14292] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1887),
    1,
    anon_sym_readonly,
    ACTIONS(1889),
    1,
    anon_sym_attribute,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    ACTIONS(1986),
    1,
    anon_sym_RBRACE,
    STATE(247),
    1,
    sym_comment,
    STATE(263),
    1,
    aux_sym_port_body_repeat1,
    STATE(397),
    1,
    sym_port_ref,
    STATE(398),
    1,
    sym_port_export,
    STATE(1320),
    1,
    sym_attr_dcl,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14342] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(248),
    1,
    sym_comment,
    ACTIONS(1477),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1479),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14372] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(249),
    1,
    sym_comment,
    ACTIONS(1988),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1990),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14402] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(250),
    1,
    sym_comment,
    ACTIONS(1992),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1994),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14432] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(251),
    1,
    sym_comment,
    ACTIONS(1988),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1990),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14462] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(252),
    1,
    sym_comment,
    ACTIONS(1996),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1998),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14492] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1887),
    1,
    anon_sym_readonly,
    ACTIONS(1889),
    1,
    anon_sym_attribute,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    ACTIONS(2000),
    1,
    anon_sym_RBRACE,
    STATE(247),
    1,
    aux_sym_port_body_repeat1,
    STATE(253),
    1,
    sym_comment,
    STATE(397),
    1,
    sym_port_ref,
    STATE(398),
    1,
    sym_port_export,
    STATE(1320),
    1,
    sym_attr_dcl,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14542] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(254),
    1,
    sym_comment,
    ACTIONS(2002),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2004),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14572] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(255),
    1,
    sym_comment,
    ACTIONS(2006),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2008),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14602] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(256),
    1,
    sym_comment,
    ACTIONS(2010),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2012),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14632] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(257),
    1,
    sym_comment,
    ACTIONS(1947),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1949),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14662] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2014),
    1,
    anon_sym_GT,
    ACTIONS(2020),
    1,
    anon_sym_SLASH,
    STATE(258),
    1,
    sym_comment,
    ACTIONS(2018),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(2016),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14696] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2020),
    1,
    anon_sym_SLASH,
    ACTIONS(2022),
    1,
    anon_sym_GT,
    STATE(259),
    1,
    sym_comment,
    ACTIONS(2018),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(2024),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14730] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(260),
    1,
    sym_comment,
    ACTIONS(1935),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1937),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14760] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(261),
    1,
    sym_comment,
    ACTIONS(2026),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2028),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14790] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(262),
    1,
    sym_comment,
    ACTIONS(2030),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2032),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14820] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2034),
    1,
    anon_sym_RBRACE,
    ACTIONS(2036),
    1,
    anon_sym_readonly,
    ACTIONS(2039),
    1,
    anon_sym_attribute,
    ACTIONS(2042),
    1,
    anon_sym_provides,
    ACTIONS(2045),
    1,
    anon_sym_uses,
    STATE(397),
    1,
    sym_port_ref,
    STATE(398),
    1,
    sym_port_export,
    STATE(1320),
    1,
    sym_attr_dcl,
    ACTIONS(2048),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(263),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14868] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(264),
    1,
    sym_comment,
    ACTIONS(2051),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2053),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14898] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(265),
    1,
    sym_comment,
    ACTIONS(1943),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1945),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14928] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(266),
    1,
    sym_comment,
    ACTIONS(2055),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2057),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14958] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(267),
    1,
    sym_comment,
    ACTIONS(2059),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2061),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14988] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(268),
    1,
    sym_comment,
    ACTIONS(2063),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2065),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15018] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1887),
    1,
    anon_sym_readonly,
    ACTIONS(1889),
    1,
    anon_sym_attribute,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    ACTIONS(2067),
    1,
    anon_sym_RBRACE,
    STATE(244),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(269),
    1,
    sym_comment,
    STATE(389),
    1,
    sym_port_ref,
    STATE(390),
    1,
    sym_connector_export,
    STATE(1034),
    1,
    sym_attr_dcl,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [15068] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(270),
    1,
    sym_comment,
    ACTIONS(2069),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2071),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15098] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(2073),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2075),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15128] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1887),
    1,
    anon_sym_readonly,
    ACTIONS(1889),
    1,
    anon_sym_attribute,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    STATE(269),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(272),
    1,
    sym_comment,
    STATE(389),
    1,
    sym_port_ref,
    STATE(390),
    1,
    sym_connector_export,
    STATE(1034),
    1,
    sym_attr_dcl,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1293),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [15175] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2079),
    1,
    aux_sym_verbatim_language_token1,
    STATE(273),
    1,
    sym_comment,
    STATE(1245),
    1,
    sym_string_literal,
    STATE(1396),
    1,
    sym_verbatim_language,
    STATE(1397),
    1,
    sym_placement_kind,
    ACTIONS(2077),
    4,
    anon_sym_STAR,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [15214] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2079),
    1,
    aux_sym_verbatim_language_token1,
    STATE(274),
    1,
    sym_comment,
    STATE(1158),
    1,
    sym_string_literal,
    STATE(1366),
    1,
    sym_verbatim_language,
    STATE(1367),
    1,
    sym_placement_kind,
    ACTIONS(2077),
    4,
    anon_sym_STAR,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [15253] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2079),
    1,
    aux_sym_verbatim_language_token1,
    STATE(275),
    1,
    sym_comment,
    STATE(1204),
    1,
    sym_string_literal,
    STATE(1381),
    1,
    sym_verbatim_language,
    STATE(1382),
    1,
    sym_placement_kind,
    ACTIONS(2077),
    4,
    anon_sym_STAR,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [15292] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(276),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_topic_platform,
    ACTIONS(1953),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    ACTIONS(1459),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15323] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2083),
    1,
    anon_sym_AT,
    ACTIONS(2086),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(340),
    1,
    sym_extend_annotation_appl,
    STATE(341),
    1,
    sym_annotation_appl,
    STATE(277),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1449),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15358] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2079),
    1,
    aux_sym_verbatim_language_token1,
    STATE(278),
    1,
    sym_comment,
    STATE(1254),
    1,
    sym_placement_kind,
    STATE(1342),
    1,
    sym_string_literal,
    STATE(1345),
    1,
    sym_verbatim_language,
    ACTIONS(2077),
    4,
    anon_sym_STAR,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [15397] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(1545),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15423] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(1487),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15449] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(1479),
    14,
    anon_sym_STAR,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_service_platform_token2,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15475] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2089),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2091),
    1,
    anon_sym_LPAREN,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(1597),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15505] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1529),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15531] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1475),
    14,
    anon_sym_STAR,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_service_platform_token2,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15557] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2093),
    1,
    anon_sym_GT,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(2097),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2095),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15586] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2099),
    1,
    anon_sym_GT,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(2097),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2101),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15615] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2103),
    1,
    anon_sym_LPAREN,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1563),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15642] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2105),
    1,
    anon_sym_LPAREN,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1523),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15669] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2107),
    1,
    anon_sym_LPAREN,
    STATE(289),
    1,
    sym_comment,
    ACTIONS(1533),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15696] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2109),
    1,
    anon_sym_LPAREN,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1505),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15723] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2111),
    1,
    anon_sym_LPAREN,
    STATE(291),
    1,
    sym_comment,
    ACTIONS(1511),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15750] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2113),
    1,
    anon_sym_LPAREN,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1539),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15777] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2115),
    1,
    anon_sym_LPAREN,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(1569),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15804] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2117),
    1,
    anon_sym_LPAREN,
    STATE(294),
    1,
    sym_comment,
    ACTIONS(1517),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15831] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1527),
    1,
    anon_sym_SLASH,
    ACTIONS(2119),
    1,
    anon_sym_EQ,
    STATE(295),
    1,
    sym_comment,
    ACTIONS(1529),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [15860] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2121),
    1,
    anon_sym_LPAREN,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1549),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15887] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2123),
    1,
    anon_sym_LPAREN,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1499),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15914] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2125),
    1,
    anon_sym_LPAREN,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1575),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15941] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2127),
    1,
    anon_sym_LPAREN,
    STATE(299),
    1,
    sym_comment,
    ACTIONS(1581),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15968] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2129),
    1,
    anon_sym_LPAREN,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1591),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [15995] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2131),
    1,
    anon_sym_LPAREN,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1603),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16022] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1943),
    1,
    anon_sym_SLASH,
    ACTIONS(2133),
    1,
    anon_sym_GT,
    ACTIONS(2135),
    1,
    anon_sym_COMMA,
    STATE(302),
    1,
    sym_comment,
    ACTIONS(1945),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [16055] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(303),
    1,
    sym_comment,
    ACTIONS(1681),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16079] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(304),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1189),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [16117] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(305),
    1,
    sym_comment,
    ACTIONS(1669),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16141] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(306),
    1,
    sym_comment,
    ACTIONS(1789),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16165] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(307),
    1,
    sym_comment,
    ACTIONS(1665),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16189] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(308),
    1,
    sym_comment,
    ACTIONS(1661),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16213] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(309),
    1,
    sym_comment,
    ACTIONS(1653),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16237] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(310),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1315),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [16275] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(311),
    1,
    sym_comment,
    ACTIONS(1641),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16299] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(312),
    1,
    sym_comment,
    ACTIONS(1637),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16323] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(313),
    1,
    sym_comment,
    ACTIONS(1649),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16347] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(314),
    1,
    sym_comment,
    ACTIONS(1613),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16371] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(315),
    1,
    sym_comment,
    ACTIONS(1745),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16395] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(316),
    1,
    sym_comment,
    ACTIONS(1757),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16419] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(317),
    1,
    sym_comment,
    ACTIONS(1555),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16443] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(318),
    1,
    sym_comment,
    ACTIONS(1765),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16467] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(319),
    1,
    sym_comment,
    ACTIONS(1749),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16491] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(320),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1103),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [16529] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(321),
    1,
    sym_comment,
    ACTIONS(1657),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16553] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(322),
    1,
    sym_comment,
    ACTIONS(1761),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16577] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(323),
    1,
    sym_comment,
    ACTIONS(1673),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16601] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(324),
    1,
    sym_comment,
    ACTIONS(1713),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16625] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(325),
    1,
    sym_comment,
    ACTIONS(1733),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16649] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(326),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1099),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [16687] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(327),
    1,
    sym_comment,
    ACTIONS(1777),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16711] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(1685),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16735] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(329),
    1,
    sym_comment,
    ACTIONS(1609),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16759] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(330),
    1,
    sym_comment,
    ACTIONS(1689),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16783] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(331),
    1,
    sym_comment,
    ACTIONS(1693),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16807] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(332),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1143),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [16845] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(333),
    1,
    sym_comment,
    ACTIONS(1705),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16869] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(334),
    1,
    sym_comment,
    ACTIONS(1725),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16893] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(335),
    1,
    sym_comment,
    ACTIONS(1645),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16917] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(336),
    1,
    sym_comment,
    ACTIONS(1709),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16941] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(337),
    1,
    sym_comment,
    ACTIONS(1741),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16965] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(338),
    1,
    sym_comment,
    ACTIONS(1491),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [16989] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(339),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1192),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17027] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(340),
    1,
    sym_comment,
    ACTIONS(1701),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17051] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(341),
    1,
    sym_comment,
    ACTIONS(1677),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17075] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(342),
    1,
    sym_comment,
    ACTIONS(1729),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17099] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(343),
    1,
    sym_comment,
    ACTIONS(1721),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17123] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(344),
    1,
    sym_comment,
    ACTIONS(1633),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17147] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(345),
    1,
    sym_comment,
    ACTIONS(1769),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17171] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(346),
    1,
    sym_comment,
    ACTIONS(1717),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17195] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(347),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1201),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17233] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(348),
    1,
    sym_comment,
    ACTIONS(1753),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17257] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(349),
    1,
    sym_comment,
    ACTIONS(1617),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17281] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(350),
    1,
    sym_comment,
    ACTIONS(1773),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17305] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(351),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1230),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17343] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(352),
    1,
    sym_comment,
    ACTIONS(1629),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17367] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(353),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1233),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17405] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(354),
    1,
    sym_comment,
    ACTIONS(1697),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17429] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(355),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1155),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17467] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(356),
    1,
    sym_comment,
    ACTIONS(1621),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17491] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(357),
    1,
    sym_comment,
    ACTIONS(1785),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17515] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(358),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1146),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17553] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(359),
    1,
    sym_comment,
    ACTIONS(1625),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17577] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(360),
    1,
    sym_comment,
    ACTIONS(1793),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17601] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(361),
    1,
    sym_comment,
    STATE(380),
    1,
    sym_integer_sign,
    STATE(1242),
    1,
    sym_integer_literal,
    ACTIONS(1829),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1875),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(257),
    2,
    sym_oct_number,
    sym_dec_number,
    [17639] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(362),
    1,
    sym_comment,
    ACTIONS(1781),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17663] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(363),
    1,
    sym_comment,
    ACTIONS(1737),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [17687] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2137),
    1,
    anon_sym_GT,
    STATE(364),
    1,
    sym_comment,
    ACTIONS(2141),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(2139),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17714] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2143),
    1,
    anon_sym_GT,
    STATE(365),
    1,
    sym_comment,
    ACTIONS(2141),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(2145),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17741] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(366),
    1,
    sym_comment,
    ACTIONS(2147),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [17763] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1891),
    1,
    anon_sym_provides,
    ACTIONS(1893),
    1,
    anon_sym_uses,
    ACTIONS(2149),
    1,
    anon_sym_RBRACE,
    STATE(253),
    1,
    sym_port_ref,
    STATE(367),
    1,
    sym_comment,
    STATE(1066),
    1,
    sym_port_body,
    ACTIONS(1901),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1026),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17797] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(368),
    1,
    sym_comment,
    ACTIONS(2151),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [17819] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(369),
    1,
    sym_comment,
    STATE(1258),
    1,
    sym_string_literal,
    STATE(1398),
    1,
    sym_placement_kind,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [17846] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2155),
    1,
    anon_sym_AMP,
    STATE(370),
    1,
    sym_comment,
    ACTIONS(2153),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17869] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(371),
    1,
    sym_comment,
    ACTIONS(1545),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [17890] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(372),
    1,
    sym_comment,
    STATE(1108),
    1,
    sym_placement_kind,
    STATE(1109),
    1,
    sym_string_literal,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [17917] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(373),
    1,
    sym_comment,
    ACTIONS(1487),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [17938] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(374),
    1,
    sym_comment,
    STATE(1173),
    1,
    sym_string_literal,
    STATE(1368),
    1,
    sym_placement_kind,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [17965] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2155),
    1,
    anon_sym_AMP,
    STATE(375),
    1,
    sym_comment,
    ACTIONS(2157),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17988] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(376),
    1,
    sym_comment,
    STATE(1217),
    1,
    sym_string_literal,
    STATE(1383),
    1,
    sym_placement_kind,
    ACTIONS(2081),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    [18015] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2159),
    1,
    anon_sym_RBRACE,
    ACTIONS(2161),
    1,
    anon_sym_AT,
    ACTIONS(2163),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2165),
    1,
    sym_identifier,
    STATE(377),
    1,
    sym_comment,
    STATE(403),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    STATE(724),
    1,
    sym_bit_value,
    [18049] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2169),
    1,
    anon_sym_CARET,
    STATE(378),
    1,
    sym_comment,
    ACTIONS(2167),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18071] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    anon_sym_COMMA,
    ACTIONS(2173),
    1,
    anon_sym_SEMI,
    ACTIONS(2175),
    1,
    anon_sym_getraises,
    ACTIONS(2177),
    1,
    anon_sym_setraises,
    STATE(379),
    1,
    sym_comment,
    STATE(717),
    1,
    sym_get_excep_expr,
    STATE(719),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1046),
    1,
    sym_set_excep_expr,
    STATE(1047),
    1,
    sym_attr_raises_expr,
    [18105] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(380),
    1,
    sym_comment,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2179),
    2,
    sym_bin_number,
    sym_hex_number,
    STATE(260),
    2,
    sym_oct_number,
    sym_dec_number,
    [18133] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2169),
    1,
    anon_sym_CARET,
    STATE(381),
    1,
    sym_comment,
    ACTIONS(2181),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18155] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    aux_sym_dec_number_token1,
    STATE(238),
    1,
    sym_dec_number,
    STATE(260),
    1,
    sym_oct_number,
    STATE(382),
    1,
    sym_comment,
    ACTIONS(1877),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2179),
    2,
    sym_bin_number,
    sym_hex_number,
    [18185] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2161),
    1,
    anon_sym_AT,
    ACTIONS(2163),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2183),
    1,
    anon_sym_RBRACE,
    ACTIONS(2185),
    1,
    sym_identifier,
    STATE(383),
    1,
    sym_comment,
    STATE(424),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    STATE(821),
    1,
    sym_enumerator,
    [18219] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2189),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(384),
    1,
    sym_comment,
    STATE(405),
    1,
    sym_string_literal,
    STATE(806),
    1,
    sym_topic_platform,
    ACTIONS(2187),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    ACTIONS(1437),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18247] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(385),
    1,
    sym_comment,
    ACTIONS(1529),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [18267] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1437),
    1,
    sym_identifier,
    ACTIONS(2193),
    1,
    anon_sym_STAR,
    ACTIONS(2195),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2197),
    1,
    aux_sym_service_platform_token2,
    STATE(386),
    1,
    sym_comment,
    STATE(404),
    1,
    sym_string_literal,
    STATE(701),
    1,
    sym_topic_platform,
    ACTIONS(1439),
    2,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    [18299] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2199),
    1,
    anon_sym_RBRACE,
    ACTIONS(2201),
    1,
    anon_sym_default,
    ACTIONS(2203),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(99),
    1,
    sym_case_label,
    STATE(387),
    1,
    sym_comment,
    STATE(399),
    1,
    aux_sym_union_def_repeat1,
    STATE(834),
    1,
    sym_case,
    [18330] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(388),
    1,
    sym_comment,
    ACTIONS(2205),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [18349] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(389),
    1,
    sym_comment,
    ACTIONS(2207),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18368] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(390),
    1,
    sym_comment,
    ACTIONS(2209),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18387] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2161),
    1,
    anon_sym_AT,
    ACTIONS(2163),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2185),
    1,
    sym_identifier,
    STATE(391),
    1,
    sym_comment,
    STATE(424),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    STATE(944),
    1,
    sym_enumerator,
    [18418] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2211),
    1,
    anon_sym_RBRACE,
    ACTIONS(2213),
    1,
    anon_sym_default,
    ACTIONS(2216),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(99),
    1,
    sym_case_label,
    STATE(834),
    1,
    sym_case,
    STATE(392),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [18447] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2219),
    1,
    anon_sym_LBRACE,
    ACTIONS(2221),
    1,
    anon_sym_COLON,
    ACTIONS(2223),
    1,
    anon_sym_SEMI,
    ACTIONS(2225),
    1,
    anon_sym_supports,
    STATE(393),
    1,
    sym_comment,
    STATE(751),
    1,
    sym_value_inheritance,
    STATE(987),
    1,
    sym_value_inheritance_spec,
    STATE(1193),
    1,
    sym_value_supports,
    [18478] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(394),
    1,
    sym_comment,
    ACTIONS(2227),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18497] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2231),
    1,
    anon_sym_PIPE,
    STATE(395),
    1,
    sym_comment,
    ACTIONS(2229),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18518] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2161),
    1,
    anon_sym_AT,
    ACTIONS(2163),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2165),
    1,
    sym_identifier,
    STATE(396),
    1,
    sym_comment,
    STATE(403),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    STATE(921),
    1,
    sym_bit_value,
    [18549] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(397),
    1,
    sym_comment,
    ACTIONS(2233),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18568] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(398),
    1,
    sym_comment,
    ACTIONS(2235),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18587] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2201),
    1,
    anon_sym_default,
    ACTIONS(2203),
    1,
    anon_sym_case,
    ACTIONS(2237),
    1,
    anon_sym_RBRACE,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(99),
    1,
    sym_case_label,
    STATE(392),
    1,
    aux_sym_union_def_repeat1,
    STATE(399),
    1,
    sym_comment,
    STATE(834),
    1,
    sym_case,
    [18618] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(400),
    1,
    sym_comment,
    ACTIONS(2239),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18637] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    anon_sym_COLON,
    ACTIONS(2225),
    1,
    anon_sym_supports,
    ACTIONS(2241),
    1,
    anon_sym_LBRACE,
    ACTIONS(2243),
    1,
    anon_sym_SEMI,
    STATE(401),
    1,
    sym_comment,
    STATE(751),
    1,
    sym_value_inheritance,
    STATE(984),
    1,
    sym_value_inheritance_spec,
    STATE(1193),
    1,
    sym_value_supports,
    [18668] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(402),
    1,
    sym_comment,
    ACTIONS(2245),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18687] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2161),
    1,
    anon_sym_AT,
    ACTIONS(2163),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2247),
    1,
    sym_identifier,
    STATE(403),
    1,
    sym_comment,
    STATE(419),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    [18715] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1457),
    1,
    sym_identifier,
    ACTIONS(2193),
    1,
    anon_sym_STAR,
    ACTIONS(2197),
    1,
    aux_sym_service_platform_token2,
    STATE(404),
    1,
    sym_comment,
    STATE(696),
    1,
    sym_topic_platform,
    ACTIONS(1459),
    2,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    [18741] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(405),
    1,
    sym_comment,
    STATE(799),
    1,
    sym_topic_platform,
    ACTIONS(2187),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    ACTIONS(1457),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18763] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2251),
    1,
    anon_sym_LBRACK,
    STATE(406),
    1,
    sym_comment,
    STATE(421),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(522),
    1,
    sym_fixed_array_size,
    ACTIONS(2249),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18787] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2257),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(407),
    1,
    sym_comment,
    STATE(423),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [18815] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2259),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(408),
    1,
    sym_comment,
    STATE(425),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [18843] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2261),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(408),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(409),
    1,
    sym_comment,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [18871] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2263),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(410),
    1,
    sym_comment,
    STATE(425),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [18899] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2267),
    1,
    anon_sym_0,
    STATE(411),
    1,
    sym_comment,
    ACTIONS(2265),
    5,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    aux_sym_dec_number_token1,
    sym_hex_number,
    [18919] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2269),
    1,
    anon_sym_Object,
    ACTIONS(2271),
    1,
    anon_sym_multiple,
    STATE(412),
    1,
    sym_comment,
    STATE(910),
    1,
    sym_scoped_name,
    STATE(1330),
    1,
    sym_interface_type,
    [18947] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2273),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(413),
    1,
    sym_comment,
    STATE(414),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [18975] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2275),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(414),
    1,
    sym_comment,
    STATE(425),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [19003] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2277),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(410),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(415),
    1,
    sym_comment,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [19031] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    anon_sym_COLON,
    ACTIONS(2225),
    1,
    anon_sym_supports,
    ACTIONS(2279),
    1,
    anon_sym_LBRACE,
    STATE(416),
    1,
    sym_comment,
    STATE(751),
    1,
    sym_value_inheritance,
    STATE(1000),
    1,
    sym_value_inheritance_spec,
    STATE(1193),
    1,
    sym_value_supports,
    [19059] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(417),
    1,
    sym_comment,
    STATE(968),
    1,
    sym_scoped_name,
    STATE(1018),
    1,
    sym_imported_scope,
    STATE(1019),
    1,
    sym_string_literal,
    [19087] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2251),
    1,
    anon_sym_LBRACK,
    STATE(406),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(418),
    1,
    sym_comment,
    STATE(522),
    1,
    sym_fixed_array_size,
    ACTIONS(2205),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [19111] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1449),
    1,
    sym_identifier,
    ACTIONS(2283),
    1,
    anon_sym_AT,
    ACTIONS(2286),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    STATE(419),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [19137] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    anon_sym_COLON,
    ACTIONS(2225),
    1,
    anon_sym_supports,
    ACTIONS(2289),
    1,
    anon_sym_LBRACE,
    STATE(420),
    1,
    sym_comment,
    STATE(751),
    1,
    sym_value_inheritance,
    STATE(1005),
    1,
    sym_value_inheritance_spec,
    STATE(1193),
    1,
    sym_value_supports,
    [19165] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2293),
    1,
    anon_sym_LBRACK,
    STATE(522),
    1,
    sym_fixed_array_size,
    STATE(421),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2291),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [19187] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2296),
    1,
    anon_sym_LBRACE,
    ACTIONS(2298),
    1,
    anon_sym_COLON,
    ACTIONS(2300),
    1,
    anon_sym_SEMI,
    ACTIONS(2302),
    1,
    anon_sym_supports,
    STATE(422),
    1,
    sym_comment,
    STATE(797),
    1,
    sym_component_inheritance_spec,
    STATE(1104),
    1,
    sym_supported_interface_spec,
    [19215] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    anon_sym_AT,
    ACTIONS(2255),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2304),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(423),
    1,
    sym_comment,
    STATE(425),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    [19243] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2161),
    1,
    anon_sym_AT,
    ACTIONS(2163),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2306),
    1,
    sym_identifier,
    STATE(419),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(424),
    1,
    sym_comment,
    STATE(715),
    1,
    sym_extend_annotation_appl,
    STATE(716),
    1,
    sym_annotation_appl,
    [19271] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1447),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2308),
    1,
    anon_sym_AT,
    ACTIONS(2311),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(832),
    1,
    sym_extend_annotation_appl,
    STATE(833),
    1,
    sym_annotation_appl,
    STATE(425),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [19297] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(426),
    1,
    sym_comment,
    ACTIONS(2314),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(427),
    1,
    sym_comment,
    ACTIONS(2316),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19331] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(428),
    1,
    sym_comment,
    STATE(753),
    1,
    sym_any_declarator,
    STATE(999),
    1,
    sym_any_declarators,
    STATE(976),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(429),
    1,
    sym_comment,
    ACTIONS(2320),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19371] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2322),
    1,
    anon_sym_COLON,
    ACTIONS(2324),
    1,
    anon_sym_supports,
    ACTIONS(2326),
    1,
    anon_sym_manages,
    STATE(430),
    1,
    sym_comment,
    STATE(813),
    1,
    sym_home_inheritance_spec,
    STATE(1120),
    1,
    sym_supported_interface_spec,
    [19396] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(431),
    1,
    sym_comment,
    ACTIONS(2328),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19413] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2330),
    1,
    anon_sym_LT,
    STATE(432),
    1,
    sym_comment,
    ACTIONS(2332),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19432] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2334),
    1,
    anon_sym_LT,
    STATE(433),
    1,
    sym_comment,
    ACTIONS(2336),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19451] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    STATE(434),
    1,
    sym_comment,
    ACTIONS(2135),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19470] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2269),
    1,
    anon_sym_Object,
    STATE(435),
    1,
    sym_comment,
    STATE(910),
    1,
    sym_scoped_name,
    STATE(1347),
    1,
    sym_interface_type,
    [19495] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2340),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2342),
    1,
    anon_sym_LPAREN,
    STATE(436),
    1,
    sym_comment,
    ACTIONS(1597),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19516] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(437),
    1,
    sym_comment,
    STATE(494),
    1,
    sym_declarator,
    STATE(642),
    1,
    sym_declarators,
    STATE(641),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19539] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2344),
    1,
    anon_sym_RBRACE,
    ACTIONS(2346),
    1,
    anon_sym_bitfield,
    STATE(438),
    1,
    sym_comment,
    STATE(447),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(736),
    1,
    sym_bitfield_spec,
    STATE(974),
    1,
    sym_bitfield,
    [19564] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(439),
    1,
    sym_comment,
    ACTIONS(2348),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19581] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(440),
    1,
    sym_comment,
    ACTIONS(2350),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19598] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(441),
    1,
    sym_comment,
    STATE(775),
    1,
    sym_data_representation_mask,
    ACTIONS(2354),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [19619] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(442),
    1,
    sym_comment,
    ACTIONS(2356),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19636] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(443),
    1,
    sym_comment,
    ACTIONS(2358),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(444),
    1,
    sym_comment,
    ACTIONS(2360),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19670] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(445),
    1,
    sym_comment,
    STATE(647),
    1,
    sym_data_representation_mask,
    ACTIONS(2354),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [19691] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(446),
    1,
    sym_comment,
    STATE(928),
    1,
    sym_data_representation_mask,
    ACTIONS(2354),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [19712] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2346),
    1,
    anon_sym_bitfield,
    ACTIONS(2362),
    1,
    anon_sym_RBRACE,
    STATE(447),
    1,
    sym_comment,
    STATE(449),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(736),
    1,
    sym_bitfield_spec,
    STATE(974),
    1,
    sym_bitfield,
    [19737] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2346),
    1,
    anon_sym_bitfield,
    ACTIONS(2364),
    1,
    anon_sym_RBRACE,
    STATE(448),
    1,
    sym_comment,
    STATE(467),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(736),
    1,
    sym_bitfield_spec,
    STATE(974),
    1,
    sym_bitfield,
    [19762] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2366),
    1,
    anon_sym_RBRACE,
    ACTIONS(2368),
    1,
    anon_sym_bitfield,
    STATE(736),
    1,
    sym_bitfield_spec,
    STATE(974),
    1,
    sym_bitfield,
    STATE(449),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [19785] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    sym_identifier,
    ACTIONS(2371),
    1,
    anon_sym_truncatable,
    STATE(450),
    1,
    sym_comment,
    STATE(544),
    1,
    sym_value_name,
    STATE(545),
    1,
    sym_scoped_name,
    [19810] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    anon_sym_COMMA,
    ACTIONS(2373),
    1,
    anon_sym_SEMI,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    STATE(451),
    1,
    sym_comment,
    STATE(782),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1081),
    1,
    sym_raises_expr,
    [19835] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(452),
    1,
    sym_comment,
    ACTIONS(1545),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19852] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(453),
    1,
    sym_comment,
    STATE(494),
    1,
    sym_declarator,
    STATE(639),
    1,
    sym_declarators,
    STATE(641),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19875] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(454),
    1,
    sym_comment,
    ACTIONS(1473),
    2,
    aux_sym_service_platform_token2,
    sym_identifier,
    ACTIONS(1475),
    3,
    anon_sym_STAR,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    [19894] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(455),
    1,
    sym_comment,
    ACTIONS(1543),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19911] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(456),
    1,
    sym_comment,
    STATE(638),
    1,
    sym_data_representation_mask,
    ACTIONS(2354),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [19932] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(457),
    1,
    sym_comment,
    ACTIONS(1487),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19949] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(458),
    1,
    sym_comment,
    ACTIONS(1477),
    2,
    aux_sym_service_platform_token2,
    sym_identifier,
    ACTIONS(1479),
    3,
    anon_sym_STAR,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    [19968] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(459),
    1,
    sym_comment,
    STATE(494),
    1,
    sym_declarator,
    STATE(1303),
    1,
    sym_declarators,
    STATE(641),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19991] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(460),
    1,
    sym_comment,
    ACTIONS(1527),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20008] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(292),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2269),
    1,
    anon_sym_Object,
    STATE(461),
    1,
    sym_comment,
    STATE(910),
    1,
    sym_scoped_name,
    STATE(1290),
    1,
    sym_interface_type,
    [20033] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2377),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2379),
    1,
    anon_sym_LPAREN,
    STATE(462),
    1,
    sym_comment,
    ACTIONS(1595),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20054] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2381),
    1,
    anon_sym_LT,
    ACTIONS(2383),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2385),
    1,
    sym_identifier,
    STATE(463),
    1,
    sym_comment,
    STATE(1126),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [20077] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(464),
    1,
    sym_comment,
    ACTIONS(1529),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20094] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(465),
    1,
    sym_comment,
    ACTIONS(1485),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20111] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(466),
    1,
    sym_comment,
    ACTIONS(1473),
    5,
    anon_sym_STAR,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    aux_sym_service_platform_token2,
    [20128] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2346),
    1,
    anon_sym_bitfield,
    ACTIONS(2387),
    1,
    anon_sym_RBRACE,
    STATE(449),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(467),
    1,
    sym_comment,
    STATE(736),
    1,
    sym_bitfield_spec,
    STATE(974),
    1,
    sym_bitfield,
    [20153] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(468),
    1,
    sym_comment,
    ACTIONS(1477),
    5,
    anon_sym_STAR,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    aux_sym_service_platform_token2,
    [20170] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(469),
    1,
    sym_comment,
    STATE(636),
    1,
    sym_data_representation_mask,
    ACTIONS(2354),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [20191] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2389),
    1,
    anon_sym_LPAREN,
    STATE(470),
    1,
    sym_comment,
    ACTIONS(1581),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20209] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(471),
    1,
    sym_comment,
    ACTIONS(2391),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20225] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(472),
    1,
    sym_comment,
    STATE(1252),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2393),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [20243] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(473),
    1,
    sym_comment,
    STATE(1246),
    1,
    sym_service_platform,
    ACTIONS(2395),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [20261] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(474),
    1,
    sym_comment,
    STATE(1235),
    1,
    sym_extensibility_kind,
    ACTIONS(2397),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [20279] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(475),
    1,
    sym_comment,
    STATE(1211),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2393),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [20297] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(476),
    1,
    sym_comment,
    STATE(1205),
    1,
    sym_service_platform,
    ACTIONS(2395),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [20315] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(477),
    1,
    sym_comment,
    STATE(1194),
    1,
    sym_extensibility_kind,
    ACTIONS(2397),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [20333] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2399),
    1,
    anon_sym_COMMA,
    ACTIONS(2401),
    1,
    anon_sym_manages,
    STATE(478),
    1,
    sym_comment,
    STATE(644),
    1,
    aux_sym_raises_expr_repeat1,
    [20355] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(479),
    1,
    sym_comment,
    STATE(1165),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2393),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [20373] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(480),
    1,
    sym_comment,
    STATE(1159),
    1,
    sym_service_platform,
    ACTIONS(2395),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [20391] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(481),
    1,
    sym_comment,
    STATE(1148),
    1,
    sym_extensibility_kind,
    ACTIONS(2397),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [20409] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2405),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    STATE(482),
    1,
    sym_comment,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    [20431] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2409),
    1,
    anon_sym_DQUOTE,
    STATE(482),
    1,
    aux_sym_string_literal_repeat1,
    STATE(483),
    1,
    sym_comment,
    [20453] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2411),
    1,
    anon_sym_DQUOTE,
    STATE(484),
    1,
    sym_comment,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    [20475] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2413),
    1,
    anon_sym_DQUOTE,
    STATE(484),
    1,
    aux_sym_string_literal_repeat1,
    STATE(485),
    1,
    sym_comment,
    [20497] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2415),
    1,
    anon_sym_RPAREN,
    STATE(486),
    1,
    sym_comment,
    STATE(1232),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20517] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2417),
    1,
    anon_sym_RPAREN,
    STATE(487),
    1,
    sym_comment,
    STATE(1231),
    1,
    sym_autoid_kind,
    ACTIONS(2419),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [20537] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2421),
    1,
    anon_sym_DQUOTE,
    STATE(488),
    1,
    sym_comment,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    [20559] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2423),
    1,
    anon_sym_DQUOTE,
    STATE(488),
    1,
    aux_sym_string_literal_repeat1,
    STATE(489),
    1,
    sym_comment,
    [20581] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2425),
    1,
    anon_sym_RPAREN,
    STATE(490),
    1,
    sym_comment,
    STATE(1191),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20601] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2427),
    1,
    anon_sym_RPAREN,
    STATE(491),
    1,
    sym_comment,
    STATE(1190),
    1,
    sym_autoid_kind,
    ACTIONS(2419),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [20621] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2429),
    1,
    anon_sym_DQUOTE,
    STATE(492),
    1,
    sym_comment,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    [20643] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2431),
    1,
    anon_sym_DQUOTE,
    STATE(492),
    1,
    aux_sym_string_literal_repeat1,
    STATE(493),
    1,
    sym_comment,
    [20665] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2433),
    1,
    anon_sym_COMMA,
    STATE(494),
    1,
    sym_comment,
    STATE(577),
    1,
    aux_sym_declarators_repeat1,
    ACTIONS(2435),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [20685] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2437),
    1,
    anon_sym_RPAREN,
    STATE(495),
    1,
    sym_comment,
    STATE(1145),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20705] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2439),
    1,
    anon_sym_RPAREN,
    STATE(496),
    1,
    sym_comment,
    STATE(1144),
    1,
    sym_autoid_kind,
    ACTIONS(2419),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [20725] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2441),
    1,
    anon_sym_DQUOTE,
    STATE(497),
    1,
    sym_comment,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    [20747] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2443),
    1,
    anon_sym_DQUOTE,
    STATE(497),
    1,
    aux_sym_string_literal_repeat1,
    STATE(498),
    1,
    sym_comment,
    [20769] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2445),
    1,
    anon_sym_DQUOTE,
    STATE(499),
    1,
    sym_comment,
    STATE(526),
    1,
    aux_sym_string_literal_repeat1,
    [20791] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2447),
    1,
    anon_sym_LPAREN,
    STATE(500),
    1,
    sym_comment,
    ACTIONS(1499),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20809] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2449),
    1,
    anon_sym_LPAREN,
    STATE(501),
    1,
    sym_comment,
    ACTIONS(1549),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20827] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2451),
    1,
    anon_sym_LPAREN,
    STATE(502),
    1,
    sym_comment,
    ACTIONS(1539),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20845] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2453),
    1,
    anon_sym_LPAREN,
    STATE(503),
    1,
    sym_comment,
    ACTIONS(1511),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20863] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2455),
    1,
    anon_sym_LPAREN,
    STATE(504),
    1,
    sym_comment,
    ACTIONS(1505),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20881] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2457),
    1,
    anon_sym_LPAREN,
    STATE(505),
    1,
    sym_comment,
    ACTIONS(1533),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20899] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2459),
    1,
    anon_sym_LPAREN,
    STATE(506),
    1,
    sym_comment,
    ACTIONS(1523),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20917] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2461),
    1,
    anon_sym_LPAREN,
    STATE(507),
    1,
    sym_comment,
    ACTIONS(1563),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20935] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2463),
    1,
    anon_sym_LPAREN,
    STATE(508),
    1,
    sym_comment,
    ACTIONS(1569),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20953] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2465),
    1,
    anon_sym_LPAREN,
    STATE(509),
    1,
    sym_comment,
    ACTIONS(1575),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20971] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2467),
    1,
    anon_sym_LBRACE,
    ACTIONS(2469),
    1,
    anon_sym_primarykey,
    STATE(510),
    1,
    sym_comment,
    STATE(1332),
    1,
    sym_primary_key_spec,
    [20993] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2471),
    1,
    anon_sym_LPAREN,
    STATE(511),
    1,
    sym_comment,
    ACTIONS(1591),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21011] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2473),
    1,
    anon_sym_LPAREN,
    STATE(512),
    1,
    sym_comment,
    ACTIONS(1603),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21029] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2475),
    1,
    anon_sym_LPAREN,
    STATE(513),
    1,
    sym_comment,
    ACTIONS(1517),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21047] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2477),
    1,
    anon_sym_LBRACE,
    ACTIONS(2479),
    1,
    anon_sym_COLON,
    STATE(514),
    1,
    sym_comment,
    ACTIONS(2481),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [21067] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(515),
    1,
    sym_comment,
    ACTIONS(2483),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(516),
    1,
    sym_comment,
    ACTIONS(2485),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21099] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2401),
    1,
    anon_sym_LBRACE,
    ACTIONS(2487),
    1,
    anon_sym_COMMA,
    STATE(517),
    1,
    sym_comment,
    STATE(605),
    1,
    aux_sym_raises_expr_repeat1,
    [21121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(518),
    1,
    sym_comment,
    ACTIONS(2489),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21137] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(519),
    1,
    sym_comment,
    ACTIONS(2491),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21153] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(520),
    1,
    sym_comment,
    ACTIONS(2493),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21169] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(521),
    1,
    sym_comment,
    STATE(876),
    1,
    sym_any_declarator,
    STATE(976),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [21189] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(522),
    1,
    sym_comment,
    ACTIONS(2495),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [21205] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(523),
    1,
    sym_comment,
    ACTIONS(2135),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21221] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2497),
    1,
    anon_sym_LBRACE,
    ACTIONS(2499),
    1,
    anon_sym_COLON,
    ACTIONS(2501),
    1,
    anon_sym_SEMI,
    STATE(524),
    1,
    sym_comment,
    STATE(1322),
    1,
    sym_interface_inheritance_spec,
    [21243] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2503),
    1,
    anon_sym_DQUOTE,
    STATE(525),
    1,
    sym_comment,
    STATE(576),
    1,
    aux_sym_string_literal_repeat1,
    [21265] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2505),
    1,
    anon_sym_DQUOTE,
    STATE(526),
    1,
    sym_comment,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    [21287] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2507),
    1,
    anon_sym_RPAREN,
    STATE(527),
    1,
    sym_comment,
    STATE(1101),
    1,
    sym_autoid_kind,
    ACTIONS(2419),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [21307] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2511),
    1,
    anon_sym_SQUOTE,
    STATE(528),
    1,
    sym_comment,
    STATE(574),
    1,
    aux_sym_char_literal_repeat1,
    ACTIONS(2509),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [21327] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2513),
    1,
    anon_sym_RPAREN,
    STATE(529),
    1,
    sym_comment,
    STATE(1102),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21347] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(530),
    1,
    sym_comment,
    STATE(1119),
    1,
    sym_extensibility_kind,
    ACTIONS(2397),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [21365] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(531),
    1,
    sym_comment,
    STATE(1273),
    1,
    sym_service_platform,
    ACTIONS(2395),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [21383] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(532),
    1,
    sym_comment,
    STATE(1017),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2393),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [21401] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(533),
    1,
    sym_comment,
    STATE(824),
    1,
    sym_scoped_name,
    STATE(1221),
    1,
    sym_interface_name,
    [21423] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(534),
    1,
    sym_comment,
    STATE(598),
    1,
    sym_interface_name,
    STATE(824),
    1,
    sym_scoped_name,
    [21445] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2515),
    1,
    anon_sym_LPAREN,
    STATE(535),
    1,
    sym_comment,
    ACTIONS(1497),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21463] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2517),
    1,
    anon_sym_LPAREN,
    STATE(536),
    1,
    sym_comment,
    ACTIONS(1547),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21481] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2519),
    1,
    anon_sym_LPAREN,
    STATE(537),
    1,
    sym_comment,
    ACTIONS(1537),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21499] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2521),
    1,
    anon_sym_LPAREN,
    STATE(538),
    1,
    sym_comment,
    ACTIONS(1509),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21517] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2523),
    1,
    anon_sym_LPAREN,
    STATE(539),
    1,
    sym_comment,
    ACTIONS(1503),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21535] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2525),
    1,
    anon_sym_LPAREN,
    STATE(540),
    1,
    sym_comment,
    ACTIONS(1531),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21553] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2527),
    1,
    anon_sym_LPAREN,
    STATE(541),
    1,
    sym_comment,
    ACTIONS(1521),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21571] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2529),
    1,
    anon_sym_LPAREN,
    STATE(542),
    1,
    sym_comment,
    ACTIONS(1561),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21589] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2531),
    1,
    anon_sym_LPAREN,
    STATE(543),
    1,
    sym_comment,
    ACTIONS(1567),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21607] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2533),
    1,
    anon_sym_COMMA,
    ACTIONS(2535),
    1,
    anon_sym_LBRACE,
    ACTIONS(2537),
    1,
    anon_sym_supports,
    STATE(544),
    1,
    sym_comment,
    STATE(583),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [21629] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    STATE(545),
    1,
    sym_comment,
    ACTIONS(2539),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [21647] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2541),
    1,
    anon_sym_LPAREN,
    STATE(546),
    1,
    sym_comment,
    ACTIONS(1573),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21665] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(545),
    1,
    sym_scoped_name,
    STATE(547),
    1,
    sym_comment,
    STATE(580),
    1,
    sym_value_name,
    [21687] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2545),
    1,
    anon_sym_LPAREN,
    STATE(548),
    1,
    sym_comment,
    ACTIONS(1579),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21705] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2547),
    1,
    anon_sym_LPAREN,
    STATE(549),
    1,
    sym_comment,
    ACTIONS(1589),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21723] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2549),
    1,
    anon_sym_LPAREN,
    STATE(550),
    1,
    sym_comment,
    ACTIONS(1601),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21741] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2551),
    1,
    anon_sym_LPAREN,
    STATE(551),
    1,
    sym_comment,
    ACTIONS(1515),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21759] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(552),
    1,
    sym_comment,
    STATE(1306),
    1,
    sym_declarator,
    STATE(641),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [21779] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2487),
    1,
    anon_sym_COMMA,
    ACTIONS(2553),
    1,
    anon_sym_RPAREN,
    STATE(553),
    1,
    sym_comment,
    STATE(838),
    1,
    aux_sym_raises_expr_repeat1,
    [21801] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(554),
    1,
    sym_comment,
    ACTIONS(2555),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21817] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(555),
    1,
    sym_comment,
    STATE(1319),
    1,
    sym_declarator,
    STATE(641),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [21837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(556),
    1,
    sym_comment,
    ACTIONS(2557),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21853] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2487),
    1,
    anon_sym_COMMA,
    ACTIONS(2559),
    1,
    anon_sym_RPAREN,
    STATE(557),
    1,
    sym_comment,
    STATE(845),
    1,
    aux_sym_raises_expr_repeat1,
    [21875] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    STATE(558),
    1,
    sym_comment,
    STATE(860),
    1,
    sym_raises_expr,
    ACTIONS(2561),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [21895] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(559),
    1,
    sym_comment,
    ACTIONS(2563),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21911] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(560),
    1,
    sym_comment,
    ACTIONS(2565),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21927] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(561),
    1,
    sym_comment,
    ACTIONS(2567),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [21943] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(562),
    1,
    sym_comment,
    STATE(824),
    1,
    sym_scoped_name,
    STATE(830),
    1,
    sym_interface_name,
    [21965] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2569),
    1,
    sym_escape_sequence,
    ACTIONS(2572),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2574),
    1,
    aux_sym_string_literal_token1,
    STATE(563),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [21985] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2577),
    1,
    anon_sym_COMMA,
    ACTIONS(2580),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(564),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [22003] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    STATE(565),
    1,
    sym_comment,
    STATE(940),
    1,
    sym_raises_expr,
    ACTIONS(2582),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [22023] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2584),
    1,
    anon_sym_RPAREN,
    ACTIONS(2586),
    1,
    anon_sym_in,
    STATE(566),
    1,
    sym_comment,
    STATE(792),
    1,
    sym_in_param_dcl,
    STATE(1089),
    1,
    sym_in_parameter_dcls,
    [22045] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2469),
    1,
    anon_sym_primarykey,
    ACTIONS(2588),
    1,
    anon_sym_LBRACE,
    STATE(567),
    1,
    sym_comment,
    STATE(1071),
    1,
    sym_primary_key_spec,
    [22067] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2590),
    1,
    anon_sym_COMMA,
    ACTIONS(2593),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(568),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [22085] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    STATE(569),
    1,
    sym_comment,
    ACTIONS(2593),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [22103] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(570),
    1,
    sym_comment,
    ACTIONS(2595),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [22119] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2597),
    1,
    anon_sym_COMMA,
    ACTIONS(2600),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(571),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [22137] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2533),
    1,
    anon_sym_COMMA,
    ACTIONS(2602),
    1,
    anon_sym_LBRACE,
    ACTIONS(2604),
    1,
    anon_sym_supports,
    STATE(571),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(572),
    1,
    sym_comment,
    [22159] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(573),
    1,
    sym_comment,
    STATE(770),
    1,
    sym_interface_name,
    STATE(824),
    1,
    sym_scoped_name,
    [22181] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2609),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2606),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(574),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [22199] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2611),
    1,
    anon_sym_SQUOTE,
    STATE(574),
    1,
    aux_sym_char_literal_repeat1,
    STATE(575),
    1,
    sym_comment,
    ACTIONS(2509),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [22219] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    sym_escape_sequence,
    ACTIONS(2407),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2613),
    1,
    anon_sym_DQUOTE,
    STATE(563),
    1,
    aux_sym_string_literal_repeat1,
    STATE(576),
    1,
    sym_comment,
    [22241] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2433),
    1,
    anon_sym_COMMA,
    STATE(564),
    1,
    aux_sym_declarators_repeat1,
    STATE(577),
    1,
    sym_comment,
    ACTIONS(2615),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [22261] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    sym_identifier,
    STATE(578),
    1,
    sym_comment,
    STATE(741),
    1,
    sym_declarator,
    STATE(641),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [22281] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2617),
    1,
    anon_sym_RPAREN,
    ACTIONS(2619),
    1,
    anon_sym_in,
    STATE(579),
    1,
    sym_comment,
    STATE(733),
    1,
    sym_init_param_dcl,
    STATE(1003),
    1,
    sym_init_param_dcls,
    [22303] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2533),
    1,
    anon_sym_COMMA,
    ACTIONS(2621),
    1,
    anon_sym_LBRACE,
    ACTIONS(2623),
    1,
    anon_sym_supports,
    STATE(572),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(580),
    1,
    sym_comment,
    [22325] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(545),
    1,
    sym_scoped_name,
    STATE(581),
    1,
    sym_comment,
    STATE(689),
    1,
    sym_value_name,
    [22347] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(582),
    1,
    sym_comment,
    STATE(690),
    1,
    sym_interface_name,
    STATE(824),
    1,
    sym_scoped_name,
    [22369] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2533),
    1,
    anon_sym_COMMA,
    ACTIONS(2621),
    1,
    anon_sym_LBRACE,
    ACTIONS(2623),
    1,
    anon_sym_supports,
    STATE(571),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(583),
    1,
    sym_comment,
    [22391] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2625),
    1,
    anon_sym_RPAREN,
    ACTIONS(2627),
    1,
    anon_sym_in,
    STATE(584),
    1,
    sym_comment,
    STATE(738),
    1,
    sym_factory_param_dcl,
    STATE(1006),
    1,
    sym_factory_param_dcls,
    [22413] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2619),
    1,
    anon_sym_in,
    ACTIONS(2629),
    1,
    anon_sym_RPAREN,
    STATE(585),
    1,
    sym_comment,
    STATE(733),
    1,
    sym_init_param_dcl,
    STATE(1009),
    1,
    sym_init_param_dcls,
    [22435] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(586),
    1,
    sym_comment,
    STATE(824),
    1,
    sym_scoped_name,
    STATE(956),
    1,
    sym_interface_name,
    [22457] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2469),
    1,
    anon_sym_primarykey,
    ACTIONS(2631),
    1,
    anon_sym_LBRACE,
    STATE(587),
    1,
    sym_comment,
    STATE(1072),
    1,
    sym_primary_key_spec,
    [22479] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(588),
    1,
    sym_comment,
    ACTIONS(2633),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [22495] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(589),
    1,
    sym_comment,
    ACTIONS(2635),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [22511] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(590),
    1,
    sym_comment,
    STATE(624),
    1,
    sym_scoped_name,
    [22530] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2639),
    1,
    anon_sym_LBRACE,
    STATE(591),
    1,
    sym_comment,
    STATE(710),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22549] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(592),
    1,
    sym_comment,
    STATE(1253),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22566] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(593),
    1,
    sym_comment,
    STATE(1251),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22583] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2641),
    1,
    anon_sym_COMMA,
    ACTIONS(2643),
    1,
    anon_sym_RBRACE,
    STATE(594),
    1,
    sym_comment,
    STATE(697),
    1,
    aux_sym_enum_dcl_repeat1,
    [22602] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(595),
    1,
    sym_comment,
    STATE(1250),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22619] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(596),
    1,
    sym_comment,
    STATE(1248),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22636] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(597),
    1,
    sym_comment,
    STATE(1247),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22653] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2645),
    1,
    anon_sym_LBRACE,
    STATE(598),
    1,
    sym_comment,
    STATE(616),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22672] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(599),
    1,
    sym_comment,
    STATE(1244),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22689] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(600),
    1,
    sym_comment,
    STATE(1243),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22706] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2647),
    1,
    anon_sym_interface,
    ACTIONS(2649),
    1,
    anon_sym_valuetype,
    ACTIONS(2651),
    1,
    anon_sym_eventtype,
    STATE(601),
    1,
    sym_comment,
    [22725] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(602),
    1,
    sym_comment,
    STATE(1237),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22742] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_COMMA,
    ACTIONS(2656),
    1,
    anon_sym_SEMI,
    STATE(603),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [22759] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(569),
    1,
    sym_scoped_name,
    STATE(604),
    1,
    sym_comment,
    [22778] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2487),
    1,
    anon_sym_COMMA,
    ACTIONS(2658),
    1,
    anon_sym_LBRACE,
    STATE(568),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(605),
    1,
    sym_comment,
    [22797] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(606),
    1,
    sym_comment,
    STATE(950),
    1,
    sym_scoped_name,
    [22816] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(607),
    1,
    sym_comment,
    STATE(1236),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22833] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2660),
    1,
    sym_identifier,
    STATE(608),
    1,
    sym_comment,
    STATE(962),
    1,
    sym_scoped_name,
    [22852] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(567),
    1,
    sym_scoped_name,
    STATE(609),
    1,
    sym_comment,
    [22871] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(610),
    1,
    sym_comment,
    STATE(1212),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22888] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(611),
    1,
    sym_comment,
    STATE(1210),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22905] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(612),
    1,
    sym_comment,
    STATE(1209),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22922] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(613),
    1,
    sym_comment,
    STATE(1207),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22939] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(614),
    1,
    sym_comment,
    STATE(1206),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22956] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(615),
    1,
    sym_comment,
    STATE(1203),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22973] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2662),
    1,
    anon_sym_LBRACE,
    STATE(616),
    1,
    sym_comment,
    STATE(710),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22992] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(451),
    1,
    sym_simple_declarator,
    STATE(617),
    1,
    sym_comment,
    STATE(1055),
    1,
    sym_readonly_attr_declarator,
    [23011] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(618),
    1,
    sym_comment,
    STATE(1202),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23028] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(619),
    1,
    sym_comment,
    STATE(725),
    1,
    sym_scoped_name,
    [23047] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(620),
    1,
    sym_comment,
    STATE(1196),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23064] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2666),
    1,
    anon_sym_RPAREN,
    STATE(621),
    1,
    sym_comment,
    STATE(722),
    1,
    sym_string_literal,
    [23083] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(622),
    1,
    sym_comment,
    STATE(1195),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23100] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(623),
    1,
    sym_comment,
    STATE(726),
    1,
    sym_scoped_name,
    [23119] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    STATE(624),
    1,
    sym_comment,
    ACTIONS(2593),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [23136] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(625),
    1,
    sym_comment,
    STATE(1166),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23153] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(626),
    1,
    sym_comment,
    STATE(1164),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23170] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(627),
    1,
    sym_comment,
    STATE(1163),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23187] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(628),
    1,
    sym_comment,
    STATE(1161),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23204] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(629),
    1,
    sym_comment,
    STATE(1160),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23221] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(630),
    1,
    sym_comment,
    STATE(1157),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23238] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(631),
    1,
    sym_comment,
    STATE(1156),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23255] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(632),
    1,
    sym_comment,
    STATE(1150),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23272] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(633),
    1,
    sym_comment,
    STATE(1149),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23289] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2668),
    1,
    anon_sym_GT,
    ACTIONS(2670),
    1,
    anon_sym_COMMA,
    STATE(634),
    1,
    sym_comment,
    STATE(686),
    1,
    aux_sym_actual_parameters_repeat1,
    [23308] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2674),
    1,
    anon_sym_RPAREN,
    STATE(635),
    1,
    sym_comment,
    STATE(669),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    [23327] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2676),
    1,
    anon_sym_RPAREN,
    STATE(635),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(636),
    1,
    sym_comment,
    [23346] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2678),
    1,
    anon_sym_RPAREN,
    STATE(637),
    1,
    sym_comment,
    STATE(669),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    [23365] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2680),
    1,
    anon_sym_RPAREN,
    STATE(637),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(638),
    1,
    sym_comment,
    [23384] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2682),
    1,
    anon_sym_SEMI,
    ACTIONS(2684),
    1,
    anon_sym_default,
    STATE(639),
    1,
    sym_comment,
    STATE(993),
    1,
    sym_default,
    [23403] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2686),
    1,
    anon_sym_SEMI,
    ACTIONS(2688),
    1,
    anon_sym_context,
    STATE(640),
    1,
    sym_comment,
    STATE(1261),
    1,
    sym_context_expr,
    [23422] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(641),
    1,
    sym_comment,
    ACTIONS(2690),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [23437] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2684),
    1,
    anon_sym_default,
    ACTIONS(2692),
    1,
    anon_sym_SEMI,
    STATE(642),
    1,
    sym_comment,
    STATE(1215),
    1,
    sym_default,
    [23456] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2593),
    1,
    anon_sym_manages,
    ACTIONS(2694),
    1,
    anon_sym_COMMA,
    STATE(643),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [23473] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2399),
    1,
    anon_sym_COMMA,
    ACTIONS(2658),
    1,
    anon_sym_manages,
    STATE(643),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(644),
    1,
    sym_comment,
    [23492] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2697),
    1,
    anon_sym_RPAREN,
    STATE(645),
    1,
    sym_comment,
    STATE(669),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    [23511] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2699),
    1,
    anon_sym_SEMI,
    ACTIONS(2701),
    1,
    sym_identifier,
    STATE(646),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [23528] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2704),
    1,
    anon_sym_RPAREN,
    STATE(645),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(647),
    1,
    sym_comment,
    [23547] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2688),
    1,
    anon_sym_context,
    ACTIONS(2706),
    1,
    anon_sym_SEMI,
    STATE(648),
    1,
    sym_comment,
    STATE(1261),
    1,
    sym_context_expr,
    [23566] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(478),
    1,
    sym_scoped_name,
    STATE(649),
    1,
    sym_comment,
    [23585] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(379),
    1,
    sym_simple_declarator,
    STATE(650),
    1,
    sym_comment,
    STATE(1311),
    1,
    sym_attr_declarator,
    [23604] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2708),
    1,
    anon_sym_COMMA,
    ACTIONS(2711),
    1,
    anon_sym_RBRACE,
    STATE(651),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [23621] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(652),
    1,
    sym_comment,
    ACTIONS(1657),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23636] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(653),
    1,
    sym_comment,
    ACTIONS(1713),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23651] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(654),
    1,
    sym_comment,
    ACTIONS(1725),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23666] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(655),
    1,
    sym_comment,
    ACTIONS(1733),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23681] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(656),
    1,
    sym_comment,
    ACTIONS(1741),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23696] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(657),
    1,
    sym_comment,
    ACTIONS(1789),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23711] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(658),
    1,
    sym_comment,
    ACTIONS(1773),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23726] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(659),
    1,
    sym_comment,
    STATE(971),
    1,
    sym_dec_number,
    ACTIONS(1879),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [23743] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(660),
    1,
    sym_comment,
    ACTIONS(1769),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23758] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(661),
    1,
    sym_comment,
    ACTIONS(1761),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23773] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(662),
    1,
    sym_comment,
    ACTIONS(1757),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23788] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(663),
    1,
    sym_comment,
    ACTIONS(1745),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23803] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(664),
    1,
    sym_comment,
    ACTIONS(1613),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23818] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(665),
    1,
    sym_comment,
    ACTIONS(1649),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23833] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(666),
    1,
    sym_comment,
    ACTIONS(1637),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23848] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(667),
    1,
    sym_comment,
    ACTIONS(1653),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23863] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(528),
    1,
    aux_sym_char_literal_repeat1,
    STATE(668),
    1,
    sym_comment,
    ACTIONS(2509),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [23880] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2713),
    1,
    anon_sym_PIPE,
    ACTIONS(2716),
    1,
    anon_sym_RPAREN,
    STATE(669),
    2,
    sym_comment,
    aux_sym_annotation_appl_data_representation_repeat1,
    [23897] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(670),
    1,
    sym_comment,
    ACTIONS(1661),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23912] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(671),
    1,
    sym_comment,
    ACTIONS(1665),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23927] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(672),
    1,
    sym_comment,
    ACTIONS(1669),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23942] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(673),
    1,
    sym_comment,
    ACTIONS(1673),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23957] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(674),
    1,
    sym_comment,
    ACTIONS(1681),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23972] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(675),
    1,
    sym_comment,
    ACTIONS(1685),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23987] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(676),
    1,
    sym_comment,
    ACTIONS(1689),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24002] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(677),
    1,
    sym_comment,
    ACTIONS(1693),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24017] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(678),
    1,
    sym_comment,
    ACTIONS(1705),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24032] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(679),
    1,
    sym_comment,
    ACTIONS(1729),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24047] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2718),
    1,
    anon_sym_COMMA,
    ACTIONS(2721),
    1,
    anon_sym_RPAREN,
    STATE(680),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [24064] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(681),
    1,
    sym_comment,
    ACTIONS(1753),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24079] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(682),
    1,
    sym_comment,
    ACTIONS(1617),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24094] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_GT,
    ACTIONS(2725),
    1,
    anon_sym_COMMA,
    STATE(683),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [24111] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(684),
    1,
    sym_comment,
    ACTIONS(1621),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24126] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(685),
    1,
    sym_comment,
    ACTIONS(1625),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24141] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2728),
    1,
    anon_sym_GT,
    ACTIONS(2730),
    1,
    anon_sym_COMMA,
    STATE(686),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [24158] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(687),
    1,
    sym_comment,
    ACTIONS(1629),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24173] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2733),
    1,
    anon_sym_GT,
    ACTIONS(2735),
    1,
    anon_sym_COMMA,
    STATE(683),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(688),
    1,
    sym_comment,
    [24192] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(689),
    1,
    sym_comment,
    ACTIONS(2600),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [24207] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2602),
    1,
    anon_sym_LBRACE,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    STATE(690),
    1,
    sym_comment,
    STATE(772),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [24226] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(691),
    1,
    sym_comment,
    ACTIONS(1633),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24241] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(692),
    1,
    sym_comment,
    ACTIONS(1641),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24256] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(693),
    1,
    sym_comment,
    ACTIONS(1645),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24271] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(694),
    1,
    sym_comment,
    ACTIONS(1555),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24286] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(695),
    1,
    sym_comment,
    ACTIONS(1697),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24301] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(696),
    1,
    sym_comment,
    ACTIONS(1709),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24316] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2737),
    1,
    anon_sym_COMMA,
    ACTIONS(2740),
    1,
    anon_sym_RBRACE,
    STATE(697),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [24333] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(698),
    1,
    sym_comment,
    ACTIONS(1717),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24348] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(699),
    1,
    sym_comment,
    ACTIONS(1721),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24363] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(700),
    1,
    sym_comment,
    ACTIONS(1491),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24378] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(701),
    1,
    sym_comment,
    ACTIONS(1609),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24393] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(702),
    1,
    sym_comment,
    ACTIONS(1777),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24408] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2742),
    1,
    anon_sym_COMMA,
    ACTIONS(2744),
    1,
    anon_sym_RPAREN,
    STATE(680),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(703),
    1,
    sym_comment,
    [24427] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(704),
    1,
    sym_comment,
    ACTIONS(1765),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24442] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(705),
    1,
    sym_comment,
    ACTIONS(1749),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24457] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(587),
    1,
    sym_scoped_name,
    STATE(706),
    1,
    sym_comment,
    [24476] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2746),
    1,
    anon_sym_SEMI,
    ACTIONS(2748),
    1,
    sym_identifier,
    STATE(646),
    1,
    aux_sym_bitfield_repeat1,
    STATE(707),
    1,
    sym_comment,
    [24495] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    STATE(708),
    1,
    sym_comment,
    ACTIONS(2750),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [24512] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(709),
    1,
    sym_comment,
    ACTIONS(1785),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24527] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2752),
    1,
    anon_sym_COMMA,
    ACTIONS(2755),
    1,
    anon_sym_LBRACE,
    STATE(710),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [24544] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(711),
    1,
    sym_comment,
    ACTIONS(1793),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24559] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(712),
    1,
    sym_comment,
    ACTIONS(1781),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24574] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(713),
    1,
    sym_comment,
    ACTIONS(1737),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24589] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2757),
    1,
    anon_sym_COMMA,
    ACTIONS(2759),
    1,
    anon_sym_RBRACE,
    STATE(651),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(714),
    1,
    sym_comment,
    [24608] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(715),
    1,
    sym_comment,
    ACTIONS(1701),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24623] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(716),
    1,
    sym_comment,
    ACTIONS(1677),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24638] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2177),
    1,
    anon_sym_setraises,
    ACTIONS(2761),
    1,
    anon_sym_SEMI,
    STATE(717),
    1,
    sym_comment,
    STATE(1086),
    1,
    sym_set_excep_expr,
    [24657] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1529),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2763),
    1,
    anon_sym_LT,
    ACTIONS(2765),
    1,
    anon_sym_LBRACE,
    STATE(718),
    1,
    sym_comment,
    [24676] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    anon_sym_COMMA,
    ACTIONS(2767),
    1,
    anon_sym_SEMI,
    STATE(719),
    1,
    sym_comment,
    STATE(788),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    [24695] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2769),
    1,
    anon_sym_SEMI,
    ACTIONS(2771),
    1,
    anon_sym_switch,
    ACTIONS(2773),
    1,
    sym_identifier,
    STATE(720),
    1,
    sym_comment,
    [24714] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1941),
    1,
    anon_sym_COLON_COLON,
    STATE(721),
    1,
    sym_comment,
    ACTIONS(2775),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [24731] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2777),
    1,
    anon_sym_COMMA,
    ACTIONS(2779),
    1,
    anon_sym_RPAREN,
    STATE(722),
    1,
    sym_comment,
    STATE(795),
    1,
    aux_sym_context_expr_repeat1,
    [24750] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2781),
    1,
    anon_sym_COMMA,
    ACTIONS(2783),
    1,
    anon_sym_SEMI,
    STATE(603),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(723),
    1,
    sym_comment,
    [24769] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2757),
    1,
    anon_sym_COMMA,
    ACTIONS(2785),
    1,
    anon_sym_RBRACE,
    STATE(714),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(724),
    1,
    sym_comment,
    [24788] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    STATE(725),
    1,
    sym_comment,
    STATE(1001),
    1,
    sym_string_literal,
    [24807] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    STATE(726),
    1,
    sym_comment,
    STATE(1004),
    1,
    sym_string_literal,
    [24826] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2787),
    1,
    anon_sym_COMMA,
    ACTIONS(2789),
    1,
    anon_sym_RPAREN,
    STATE(727),
    1,
    sym_comment,
    STATE(800),
    1,
    aux_sym_parameter_dcls_repeat1,
    [24845] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2791),
    1,
    anon_sym_LBRACE,
    ACTIONS(2793),
    1,
    anon_sym_COLON,
    STATE(728),
    1,
    sym_comment,
    STATE(1140),
    1,
    sym_connector_inherit_spec,
    [24864] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(575),
    1,
    aux_sym_char_literal_repeat1,
    STATE(729),
    1,
    sym_comment,
    ACTIONS(2509),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [24881] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    ACTIONS(2795),
    1,
    anon_sym_SEMI,
    STATE(730),
    1,
    sym_comment,
    STATE(1096),
    1,
    sym_raises_expr,
    [24900] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2799),
    1,
    aux_sym_string_literal_token1,
    STATE(731),
    1,
    sym_comment,
    ACTIONS(2797),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [24917] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(732),
    1,
    sym_comment,
    ACTIONS(2801),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [24932] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2803),
    1,
    anon_sym_COMMA,
    ACTIONS(2805),
    1,
    anon_sym_RPAREN,
    STATE(733),
    1,
    sym_comment,
    STATE(807),
    1,
    aux_sym_init_param_dcls_repeat1,
    [24951] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(734),
    1,
    sym_comment,
    STATE(972),
    1,
    sym_scoped_name,
    [24970] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    ACTIONS(2807),
    1,
    anon_sym_SEMI,
    STATE(735),
    1,
    sym_comment,
    STATE(1105),
    1,
    sym_raises_expr,
    [24989] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2748),
    1,
    sym_identifier,
    ACTIONS(2809),
    1,
    anon_sym_SEMI,
    STATE(707),
    1,
    aux_sym_bitfield_repeat1,
    STATE(736),
    1,
    sym_comment,
    [25008] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(737),
    1,
    sym_comment,
    STATE(927),
    1,
    sym_dec_number,
    ACTIONS(1879),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [25025] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2811),
    1,
    anon_sym_COMMA,
    ACTIONS(2813),
    1,
    anon_sym_RPAREN,
    STATE(738),
    1,
    sym_comment,
    STATE(812),
    1,
    aux_sym_factory_param_dcls_repeat1,
    [25044] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    ACTIONS(2815),
    1,
    anon_sym_SEMI,
    STATE(739),
    1,
    sym_comment,
    STATE(1106),
    1,
    sym_raises_expr,
    [25063] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(740),
    1,
    sym_comment,
    STATE(1127),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(741),
    1,
    sym_comment,
    ACTIONS(2580),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [25095] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(742),
    1,
    sym_comment,
    STATE(1167),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25112] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(743),
    1,
    sym_comment,
    STATE(1317),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25129] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(744),
    1,
    sym_comment,
    STATE(1318),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25146] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(745),
    1,
    sym_comment,
    STATE(1116),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25163] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(746),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25180] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(747),
    1,
    sym_comment,
    STATE(1028),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25197] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(748),
    1,
    sym_comment,
    STATE(1002),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25214] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(749),
    1,
    sym_comment,
    ACTIONS(2817),
    3,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    [25229] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(750),
    1,
    sym_comment,
    STATE(1056),
    1,
    sym_boolean_literal,
    ACTIONS(1883),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25246] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    anon_sym_supports,
    ACTIONS(2819),
    1,
    anon_sym_LBRACE,
    STATE(751),
    1,
    sym_comment,
    STATE(1175),
    1,
    sym_value_supports,
    [25265] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(752),
    1,
    sym_comment,
    STATE(916),
    1,
    sym_scoped_name,
    [25284] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2781),
    1,
    anon_sym_COMMA,
    ACTIONS(2821),
    1,
    anon_sym_SEMI,
    STATE(723),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(753),
    1,
    sym_comment,
    [25303] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(754),
    1,
    sym_comment,
    ACTIONS(1723),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25318] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(755),
    1,
    sym_comment,
    ACTIONS(1731),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25333] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(756),
    1,
    sym_comment,
    ACTIONS(1739),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25348] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(757),
    1,
    sym_comment,
    ACTIONS(1787),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25363] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(758),
    1,
    sym_comment,
    ACTIONS(1771),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25378] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(759),
    1,
    sym_comment,
    ACTIONS(1767),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25393] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(760),
    1,
    sym_comment,
    ACTIONS(1759),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25408] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(761),
    1,
    sym_comment,
    ACTIONS(1755),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25423] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(762),
    1,
    sym_comment,
    ACTIONS(1743),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25438] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(763),
    1,
    sym_comment,
    ACTIONS(1611),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25453] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(764),
    1,
    sym_comment,
    ACTIONS(1647),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25468] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(765),
    1,
    sym_comment,
    STATE(912),
    1,
    sym_scoped_name,
    [25487] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(766),
    1,
    sym_comment,
    ACTIONS(1635),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25502] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(767),
    1,
    sym_comment,
    ACTIONS(1651),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25517] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(768),
    1,
    sym_comment,
    ACTIONS(1659),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25532] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(769),
    1,
    sym_comment,
    ACTIONS(1663),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25547] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2823),
    1,
    anon_sym_LBRACE,
    STATE(770),
    1,
    sym_comment,
    STATE(829),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [25566] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(771),
    1,
    sym_comment,
    ACTIONS(1667),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25581] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2823),
    1,
    anon_sym_LBRACE,
    STATE(710),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(772),
    1,
    sym_comment,
    [25600] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(773),
    1,
    sym_comment,
    ACTIONS(1671),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25615] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(774),
    1,
    sym_comment,
    ACTIONS(1679),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25630] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2825),
    1,
    anon_sym_RPAREN,
    STATE(775),
    1,
    sym_comment,
    STATE(851),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    [25649] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(776),
    1,
    sym_comment,
    ACTIONS(1683),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25664] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(777),
    1,
    sym_comment,
    ACTIONS(1687),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25679] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(778),
    1,
    sym_comment,
    ACTIONS(1691),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25694] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(779),
    1,
    sym_comment,
    ACTIONS(1703),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25709] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(780),
    1,
    sym_comment,
    ACTIONS(1727),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25724] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(781),
    1,
    sym_comment,
    ACTIONS(1751),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25739] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    anon_sym_COMMA,
    ACTIONS(2827),
    1,
    anon_sym_SEMI,
    STATE(782),
    1,
    sym_comment,
    STATE(788),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    [25758] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(783),
    1,
    sym_comment,
    ACTIONS(1615),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25773] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(557),
    1,
    sym_scoped_name,
    STATE(784),
    1,
    sym_comment,
    [25792] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(785),
    1,
    sym_comment,
    ACTIONS(1619),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25807] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(786),
    1,
    sym_comment,
    ACTIONS(1623),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25822] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(787),
    1,
    sym_comment,
    ACTIONS(1627),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25837] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2829),
    1,
    anon_sym_COMMA,
    ACTIONS(2832),
    1,
    anon_sym_SEMI,
    STATE(788),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [25854] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(789),
    1,
    sym_comment,
    ACTIONS(1631),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25869] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(790),
    1,
    sym_comment,
    ACTIONS(1639),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25884] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(791),
    1,
    sym_comment,
    ACTIONS(1643),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25899] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2834),
    1,
    anon_sym_COMMA,
    ACTIONS(2836),
    1,
    anon_sym_RPAREN,
    STATE(792),
    1,
    sym_comment,
    STATE(844),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    [25918] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(517),
    1,
    sym_scoped_name,
    STATE(793),
    1,
    sym_comment,
    [25937] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(794),
    1,
    sym_comment,
    ACTIONS(1553),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25952] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2777),
    1,
    anon_sym_COMMA,
    ACTIONS(2838),
    1,
    anon_sym_RPAREN,
    STATE(795),
    1,
    sym_comment,
    STATE(847),
    1,
    aux_sym_context_expr_repeat1,
    [25971] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(796),
    1,
    sym_comment,
    ACTIONS(1695),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [25986] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    anon_sym_supports,
    ACTIONS(2840),
    1,
    anon_sym_LBRACE,
    STATE(797),
    1,
    sym_comment,
    STATE(1053),
    1,
    sym_supported_interface_spec,
    [26005] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2742),
    1,
    anon_sym_COMMA,
    ACTIONS(2842),
    1,
    anon_sym_RPAREN,
    STATE(703),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(798),
    1,
    sym_comment,
    [26024] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(799),
    1,
    sym_comment,
    ACTIONS(1707),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26039] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2787),
    1,
    anon_sym_COMMA,
    ACTIONS(2844),
    1,
    anon_sym_RPAREN,
    STATE(800),
    1,
    sym_comment,
    STATE(848),
    1,
    aux_sym_parameter_dcls_repeat1,
    [26058] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(801),
    1,
    sym_comment,
    ACTIONS(1715),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26073] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(802),
    1,
    sym_comment,
    STATE(901),
    1,
    sym_scoped_name,
    [26092] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(803),
    1,
    sym_comment,
    ACTIONS(1719),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26107] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(804),
    1,
    sym_comment,
    ACTIONS(1489),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26122] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    ACTIONS(2846),
    1,
    anon_sym_SEMI,
    STATE(805),
    1,
    sym_comment,
    STATE(1274),
    1,
    sym_raises_expr,
    [26141] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(806),
    1,
    sym_comment,
    ACTIONS(1607),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26156] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2803),
    1,
    anon_sym_COMMA,
    ACTIONS(2848),
    1,
    anon_sym_RPAREN,
    STATE(807),
    1,
    sym_comment,
    STATE(849),
    1,
    aux_sym_init_param_dcls_repeat1,
    [26175] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(708),
    1,
    sym_scoped_name,
    STATE(808),
    1,
    sym_comment,
    [26194] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(809),
    1,
    sym_comment,
    ACTIONS(1775),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26209] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    ACTIONS(2850),
    1,
    anon_sym_SEMI,
    STATE(810),
    1,
    sym_comment,
    STATE(1401),
    1,
    sym_raises_expr,
    [26228] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(510),
    1,
    sym_scoped_name,
    STATE(811),
    1,
    sym_comment,
    [26247] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2811),
    1,
    anon_sym_COMMA,
    ACTIONS(2852),
    1,
    anon_sym_RPAREN,
    STATE(812),
    1,
    sym_comment,
    STATE(850),
    1,
    aux_sym_factory_param_dcls_repeat1,
    [26266] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2324),
    1,
    anon_sym_supports,
    ACTIONS(2854),
    1,
    anon_sym_manages,
    STATE(813),
    1,
    sym_comment,
    STATE(1062),
    1,
    sym_supported_interface_spec,
    [26285] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_raises,
    ACTIONS(2856),
    1,
    anon_sym_SEMI,
    STATE(814),
    1,
    sym_comment,
    STATE(1400),
    1,
    sym_raises_expr,
    [26304] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(815),
    1,
    sym_comment,
    STATE(895),
    1,
    sym_scoped_name,
    [26323] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(816),
    1,
    sym_comment,
    STATE(892),
    1,
    sym_scoped_name,
    [26342] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(817),
    1,
    sym_comment,
    STATE(885),
    1,
    sym_scoped_name,
    [26361] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(818),
    1,
    sym_comment,
    ACTIONS(1763),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26376] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(819),
    1,
    sym_comment,
    ACTIONS(1747),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26391] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(820),
    1,
    sym_comment,
    STATE(909),
    1,
    sym_scoped_name,
    [26410] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2641),
    1,
    anon_sym_COMMA,
    ACTIONS(2858),
    1,
    anon_sym_RBRACE,
    STATE(594),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(821),
    1,
    sym_comment,
    [26429] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(822),
    1,
    sym_comment,
    ACTIONS(1655),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26444] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(823),
    1,
    sym_comment,
    ACTIONS(1711),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26459] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    STATE(824),
    1,
    sym_comment,
    ACTIONS(2860),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [26476] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2670),
    1,
    anon_sym_COMMA,
    ACTIONS(2862),
    1,
    anon_sym_GT,
    STATE(634),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(825),
    1,
    sym_comment,
    [26495] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(826),
    1,
    sym_comment,
    ACTIONS(1783),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26510] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(827),
    1,
    sym_comment,
    ACTIONS(1791),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26525] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(828),
    1,
    sym_comment,
    ACTIONS(1779),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26540] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2864),
    1,
    anon_sym_LBRACE,
    STATE(710),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(829),
    1,
    sym_comment,
    [26559] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2637),
    1,
    anon_sym_COMMA,
    ACTIONS(2864),
    1,
    anon_sym_LBRACE,
    STATE(591),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(830),
    1,
    sym_comment,
    [26578] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(831),
    1,
    sym_comment,
    ACTIONS(1735),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26593] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(832),
    1,
    sym_comment,
    ACTIONS(1699),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26608] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(833),
    1,
    sym_comment,
    ACTIONS(1675),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [26623] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(834),
    1,
    sym_comment,
    ACTIONS(2866),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [26638] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2868),
    1,
    anon_sym_GT,
    ACTIONS(2870),
    1,
    anon_sym_COMMA,
    STATE(835),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [26655] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2688),
    1,
    anon_sym_context,
    ACTIONS(2873),
    1,
    anon_sym_SEMI,
    STATE(836),
    1,
    sym_comment,
    STATE(1261),
    1,
    sym_context_expr,
    [26674] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2875),
    1,
    anon_sym_GT,
    ACTIONS(2877),
    1,
    anon_sym_COMMA,
    STATE(835),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(837),
    1,
    sym_comment,
    [26693] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2487),
    1,
    anon_sym_COMMA,
    ACTIONS(2879),
    1,
    anon_sym_RPAREN,
    STATE(568),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(838),
    1,
    sym_comment,
    [26712] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(234),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2281),
    1,
    sym_identifier,
    STATE(553),
    1,
    sym_scoped_name,
    STATE(839),
    1,
    sym_comment,
    [26731] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2735),
    1,
    anon_sym_COMMA,
    ACTIONS(2881),
    1,
    anon_sym_GT,
    STATE(688),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(840),
    1,
    sym_comment,
    [26750] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(841),
    1,
    sym_comment,
    ACTIONS(2883),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [26765] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2877),
    1,
    anon_sym_COMMA,
    ACTIONS(2885),
    1,
    anon_sym_GT,
    STATE(837),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(842),
    1,
    sym_comment,
    [26784] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2887),
    1,
    anon_sym_COMMA,
    ACTIONS(2890),
    1,
    anon_sym_RPAREN,
    STATE(843),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [26801] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2834),
    1,
    anon_sym_COMMA,
    ACTIONS(2892),
    1,
    anon_sym_RPAREN,
    STATE(843),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(844),
    1,
    sym_comment,
    [26820] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2487),
    1,
    anon_sym_COMMA,
    ACTIONS(2894),
    1,
    anon_sym_RPAREN,
    STATE(568),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(845),
    1,
    sym_comment,
    [26839] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    sym_identifier,
    STATE(721),
    1,
    sym_scoped_name,
    STATE(846),
    1,
    sym_comment,
    [26858] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2896),
    1,
    anon_sym_COMMA,
    ACTIONS(2899),
    1,
    anon_sym_RPAREN,
    STATE(847),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [26875] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2901),
    1,
    anon_sym_COMMA,
    ACTIONS(2904),
    1,
    anon_sym_RPAREN,
    STATE(848),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [26892] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2906),
    1,
    anon_sym_COMMA,
    ACTIONS(2909),
    1,
    anon_sym_RPAREN,
    STATE(849),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [26909] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2911),
    1,
    anon_sym_COMMA,
    ACTIONS(2914),
    1,
    anon_sym_RPAREN,
    STATE(850),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [26926] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2672),
    1,
    anon_sym_PIPE,
    ACTIONS(2916),
    1,
    anon_sym_RPAREN,
    STATE(669),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(851),
    1,
    sym_comment,
    [26945] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(852),
    1,
    sym_comment,
    STATE(881),
    1,
    sym_string_literal,
    [26961] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(853),
    1,
    sym_comment,
    ACTIONS(2918),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26975] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2920),
    1,
    aux_sym_min_expr_token1,
    STATE(854),
    1,
    sym_comment,
    STATE(1395),
    1,
    sym_min_expr,
    [26991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(855),
    1,
    sym_comment,
    ACTIONS(2909),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27005] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(856),
    1,
    sym_comment,
    ACTIONS(2904),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27019] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(857),
    1,
    sym_comment,
    ACTIONS(2922),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27033] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2920),
    1,
    aux_sym_min_expr_token1,
    STATE(858),
    1,
    sym_comment,
    STATE(1380),
    1,
    sym_min_expr,
    [27049] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(859),
    1,
    sym_comment,
    ACTIONS(2914),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27063] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(860),
    1,
    sym_comment,
    ACTIONS(2924),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [27077] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2920),
    1,
    aux_sym_min_expr_token1,
    STATE(861),
    1,
    sym_comment,
    STATE(1365),
    1,
    sym_min_expr,
    [27093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(862),
    1,
    sym_comment,
    ACTIONS(2926),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27107] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(863),
    1,
    sym_comment,
    ACTIONS(2928),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27121] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(864),
    1,
    sym_comment,
    STATE(1260),
    1,
    sym_string_literal,
    [27137] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2930),
    1,
    sym_identifier,
    STATE(865),
    1,
    sym_comment,
    STATE(1324),
    1,
    sym_formal_parameter_names,
    [27153] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(866),
    1,
    sym_comment,
    STATE(1259),
    1,
    sym_string_literal,
    [27169] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2932),
    1,
    aux_sym_max_expr_token1,
    STATE(867),
    1,
    sym_comment,
    STATE(1257),
    1,
    sym_max_expr,
    [27185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(868),
    1,
    sym_comment,
    ACTIONS(2934),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27199] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(869),
    1,
    sym_comment,
    ACTIONS(2936),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(870),
    1,
    sym_comment,
    ACTIONS(2938),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [27227] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2940),
    1,
    anon_sym_LT,
    ACTIONS(2942),
    1,
    sym_identifier,
    STATE(871),
    1,
    sym_comment,
    [27243] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(872),
    1,
    sym_comment,
    STATE(1249),
    1,
    sym_string_literal,
    [27259] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(873),
    1,
    sym_comment,
    STATE(1171),
    1,
    sym_string_literal,
    [27275] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2944),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2946),
    1,
    sym_preproc_arg,
    STATE(874),
    1,
    sym_comment,
    [27291] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(875),
    1,
    sym_comment,
    STATE(1241),
    1,
    sym_string_literal,
    [27307] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(876),
    1,
    sym_comment,
    ACTIONS(2656),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [27321] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(877),
    1,
    sym_comment,
    ACTIONS(2948),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [27335] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(878),
    1,
    sym_comment,
    STATE(1219),
    1,
    sym_string_literal,
    [27351] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(879),
    1,
    sym_comment,
    ACTIONS(2950),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27365] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(880),
    1,
    sym_comment,
    ACTIONS(2890),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27379] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(881),
    1,
    sym_comment,
    ACTIONS(2899),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [27393] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(882),
    1,
    sym_comment,
    STATE(1218),
    1,
    sym_string_literal,
    [27409] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2586),
    1,
    anon_sym_in,
    STATE(880),
    1,
    sym_in_param_dcl,
    STATE(883),
    1,
    sym_comment,
    [27425] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2932),
    1,
    aux_sym_max_expr_token1,
    STATE(884),
    1,
    sym_comment,
    STATE(1216),
    1,
    sym_max_expr,
    [27441] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2952),
    1,
    sym_identifier,
    STATE(885),
    1,
    sym_comment,
    [27457] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(886),
    1,
    sym_comment,
    STATE(1208),
    1,
    sym_string_literal,
    [27473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(887),
    1,
    sym_comment,
    ACTIONS(2954),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [27487] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(879),
    1,
    sym_simple_declarator,
    STATE(888),
    1,
    sym_comment,
    [27503] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(889),
    1,
    sym_comment,
    ACTIONS(2956),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [27517] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2958),
    1,
    anon_sym_RPAREN,
    STATE(890),
    1,
    sym_comment,
    [27533] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(891),
    1,
    sym_comment,
    ACTIONS(2960),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [27547] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2962),
    1,
    sym_identifier,
    STATE(892),
    1,
    sym_comment,
    [27563] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(893),
    1,
    sym_comment,
    STATE(1200),
    1,
    sym_string_literal,
    [27579] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2964),
    1,
    anon_sym_valuetype,
    ACTIONS(2966),
    1,
    anon_sym_eventtype,
    STATE(894),
    1,
    sym_comment,
    [27595] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2968),
    1,
    sym_identifier,
    STATE(895),
    1,
    sym_comment,
    [27611] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(896),
    1,
    sym_comment,
    ACTIONS(2970),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [27625] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(897),
    1,
    sym_comment,
    ACTIONS(2868),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [27639] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(898),
    1,
    sym_comment,
    STATE(1176),
    1,
    sym_string_literal,
    [27655] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(899),
    1,
    sym_comment,
    STATE(1174),
    1,
    sym_string_literal,
    [27671] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2932),
    1,
    aux_sym_max_expr_token1,
    STATE(900),
    1,
    sym_comment,
    STATE(1172),
    1,
    sym_max_expr,
    [27687] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2972),
    1,
    sym_identifier,
    STATE(901),
    1,
    sym_comment,
    [27703] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(902),
    1,
    sym_comment,
    STATE(1015),
    1,
    sym_simple_declarator,
    [27719] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(903),
    1,
    sym_comment,
    STATE(1162),
    1,
    sym_string_literal,
    [27735] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(904),
    1,
    sym_comment,
    STATE(1154),
    1,
    sym_string_literal,
    [27751] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(905),
    1,
    sym_comment,
    ACTIONS(2974),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27765] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(906),
    1,
    sym_comment,
    ACTIONS(2976),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27779] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(907),
    1,
    sym_comment,
    ACTIONS(2978),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [27793] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(908),
    1,
    sym_comment,
    ACTIONS(2980),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27807] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2982),
    1,
    anon_sym_LBRACE,
    STATE(909),
    1,
    sym_comment,
    [27823] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2984),
    1,
    sym_identifier,
    STATE(910),
    1,
    sym_comment,
    [27839] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(911),
    1,
    sym_comment,
    STATE(1107),
    1,
    sym_string_literal,
    [27855] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2986),
    1,
    anon_sym_LT,
    STATE(912),
    1,
    sym_comment,
    [27871] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2988),
    1,
    anon_sym_GT,
    ACTIONS(2990),
    1,
    anon_sym_COMMA,
    STATE(913),
    1,
    sym_comment,
    [27887] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(914),
    1,
    sym_comment,
    ACTIONS(2992),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [27901] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(915),
    1,
    sym_comment,
    ACTIONS(2994),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27915] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2996),
    1,
    anon_sym_LBRACE,
    STATE(916),
    1,
    sym_comment,
    [27931] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(917),
    1,
    sym_comment,
    ACTIONS(2998),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27945] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2932),
    1,
    aux_sym_max_expr_token1,
    STATE(918),
    1,
    sym_comment,
    STATE(1110),
    1,
    sym_max_expr,
    [27961] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(919),
    1,
    sym_comment,
    ACTIONS(3000),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [27975] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(920),
    1,
    sym_comment,
    ACTIONS(3002),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [27989] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(921),
    1,
    sym_comment,
    ACTIONS(2711),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [28003] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(922),
    1,
    sym_comment,
    ACTIONS(3004),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(923),
    1,
    sym_comment,
    ACTIONS(3006),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28031] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(924),
    1,
    sym_comment,
    ACTIONS(3008),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28045] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3010),
    1,
    anon_sym_LBRACE,
    ACTIONS(3012),
    1,
    anon_sym_COLON,
    STATE(925),
    1,
    sym_comment,
    [28061] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(926),
    1,
    sym_comment,
    ACTIONS(3014),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28075] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3016),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(3018),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(927),
    1,
    sym_comment,
    [28091] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(928),
    1,
    sym_comment,
    ACTIONS(2716),
    2,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    [28105] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3020),
    1,
    anon_sym_DQUOTE,
    ACTIONS(3022),
    1,
    anon_sym_SQUOTE,
    STATE(929),
    1,
    sym_comment,
    [28121] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_in,
    STATE(859),
    1,
    sym_factory_param_dcl,
    STATE(930),
    1,
    sym_comment,
    [28137] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(857),
    1,
    sym_simple_declarator,
    STATE(931),
    1,
    sym_comment,
    [28153] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(932),
    1,
    sym_comment,
    ACTIONS(3024),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28167] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2619),
    1,
    anon_sym_in,
    STATE(855),
    1,
    sym_init_param_dcl,
    STATE(933),
    1,
    sym_comment,
    [28183] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(934),
    1,
    sym_comment,
    ACTIONS(2721),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28197] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(924),
    1,
    sym_simple_declarator,
    STATE(935),
    1,
    sym_comment,
    [28213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(936),
    1,
    sym_comment,
    ACTIONS(2723),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [28227] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(862),
    1,
    sym_simple_declarator,
    STATE(937),
    1,
    sym_comment,
    [28243] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(938),
    1,
    sym_comment,
    ACTIONS(2728),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [28257] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(939),
    1,
    sym_comment,
    ACTIONS(3026),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28271] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(940),
    1,
    sym_comment,
    ACTIONS(2561),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [28285] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(941),
    1,
    sym_comment,
    ACTIONS(3028),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [28299] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(942),
    1,
    sym_comment,
    ACTIONS(3030),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28313] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(943),
    1,
    sym_comment,
    STATE(964),
    1,
    sym_simple_declarator,
    [28329] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(944),
    1,
    sym_comment,
    ACTIONS(2740),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [28343] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(945),
    1,
    sym_comment,
    ACTIONS(3032),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [28357] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(946),
    1,
    sym_comment,
    ACTIONS(3034),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28371] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3036),
    1,
    anon_sym_GT,
    ACTIONS(3038),
    1,
    anon_sym_COMMA,
    STATE(947),
    1,
    sym_comment,
    [28387] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(948),
    1,
    sym_comment,
    ACTIONS(3040),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [28401] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(949),
    1,
    sym_comment,
    ACTIONS(2832),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [28415] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3042),
    1,
    anon_sym_LBRACE,
    STATE(950),
    1,
    sym_comment,
    [28431] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3044),
    1,
    sym_identifier,
    STATE(934),
    1,
    sym_annotation_appl_param,
    STATE(951),
    1,
    sym_comment,
    [28447] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3046),
    1,
    sym_identifier,
    STATE(952),
    1,
    sym_comment,
    [28463] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(953),
    1,
    sym_comment,
    ACTIONS(3048),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [28477] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(954),
    1,
    sym_comment,
    ACTIONS(3050),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28491] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(955),
    1,
    sym_comment,
    ACTIONS(3052),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28505] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(956),
    1,
    sym_comment,
    ACTIONS(2755),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [28519] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(957),
    1,
    sym_comment,
    ACTIONS(3054),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28533] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(949),
    1,
    sym_simple_declarator,
    STATE(958),
    1,
    sym_comment,
    [28549] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3056),
    1,
    anon_sym_LPAREN,
    STATE(948),
    1,
    sym_exception_list,
    STATE(959),
    1,
    sym_comment,
    [28565] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(960),
    1,
    sym_comment,
    ACTIONS(3058),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28579] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3056),
    1,
    anon_sym_LPAREN,
    STATE(961),
    1,
    sym_comment,
    STATE(1085),
    1,
    sym_exception_list,
    [28595] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3060),
    1,
    anon_sym_LT,
    STATE(962),
    1,
    sym_comment,
    [28611] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(963),
    1,
    sym_comment,
    ACTIONS(3062),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [28625] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3064),
    1,
    anon_sym_SEMI,
    ACTIONS(3066),
    1,
    anon_sym_default,
    STATE(964),
    1,
    sym_comment,
    [28641] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3068),
    1,
    sym_identifier,
    STATE(965),
    1,
    sym_comment,
    [28657] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2664),
    1,
    sym_identifier,
    STATE(939),
    1,
    sym_simple_declarator,
    STATE(966),
    1,
    sym_comment,
    [28673] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(967),
    1,
    sym_comment,
    ACTIONS(3070),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [28687] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3072),
    1,
    anon_sym_SEMI,
    STATE(968),
    1,
    sym_comment,
    [28703] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3074),
    1,
    anon_sym_LBRACE,
    ACTIONS(3076),
    1,
    anon_sym_SEMI,
    STATE(969),
    1,
    sym_comment,
    [28719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(970),
    1,
    sym_comment,
    ACTIONS(3078),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28733] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3080),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(3082),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(971),
    1,
    sym_comment,
    [28749] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3084),
    1,
    anon_sym_LBRACE,
    STATE(972),
    1,
    sym_comment,
    [28765] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3086),
    1,
    anon_sym_GT,
    ACTIONS(3088),
    1,
    anon_sym_COMMA,
    STATE(973),
    1,
    sym_comment,
    [28781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(974),
    1,
    sym_comment,
    ACTIONS(3090),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [28795] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2920),
    1,
    aux_sym_min_expr_token1,
    STATE(975),
    1,
    sym_comment,
    STATE(1093),
    1,
    sym_min_expr,
    [28811] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(976),
    1,
    sym_comment,
    ACTIONS(3092),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [28825] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(977),
    1,
    sym_comment,
    STATE(1310),
    1,
    sym_string_literal,
    [28841] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(978),
    1,
    sym_comment,
    ACTIONS(3094),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28855] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(979),
    1,
    sym_comment,
    ACTIONS(1657),
    2,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    [28869] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(980),
    1,
    sym_comment,
    STATE(1331),
    1,
    sym_string_literal,
    [28885] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(981),
    1,
    sym_comment,
    ACTIONS(3096),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28899] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3098),
    1,
    aux_sym_preproc_call_token1,
    STATE(982),
    1,
    sym_comment,
    [28912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3100),
    1,
    anon_sym_RPAREN,
    STATE(983),
    1,
    sym_comment,
    [28925] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2289),
    1,
    anon_sym_LBRACE,
    STATE(984),
    1,
    sym_comment,
    [28938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2842),
    1,
    anon_sym_RPAREN,
    STATE(985),
    1,
    sym_comment,
    [28951] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3102),
    1,
    sym_identifier,
    STATE(986),
    1,
    sym_comment,
    [28964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3104),
    1,
    anon_sym_LBRACE,
    STATE(987),
    1,
    sym_comment,
    [28977] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1475),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(988),
    1,
    sym_comment,
    [28990] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3106),
    1,
    anon_sym_SEMI,
    STATE(989),
    1,
    sym_comment,
    [29003] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3108),
    1,
    anon_sym_SEMI,
    STATE(990),
    1,
    sym_comment,
    [29016] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3110),
    1,
    anon_sym_SEMI,
    STATE(991),
    1,
    sym_comment,
    [29029] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1713),
    1,
    anon_sym_RPAREN,
    STATE(992),
    1,
    sym_comment,
    [29042] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3112),
    1,
    anon_sym_SEMI,
    STATE(993),
    1,
    sym_comment,
    [29055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3114),
    1,
    anon_sym_LPAREN,
    STATE(994),
    1,
    sym_comment,
    [29068] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3116),
    1,
    anon_sym_EQ,
    STATE(995),
    1,
    sym_comment,
    [29081] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3118),
    1,
    anon_sym_GT,
    STATE(996),
    1,
    sym_comment,
    [29094] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3120),
    1,
    anon_sym_LT,
    STATE(997),
    1,
    sym_comment,
    [29107] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3122),
    1,
    anon_sym_SEMI,
    STATE(998),
    1,
    sym_comment,
    [29120] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3124),
    1,
    anon_sym_SEMI,
    STATE(999),
    1,
    sym_comment,
    [29133] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3126),
    1,
    anon_sym_LBRACE,
    STATE(1000),
    1,
    sym_comment,
    [29146] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3128),
    1,
    anon_sym_SEMI,
    STATE(1001),
    1,
    sym_comment,
    [29159] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3130),
    1,
    anon_sym_RPAREN,
    STATE(1002),
    1,
    sym_comment,
    [29172] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3132),
    1,
    anon_sym_RPAREN,
    STATE(1003),
    1,
    sym_comment,
    [29185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3134),
    1,
    anon_sym_SEMI,
    STATE(1004),
    1,
    sym_comment,
    [29198] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3136),
    1,
    anon_sym_LBRACE,
    STATE(1005),
    1,
    sym_comment,
    [29211] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3138),
    1,
    anon_sym_RPAREN,
    STATE(1006),
    1,
    sym_comment,
    [29224] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3140),
    1,
    anon_sym_SEMI,
    STATE(1007),
    1,
    sym_comment,
    [29237] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1479),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    STATE(1008),
    1,
    sym_comment,
    [29250] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3142),
    1,
    anon_sym_RPAREN,
    STATE(1009),
    1,
    sym_comment,
    [29263] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3144),
    1,
    anon_sym_GT,
    STATE(1010),
    1,
    sym_comment,
    [29276] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3146),
    1,
    anon_sym_LPAREN,
    STATE(1011),
    1,
    sym_comment,
    [29289] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3148),
    1,
    anon_sym_SEMI,
    STATE(1012),
    1,
    sym_comment,
    [29302] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3150),
    1,
    anon_sym_SEMI,
    STATE(1013),
    1,
    sym_comment,
    [29315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2940),
    1,
    anon_sym_LT,
    STATE(1014),
    1,
    sym_comment,
    [29328] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3152),
    1,
    anon_sym_SEMI,
    STATE(1015),
    1,
    sym_comment,
    [29341] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3154),
    1,
    anon_sym_SEMI,
    STATE(1016),
    1,
    sym_comment,
    [29354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3156),
    1,
    anon_sym_RPAREN,
    STATE(1017),
    1,
    sym_comment,
    [29367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3158),
    1,
    anon_sym_SEMI,
    STATE(1018),
    1,
    sym_comment,
    [29380] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3072),
    1,
    anon_sym_SEMI,
    STATE(1019),
    1,
    sym_comment,
    [29393] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3160),
    1,
    anon_sym_RPAREN,
    STATE(1020),
    1,
    sym_comment,
    [29406] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3162),
    1,
    aux_sym_preproc_call_token1,
    STATE(1021),
    1,
    sym_comment,
    [29419] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3164),
    1,
    anon_sym_RPAREN,
    STATE(1022),
    1,
    sym_comment,
    [29432] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3166),
    1,
    anon_sym_SEMI,
    STATE(1023),
    1,
    sym_comment,
    [29445] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3168),
    1,
    anon_sym_COMMA,
    STATE(1024),
    1,
    sym_comment,
    [29458] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3170),
    1,
    anon_sym_COMMA,
    STATE(1025),
    1,
    sym_comment,
    [29471] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3172),
    1,
    anon_sym_SEMI,
    STATE(1026),
    1,
    sym_comment,
    [29484] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3174),
    1,
    anon_sym_LT,
    STATE(1027),
    1,
    sym_comment,
    [29497] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3176),
    1,
    anon_sym_RPAREN,
    STATE(1028),
    1,
    sym_comment,
    [29510] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3178),
    1,
    anon_sym_LT,
    STATE(1029),
    1,
    sym_comment,
    [29523] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3180),
    1,
    anon_sym_SEMI,
    STATE(1030),
    1,
    sym_comment,
    [29536] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3182),
    1,
    sym_identifier,
    STATE(1031),
    1,
    sym_comment,
    [29549] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3184),
    1,
    sym_identifier,
    STATE(1032),
    1,
    sym_comment,
    [29562] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3186),
    1,
    sym_identifier,
    STATE(1033),
    1,
    sym_comment,
    [29575] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3188),
    1,
    anon_sym_SEMI,
    STATE(1034),
    1,
    sym_comment,
    [29588] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3190),
    1,
    anon_sym_LBRACE,
    STATE(1035),
    1,
    sym_comment,
    [29601] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3192),
    1,
    anon_sym_RPAREN,
    STATE(1036),
    1,
    sym_comment,
    [29614] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3194),
    1,
    sym_identifier,
    STATE(1037),
    1,
    sym_comment,
    [29627] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3068),
    1,
    sym_identifier,
    STATE(1038),
    1,
    sym_comment,
    [29640] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3196),
    1,
    anon_sym_LBRACE,
    STATE(1039),
    1,
    sym_comment,
    [29653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3198),
    1,
    anon_sym_SEMI,
    STATE(1040),
    1,
    sym_comment,
    [29666] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3200),
    1,
    anon_sym_SEMI,
    STATE(1041),
    1,
    sym_comment,
    [29679] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3202),
    1,
    anon_sym_SEMI,
    STATE(1042),
    1,
    sym_comment,
    [29692] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3204),
    1,
    anon_sym_SEMI,
    STATE(1043),
    1,
    sym_comment,
    [29705] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3206),
    1,
    anon_sym_LPAREN,
    STATE(1044),
    1,
    sym_comment,
    [29718] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3208),
    1,
    anon_sym_LPAREN,
    STATE(1045),
    1,
    sym_comment,
    [29731] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_SEMI,
    STATE(1046),
    1,
    sym_comment,
    [29744] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2767),
    1,
    anon_sym_SEMI,
    STATE(1047),
    1,
    sym_comment,
    [29757] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3210),
    1,
    anon_sym_SEMI,
    STATE(1048),
    1,
    sym_comment,
    [29770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3212),
    1,
    anon_sym_SEMI,
    STATE(1049),
    1,
    sym_comment,
    [29783] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3214),
    1,
    anon_sym_RBRACE,
    STATE(1050),
    1,
    sym_comment,
    [29796] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3216),
    1,
    sym_identifier,
    STATE(1051),
    1,
    sym_comment,
    [29809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2873),
    1,
    anon_sym_SEMI,
    STATE(1052),
    1,
    sym_comment,
    [29822] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3218),
    1,
    anon_sym_LBRACE,
    STATE(1053),
    1,
    sym_comment,
    [29835] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3220),
    1,
    anon_sym_LPAREN,
    STATE(1054),
    1,
    sym_comment,
    [29848] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3222),
    1,
    anon_sym_SEMI,
    STATE(1055),
    1,
    sym_comment,
    [29861] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3224),
    1,
    anon_sym_RPAREN,
    STATE(1056),
    1,
    sym_comment,
    [29874] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3226),
    1,
    sym_identifier,
    STATE(1057),
    1,
    sym_comment,
    [29887] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3228),
    1,
    anon_sym_SEMI,
    STATE(1058),
    1,
    sym_comment,
    [29900] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3230),
    1,
    anon_sym_RPAREN,
    STATE(1059),
    1,
    sym_comment,
    [29913] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3232),
    1,
    anon_sym_RPAREN,
    STATE(1060),
    1,
    sym_comment,
    [29926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3234),
    1,
    anon_sym_SEMI,
    STATE(1061),
    1,
    sym_comment,
    [29939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3236),
    1,
    anon_sym_manages,
    STATE(1062),
    1,
    sym_comment,
    [29952] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3238),
    1,
    anon_sym_SEMI,
    STATE(1063),
    1,
    sym_comment,
    [29965] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3240),
    1,
    anon_sym_SEMI,
    STATE(1064),
    1,
    sym_comment,
    [29978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3242),
    1,
    anon_sym_LPAREN,
    STATE(1065),
    1,
    sym_comment,
    [29991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3244),
    1,
    anon_sym_RBRACE,
    STATE(1066),
    1,
    sym_comment,
    [30004] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3246),
    1,
    anon_sym_LPAREN,
    STATE(1067),
    1,
    sym_comment,
    [30017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3248),
    1,
    anon_sym_LPAREN,
    STATE(1068),
    1,
    sym_comment,
    [30030] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3250),
    1,
    anon_sym_LPAREN,
    STATE(1069),
    1,
    sym_comment,
    [30043] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3252),
    1,
    anon_sym_LPAREN,
    STATE(1070),
    1,
    sym_comment,
    [30056] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3254),
    1,
    anon_sym_LBRACE,
    STATE(1071),
    1,
    sym_comment,
    [30069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2588),
    1,
    anon_sym_LBRACE,
    STATE(1072),
    1,
    sym_comment,
    [30082] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3256),
    1,
    anon_sym_LPAREN,
    STATE(1073),
    1,
    sym_comment,
    [30095] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3258),
    1,
    anon_sym_LPAREN,
    STATE(1074),
    1,
    sym_comment,
    [30108] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3260),
    1,
    anon_sym_LPAREN,
    STATE(1075),
    1,
    sym_comment,
    [30121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3262),
    1,
    anon_sym_LPAREN,
    STATE(1076),
    1,
    sym_comment,
    [30134] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3264),
    1,
    anon_sym_LPAREN,
    STATE(1077),
    1,
    sym_comment,
    [30147] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3266),
    1,
    sym_identifier,
    STATE(1078),
    1,
    sym_comment,
    [30160] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3268),
    1,
    anon_sym_LBRACE,
    STATE(1079),
    1,
    sym_comment,
    [30173] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3270),
    1,
    sym_identifier,
    STATE(1080),
    1,
    sym_comment,
    [30186] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2827),
    1,
    anon_sym_SEMI,
    STATE(1081),
    1,
    sym_comment,
    [30199] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3272),
    1,
    anon_sym_GT,
    STATE(1082),
    1,
    sym_comment,
    [30212] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3274),
    1,
    anon_sym_GT,
    STATE(1083),
    1,
    sym_comment,
    [30225] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3276),
    1,
    anon_sym_LBRACE,
    STATE(1084),
    1,
    sym_comment,
    [30238] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3278),
    1,
    anon_sym_SEMI,
    STATE(1085),
    1,
    sym_comment,
    [30251] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3280),
    1,
    anon_sym_SEMI,
    STATE(1086),
    1,
    sym_comment,
    [30264] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3282),
    1,
    anon_sym_LBRACE,
    STATE(1087),
    1,
    sym_comment,
    [30277] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3284),
    1,
    anon_sym_RBRACE,
    STATE(1088),
    1,
    sym_comment,
    [30290] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3286),
    1,
    anon_sym_RPAREN,
    STATE(1089),
    1,
    sym_comment,
    [30303] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3288),
    1,
    anon_sym_RPAREN,
    STATE(1090),
    1,
    sym_comment,
    [30316] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3290),
    1,
    anon_sym_RPAREN,
    STATE(1091),
    1,
    sym_comment,
    [30329] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3292),
    1,
    anon_sym_SEMI,
    STATE(1092),
    1,
    sym_comment,
    [30342] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3294),
    1,
    anon_sym_COMMA,
    STATE(1093),
    1,
    sym_comment,
    [30355] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3296),
    1,
    anon_sym_SEMI,
    STATE(1094),
    1,
    sym_comment,
    [30368] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3046),
    1,
    sym_identifier,
    STATE(1095),
    1,
    sym_comment,
    [30381] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2846),
    1,
    anon_sym_SEMI,
    STATE(1096),
    1,
    sym_comment,
    [30394] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2119),
    1,
    anon_sym_EQ,
    STATE(1097),
    1,
    sym_comment,
    [30407] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3298),
    1,
    anon_sym_SEMI,
    STATE(1098),
    1,
    sym_comment,
    [30420] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3300),
    1,
    anon_sym_RPAREN,
    STATE(1099),
    1,
    sym_comment,
    [30433] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3302),
    1,
    anon_sym_RPAREN,
    STATE(1100),
    1,
    sym_comment,
    [30446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3304),
    1,
    anon_sym_RPAREN,
    STATE(1101),
    1,
    sym_comment,
    [30459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3306),
    1,
    anon_sym_RPAREN,
    STATE(1102),
    1,
    sym_comment,
    [30472] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3308),
    1,
    anon_sym_RPAREN,
    STATE(1103),
    1,
    sym_comment,
    [30485] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2840),
    1,
    anon_sym_LBRACE,
    STATE(1104),
    1,
    sym_comment,
    [30498] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2850),
    1,
    anon_sym_SEMI,
    STATE(1105),
    1,
    sym_comment,
    [30511] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2856),
    1,
    anon_sym_SEMI,
    STATE(1106),
    1,
    sym_comment,
    [30524] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3310),
    1,
    anon_sym_RPAREN,
    STATE(1107),
    1,
    sym_comment,
    [30537] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3312),
    1,
    anon_sym_COMMA,
    STATE(1108),
    1,
    sym_comment,
    [30550] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3314),
    1,
    anon_sym_RPAREN,
    STATE(1109),
    1,
    sym_comment,
    [30563] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3316),
    1,
    anon_sym_RPAREN,
    STATE(1110),
    1,
    sym_comment,
    [30576] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3318),
    1,
    anon_sym_EQ,
    STATE(1111),
    1,
    sym_comment,
    [30589] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3320),
    1,
    anon_sym_COMMA,
    STATE(1112),
    1,
    sym_comment,
    [30602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3322),
    1,
    anon_sym_GT,
    STATE(1113),
    1,
    sym_comment,
    [30615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3324),
    1,
    anon_sym_SEMI,
    STATE(1114),
    1,
    sym_comment,
    [30628] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3326),
    1,
    anon_sym_RPAREN,
    STATE(1115),
    1,
    sym_comment,
    [30641] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3328),
    1,
    anon_sym_RPAREN,
    STATE(1116),
    1,
    sym_comment,
    [30654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3330),
    1,
    sym_identifier,
    STATE(1117),
    1,
    sym_comment,
    [30667] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3332),
    1,
    anon_sym_RPAREN,
    STATE(1118),
    1,
    sym_comment,
    [30680] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3334),
    1,
    anon_sym_RPAREN,
    STATE(1119),
    1,
    sym_comment,
    [30693] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2854),
    1,
    anon_sym_manages,
    STATE(1120),
    1,
    sym_comment,
    [30706] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3336),
    1,
    anon_sym_GT,
    STATE(1121),
    1,
    sym_comment,
    [30719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3338),
    1,
    sym_identifier,
    STATE(1122),
    1,
    sym_comment,
    [30732] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3340),
    1,
    sym_identifier,
    STATE(1123),
    1,
    sym_comment,
    [30745] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3342),
    1,
    sym_identifier,
    STATE(1124),
    1,
    sym_comment,
    [30758] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3344),
    1,
    anon_sym_LBRACE,
    STATE(1125),
    1,
    sym_comment,
    [30771] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3346),
    1,
    aux_sym_preproc_call_token1,
    STATE(1126),
    1,
    sym_comment,
    [30784] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3348),
    1,
    anon_sym_RPAREN,
    STATE(1127),
    1,
    sym_comment,
    [30797] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3350),
    1,
    sym_system_lib_path,
    STATE(1128),
    1,
    sym_comment,
    [30810] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3352),
    1,
    anon_sym_SEMI,
    STATE(1129),
    1,
    sym_comment,
    [30823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3354),
    1,
    anon_sym_SLASH,
    STATE(1130),
    1,
    sym_comment,
    [30836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3356),
    1,
    anon_sym_SEMI,
    STATE(1131),
    1,
    sym_comment,
    [30849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3358),
    1,
    sym_identifier,
    STATE(1132),
    1,
    sym_comment,
    [30862] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3360),
    1,
    anon_sym_LPAREN,
    STATE(1133),
    1,
    sym_comment,
    [30875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3362),
    1,
    sym_identifier,
    STATE(1134),
    1,
    sym_comment,
    [30888] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3364),
    1,
    anon_sym_SEMI,
    STATE(1135),
    1,
    sym_comment,
    [30901] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3366),
    1,
    anon_sym_SEMI,
    STATE(1136),
    1,
    sym_comment,
    [30914] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3368),
    1,
    sym_identifier,
    STATE(1137),
    1,
    sym_comment,
    [30927] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3370),
    1,
    sym_identifier,
    STATE(1138),
    1,
    sym_comment,
    [30940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3372),
    1,
    anon_sym_LBRACE,
    STATE(1139),
    1,
    sym_comment,
    [30953] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3374),
    1,
    anon_sym_LBRACE,
    STATE(1140),
    1,
    sym_comment,
    [30966] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2706),
    1,
    anon_sym_SEMI,
    STATE(1141),
    1,
    sym_comment,
    [30979] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3376),
    1,
    anon_sym_SEMI,
    STATE(1142),
    1,
    sym_comment,
    [30992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3378),
    1,
    anon_sym_RPAREN,
    STATE(1143),
    1,
    sym_comment,
    [31005] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3380),
    1,
    anon_sym_RPAREN,
    STATE(1144),
    1,
    sym_comment,
    [31018] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3382),
    1,
    anon_sym_RPAREN,
    STATE(1145),
    1,
    sym_comment,
    [31031] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3384),
    1,
    anon_sym_RPAREN,
    STATE(1146),
    1,
    sym_comment,
    [31044] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3386),
    1,
    anon_sym_RPAREN,
    STATE(1147),
    1,
    sym_comment,
    [31057] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3388),
    1,
    anon_sym_RPAREN,
    STATE(1148),
    1,
    sym_comment,
    [31070] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3390),
    1,
    anon_sym_RPAREN,
    STATE(1149),
    1,
    sym_comment,
    [31083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3392),
    1,
    anon_sym_RPAREN,
    STATE(1150),
    1,
    sym_comment,
    [31096] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3394),
    1,
    anon_sym_RPAREN,
    STATE(1151),
    1,
    sym_comment,
    [31109] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3396),
    1,
    anon_sym_RPAREN,
    STATE(1152),
    1,
    sym_comment,
    [31122] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3398),
    1,
    anon_sym_RPAREN,
    STATE(1153),
    1,
    sym_comment,
    [31135] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3400),
    1,
    anon_sym_RPAREN,
    STATE(1154),
    1,
    sym_comment,
    [31148] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3402),
    1,
    anon_sym_RPAREN,
    STATE(1155),
    1,
    sym_comment,
    [31161] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3404),
    1,
    anon_sym_RPAREN,
    STATE(1156),
    1,
    sym_comment,
    [31174] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3406),
    1,
    anon_sym_RPAREN,
    STATE(1157),
    1,
    sym_comment,
    [31187] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3408),
    1,
    anon_sym_RPAREN,
    STATE(1158),
    1,
    sym_comment,
    [31200] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3410),
    1,
    anon_sym_RPAREN,
    STATE(1159),
    1,
    sym_comment,
    [31213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3412),
    1,
    anon_sym_RPAREN,
    STATE(1160),
    1,
    sym_comment,
    [31226] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3414),
    1,
    anon_sym_RPAREN,
    STATE(1161),
    1,
    sym_comment,
    [31239] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3416),
    1,
    anon_sym_RPAREN,
    STATE(1162),
    1,
    sym_comment,
    [31252] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3418),
    1,
    anon_sym_RPAREN,
    STATE(1163),
    1,
    sym_comment,
    [31265] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3420),
    1,
    anon_sym_RPAREN,
    STATE(1164),
    1,
    sym_comment,
    [31278] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3422),
    1,
    anon_sym_RPAREN,
    STATE(1165),
    1,
    sym_comment,
    [31291] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3424),
    1,
    anon_sym_RPAREN,
    STATE(1166),
    1,
    sym_comment,
    [31304] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3426),
    1,
    anon_sym_RPAREN,
    STATE(1167),
    1,
    sym_comment,
    [31317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3428),
    1,
    anon_sym_RPAREN,
    STATE(1168),
    1,
    sym_comment,
    [31330] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3430),
    1,
    anon_sym_GT,
    STATE(1169),
    1,
    sym_comment,
    [31343] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2984),
    1,
    sym_identifier,
    STATE(1170),
    1,
    sym_comment,
    [31356] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3432),
    1,
    anon_sym_RPAREN,
    STATE(1171),
    1,
    sym_comment,
    [31369] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3434),
    1,
    anon_sym_RPAREN,
    STATE(1172),
    1,
    sym_comment,
    [31382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3436),
    1,
    anon_sym_RPAREN,
    STATE(1173),
    1,
    sym_comment,
    [31395] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3438),
    1,
    anon_sym_RPAREN,
    STATE(1174),
    1,
    sym_comment,
    [31408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2535),
    1,
    anon_sym_LBRACE,
    STATE(1175),
    1,
    sym_comment,
    [31421] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3440),
    1,
    anon_sym_RPAREN,
    STATE(1176),
    1,
    sym_comment,
    [31434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3442),
    1,
    anon_sym_SEMI,
    STATE(1177),
    1,
    sym_comment,
    [31447] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3444),
    1,
    anon_sym_RPAREN,
    STATE(1178),
    1,
    sym_comment,
    [31460] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3446),
    1,
    sym_identifier,
    STATE(1179),
    1,
    sym_comment,
    [31473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3448),
    1,
    anon_sym_LBRACE,
    STATE(1180),
    1,
    sym_comment,
    [31486] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3450),
    1,
    anon_sym_SEMI,
    STATE(1181),
    1,
    sym_comment,
    [31499] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3452),
    1,
    anon_sym_LPAREN,
    STATE(1182),
    1,
    sym_comment,
    [31512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3454),
    1,
    anon_sym_SEMI,
    STATE(1183),
    1,
    sym_comment,
    [31525] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3456),
    1,
    sym_identifier,
    STATE(1184),
    1,
    sym_comment,
    [31538] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3458),
    1,
    anon_sym_SEMI,
    STATE(1185),
    1,
    sym_comment,
    [31551] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3460),
    1,
    anon_sym_LBRACE,
    STATE(1186),
    1,
    sym_comment,
    [31564] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2686),
    1,
    anon_sym_SEMI,
    STATE(1187),
    1,
    sym_comment,
    [31577] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3462),
    1,
    anon_sym_EQ,
    STATE(1188),
    1,
    sym_comment,
    [31590] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3464),
    1,
    anon_sym_RPAREN,
    STATE(1189),
    1,
    sym_comment,
    [31603] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3466),
    1,
    anon_sym_RPAREN,
    STATE(1190),
    1,
    sym_comment,
    [31616] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3468),
    1,
    anon_sym_RPAREN,
    STATE(1191),
    1,
    sym_comment,
    [31629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3470),
    1,
    anon_sym_RPAREN,
    STATE(1192),
    1,
    sym_comment,
    [31642] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2819),
    1,
    anon_sym_LBRACE,
    STATE(1193),
    1,
    sym_comment,
    [31655] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3472),
    1,
    anon_sym_RPAREN,
    STATE(1194),
    1,
    sym_comment,
    [31668] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3474),
    1,
    anon_sym_RPAREN,
    STATE(1195),
    1,
    sym_comment,
    [31681] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3476),
    1,
    anon_sym_RPAREN,
    STATE(1196),
    1,
    sym_comment,
    [31694] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3478),
    1,
    anon_sym_RPAREN,
    STATE(1197),
    1,
    sym_comment,
    [31707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3480),
    1,
    anon_sym_RPAREN,
    STATE(1198),
    1,
    sym_comment,
    [31720] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3482),
    1,
    anon_sym_RPAREN,
    STATE(1199),
    1,
    sym_comment,
    [31733] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3484),
    1,
    anon_sym_RPAREN,
    STATE(1200),
    1,
    sym_comment,
    [31746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3486),
    1,
    anon_sym_RPAREN,
    STATE(1201),
    1,
    sym_comment,
    [31759] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3488),
    1,
    anon_sym_RPAREN,
    STATE(1202),
    1,
    sym_comment,
    [31772] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3490),
    1,
    anon_sym_RPAREN,
    STATE(1203),
    1,
    sym_comment,
    [31785] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3492),
    1,
    anon_sym_RPAREN,
    STATE(1204),
    1,
    sym_comment,
    [31798] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3494),
    1,
    anon_sym_RPAREN,
    STATE(1205),
    1,
    sym_comment,
    [31811] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3496),
    1,
    anon_sym_RPAREN,
    STATE(1206),
    1,
    sym_comment,
    [31824] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3498),
    1,
    anon_sym_RPAREN,
    STATE(1207),
    1,
    sym_comment,
    [31837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3500),
    1,
    anon_sym_RPAREN,
    STATE(1208),
    1,
    sym_comment,
    [31850] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3502),
    1,
    anon_sym_RPAREN,
    STATE(1209),
    1,
    sym_comment,
    [31863] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3504),
    1,
    anon_sym_RPAREN,
    STATE(1210),
    1,
    sym_comment,
    [31876] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3506),
    1,
    anon_sym_RPAREN,
    STATE(1211),
    1,
    sym_comment,
    [31889] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3508),
    1,
    anon_sym_RPAREN,
    STATE(1212),
    1,
    sym_comment,
    [31902] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3510),
    1,
    anon_sym_SEMI,
    STATE(1213),
    1,
    sym_comment,
    [31915] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3512),
    1,
    anon_sym_RPAREN,
    STATE(1214),
    1,
    sym_comment,
    [31928] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3514),
    1,
    anon_sym_SEMI,
    STATE(1215),
    1,
    sym_comment,
    [31941] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3516),
    1,
    anon_sym_RPAREN,
    STATE(1216),
    1,
    sym_comment,
    [31954] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3518),
    1,
    anon_sym_RPAREN,
    STATE(1217),
    1,
    sym_comment,
    [31967] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3520),
    1,
    anon_sym_RPAREN,
    STATE(1218),
    1,
    sym_comment,
    [31980] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3522),
    1,
    anon_sym_RPAREN,
    STATE(1219),
    1,
    sym_comment,
    [31993] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3524),
    1,
    anon_sym_LBRACE,
    STATE(1220),
    1,
    sym_comment,
    [32006] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3526),
    1,
    anon_sym_LBRACE,
    STATE(1221),
    1,
    sym_comment,
    [32019] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3528),
    1,
    sym_identifier,
    STATE(1222),
    1,
    sym_comment,
    [32032] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3530),
    1,
    anon_sym_SEMI,
    STATE(1223),
    1,
    sym_comment,
    [32045] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3532),
    1,
    anon_sym_LBRACE,
    STATE(1224),
    1,
    sym_comment,
    [32058] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3534),
    1,
    anon_sym_SEMI,
    STATE(1225),
    1,
    sym_comment,
    [32071] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3536),
    1,
    anon_sym_LPAREN,
    STATE(1226),
    1,
    sym_comment,
    [32084] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3538),
    1,
    sym_identifier,
    STATE(1227),
    1,
    sym_comment,
    [32097] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3540),
    1,
    aux_sym_comment_token1,
    STATE(1228),
    1,
    sym_comment,
    [32110] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3542),
    1,
    anon_sym_SEMI,
    STATE(1229),
    1,
    sym_comment,
    [32123] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3544),
    1,
    anon_sym_RPAREN,
    STATE(1230),
    1,
    sym_comment,
    [32136] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3546),
    1,
    anon_sym_RPAREN,
    STATE(1231),
    1,
    sym_comment,
    [32149] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3548),
    1,
    anon_sym_RPAREN,
    STATE(1232),
    1,
    sym_comment,
    [32162] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3550),
    1,
    anon_sym_RPAREN,
    STATE(1233),
    1,
    sym_comment,
    [32175] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3552),
    1,
    anon_sym_RPAREN,
    STATE(1234),
    1,
    sym_comment,
    [32188] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3554),
    1,
    anon_sym_RPAREN,
    STATE(1235),
    1,
    sym_comment,
    [32201] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3556),
    1,
    anon_sym_RPAREN,
    STATE(1236),
    1,
    sym_comment,
    [32214] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3558),
    1,
    anon_sym_RPAREN,
    STATE(1237),
    1,
    sym_comment,
    [32227] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3560),
    1,
    anon_sym_RPAREN,
    STATE(1238),
    1,
    sym_comment,
    [32240] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3562),
    1,
    anon_sym_RPAREN,
    STATE(1239),
    1,
    sym_comment,
    [32253] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3564),
    1,
    anon_sym_RPAREN,
    STATE(1240),
    1,
    sym_comment,
    [32266] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3566),
    1,
    anon_sym_RPAREN,
    STATE(1241),
    1,
    sym_comment,
    [32279] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3568),
    1,
    anon_sym_RPAREN,
    STATE(1242),
    1,
    sym_comment,
    [32292] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3570),
    1,
    anon_sym_RPAREN,
    STATE(1243),
    1,
    sym_comment,
    [32305] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3572),
    1,
    anon_sym_RPAREN,
    STATE(1244),
    1,
    sym_comment,
    [32318] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3574),
    1,
    anon_sym_RPAREN,
    STATE(1245),
    1,
    sym_comment,
    [32331] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3576),
    1,
    anon_sym_RPAREN,
    STATE(1246),
    1,
    sym_comment,
    [32344] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3578),
    1,
    anon_sym_RPAREN,
    STATE(1247),
    1,
    sym_comment,
    [32357] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3580),
    1,
    anon_sym_RPAREN,
    STATE(1248),
    1,
    sym_comment,
    [32370] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3582),
    1,
    anon_sym_RPAREN,
    STATE(1249),
    1,
    sym_comment,
    [32383] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3584),
    1,
    anon_sym_RPAREN,
    STATE(1250),
    1,
    sym_comment,
    [32396] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3586),
    1,
    anon_sym_RPAREN,
    STATE(1251),
    1,
    sym_comment,
    [32409] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3588),
    1,
    anon_sym_RPAREN,
    STATE(1252),
    1,
    sym_comment,
    [32422] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3590),
    1,
    anon_sym_RPAREN,
    STATE(1253),
    1,
    sym_comment,
    [32435] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3592),
    1,
    anon_sym_COMMA,
    STATE(1254),
    1,
    sym_comment,
    [32448] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3594),
    1,
    anon_sym_RPAREN,
    STATE(1255),
    1,
    sym_comment,
    [32461] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3596),
    1,
    anon_sym_RPAREN,
    STATE(1256),
    1,
    sym_comment,
    [32474] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3598),
    1,
    anon_sym_RPAREN,
    STATE(1257),
    1,
    sym_comment,
    [32487] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3600),
    1,
    anon_sym_RPAREN,
    STATE(1258),
    1,
    sym_comment,
    [32500] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3602),
    1,
    anon_sym_RPAREN,
    STATE(1259),
    1,
    sym_comment,
    [32513] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3604),
    1,
    anon_sym_RPAREN,
    STATE(1260),
    1,
    sym_comment,
    [32526] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3606),
    1,
    anon_sym_SEMI,
    STATE(1261),
    1,
    sym_comment,
    [32539] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3608),
    1,
    sym_identifier,
    STATE(1262),
    1,
    sym_comment,
    [32552] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3610),
    1,
    anon_sym_SEMI,
    STATE(1263),
    1,
    sym_comment,
    [32565] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3612),
    1,
    anon_sym_LPAREN,
    STATE(1264),
    1,
    sym_comment,
    [32578] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3614),
    1,
    sym_identifier,
    STATE(1265),
    1,
    sym_comment,
    [32591] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3616),
    1,
    anon_sym_LPAREN,
    STATE(1266),
    1,
    sym_comment,
    [32604] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3618),
    1,
    sym_identifier,
    STATE(1267),
    1,
    sym_comment,
    [32617] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3620),
    1,
    anon_sym_LBRACE,
    STATE(1268),
    1,
    sym_comment,
    [32630] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3622),
    1,
    sym_identifier,
    STATE(1269),
    1,
    sym_comment,
    [32643] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3624),
    1,
    anon_sym_SEMI,
    STATE(1270),
    1,
    sym_comment,
    [32656] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3626),
    1,
    anon_sym_SEMI,
    STATE(1271),
    1,
    sym_comment,
    [32669] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3628),
    1,
    anon_sym_LPAREN,
    STATE(1272),
    1,
    sym_comment,
    [32682] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3630),
    1,
    anon_sym_RPAREN,
    STATE(1273),
    1,
    sym_comment,
    [32695] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3632),
    1,
    anon_sym_SEMI,
    STATE(1274),
    1,
    sym_comment,
    [32708] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3634),
    1,
    anon_sym_LBRACE,
    STATE(1275),
    1,
    sym_comment,
    [32721] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3636),
    1,
    anon_sym_SEMI,
    STATE(1276),
    1,
    sym_comment,
    [32734] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3638),
    1,
    sym_identifier,
    STATE(1277),
    1,
    sym_comment,
    [32747] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3640),
    1,
    anon_sym_SEMI,
    STATE(1278),
    1,
    sym_comment,
    [32760] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3642),
    1,
    anon_sym_SEMI,
    STATE(1279),
    1,
    sym_comment,
    [32773] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3644),
    1,
    sym_identifier,
    STATE(1280),
    1,
    sym_comment,
    [32786] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3646),
    1,
    anon_sym_SEMI,
    STATE(1281),
    1,
    sym_comment,
    [32799] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3648),
    1,
    ts_builtin_sym_end,
    STATE(1282),
    1,
    sym_comment,
    [32812] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3650),
    1,
    anon_sym_SEMI,
    STATE(1283),
    1,
    sym_comment,
    [32825] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3652),
    1,
    anon_sym_SEMI,
    STATE(1284),
    1,
    sym_comment,
    [32838] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3654),
    1,
    anon_sym_SEMI,
    STATE(1285),
    1,
    sym_comment,
    [32851] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3656),
    1,
    anon_sym_COLON,
    STATE(1286),
    1,
    sym_comment,
    [32864] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3658),
    1,
    anon_sym_SEMI,
    STATE(1287),
    1,
    sym_comment,
    [32877] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3660),
    1,
    anon_sym_SEMI,
    STATE(1288),
    1,
    sym_comment,
    [32890] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3662),
    1,
    anon_sym_SEMI,
    STATE(1289),
    1,
    sym_comment,
    [32903] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3664),
    1,
    sym_identifier,
    STATE(1290),
    1,
    sym_comment,
    [32916] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3666),
    1,
    anon_sym_SEMI,
    STATE(1291),
    1,
    sym_comment,
    [32929] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3668),
    1,
    sym_identifier,
    STATE(1292),
    1,
    sym_comment,
    [32942] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3670),
    1,
    anon_sym_SEMI,
    STATE(1293),
    1,
    sym_comment,
    [32955] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3672),
    1,
    sym_identifier,
    STATE(1294),
    1,
    sym_comment,
    [32968] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3674),
    1,
    sym_identifier,
    STATE(1295),
    1,
    sym_comment,
    [32981] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3676),
    1,
    anon_sym_SEMI,
    STATE(1296),
    1,
    sym_comment,
    [32994] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3678),
    1,
    anon_sym_SEMI,
    STATE(1297),
    1,
    sym_comment,
    [33007] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3680),
    1,
    sym_identifier,
    STATE(1298),
    1,
    sym_comment,
    [33020] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3682),
    1,
    sym_identifier,
    STATE(1299),
    1,
    sym_comment,
    [33033] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3684),
    1,
    sym_identifier,
    STATE(1300),
    1,
    sym_comment,
    [33046] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2958),
    1,
    anon_sym_RPAREN,
    STATE(1301),
    1,
    sym_comment,
    [33059] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3686),
    1,
    anon_sym_RBRACE,
    STATE(1302),
    1,
    sym_comment,
    [33072] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3688),
    1,
    anon_sym_SEMI,
    STATE(1303),
    1,
    sym_comment,
    [33085] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3690),
    1,
    anon_sym_RPAREN,
    STATE(1304),
    1,
    sym_comment,
    [33098] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3692),
    1,
    anon_sym_LPAREN,
    STATE(1305),
    1,
    sym_comment,
    [33111] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3694),
    1,
    anon_sym_SEMI,
    STATE(1306),
    1,
    sym_comment,
    [33124] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3696),
    1,
    sym_identifier,
    STATE(1307),
    1,
    sym_comment,
    [33137] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3698),
    1,
    sym_identifier,
    STATE(1308),
    1,
    sym_comment,
    [33150] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3700),
    1,
    sym_identifier,
    STATE(1309),
    1,
    sym_comment,
    [33163] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3702),
    1,
    anon_sym_RPAREN,
    STATE(1310),
    1,
    sym_comment,
    [33176] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3704),
    1,
    anon_sym_SEMI,
    STATE(1311),
    1,
    sym_comment,
    [33189] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3706),
    1,
    sym_identifier,
    STATE(1312),
    1,
    sym_comment,
    [33202] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3708),
    1,
    anon_sym_GT,
    STATE(1313),
    1,
    sym_comment,
    [33215] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3710),
    1,
    sym_identifier,
    STATE(1314),
    1,
    sym_comment,
    [33228] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3712),
    1,
    anon_sym_RPAREN,
    STATE(1315),
    1,
    sym_comment,
    [33241] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3714),
    1,
    anon_sym_GT,
    STATE(1316),
    1,
    sym_comment,
    [33254] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3716),
    1,
    anon_sym_RPAREN,
    STATE(1317),
    1,
    sym_comment,
    [33267] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3718),
    1,
    anon_sym_RPAREN,
    STATE(1318),
    1,
    sym_comment,
    [33280] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3720),
    1,
    anon_sym_SEMI,
    STATE(1319),
    1,
    sym_comment,
    [33293] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3722),
    1,
    anon_sym_SEMI,
    STATE(1320),
    1,
    sym_comment,
    [33306] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3724),
    1,
    sym_identifier,
    STATE(1321),
    1,
    sym_comment,
    [33319] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3726),
    1,
    anon_sym_LBRACE,
    STATE(1322),
    1,
    sym_comment,
    [33332] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3728),
    1,
    sym_identifier,
    STATE(1323),
    1,
    sym_comment,
    [33345] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3730),
    1,
    anon_sym_GT,
    STATE(1324),
    1,
    sym_comment,
    [33358] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3732),
    1,
    anon_sym_SEMI,
    STATE(1325),
    1,
    sym_comment,
    [33371] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3734),
    1,
    anon_sym_SEMI,
    STATE(1326),
    1,
    sym_comment,
    [33384] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3736),
    1,
    sym_identifier,
    STATE(1327),
    1,
    sym_comment,
    [33397] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3738),
    1,
    sym_identifier,
    STATE(1328),
    1,
    sym_comment,
    [33410] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3740),
    1,
    sym_identifier,
    STATE(1329),
    1,
    sym_comment,
    [33423] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3742),
    1,
    sym_identifier,
    STATE(1330),
    1,
    sym_comment,
    [33436] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3744),
    1,
    anon_sym_RPAREN,
    STATE(1331),
    1,
    sym_comment,
    [33449] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2631),
    1,
    anon_sym_LBRACE,
    STATE(1332),
    1,
    sym_comment,
    [33462] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3746),
    1,
    sym_identifier,
    STATE(1333),
    1,
    sym_comment,
    [33475] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3748),
    1,
    anon_sym_SEMI,
    STATE(1334),
    1,
    sym_comment,
    [33488] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2647),
    1,
    anon_sym_interface,
    STATE(1335),
    1,
    sym_comment,
    [33501] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3750),
    1,
    anon_sym_GT,
    STATE(1336),
    1,
    sym_comment,
    [33514] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3752),
    1,
    sym_identifier,
    STATE(1337),
    1,
    sym_comment,
    [33527] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3754),
    1,
    anon_sym_COMMA,
    STATE(1338),
    1,
    sym_comment,
    [33540] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3756),
    1,
    anon_sym_RBRACK,
    STATE(1339),
    1,
    sym_comment,
    [33553] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2942),
    1,
    sym_identifier,
    STATE(1340),
    1,
    sym_comment,
    [33566] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3758),
    1,
    anon_sym_COMMA,
    STATE(1341),
    1,
    sym_comment,
    [33579] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3760),
    1,
    anon_sym_RPAREN,
    STATE(1342),
    1,
    sym_comment,
    [33592] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3762),
    1,
    anon_sym_SEMI,
    STATE(1343),
    1,
    sym_comment,
    [33605] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2649),
    1,
    anon_sym_valuetype,
    STATE(1344),
    1,
    sym_comment,
    [33618] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3764),
    1,
    anon_sym_COMMA,
    STATE(1345),
    1,
    sym_comment,
    [33631] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3766),
    1,
    anon_sym_SEMI,
    STATE(1346),
    1,
    sym_comment,
    [33644] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3768),
    1,
    sym_identifier,
    STATE(1347),
    1,
    sym_comment,
    [33657] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3770),
    1,
    anon_sym_attribute,
    STATE(1348),
    1,
    sym_comment,
    [33670] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3772),
    1,
    aux_sym_preproc_define_token1,
    STATE(1349),
    1,
    sym_comment,
    [33683] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3774),
    1,
    anon_sym_COLON,
    STATE(1350),
    1,
    sym_comment,
    [33696] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3776),
    1,
    aux_sym_comment_token2,
    STATE(1351),
    1,
    sym_comment,
    [33709] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2964),
    1,
    anon_sym_valuetype,
    STATE(1352),
    1,
    sym_comment,
    [33722] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3778),
    1,
    sym_identifier,
    STATE(1353),
    1,
    sym_comment,
    [33735] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3780),
    1,
    anon_sym_LPAREN,
    STATE(1354),
    1,
    sym_comment,
    [33748] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3782),
    1,
    anon_sym_LPAREN,
    STATE(1355),
    1,
    sym_comment,
    [33761] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3784),
    1,
    anon_sym_LPAREN,
    STATE(1356),
    1,
    sym_comment,
    [33774] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3786),
    1,
    anon_sym_LPAREN,
    STATE(1357),
    1,
    sym_comment,
    [33787] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3788),
    1,
    anon_sym_LPAREN,
    STATE(1358),
    1,
    sym_comment,
    [33800] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3790),
    1,
    anon_sym_LPAREN,
    STATE(1359),
    1,
    sym_comment,
    [33813] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3792),
    1,
    anon_sym_LPAREN,
    STATE(1360),
    1,
    sym_comment,
    [33826] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3794),
    1,
    anon_sym_LPAREN,
    STATE(1361),
    1,
    sym_comment,
    [33839] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3796),
    1,
    anon_sym_LPAREN,
    STATE(1362),
    1,
    sym_comment,
    [33852] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3798),
    1,
    anon_sym_LPAREN,
    STATE(1363),
    1,
    sym_comment,
    [33865] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3800),
    1,
    anon_sym_LPAREN,
    STATE(1364),
    1,
    sym_comment,
    [33878] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3802),
    1,
    anon_sym_COMMA,
    STATE(1365),
    1,
    sym_comment,
    [33891] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3804),
    1,
    anon_sym_COMMA,
    STATE(1366),
    1,
    sym_comment,
    [33904] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3806),
    1,
    anon_sym_COMMA,
    STATE(1367),
    1,
    sym_comment,
    [33917] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3808),
    1,
    anon_sym_COMMA,
    STATE(1368),
    1,
    sym_comment,
    [33930] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3810),
    1,
    anon_sym_LPAREN,
    STATE(1369),
    1,
    sym_comment,
    [33943] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3812),
    1,
    anon_sym_LPAREN,
    STATE(1370),
    1,
    sym_comment,
    [33956] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3814),
    1,
    anon_sym_LPAREN,
    STATE(1371),
    1,
    sym_comment,
    [33969] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3816),
    1,
    anon_sym_LPAREN,
    STATE(1372),
    1,
    sym_comment,
    [33982] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3818),
    1,
    anon_sym_LPAREN,
    STATE(1373),
    1,
    sym_comment,
    [33995] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3820),
    1,
    anon_sym_LPAREN,
    STATE(1374),
    1,
    sym_comment,
    [34008] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3822),
    1,
    anon_sym_LPAREN,
    STATE(1375),
    1,
    sym_comment,
    [34021] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3824),
    1,
    anon_sym_LPAREN,
    STATE(1376),
    1,
    sym_comment,
    [34034] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3826),
    1,
    anon_sym_LPAREN,
    STATE(1377),
    1,
    sym_comment,
    [34047] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3828),
    1,
    anon_sym_LPAREN,
    STATE(1378),
    1,
    sym_comment,
    [34060] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3830),
    1,
    anon_sym_LPAREN,
    STATE(1379),
    1,
    sym_comment,
    [34073] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3832),
    1,
    anon_sym_COMMA,
    STATE(1380),
    1,
    sym_comment,
    [34086] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3834),
    1,
    anon_sym_COMMA,
    STATE(1381),
    1,
    sym_comment,
    [34099] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3836),
    1,
    anon_sym_COMMA,
    STATE(1382),
    1,
    sym_comment,
    [34112] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3838),
    1,
    anon_sym_COMMA,
    STATE(1383),
    1,
    sym_comment,
    [34125] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3840),
    1,
    anon_sym_LPAREN,
    STATE(1384),
    1,
    sym_comment,
    [34138] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3842),
    1,
    anon_sym_LPAREN,
    STATE(1385),
    1,
    sym_comment,
    [34151] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3844),
    1,
    anon_sym_LPAREN,
    STATE(1386),
    1,
    sym_comment,
    [34164] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3846),
    1,
    anon_sym_LPAREN,
    STATE(1387),
    1,
    sym_comment,
    [34177] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3848),
    1,
    anon_sym_LPAREN,
    STATE(1388),
    1,
    sym_comment,
    [34190] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3850),
    1,
    anon_sym_LPAREN,
    STATE(1389),
    1,
    sym_comment,
    [34203] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3852),
    1,
    anon_sym_LPAREN,
    STATE(1390),
    1,
    sym_comment,
    [34216] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3854),
    1,
    anon_sym_LPAREN,
    STATE(1391),
    1,
    sym_comment,
    [34229] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3856),
    1,
    anon_sym_LPAREN,
    STATE(1392),
    1,
    sym_comment,
    [34242] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3858),
    1,
    anon_sym_LPAREN,
    STATE(1393),
    1,
    sym_comment,
    [34255] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3860),
    1,
    anon_sym_LPAREN,
    STATE(1394),
    1,
    sym_comment,
    [34268] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3862),
    1,
    anon_sym_COMMA,
    STATE(1395),
    1,
    sym_comment,
    [34281] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3864),
    1,
    anon_sym_COMMA,
    STATE(1396),
    1,
    sym_comment,
    [34294] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3866),
    1,
    anon_sym_COMMA,
    STATE(1397),
    1,
    sym_comment,
    [34307] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3868),
    1,
    anon_sym_COMMA,
    STATE(1398),
    1,
    sym_comment,
    [34320] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3870),
    1,
    anon_sym_void,
    STATE(1399),
    1,
    sym_comment,
    [34333] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3872),
    1,
    anon_sym_SEMI,
    STATE(1400),
    1,
    sym_comment,
    [34346] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3874),
    1,
    anon_sym_SEMI,
    STATE(1401),
    1,
    sym_comment,
    [34359] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3876),
    1,
    anon_sym_LPAREN,
    STATE(1402),
    1,
    sym_comment,
    [34372] = 1,
    ACTIONS(3878),
    1,
    ts_builtin_sym_end,
    [34376] = 1,
    ACTIONS(3880),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(41)] = 0,
    [SMALL_STATE(42)] = 151,
    [SMALL_STATE(43)] = 302,
    [SMALL_STATE(44)] = 453,
    [SMALL_STATE(45)] = 602,
    [SMALL_STATE(46)] = 753,
    [SMALL_STATE(47)] = 904,
    [SMALL_STATE(48)] = 1055,
    [SMALL_STATE(49)] = 1203,
    [SMALL_STATE(50)] = 1347,
    [SMALL_STATE(51)] = 1489,
    [SMALL_STATE(52)] = 1631,
    [SMALL_STATE(53)] = 1769,
    [SMALL_STATE(54)] = 1907,
    [SMALL_STATE(55)] = 2045,
    [SMALL_STATE(56)] = 2181,
    [SMALL_STATE(57)] = 2250,
    [SMALL_STATE(58)] = 2319,
    [SMALL_STATE(59)] = 2446,
    [SMALL_STATE(60)] = 2515,
    [SMALL_STATE(61)] = 2584,
    [SMALL_STATE(62)] = 2653,
    [SMALL_STATE(63)] = 2722,
    [SMALL_STATE(64)] = 2791,
    [SMALL_STATE(65)] = 2859,
    [SMALL_STATE(66)] = 2927,
    [SMALL_STATE(67)] = 2995,
    [SMALL_STATE(68)] = 3119,
    [SMALL_STATE(69)] = 3187,
    [SMALL_STATE(70)] = 3314,
    [SMALL_STATE(71)] = 3441,
    [SMALL_STATE(72)] = 3568,
    [SMALL_STATE(73)] = 3695,
    [SMALL_STATE(74)] = 3822,
    [SMALL_STATE(75)] = 3949,
    [SMALL_STATE(76)] = 4076,
    [SMALL_STATE(77)] = 4203,
    [SMALL_STATE(78)] = 4330,
    [SMALL_STATE(79)] = 4457,
    [SMALL_STATE(80)] = 4523,
    [SMALL_STATE(81)] = 4589,
    [SMALL_STATE(82)] = 4704,
    [SMALL_STATE(83)] = 4809,
    [SMALL_STATE(84)] = 4914,
    [SMALL_STATE(85)] = 5029,
    [SMALL_STATE(86)] = 5144,
    [SMALL_STATE(87)] = 5259,
    [SMALL_STATE(88)] = 5321,
    [SMALL_STATE(89)] = 5430,
    [SMALL_STATE(90)] = 5539,
    [SMALL_STATE(91)] = 5648,
    [SMALL_STATE(92)] = 5757,
    [SMALL_STATE(93)] = 5866,
    [SMALL_STATE(94)] = 5975,
    [SMALL_STATE(95)] = 6084,
    [SMALL_STATE(96)] = 6193,
    [SMALL_STATE(97)] = 6299,
    [SMALL_STATE(98)] = 6405,
    [SMALL_STATE(99)] = 6511,
    [SMALL_STATE(100)] = 6565,
    [SMALL_STATE(101)] = 6671,
    [SMALL_STATE(102)] = 6777,
    [SMALL_STATE(103)] = 6831,
    [SMALL_STATE(104)] = 6937,
    [SMALL_STATE(105)] = 6991,
    [SMALL_STATE(106)] = 7053,
    [SMALL_STATE(107)] = 7153,
    [SMALL_STATE(108)] = 7250,
    [SMALL_STATE(109)] = 7308,
    [SMALL_STATE(110)] = 7364,
    [SMALL_STATE(111)] = 7458,
    [SMALL_STATE(112)] = 7509,
    [SMALL_STATE(113)] = 7560,
    [SMALL_STATE(114)] = 7611,
    [SMALL_STATE(115)] = 7702,
    [SMALL_STATE(116)] = 7751,
    [SMALL_STATE(117)] = 7800,
    [SMALL_STATE(118)] = 7851,
    [SMALL_STATE(119)] = 7899,
    [SMALL_STATE(120)] = 7987,
    [SMALL_STATE(121)] = 8035,
    [SMALL_STATE(122)] = 8083,
    [SMALL_STATE(123)] = 8133,
    [SMALL_STATE(124)] = 8183,
    [SMALL_STATE(125)] = 8233,
    [SMALL_STATE(126)] = 8283,
    [SMALL_STATE(127)] = 8333,
    [SMALL_STATE(128)] = 8381,
    [SMALL_STATE(129)] = 8431,
    [SMALL_STATE(130)] = 8481,
    [SMALL_STATE(131)] = 8529,
    [SMALL_STATE(132)] = 8577,
    [SMALL_STATE(133)] = 8627,
    [SMALL_STATE(134)] = 8675,
    [SMALL_STATE(135)] = 8723,
    [SMALL_STATE(136)] = 8773,
    [SMALL_STATE(137)] = 8823,
    [SMALL_STATE(138)] = 8873,
    [SMALL_STATE(139)] = 8923,
    [SMALL_STATE(140)] = 8971,
    [SMALL_STATE(141)] = 9021,
    [SMALL_STATE(142)] = 9069,
    [SMALL_STATE(143)] = 9119,
    [SMALL_STATE(144)] = 9169,
    [SMALL_STATE(145)] = 9216,
    [SMALL_STATE(146)] = 9263,
    [SMALL_STATE(147)] = 9310,
    [SMALL_STATE(148)] = 9357,
    [SMALL_STATE(149)] = 9404,
    [SMALL_STATE(150)] = 9451,
    [SMALL_STATE(151)] = 9498,
    [SMALL_STATE(152)] = 9583,
    [SMALL_STATE(153)] = 9630,
    [SMALL_STATE(154)] = 9677,
    [SMALL_STATE(155)] = 9724,
    [SMALL_STATE(156)] = 9771,
    [SMALL_STATE(157)] = 9818,
    [SMALL_STATE(158)] = 9865,
    [SMALL_STATE(159)] = 9912,
    [SMALL_STATE(160)] = 9959,
    [SMALL_STATE(161)] = 10006,
    [SMALL_STATE(162)] = 10053,
    [SMALL_STATE(163)] = 10100,
    [SMALL_STATE(164)] = 10147,
    [SMALL_STATE(165)] = 10194,
    [SMALL_STATE(166)] = 10241,
    [SMALL_STATE(167)] = 10288,
    [SMALL_STATE(168)] = 10335,
    [SMALL_STATE(169)] = 10382,
    [SMALL_STATE(170)] = 10429,
    [SMALL_STATE(171)] = 10476,
    [SMALL_STATE(172)] = 10523,
    [SMALL_STATE(173)] = 10570,
    [SMALL_STATE(174)] = 10617,
    [SMALL_STATE(175)] = 10664,
    [SMALL_STATE(176)] = 10711,
    [SMALL_STATE(177)] = 10758,
    [SMALL_STATE(178)] = 10805,
    [SMALL_STATE(179)] = 10852,
    [SMALL_STATE(180)] = 10899,
    [SMALL_STATE(181)] = 10946,
    [SMALL_STATE(182)] = 10993,
    [SMALL_STATE(183)] = 11040,
    [SMALL_STATE(184)] = 11087,
    [SMALL_STATE(185)] = 11134,
    [SMALL_STATE(186)] = 11181,
    [SMALL_STATE(187)] = 11228,
    [SMALL_STATE(188)] = 11275,
    [SMALL_STATE(189)] = 11322,
    [SMALL_STATE(190)] = 11369,
    [SMALL_STATE(191)] = 11416,
    [SMALL_STATE(192)] = 11463,
    [SMALL_STATE(193)] = 11509,
    [SMALL_STATE(194)] = 11555,
    [SMALL_STATE(195)] = 11601,
    [SMALL_STATE(196)] = 11647,
    [SMALL_STATE(197)] = 11693,
    [SMALL_STATE(198)] = 11739,
    [SMALL_STATE(199)] = 11820,
    [SMALL_STATE(200)] = 11903,
    [SMALL_STATE(201)] = 11948,
    [SMALL_STATE(202)] = 11992,
    [SMALL_STATE(203)] = 12068,
    [SMALL_STATE(204)] = 12112,
    [SMALL_STATE(205)] = 12156,
    [SMALL_STATE(206)] = 12200,
    [SMALL_STATE(207)] = 12244,
    [SMALL_STATE(208)] = 12286,
    [SMALL_STATE(209)] = 12328,
    [SMALL_STATE(210)] = 12370,
    [SMALL_STATE(211)] = 12411,
    [SMALL_STATE(212)] = 12479,
    [SMALL_STATE(213)] = 12542,
    [SMALL_STATE(214)] = 12605,
    [SMALL_STATE(215)] = 12668,
    [SMALL_STATE(216)] = 12731,
    [SMALL_STATE(217)] = 12794,
    [SMALL_STATE(218)] = 12857,
    [SMALL_STATE(219)] = 12920,
    [SMALL_STATE(220)] = 12983,
    [SMALL_STATE(221)] = 13046,
    [SMALL_STATE(222)] = 13109,
    [SMALL_STATE(223)] = 13172,
    [SMALL_STATE(224)] = 13235,
    [SMALL_STATE(225)] = 13298,
    [SMALL_STATE(226)] = 13361,
    [SMALL_STATE(227)] = 13424,
    [SMALL_STATE(228)] = 13487,
    [SMALL_STATE(229)] = 13550,
    [SMALL_STATE(230)] = 13613,
    [SMALL_STATE(231)] = 13679,
    [SMALL_STATE(232)] = 13739,
    [SMALL_STATE(233)] = 13774,
    [SMALL_STATE(234)] = 13809,
    [SMALL_STATE(235)] = 13864,
    [SMALL_STATE(236)] = 13921,
    [SMALL_STATE(237)] = 13955,
    [SMALL_STATE(238)] = 13988,
    [SMALL_STATE(239)] = 14021,
    [SMALL_STATE(240)] = 14054,
    [SMALL_STATE(241)] = 14087,
    [SMALL_STATE(242)] = 14124,
    [SMALL_STATE(243)] = 14154,
    [SMALL_STATE(244)] = 14184,
    [SMALL_STATE(245)] = 14232,
    [SMALL_STATE(246)] = 14262,
    [SMALL_STATE(247)] = 14292,
    [SMALL_STATE(248)] = 14342,
    [SMALL_STATE(249)] = 14372,
    [SMALL_STATE(250)] = 14402,
    [SMALL_STATE(251)] = 14432,
    [SMALL_STATE(252)] = 14462,
    [SMALL_STATE(253)] = 14492,
    [SMALL_STATE(254)] = 14542,
    [SMALL_STATE(255)] = 14572,
    [SMALL_STATE(256)] = 14602,
    [SMALL_STATE(257)] = 14632,
    [SMALL_STATE(258)] = 14662,
    [SMALL_STATE(259)] = 14696,
    [SMALL_STATE(260)] = 14730,
    [SMALL_STATE(261)] = 14760,
    [SMALL_STATE(262)] = 14790,
    [SMALL_STATE(263)] = 14820,
    [SMALL_STATE(264)] = 14868,
    [SMALL_STATE(265)] = 14898,
    [SMALL_STATE(266)] = 14928,
    [SMALL_STATE(267)] = 14958,
    [SMALL_STATE(268)] = 14988,
    [SMALL_STATE(269)] = 15018,
    [SMALL_STATE(270)] = 15068,
    [SMALL_STATE(271)] = 15098,
    [SMALL_STATE(272)] = 15128,
    [SMALL_STATE(273)] = 15175,
    [SMALL_STATE(274)] = 15214,
    [SMALL_STATE(275)] = 15253,
    [SMALL_STATE(276)] = 15292,
    [SMALL_STATE(277)] = 15323,
    [SMALL_STATE(278)] = 15358,
    [SMALL_STATE(279)] = 15397,
    [SMALL_STATE(280)] = 15423,
    [SMALL_STATE(281)] = 15449,
    [SMALL_STATE(282)] = 15475,
    [SMALL_STATE(283)] = 15505,
    [SMALL_STATE(284)] = 15531,
    [SMALL_STATE(285)] = 15557,
    [SMALL_STATE(286)] = 15586,
    [SMALL_STATE(287)] = 15615,
    [SMALL_STATE(288)] = 15642,
    [SMALL_STATE(289)] = 15669,
    [SMALL_STATE(290)] = 15696,
    [SMALL_STATE(291)] = 15723,
    [SMALL_STATE(292)] = 15750,
    [SMALL_STATE(293)] = 15777,
    [SMALL_STATE(294)] = 15804,
    [SMALL_STATE(295)] = 15831,
    [SMALL_STATE(296)] = 15860,
    [SMALL_STATE(297)] = 15887,
    [SMALL_STATE(298)] = 15914,
    [SMALL_STATE(299)] = 15941,
    [SMALL_STATE(300)] = 15968,
    [SMALL_STATE(301)] = 15995,
    [SMALL_STATE(302)] = 16022,
    [SMALL_STATE(303)] = 16055,
    [SMALL_STATE(304)] = 16079,
    [SMALL_STATE(305)] = 16117,
    [SMALL_STATE(306)] = 16141,
    [SMALL_STATE(307)] = 16165,
    [SMALL_STATE(308)] = 16189,
    [SMALL_STATE(309)] = 16213,
    [SMALL_STATE(310)] = 16237,
    [SMALL_STATE(311)] = 16275,
    [SMALL_STATE(312)] = 16299,
    [SMALL_STATE(313)] = 16323,
    [SMALL_STATE(314)] = 16347,
    [SMALL_STATE(315)] = 16371,
    [SMALL_STATE(316)] = 16395,
    [SMALL_STATE(317)] = 16419,
    [SMALL_STATE(318)] = 16443,
    [SMALL_STATE(319)] = 16467,
    [SMALL_STATE(320)] = 16491,
    [SMALL_STATE(321)] = 16529,
    [SMALL_STATE(322)] = 16553,
    [SMALL_STATE(323)] = 16577,
    [SMALL_STATE(324)] = 16601,
    [SMALL_STATE(325)] = 16625,
    [SMALL_STATE(326)] = 16649,
    [SMALL_STATE(327)] = 16687,
    [SMALL_STATE(328)] = 16711,
    [SMALL_STATE(329)] = 16735,
    [SMALL_STATE(330)] = 16759,
    [SMALL_STATE(331)] = 16783,
    [SMALL_STATE(332)] = 16807,
    [SMALL_STATE(333)] = 16845,
    [SMALL_STATE(334)] = 16869,
    [SMALL_STATE(335)] = 16893,
    [SMALL_STATE(336)] = 16917,
    [SMALL_STATE(337)] = 16941,
    [SMALL_STATE(338)] = 16965,
    [SMALL_STATE(339)] = 16989,
    [SMALL_STATE(340)] = 17027,
    [SMALL_STATE(341)] = 17051,
    [SMALL_STATE(342)] = 17075,
    [SMALL_STATE(343)] = 17099,
    [SMALL_STATE(344)] = 17123,
    [SMALL_STATE(345)] = 17147,
    [SMALL_STATE(346)] = 17171,
    [SMALL_STATE(347)] = 17195,
    [SMALL_STATE(348)] = 17233,
    [SMALL_STATE(349)] = 17257,
    [SMALL_STATE(350)] = 17281,
    [SMALL_STATE(351)] = 17305,
    [SMALL_STATE(352)] = 17343,
    [SMALL_STATE(353)] = 17367,
    [SMALL_STATE(354)] = 17405,
    [SMALL_STATE(355)] = 17429,
    [SMALL_STATE(356)] = 17467,
    [SMALL_STATE(357)] = 17491,
    [SMALL_STATE(358)] = 17515,
    [SMALL_STATE(359)] = 17553,
    [SMALL_STATE(360)] = 17577,
    [SMALL_STATE(361)] = 17601,
    [SMALL_STATE(362)] = 17639,
    [SMALL_STATE(363)] = 17663,
    [SMALL_STATE(364)] = 17687,
    [SMALL_STATE(365)] = 17714,
    [SMALL_STATE(366)] = 17741,
    [SMALL_STATE(367)] = 17763,
    [SMALL_STATE(368)] = 17797,
    [SMALL_STATE(369)] = 17819,
    [SMALL_STATE(370)] = 17846,
    [SMALL_STATE(371)] = 17869,
    [SMALL_STATE(372)] = 17890,
    [SMALL_STATE(373)] = 17917,
    [SMALL_STATE(374)] = 17938,
    [SMALL_STATE(375)] = 17965,
    [SMALL_STATE(376)] = 17988,
    [SMALL_STATE(377)] = 18015,
    [SMALL_STATE(378)] = 18049,
    [SMALL_STATE(379)] = 18071,
    [SMALL_STATE(380)] = 18105,
    [SMALL_STATE(381)] = 18133,
    [SMALL_STATE(382)] = 18155,
    [SMALL_STATE(383)] = 18185,
    [SMALL_STATE(384)] = 18219,
    [SMALL_STATE(385)] = 18247,
    [SMALL_STATE(386)] = 18267,
    [SMALL_STATE(387)] = 18299,
    [SMALL_STATE(388)] = 18330,
    [SMALL_STATE(389)] = 18349,
    [SMALL_STATE(390)] = 18368,
    [SMALL_STATE(391)] = 18387,
    [SMALL_STATE(392)] = 18418,
    [SMALL_STATE(393)] = 18447,
    [SMALL_STATE(394)] = 18478,
    [SMALL_STATE(395)] = 18497,
    [SMALL_STATE(396)] = 18518,
    [SMALL_STATE(397)] = 18549,
    [SMALL_STATE(398)] = 18568,
    [SMALL_STATE(399)] = 18587,
    [SMALL_STATE(400)] = 18618,
    [SMALL_STATE(401)] = 18637,
    [SMALL_STATE(402)] = 18668,
    [SMALL_STATE(403)] = 18687,
    [SMALL_STATE(404)] = 18715,
    [SMALL_STATE(405)] = 18741,
    [SMALL_STATE(406)] = 18763,
    [SMALL_STATE(407)] = 18787,
    [SMALL_STATE(408)] = 18815,
    [SMALL_STATE(409)] = 18843,
    [SMALL_STATE(410)] = 18871,
    [SMALL_STATE(411)] = 18899,
    [SMALL_STATE(412)] = 18919,
    [SMALL_STATE(413)] = 18947,
    [SMALL_STATE(414)] = 18975,
    [SMALL_STATE(415)] = 19003,
    [SMALL_STATE(416)] = 19031,
    [SMALL_STATE(417)] = 19059,
    [SMALL_STATE(418)] = 19087,
    [SMALL_STATE(419)] = 19111,
    [SMALL_STATE(420)] = 19137,
    [SMALL_STATE(421)] = 19165,
    [SMALL_STATE(422)] = 19187,
    [SMALL_STATE(423)] = 19215,
    [SMALL_STATE(424)] = 19243,
    [SMALL_STATE(425)] = 19271,
    [SMALL_STATE(426)] = 19297,
    [SMALL_STATE(427)] = 19314,
    [SMALL_STATE(428)] = 19331,
    [SMALL_STATE(429)] = 19354,
    [SMALL_STATE(430)] = 19371,
    [SMALL_STATE(431)] = 19396,
    [SMALL_STATE(432)] = 19413,
    [SMALL_STATE(433)] = 19432,
    [SMALL_STATE(434)] = 19451,
    [SMALL_STATE(435)] = 19470,
    [SMALL_STATE(436)] = 19495,
    [SMALL_STATE(437)] = 19516,
    [SMALL_STATE(438)] = 19539,
    [SMALL_STATE(439)] = 19564,
    [SMALL_STATE(440)] = 19581,
    [SMALL_STATE(441)] = 19598,
    [SMALL_STATE(442)] = 19619,
    [SMALL_STATE(443)] = 19636,
    [SMALL_STATE(444)] = 19653,
    [SMALL_STATE(445)] = 19670,
    [SMALL_STATE(446)] = 19691,
    [SMALL_STATE(447)] = 19712,
    [SMALL_STATE(448)] = 19737,
    [SMALL_STATE(449)] = 19762,
    [SMALL_STATE(450)] = 19785,
    [SMALL_STATE(451)] = 19810,
    [SMALL_STATE(452)] = 19835,
    [SMALL_STATE(453)] = 19852,
    [SMALL_STATE(454)] = 19875,
    [SMALL_STATE(455)] = 19894,
    [SMALL_STATE(456)] = 19911,
    [SMALL_STATE(457)] = 19932,
    [SMALL_STATE(458)] = 19949,
    [SMALL_STATE(459)] = 19968,
    [SMALL_STATE(460)] = 19991,
    [SMALL_STATE(461)] = 20008,
    [SMALL_STATE(462)] = 20033,
    [SMALL_STATE(463)] = 20054,
    [SMALL_STATE(464)] = 20077,
    [SMALL_STATE(465)] = 20094,
    [SMALL_STATE(466)] = 20111,
    [SMALL_STATE(467)] = 20128,
    [SMALL_STATE(468)] = 20153,
    [SMALL_STATE(469)] = 20170,
    [SMALL_STATE(470)] = 20191,
    [SMALL_STATE(471)] = 20209,
    [SMALL_STATE(472)] = 20225,
    [SMALL_STATE(473)] = 20243,
    [SMALL_STATE(474)] = 20261,
    [SMALL_STATE(475)] = 20279,
    [SMALL_STATE(476)] = 20297,
    [SMALL_STATE(477)] = 20315,
    [SMALL_STATE(478)] = 20333,
    [SMALL_STATE(479)] = 20355,
    [SMALL_STATE(480)] = 20373,
    [SMALL_STATE(481)] = 20391,
    [SMALL_STATE(482)] = 20409,
    [SMALL_STATE(483)] = 20431,
    [SMALL_STATE(484)] = 20453,
    [SMALL_STATE(485)] = 20475,
    [SMALL_STATE(486)] = 20497,
    [SMALL_STATE(487)] = 20517,
    [SMALL_STATE(488)] = 20537,
    [SMALL_STATE(489)] = 20559,
    [SMALL_STATE(490)] = 20581,
    [SMALL_STATE(491)] = 20601,
    [SMALL_STATE(492)] = 20621,
    [SMALL_STATE(493)] = 20643,
    [SMALL_STATE(494)] = 20665,
    [SMALL_STATE(495)] = 20685,
    [SMALL_STATE(496)] = 20705,
    [SMALL_STATE(497)] = 20725,
    [SMALL_STATE(498)] = 20747,
    [SMALL_STATE(499)] = 20769,
    [SMALL_STATE(500)] = 20791,
    [SMALL_STATE(501)] = 20809,
    [SMALL_STATE(502)] = 20827,
    [SMALL_STATE(503)] = 20845,
    [SMALL_STATE(504)] = 20863,
    [SMALL_STATE(505)] = 20881,
    [SMALL_STATE(506)] = 20899,
    [SMALL_STATE(507)] = 20917,
    [SMALL_STATE(508)] = 20935,
    [SMALL_STATE(509)] = 20953,
    [SMALL_STATE(510)] = 20971,
    [SMALL_STATE(511)] = 20993,
    [SMALL_STATE(512)] = 21011,
    [SMALL_STATE(513)] = 21029,
    [SMALL_STATE(514)] = 21047,
    [SMALL_STATE(515)] = 21067,
    [SMALL_STATE(516)] = 21083,
    [SMALL_STATE(517)] = 21099,
    [SMALL_STATE(518)] = 21121,
    [SMALL_STATE(519)] = 21137,
    [SMALL_STATE(520)] = 21153,
    [SMALL_STATE(521)] = 21169,
    [SMALL_STATE(522)] = 21189,
    [SMALL_STATE(523)] = 21205,
    [SMALL_STATE(524)] = 21221,
    [SMALL_STATE(525)] = 21243,
    [SMALL_STATE(526)] = 21265,
    [SMALL_STATE(527)] = 21287,
    [SMALL_STATE(528)] = 21307,
    [SMALL_STATE(529)] = 21327,
    [SMALL_STATE(530)] = 21347,
    [SMALL_STATE(531)] = 21365,
    [SMALL_STATE(532)] = 21383,
    [SMALL_STATE(533)] = 21401,
    [SMALL_STATE(534)] = 21423,
    [SMALL_STATE(535)] = 21445,
    [SMALL_STATE(536)] = 21463,
    [SMALL_STATE(537)] = 21481,
    [SMALL_STATE(538)] = 21499,
    [SMALL_STATE(539)] = 21517,
    [SMALL_STATE(540)] = 21535,
    [SMALL_STATE(541)] = 21553,
    [SMALL_STATE(542)] = 21571,
    [SMALL_STATE(543)] = 21589,
    [SMALL_STATE(544)] = 21607,
    [SMALL_STATE(545)] = 21629,
    [SMALL_STATE(546)] = 21647,
    [SMALL_STATE(547)] = 21665,
    [SMALL_STATE(548)] = 21687,
    [SMALL_STATE(549)] = 21705,
    [SMALL_STATE(550)] = 21723,
    [SMALL_STATE(551)] = 21741,
    [SMALL_STATE(552)] = 21759,
    [SMALL_STATE(553)] = 21779,
    [SMALL_STATE(554)] = 21801,
    [SMALL_STATE(555)] = 21817,
    [SMALL_STATE(556)] = 21837,
    [SMALL_STATE(557)] = 21853,
    [SMALL_STATE(558)] = 21875,
    [SMALL_STATE(559)] = 21895,
    [SMALL_STATE(560)] = 21911,
    [SMALL_STATE(561)] = 21927,
    [SMALL_STATE(562)] = 21943,
    [SMALL_STATE(563)] = 21965,
    [SMALL_STATE(564)] = 21985,
    [SMALL_STATE(565)] = 22003,
    [SMALL_STATE(566)] = 22023,
    [SMALL_STATE(567)] = 22045,
    [SMALL_STATE(568)] = 22067,
    [SMALL_STATE(569)] = 22085,
    [SMALL_STATE(570)] = 22103,
    [SMALL_STATE(571)] = 22119,
    [SMALL_STATE(572)] = 22137,
    [SMALL_STATE(573)] = 22159,
    [SMALL_STATE(574)] = 22181,
    [SMALL_STATE(575)] = 22199,
    [SMALL_STATE(576)] = 22219,
    [SMALL_STATE(577)] = 22241,
    [SMALL_STATE(578)] = 22261,
    [SMALL_STATE(579)] = 22281,
    [SMALL_STATE(580)] = 22303,
    [SMALL_STATE(581)] = 22325,
    [SMALL_STATE(582)] = 22347,
    [SMALL_STATE(583)] = 22369,
    [SMALL_STATE(584)] = 22391,
    [SMALL_STATE(585)] = 22413,
    [SMALL_STATE(586)] = 22435,
    [SMALL_STATE(587)] = 22457,
    [SMALL_STATE(588)] = 22479,
    [SMALL_STATE(589)] = 22495,
    [SMALL_STATE(590)] = 22511,
    [SMALL_STATE(591)] = 22530,
    [SMALL_STATE(592)] = 22549,
    [SMALL_STATE(593)] = 22566,
    [SMALL_STATE(594)] = 22583,
    [SMALL_STATE(595)] = 22602,
    [SMALL_STATE(596)] = 22619,
    [SMALL_STATE(597)] = 22636,
    [SMALL_STATE(598)] = 22653,
    [SMALL_STATE(599)] = 22672,
    [SMALL_STATE(600)] = 22689,
    [SMALL_STATE(601)] = 22706,
    [SMALL_STATE(602)] = 22725,
    [SMALL_STATE(603)] = 22742,
    [SMALL_STATE(604)] = 22759,
    [SMALL_STATE(605)] = 22778,
    [SMALL_STATE(606)] = 22797,
    [SMALL_STATE(607)] = 22816,
    [SMALL_STATE(608)] = 22833,
    [SMALL_STATE(609)] = 22852,
    [SMALL_STATE(610)] = 22871,
    [SMALL_STATE(611)] = 22888,
    [SMALL_STATE(612)] = 22905,
    [SMALL_STATE(613)] = 22922,
    [SMALL_STATE(614)] = 22939,
    [SMALL_STATE(615)] = 22956,
    [SMALL_STATE(616)] = 22973,
    [SMALL_STATE(617)] = 22992,
    [SMALL_STATE(618)] = 23011,
    [SMALL_STATE(619)] = 23028,
    [SMALL_STATE(620)] = 23047,
    [SMALL_STATE(621)] = 23064,
    [SMALL_STATE(622)] = 23083,
    [SMALL_STATE(623)] = 23100,
    [SMALL_STATE(624)] = 23119,
    [SMALL_STATE(625)] = 23136,
    [SMALL_STATE(626)] = 23153,
    [SMALL_STATE(627)] = 23170,
    [SMALL_STATE(628)] = 23187,
    [SMALL_STATE(629)] = 23204,
    [SMALL_STATE(630)] = 23221,
    [SMALL_STATE(631)] = 23238,
    [SMALL_STATE(632)] = 23255,
    [SMALL_STATE(633)] = 23272,
    [SMALL_STATE(634)] = 23289,
    [SMALL_STATE(635)] = 23308,
    [SMALL_STATE(636)] = 23327,
    [SMALL_STATE(637)] = 23346,
    [SMALL_STATE(638)] = 23365,
    [SMALL_STATE(639)] = 23384,
    [SMALL_STATE(640)] = 23403,
    [SMALL_STATE(641)] = 23422,
    [SMALL_STATE(642)] = 23437,
    [SMALL_STATE(643)] = 23456,
    [SMALL_STATE(644)] = 23473,
    [SMALL_STATE(645)] = 23492,
    [SMALL_STATE(646)] = 23511,
    [SMALL_STATE(647)] = 23528,
    [SMALL_STATE(648)] = 23547,
    [SMALL_STATE(649)] = 23566,
    [SMALL_STATE(650)] = 23585,
    [SMALL_STATE(651)] = 23604,
    [SMALL_STATE(652)] = 23621,
    [SMALL_STATE(653)] = 23636,
    [SMALL_STATE(654)] = 23651,
    [SMALL_STATE(655)] = 23666,
    [SMALL_STATE(656)] = 23681,
    [SMALL_STATE(657)] = 23696,
    [SMALL_STATE(658)] = 23711,
    [SMALL_STATE(659)] = 23726,
    [SMALL_STATE(660)] = 23743,
    [SMALL_STATE(661)] = 23758,
    [SMALL_STATE(662)] = 23773,
    [SMALL_STATE(663)] = 23788,
    [SMALL_STATE(664)] = 23803,
    [SMALL_STATE(665)] = 23818,
    [SMALL_STATE(666)] = 23833,
    [SMALL_STATE(667)] = 23848,
    [SMALL_STATE(668)] = 23863,
    [SMALL_STATE(669)] = 23880,
    [SMALL_STATE(670)] = 23897,
    [SMALL_STATE(671)] = 23912,
    [SMALL_STATE(672)] = 23927,
    [SMALL_STATE(673)] = 23942,
    [SMALL_STATE(674)] = 23957,
    [SMALL_STATE(675)] = 23972,
    [SMALL_STATE(676)] = 23987,
    [SMALL_STATE(677)] = 24002,
    [SMALL_STATE(678)] = 24017,
    [SMALL_STATE(679)] = 24032,
    [SMALL_STATE(680)] = 24047,
    [SMALL_STATE(681)] = 24064,
    [SMALL_STATE(682)] = 24079,
    [SMALL_STATE(683)] = 24094,
    [SMALL_STATE(684)] = 24111,
    [SMALL_STATE(685)] = 24126,
    [SMALL_STATE(686)] = 24141,
    [SMALL_STATE(687)] = 24158,
    [SMALL_STATE(688)] = 24173,
    [SMALL_STATE(689)] = 24192,
    [SMALL_STATE(690)] = 24207,
    [SMALL_STATE(691)] = 24226,
    [SMALL_STATE(692)] = 24241,
    [SMALL_STATE(693)] = 24256,
    [SMALL_STATE(694)] = 24271,
    [SMALL_STATE(695)] = 24286,
    [SMALL_STATE(696)] = 24301,
    [SMALL_STATE(697)] = 24316,
    [SMALL_STATE(698)] = 24333,
    [SMALL_STATE(699)] = 24348,
    [SMALL_STATE(700)] = 24363,
    [SMALL_STATE(701)] = 24378,
    [SMALL_STATE(702)] = 24393,
    [SMALL_STATE(703)] = 24408,
    [SMALL_STATE(704)] = 24427,
    [SMALL_STATE(705)] = 24442,
    [SMALL_STATE(706)] = 24457,
    [SMALL_STATE(707)] = 24476,
    [SMALL_STATE(708)] = 24495,
    [SMALL_STATE(709)] = 24512,
    [SMALL_STATE(710)] = 24527,
    [SMALL_STATE(711)] = 24544,
    [SMALL_STATE(712)] = 24559,
    [SMALL_STATE(713)] = 24574,
    [SMALL_STATE(714)] = 24589,
    [SMALL_STATE(715)] = 24608,
    [SMALL_STATE(716)] = 24623,
    [SMALL_STATE(717)] = 24638,
    [SMALL_STATE(718)] = 24657,
    [SMALL_STATE(719)] = 24676,
    [SMALL_STATE(720)] = 24695,
    [SMALL_STATE(721)] = 24714,
    [SMALL_STATE(722)] = 24731,
    [SMALL_STATE(723)] = 24750,
    [SMALL_STATE(724)] = 24769,
    [SMALL_STATE(725)] = 24788,
    [SMALL_STATE(726)] = 24807,
    [SMALL_STATE(727)] = 24826,
    [SMALL_STATE(728)] = 24845,
    [SMALL_STATE(729)] = 24864,
    [SMALL_STATE(730)] = 24881,
    [SMALL_STATE(731)] = 24900,
    [SMALL_STATE(732)] = 24917,
    [SMALL_STATE(733)] = 24932,
    [SMALL_STATE(734)] = 24951,
    [SMALL_STATE(735)] = 24970,
    [SMALL_STATE(736)] = 24989,
    [SMALL_STATE(737)] = 25008,
    [SMALL_STATE(738)] = 25025,
    [SMALL_STATE(739)] = 25044,
    [SMALL_STATE(740)] = 25063,
    [SMALL_STATE(741)] = 25080,
    [SMALL_STATE(742)] = 25095,
    [SMALL_STATE(743)] = 25112,
    [SMALL_STATE(744)] = 25129,
    [SMALL_STATE(745)] = 25146,
    [SMALL_STATE(746)] = 25163,
    [SMALL_STATE(747)] = 25180,
    [SMALL_STATE(748)] = 25197,
    [SMALL_STATE(749)] = 25214,
    [SMALL_STATE(750)] = 25229,
    [SMALL_STATE(751)] = 25246,
    [SMALL_STATE(752)] = 25265,
    [SMALL_STATE(753)] = 25284,
    [SMALL_STATE(754)] = 25303,
    [SMALL_STATE(755)] = 25318,
    [SMALL_STATE(756)] = 25333,
    [SMALL_STATE(757)] = 25348,
    [SMALL_STATE(758)] = 25363,
    [SMALL_STATE(759)] = 25378,
    [SMALL_STATE(760)] = 25393,
    [SMALL_STATE(761)] = 25408,
    [SMALL_STATE(762)] = 25423,
    [SMALL_STATE(763)] = 25438,
    [SMALL_STATE(764)] = 25453,
    [SMALL_STATE(765)] = 25468,
    [SMALL_STATE(766)] = 25487,
    [SMALL_STATE(767)] = 25502,
    [SMALL_STATE(768)] = 25517,
    [SMALL_STATE(769)] = 25532,
    [SMALL_STATE(770)] = 25547,
    [SMALL_STATE(771)] = 25566,
    [SMALL_STATE(772)] = 25581,
    [SMALL_STATE(773)] = 25600,
    [SMALL_STATE(774)] = 25615,
    [SMALL_STATE(775)] = 25630,
    [SMALL_STATE(776)] = 25649,
    [SMALL_STATE(777)] = 25664,
    [SMALL_STATE(778)] = 25679,
    [SMALL_STATE(779)] = 25694,
    [SMALL_STATE(780)] = 25709,
    [SMALL_STATE(781)] = 25724,
    [SMALL_STATE(782)] = 25739,
    [SMALL_STATE(783)] = 25758,
    [SMALL_STATE(784)] = 25773,
    [SMALL_STATE(785)] = 25792,
    [SMALL_STATE(786)] = 25807,
    [SMALL_STATE(787)] = 25822,
    [SMALL_STATE(788)] = 25837,
    [SMALL_STATE(789)] = 25854,
    [SMALL_STATE(790)] = 25869,
    [SMALL_STATE(791)] = 25884,
    [SMALL_STATE(792)] = 25899,
    [SMALL_STATE(793)] = 25918,
    [SMALL_STATE(794)] = 25937,
    [SMALL_STATE(795)] = 25952,
    [SMALL_STATE(796)] = 25971,
    [SMALL_STATE(797)] = 25986,
    [SMALL_STATE(798)] = 26005,
    [SMALL_STATE(799)] = 26024,
    [SMALL_STATE(800)] = 26039,
    [SMALL_STATE(801)] = 26058,
    [SMALL_STATE(802)] = 26073,
    [SMALL_STATE(803)] = 26092,
    [SMALL_STATE(804)] = 26107,
    [SMALL_STATE(805)] = 26122,
    [SMALL_STATE(806)] = 26141,
    [SMALL_STATE(807)] = 26156,
    [SMALL_STATE(808)] = 26175,
    [SMALL_STATE(809)] = 26194,
    [SMALL_STATE(810)] = 26209,
    [SMALL_STATE(811)] = 26228,
    [SMALL_STATE(812)] = 26247,
    [SMALL_STATE(813)] = 26266,
    [SMALL_STATE(814)] = 26285,
    [SMALL_STATE(815)] = 26304,
    [SMALL_STATE(816)] = 26323,
    [SMALL_STATE(817)] = 26342,
    [SMALL_STATE(818)] = 26361,
    [SMALL_STATE(819)] = 26376,
    [SMALL_STATE(820)] = 26391,
    [SMALL_STATE(821)] = 26410,
    [SMALL_STATE(822)] = 26429,
    [SMALL_STATE(823)] = 26444,
    [SMALL_STATE(824)] = 26459,
    [SMALL_STATE(825)] = 26476,
    [SMALL_STATE(826)] = 26495,
    [SMALL_STATE(827)] = 26510,
    [SMALL_STATE(828)] = 26525,
    [SMALL_STATE(829)] = 26540,
    [SMALL_STATE(830)] = 26559,
    [SMALL_STATE(831)] = 26578,
    [SMALL_STATE(832)] = 26593,
    [SMALL_STATE(833)] = 26608,
    [SMALL_STATE(834)] = 26623,
    [SMALL_STATE(835)] = 26638,
    [SMALL_STATE(836)] = 26655,
    [SMALL_STATE(837)] = 26674,
    [SMALL_STATE(838)] = 26693,
    [SMALL_STATE(839)] = 26712,
    [SMALL_STATE(840)] = 26731,
    [SMALL_STATE(841)] = 26750,
    [SMALL_STATE(842)] = 26765,
    [SMALL_STATE(843)] = 26784,
    [SMALL_STATE(844)] = 26801,
    [SMALL_STATE(845)] = 26820,
    [SMALL_STATE(846)] = 26839,
    [SMALL_STATE(847)] = 26858,
    [SMALL_STATE(848)] = 26875,
    [SMALL_STATE(849)] = 26892,
    [SMALL_STATE(850)] = 26909,
    [SMALL_STATE(851)] = 26926,
    [SMALL_STATE(852)] = 26945,
    [SMALL_STATE(853)] = 26961,
    [SMALL_STATE(854)] = 26975,
    [SMALL_STATE(855)] = 26991,
    [SMALL_STATE(856)] = 27005,
    [SMALL_STATE(857)] = 27019,
    [SMALL_STATE(858)] = 27033,
    [SMALL_STATE(859)] = 27049,
    [SMALL_STATE(860)] = 27063,
    [SMALL_STATE(861)] = 27077,
    [SMALL_STATE(862)] = 27093,
    [SMALL_STATE(863)] = 27107,
    [SMALL_STATE(864)] = 27121,
    [SMALL_STATE(865)] = 27137,
    [SMALL_STATE(866)] = 27153,
    [SMALL_STATE(867)] = 27169,
    [SMALL_STATE(868)] = 27185,
    [SMALL_STATE(869)] = 27199,
    [SMALL_STATE(870)] = 27213,
    [SMALL_STATE(871)] = 27227,
    [SMALL_STATE(872)] = 27243,
    [SMALL_STATE(873)] = 27259,
    [SMALL_STATE(874)] = 27275,
    [SMALL_STATE(875)] = 27291,
    [SMALL_STATE(876)] = 27307,
    [SMALL_STATE(877)] = 27321,
    [SMALL_STATE(878)] = 27335,
    [SMALL_STATE(879)] = 27351,
    [SMALL_STATE(880)] = 27365,
    [SMALL_STATE(881)] = 27379,
    [SMALL_STATE(882)] = 27393,
    [SMALL_STATE(883)] = 27409,
    [SMALL_STATE(884)] = 27425,
    [SMALL_STATE(885)] = 27441,
    [SMALL_STATE(886)] = 27457,
    [SMALL_STATE(887)] = 27473,
    [SMALL_STATE(888)] = 27487,
    [SMALL_STATE(889)] = 27503,
    [SMALL_STATE(890)] = 27517,
    [SMALL_STATE(891)] = 27533,
    [SMALL_STATE(892)] = 27547,
    [SMALL_STATE(893)] = 27563,
    [SMALL_STATE(894)] = 27579,
    [SMALL_STATE(895)] = 27595,
    [SMALL_STATE(896)] = 27611,
    [SMALL_STATE(897)] = 27625,
    [SMALL_STATE(898)] = 27639,
    [SMALL_STATE(899)] = 27655,
    [SMALL_STATE(900)] = 27671,
    [SMALL_STATE(901)] = 27687,
    [SMALL_STATE(902)] = 27703,
    [SMALL_STATE(903)] = 27719,
    [SMALL_STATE(904)] = 27735,
    [SMALL_STATE(905)] = 27751,
    [SMALL_STATE(906)] = 27765,
    [SMALL_STATE(907)] = 27779,
    [SMALL_STATE(908)] = 27793,
    [SMALL_STATE(909)] = 27807,
    [SMALL_STATE(910)] = 27823,
    [SMALL_STATE(911)] = 27839,
    [SMALL_STATE(912)] = 27855,
    [SMALL_STATE(913)] = 27871,
    [SMALL_STATE(914)] = 27887,
    [SMALL_STATE(915)] = 27901,
    [SMALL_STATE(916)] = 27915,
    [SMALL_STATE(917)] = 27931,
    [SMALL_STATE(918)] = 27945,
    [SMALL_STATE(919)] = 27961,
    [SMALL_STATE(920)] = 27975,
    [SMALL_STATE(921)] = 27989,
    [SMALL_STATE(922)] = 28003,
    [SMALL_STATE(923)] = 28017,
    [SMALL_STATE(924)] = 28031,
    [SMALL_STATE(925)] = 28045,
    [SMALL_STATE(926)] = 28061,
    [SMALL_STATE(927)] = 28075,
    [SMALL_STATE(928)] = 28091,
    [SMALL_STATE(929)] = 28105,
    [SMALL_STATE(930)] = 28121,
    [SMALL_STATE(931)] = 28137,
    [SMALL_STATE(932)] = 28153,
    [SMALL_STATE(933)] = 28167,
    [SMALL_STATE(934)] = 28183,
    [SMALL_STATE(935)] = 28197,
    [SMALL_STATE(936)] = 28213,
    [SMALL_STATE(937)] = 28227,
    [SMALL_STATE(938)] = 28243,
    [SMALL_STATE(939)] = 28257,
    [SMALL_STATE(940)] = 28271,
    [SMALL_STATE(941)] = 28285,
    [SMALL_STATE(942)] = 28299,
    [SMALL_STATE(943)] = 28313,
    [SMALL_STATE(944)] = 28329,
    [SMALL_STATE(945)] = 28343,
    [SMALL_STATE(946)] = 28357,
    [SMALL_STATE(947)] = 28371,
    [SMALL_STATE(948)] = 28387,
    [SMALL_STATE(949)] = 28401,
    [SMALL_STATE(950)] = 28415,
    [SMALL_STATE(951)] = 28431,
    [SMALL_STATE(952)] = 28447,
    [SMALL_STATE(953)] = 28463,
    [SMALL_STATE(954)] = 28477,
    [SMALL_STATE(955)] = 28491,
    [SMALL_STATE(956)] = 28505,
    [SMALL_STATE(957)] = 28519,
    [SMALL_STATE(958)] = 28533,
    [SMALL_STATE(959)] = 28549,
    [SMALL_STATE(960)] = 28565,
    [SMALL_STATE(961)] = 28579,
    [SMALL_STATE(962)] = 28595,
    [SMALL_STATE(963)] = 28611,
    [SMALL_STATE(964)] = 28625,
    [SMALL_STATE(965)] = 28641,
    [SMALL_STATE(966)] = 28657,
    [SMALL_STATE(967)] = 28673,
    [SMALL_STATE(968)] = 28687,
    [SMALL_STATE(969)] = 28703,
    [SMALL_STATE(970)] = 28719,
    [SMALL_STATE(971)] = 28733,
    [SMALL_STATE(972)] = 28749,
    [SMALL_STATE(973)] = 28765,
    [SMALL_STATE(974)] = 28781,
    [SMALL_STATE(975)] = 28795,
    [SMALL_STATE(976)] = 28811,
    [SMALL_STATE(977)] = 28825,
    [SMALL_STATE(978)] = 28841,
    [SMALL_STATE(979)] = 28855,
    [SMALL_STATE(980)] = 28869,
    [SMALL_STATE(981)] = 28885,
    [SMALL_STATE(982)] = 28899,
    [SMALL_STATE(983)] = 28912,
    [SMALL_STATE(984)] = 28925,
    [SMALL_STATE(985)] = 28938,
    [SMALL_STATE(986)] = 28951,
    [SMALL_STATE(987)] = 28964,
    [SMALL_STATE(988)] = 28977,
    [SMALL_STATE(989)] = 28990,
    [SMALL_STATE(990)] = 29003,
    [SMALL_STATE(991)] = 29016,
    [SMALL_STATE(992)] = 29029,
    [SMALL_STATE(993)] = 29042,
    [SMALL_STATE(994)] = 29055,
    [SMALL_STATE(995)] = 29068,
    [SMALL_STATE(996)] = 29081,
    [SMALL_STATE(997)] = 29094,
    [SMALL_STATE(998)] = 29107,
    [SMALL_STATE(999)] = 29120,
    [SMALL_STATE(1000)] = 29133,
    [SMALL_STATE(1001)] = 29146,
    [SMALL_STATE(1002)] = 29159,
    [SMALL_STATE(1003)] = 29172,
    [SMALL_STATE(1004)] = 29185,
    [SMALL_STATE(1005)] = 29198,
    [SMALL_STATE(1006)] = 29211,
    [SMALL_STATE(1007)] = 29224,
    [SMALL_STATE(1008)] = 29237,
    [SMALL_STATE(1009)] = 29250,
    [SMALL_STATE(1010)] = 29263,
    [SMALL_STATE(1011)] = 29276,
    [SMALL_STATE(1012)] = 29289,
    [SMALL_STATE(1013)] = 29302,
    [SMALL_STATE(1014)] = 29315,
    [SMALL_STATE(1015)] = 29328,
    [SMALL_STATE(1016)] = 29341,
    [SMALL_STATE(1017)] = 29354,
    [SMALL_STATE(1018)] = 29367,
    [SMALL_STATE(1019)] = 29380,
    [SMALL_STATE(1020)] = 29393,
    [SMALL_STATE(1021)] = 29406,
    [SMALL_STATE(1022)] = 29419,
    [SMALL_STATE(1023)] = 29432,
    [SMALL_STATE(1024)] = 29445,
    [SMALL_STATE(1025)] = 29458,
    [SMALL_STATE(1026)] = 29471,
    [SMALL_STATE(1027)] = 29484,
    [SMALL_STATE(1028)] = 29497,
    [SMALL_STATE(1029)] = 29510,
    [SMALL_STATE(1030)] = 29523,
    [SMALL_STATE(1031)] = 29536,
    [SMALL_STATE(1032)] = 29549,
    [SMALL_STATE(1033)] = 29562,
    [SMALL_STATE(1034)] = 29575,
    [SMALL_STATE(1035)] = 29588,
    [SMALL_STATE(1036)] = 29601,
    [SMALL_STATE(1037)] = 29614,
    [SMALL_STATE(1038)] = 29627,
    [SMALL_STATE(1039)] = 29640,
    [SMALL_STATE(1040)] = 29653,
    [SMALL_STATE(1041)] = 29666,
    [SMALL_STATE(1042)] = 29679,
    [SMALL_STATE(1043)] = 29692,
    [SMALL_STATE(1044)] = 29705,
    [SMALL_STATE(1045)] = 29718,
    [SMALL_STATE(1046)] = 29731,
    [SMALL_STATE(1047)] = 29744,
    [SMALL_STATE(1048)] = 29757,
    [SMALL_STATE(1049)] = 29770,
    [SMALL_STATE(1050)] = 29783,
    [SMALL_STATE(1051)] = 29796,
    [SMALL_STATE(1052)] = 29809,
    [SMALL_STATE(1053)] = 29822,
    [SMALL_STATE(1054)] = 29835,
    [SMALL_STATE(1055)] = 29848,
    [SMALL_STATE(1056)] = 29861,
    [SMALL_STATE(1057)] = 29874,
    [SMALL_STATE(1058)] = 29887,
    [SMALL_STATE(1059)] = 29900,
    [SMALL_STATE(1060)] = 29913,
    [SMALL_STATE(1061)] = 29926,
    [SMALL_STATE(1062)] = 29939,
    [SMALL_STATE(1063)] = 29952,
    [SMALL_STATE(1064)] = 29965,
    [SMALL_STATE(1065)] = 29978,
    [SMALL_STATE(1066)] = 29991,
    [SMALL_STATE(1067)] = 30004,
    [SMALL_STATE(1068)] = 30017,
    [SMALL_STATE(1069)] = 30030,
    [SMALL_STATE(1070)] = 30043,
    [SMALL_STATE(1071)] = 30056,
    [SMALL_STATE(1072)] = 30069,
    [SMALL_STATE(1073)] = 30082,
    [SMALL_STATE(1074)] = 30095,
    [SMALL_STATE(1075)] = 30108,
    [SMALL_STATE(1076)] = 30121,
    [SMALL_STATE(1077)] = 30134,
    [SMALL_STATE(1078)] = 30147,
    [SMALL_STATE(1079)] = 30160,
    [SMALL_STATE(1080)] = 30173,
    [SMALL_STATE(1081)] = 30186,
    [SMALL_STATE(1082)] = 30199,
    [SMALL_STATE(1083)] = 30212,
    [SMALL_STATE(1084)] = 30225,
    [SMALL_STATE(1085)] = 30238,
    [SMALL_STATE(1086)] = 30251,
    [SMALL_STATE(1087)] = 30264,
    [SMALL_STATE(1088)] = 30277,
    [SMALL_STATE(1089)] = 30290,
    [SMALL_STATE(1090)] = 30303,
    [SMALL_STATE(1091)] = 30316,
    [SMALL_STATE(1092)] = 30329,
    [SMALL_STATE(1093)] = 30342,
    [SMALL_STATE(1094)] = 30355,
    [SMALL_STATE(1095)] = 30368,
    [SMALL_STATE(1096)] = 30381,
    [SMALL_STATE(1097)] = 30394,
    [SMALL_STATE(1098)] = 30407,
    [SMALL_STATE(1099)] = 30420,
    [SMALL_STATE(1100)] = 30433,
    [SMALL_STATE(1101)] = 30446,
    [SMALL_STATE(1102)] = 30459,
    [SMALL_STATE(1103)] = 30472,
    [SMALL_STATE(1104)] = 30485,
    [SMALL_STATE(1105)] = 30498,
    [SMALL_STATE(1106)] = 30511,
    [SMALL_STATE(1107)] = 30524,
    [SMALL_STATE(1108)] = 30537,
    [SMALL_STATE(1109)] = 30550,
    [SMALL_STATE(1110)] = 30563,
    [SMALL_STATE(1111)] = 30576,
    [SMALL_STATE(1112)] = 30589,
    [SMALL_STATE(1113)] = 30602,
    [SMALL_STATE(1114)] = 30615,
    [SMALL_STATE(1115)] = 30628,
    [SMALL_STATE(1116)] = 30641,
    [SMALL_STATE(1117)] = 30654,
    [SMALL_STATE(1118)] = 30667,
    [SMALL_STATE(1119)] = 30680,
    [SMALL_STATE(1120)] = 30693,
    [SMALL_STATE(1121)] = 30706,
    [SMALL_STATE(1122)] = 30719,
    [SMALL_STATE(1123)] = 30732,
    [SMALL_STATE(1124)] = 30745,
    [SMALL_STATE(1125)] = 30758,
    [SMALL_STATE(1126)] = 30771,
    [SMALL_STATE(1127)] = 30784,
    [SMALL_STATE(1128)] = 30797,
    [SMALL_STATE(1129)] = 30810,
    [SMALL_STATE(1130)] = 30823,
    [SMALL_STATE(1131)] = 30836,
    [SMALL_STATE(1132)] = 30849,
    [SMALL_STATE(1133)] = 30862,
    [SMALL_STATE(1134)] = 30875,
    [SMALL_STATE(1135)] = 30888,
    [SMALL_STATE(1136)] = 30901,
    [SMALL_STATE(1137)] = 30914,
    [SMALL_STATE(1138)] = 30927,
    [SMALL_STATE(1139)] = 30940,
    [SMALL_STATE(1140)] = 30953,
    [SMALL_STATE(1141)] = 30966,
    [SMALL_STATE(1142)] = 30979,
    [SMALL_STATE(1143)] = 30992,
    [SMALL_STATE(1144)] = 31005,
    [SMALL_STATE(1145)] = 31018,
    [SMALL_STATE(1146)] = 31031,
    [SMALL_STATE(1147)] = 31044,
    [SMALL_STATE(1148)] = 31057,
    [SMALL_STATE(1149)] = 31070,
    [SMALL_STATE(1150)] = 31083,
    [SMALL_STATE(1151)] = 31096,
    [SMALL_STATE(1152)] = 31109,
    [SMALL_STATE(1153)] = 31122,
    [SMALL_STATE(1154)] = 31135,
    [SMALL_STATE(1155)] = 31148,
    [SMALL_STATE(1156)] = 31161,
    [SMALL_STATE(1157)] = 31174,
    [SMALL_STATE(1158)] = 31187,
    [SMALL_STATE(1159)] = 31200,
    [SMALL_STATE(1160)] = 31213,
    [SMALL_STATE(1161)] = 31226,
    [SMALL_STATE(1162)] = 31239,
    [SMALL_STATE(1163)] = 31252,
    [SMALL_STATE(1164)] = 31265,
    [SMALL_STATE(1165)] = 31278,
    [SMALL_STATE(1166)] = 31291,
    [SMALL_STATE(1167)] = 31304,
    [SMALL_STATE(1168)] = 31317,
    [SMALL_STATE(1169)] = 31330,
    [SMALL_STATE(1170)] = 31343,
    [SMALL_STATE(1171)] = 31356,
    [SMALL_STATE(1172)] = 31369,
    [SMALL_STATE(1173)] = 31382,
    [SMALL_STATE(1174)] = 31395,
    [SMALL_STATE(1175)] = 31408,
    [SMALL_STATE(1176)] = 31421,
    [SMALL_STATE(1177)] = 31434,
    [SMALL_STATE(1178)] = 31447,
    [SMALL_STATE(1179)] = 31460,
    [SMALL_STATE(1180)] = 31473,
    [SMALL_STATE(1181)] = 31486,
    [SMALL_STATE(1182)] = 31499,
    [SMALL_STATE(1183)] = 31512,
    [SMALL_STATE(1184)] = 31525,
    [SMALL_STATE(1185)] = 31538,
    [SMALL_STATE(1186)] = 31551,
    [SMALL_STATE(1187)] = 31564,
    [SMALL_STATE(1188)] = 31577,
    [SMALL_STATE(1189)] = 31590,
    [SMALL_STATE(1190)] = 31603,
    [SMALL_STATE(1191)] = 31616,
    [SMALL_STATE(1192)] = 31629,
    [SMALL_STATE(1193)] = 31642,
    [SMALL_STATE(1194)] = 31655,
    [SMALL_STATE(1195)] = 31668,
    [SMALL_STATE(1196)] = 31681,
    [SMALL_STATE(1197)] = 31694,
    [SMALL_STATE(1198)] = 31707,
    [SMALL_STATE(1199)] = 31720,
    [SMALL_STATE(1200)] = 31733,
    [SMALL_STATE(1201)] = 31746,
    [SMALL_STATE(1202)] = 31759,
    [SMALL_STATE(1203)] = 31772,
    [SMALL_STATE(1204)] = 31785,
    [SMALL_STATE(1205)] = 31798,
    [SMALL_STATE(1206)] = 31811,
    [SMALL_STATE(1207)] = 31824,
    [SMALL_STATE(1208)] = 31837,
    [SMALL_STATE(1209)] = 31850,
    [SMALL_STATE(1210)] = 31863,
    [SMALL_STATE(1211)] = 31876,
    [SMALL_STATE(1212)] = 31889,
    [SMALL_STATE(1213)] = 31902,
    [SMALL_STATE(1214)] = 31915,
    [SMALL_STATE(1215)] = 31928,
    [SMALL_STATE(1216)] = 31941,
    [SMALL_STATE(1217)] = 31954,
    [SMALL_STATE(1218)] = 31967,
    [SMALL_STATE(1219)] = 31980,
    [SMALL_STATE(1220)] = 31993,
    [SMALL_STATE(1221)] = 32006,
    [SMALL_STATE(1222)] = 32019,
    [SMALL_STATE(1223)] = 32032,
    [SMALL_STATE(1224)] = 32045,
    [SMALL_STATE(1225)] = 32058,
    [SMALL_STATE(1226)] = 32071,
    [SMALL_STATE(1227)] = 32084,
    [SMALL_STATE(1228)] = 32097,
    [SMALL_STATE(1229)] = 32110,
    [SMALL_STATE(1230)] = 32123,
    [SMALL_STATE(1231)] = 32136,
    [SMALL_STATE(1232)] = 32149,
    [SMALL_STATE(1233)] = 32162,
    [SMALL_STATE(1234)] = 32175,
    [SMALL_STATE(1235)] = 32188,
    [SMALL_STATE(1236)] = 32201,
    [SMALL_STATE(1237)] = 32214,
    [SMALL_STATE(1238)] = 32227,
    [SMALL_STATE(1239)] = 32240,
    [SMALL_STATE(1240)] = 32253,
    [SMALL_STATE(1241)] = 32266,
    [SMALL_STATE(1242)] = 32279,
    [SMALL_STATE(1243)] = 32292,
    [SMALL_STATE(1244)] = 32305,
    [SMALL_STATE(1245)] = 32318,
    [SMALL_STATE(1246)] = 32331,
    [SMALL_STATE(1247)] = 32344,
    [SMALL_STATE(1248)] = 32357,
    [SMALL_STATE(1249)] = 32370,
    [SMALL_STATE(1250)] = 32383,
    [SMALL_STATE(1251)] = 32396,
    [SMALL_STATE(1252)] = 32409,
    [SMALL_STATE(1253)] = 32422,
    [SMALL_STATE(1254)] = 32435,
    [SMALL_STATE(1255)] = 32448,
    [SMALL_STATE(1256)] = 32461,
    [SMALL_STATE(1257)] = 32474,
    [SMALL_STATE(1258)] = 32487,
    [SMALL_STATE(1259)] = 32500,
    [SMALL_STATE(1260)] = 32513,
    [SMALL_STATE(1261)] = 32526,
    [SMALL_STATE(1262)] = 32539,
    [SMALL_STATE(1263)] = 32552,
    [SMALL_STATE(1264)] = 32565,
    [SMALL_STATE(1265)] = 32578,
    [SMALL_STATE(1266)] = 32591,
    [SMALL_STATE(1267)] = 32604,
    [SMALL_STATE(1268)] = 32617,
    [SMALL_STATE(1269)] = 32630,
    [SMALL_STATE(1270)] = 32643,
    [SMALL_STATE(1271)] = 32656,
    [SMALL_STATE(1272)] = 32669,
    [SMALL_STATE(1273)] = 32682,
    [SMALL_STATE(1274)] = 32695,
    [SMALL_STATE(1275)] = 32708,
    [SMALL_STATE(1276)] = 32721,
    [SMALL_STATE(1277)] = 32734,
    [SMALL_STATE(1278)] = 32747,
    [SMALL_STATE(1279)] = 32760,
    [SMALL_STATE(1280)] = 32773,
    [SMALL_STATE(1281)] = 32786,
    [SMALL_STATE(1282)] = 32799,
    [SMALL_STATE(1283)] = 32812,
    [SMALL_STATE(1284)] = 32825,
    [SMALL_STATE(1285)] = 32838,
    [SMALL_STATE(1286)] = 32851,
    [SMALL_STATE(1287)] = 32864,
    [SMALL_STATE(1288)] = 32877,
    [SMALL_STATE(1289)] = 32890,
    [SMALL_STATE(1290)] = 32903,
    [SMALL_STATE(1291)] = 32916,
    [SMALL_STATE(1292)] = 32929,
    [SMALL_STATE(1293)] = 32942,
    [SMALL_STATE(1294)] = 32955,
    [SMALL_STATE(1295)] = 32968,
    [SMALL_STATE(1296)] = 32981,
    [SMALL_STATE(1297)] = 32994,
    [SMALL_STATE(1298)] = 33007,
    [SMALL_STATE(1299)] = 33020,
    [SMALL_STATE(1300)] = 33033,
    [SMALL_STATE(1301)] = 33046,
    [SMALL_STATE(1302)] = 33059,
    [SMALL_STATE(1303)] = 33072,
    [SMALL_STATE(1304)] = 33085,
    [SMALL_STATE(1305)] = 33098,
    [SMALL_STATE(1306)] = 33111,
    [SMALL_STATE(1307)] = 33124,
    [SMALL_STATE(1308)] = 33137,
    [SMALL_STATE(1309)] = 33150,
    [SMALL_STATE(1310)] = 33163,
    [SMALL_STATE(1311)] = 33176,
    [SMALL_STATE(1312)] = 33189,
    [SMALL_STATE(1313)] = 33202,
    [SMALL_STATE(1314)] = 33215,
    [SMALL_STATE(1315)] = 33228,
    [SMALL_STATE(1316)] = 33241,
    [SMALL_STATE(1317)] = 33254,
    [SMALL_STATE(1318)] = 33267,
    [SMALL_STATE(1319)] = 33280,
    [SMALL_STATE(1320)] = 33293,
    [SMALL_STATE(1321)] = 33306,
    [SMALL_STATE(1322)] = 33319,
    [SMALL_STATE(1323)] = 33332,
    [SMALL_STATE(1324)] = 33345,
    [SMALL_STATE(1325)] = 33358,
    [SMALL_STATE(1326)] = 33371,
    [SMALL_STATE(1327)] = 33384,
    [SMALL_STATE(1328)] = 33397,
    [SMALL_STATE(1329)] = 33410,
    [SMALL_STATE(1330)] = 33423,
    [SMALL_STATE(1331)] = 33436,
    [SMALL_STATE(1332)] = 33449,
    [SMALL_STATE(1333)] = 33462,
    [SMALL_STATE(1334)] = 33475,
    [SMALL_STATE(1335)] = 33488,
    [SMALL_STATE(1336)] = 33501,
    [SMALL_STATE(1337)] = 33514,
    [SMALL_STATE(1338)] = 33527,
    [SMALL_STATE(1339)] = 33540,
    [SMALL_STATE(1340)] = 33553,
    [SMALL_STATE(1341)] = 33566,
    [SMALL_STATE(1342)] = 33579,
    [SMALL_STATE(1343)] = 33592,
    [SMALL_STATE(1344)] = 33605,
    [SMALL_STATE(1345)] = 33618,
    [SMALL_STATE(1346)] = 33631,
    [SMALL_STATE(1347)] = 33644,
    [SMALL_STATE(1348)] = 33657,
    [SMALL_STATE(1349)] = 33670,
    [SMALL_STATE(1350)] = 33683,
    [SMALL_STATE(1351)] = 33696,
    [SMALL_STATE(1352)] = 33709,
    [SMALL_STATE(1353)] = 33722,
    [SMALL_STATE(1354)] = 33735,
    [SMALL_STATE(1355)] = 33748,
    [SMALL_STATE(1356)] = 33761,
    [SMALL_STATE(1357)] = 33774,
    [SMALL_STATE(1358)] = 33787,
    [SMALL_STATE(1359)] = 33800,
    [SMALL_STATE(1360)] = 33813,
    [SMALL_STATE(1361)] = 33826,
    [SMALL_STATE(1362)] = 33839,
    [SMALL_STATE(1363)] = 33852,
    [SMALL_STATE(1364)] = 33865,
    [SMALL_STATE(1365)] = 33878,
    [SMALL_STATE(1366)] = 33891,
    [SMALL_STATE(1367)] = 33904,
    [SMALL_STATE(1368)] = 33917,
    [SMALL_STATE(1369)] = 33930,
    [SMALL_STATE(1370)] = 33943,
    [SMALL_STATE(1371)] = 33956,
    [SMALL_STATE(1372)] = 33969,
    [SMALL_STATE(1373)] = 33982,
    [SMALL_STATE(1374)] = 33995,
    [SMALL_STATE(1375)] = 34008,
    [SMALL_STATE(1376)] = 34021,
    [SMALL_STATE(1377)] = 34034,
    [SMALL_STATE(1378)] = 34047,
    [SMALL_STATE(1379)] = 34060,
    [SMALL_STATE(1380)] = 34073,
    [SMALL_STATE(1381)] = 34086,
    [SMALL_STATE(1382)] = 34099,
    [SMALL_STATE(1383)] = 34112,
    [SMALL_STATE(1384)] = 34125,
    [SMALL_STATE(1385)] = 34138,
    [SMALL_STATE(1386)] = 34151,
    [SMALL_STATE(1387)] = 34164,
    [SMALL_STATE(1388)] = 34177,
    [SMALL_STATE(1389)] = 34190,
    [SMALL_STATE(1390)] = 34203,
    [SMALL_STATE(1391)] = 34216,
    [SMALL_STATE(1392)] = 34229,
    [SMALL_STATE(1393)] = 34242,
    [SMALL_STATE(1394)] = 34255,
    [SMALL_STATE(1395)] = 34268,
    [SMALL_STATE(1396)] = 34281,
    [SMALL_STATE(1397)] = 34294,
    [SMALL_STATE(1398)] = 34307,
    [SMALL_STATE(1399)] = 34320,
    [SMALL_STATE(1400)] = 34333,
    [SMALL_STATE(1401)] = 34346,
    [SMALL_STATE(1402)] = 34359,
    [SMALL_STATE(1403)] = 34372,
    [SMALL_STATE(1404)] = 34376,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1228),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1351),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1349),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(874),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(463),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1337),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1335),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(601),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1333),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1329),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1328),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1327),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(39),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(608),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1323),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1321),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1312),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1309),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1307),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(894),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(619),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(623),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(417),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1300),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1299),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1298),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1294),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(902),
    [67] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(443),
    [70] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(442),
    [73] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [76] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [79] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(439),
    [82] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(516),
    [85] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1029),
    [88] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(426),
    [91] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [94] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [97] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(429),
    [100] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [103] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [106] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [109] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [112] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [115] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(432),
    [118] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(433),
    [121] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(518),
    [124] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [127] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1027),
    [130] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [133] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [135] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [138] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1353),
    [141] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [144] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [147] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1329),
    [150] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1328),
    [153] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [156] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [159] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1323),
    [162] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1312),
    [165] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1309),
    [168] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [171] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [174] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1352),
    [177] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(72),
    [180] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1138),
    [183] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [186] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [189] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(417),
    [192] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(519),
    [195] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1399),
    [198] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(902),
    [201] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(236),
    [204] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(443),
    [206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(442),
    [208] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(440),
    [210] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(440),
    [212] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(439),
    [214] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(516),
    [216] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1029),
    [218] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(426),
    [220] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(427),
    [222] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(427),
    [224] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(429),
    [226] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(431),
    [228] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(431),
    [230] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(515),
    [232] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(515),
    [234] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1179),
    [236] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(432),
    [238] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(433),
    [240] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(518),
    [242] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1014),
    [244] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1027),
    [246] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1337),
    [248] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1135),
    [250] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1344),
    [252] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1353),
    [254] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1348),
    [256] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(71),
    [258] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1329),
    [260] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1328),
    [262] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(39),
    [264] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1323),
    [266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1312),
    [268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1309),
    [270] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1307),
    [272] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(83),
    [274] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1352),
    [276] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(72),
    [278] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1138),
    [280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(40),
    [282] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(619),
    [284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(417),
    [286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(519),
    [288] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1399),
    [290] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(902),
    [292] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(236),
    [294] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1041),
    [296] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1061),
    [298] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1057),
    [300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1051),
    [302] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1225),
    [304] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1142),
    [306] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(443),
    [309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(442),
    [312] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [315] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(439),
    [321] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(516),
    [324] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1029),
    [327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(426),
    [330] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [333] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(429),
    [339] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [342] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [345] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [348] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [351] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [354] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(432),
    [357] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(433),
    [360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(518),
    [363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1027),
    [369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [372] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [374] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [377] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1353),
    [380] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [383] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [386] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1329),
    [389] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1328),
    [392] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [395] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [398] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1323),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1312),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1309),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1352),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1057),
    [419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [425] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(417),
    [428] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(519),
    [431] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1399),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1051),
    [437] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(902),
    [440] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(236),
    [443] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [445] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1325),
    [447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(989),
    [449] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(443),
    [452] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(442),
    [455] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [458] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [461] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(439),
    [464] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(516),
    [467] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1029),
    [470] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(426),
    [473] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [476] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [479] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(429),
    [482] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [485] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [488] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [491] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [494] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [497] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(432),
    [500] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(433),
    [503] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(518),
    [506] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [509] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1027),
    [512] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [515] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [517] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [520] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1353),
    [523] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [526] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [529] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1329),
    [532] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1328),
    [535] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [538] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [541] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1323),
    [544] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1312),
    [547] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1309),
    [550] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [553] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [556] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1352),
    [559] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [562] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [565] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(417),
    [568] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(519),
    [571] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1399),
    [574] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(902),
    [577] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(236),
    [580] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(990),
    [582] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1213),
    [584] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1181),
    [586] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [588] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1131),
    [590] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1064),
    [592] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1222),
    [594] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(249),
    [596] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(101),
    [598] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(251),
    [600] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(257),
    [602] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(256),
    [604] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(237),
    [606] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(498),
    [608] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(929),
    [610] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(668),
    [612] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(255),
    [614] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1228),
    [616] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [618] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [620] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [623] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(874),
    [626] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(463),
    [629] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [632] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1335),
    [635] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(601),
    [638] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1333),
    [641] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1329),
    [644] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1328),
    [647] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1327),
    [650] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [653] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [656] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [659] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1323),
    [662] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1321),
    [665] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1312),
    [668] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1309),
    [671] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [674] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [677] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(894),
    [680] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [683] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [686] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(623),
    [689] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(417),
    [692] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1300),
    [695] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1299),
    [698] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1298),
    [701] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1294),
    [704] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(902),
    [707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1042),
    [709] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(765),
    [711] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [714] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [716] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1335),
    [719] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(601),
    [722] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1333),
    [725] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1329),
    [728] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1328),
    [731] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1327),
    [734] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [737] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [740] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [743] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1323),
    [746] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1321),
    [749] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1312),
    [752] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1309),
    [755] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [758] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [761] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(765),
    [764] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(894),
    [767] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [770] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [773] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(623),
    [776] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(417),
    [779] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1300),
    [782] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1299),
    [785] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1298),
    [788] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1294),
    [791] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(902),
    [794] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1271),
    [796] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [801] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1335),
    [804] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(601),
    [807] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1333),
    [810] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1329),
    [813] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1328),
    [816] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1327),
    [819] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [822] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [825] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [828] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1323),
    [831] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1321),
    [834] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1312),
    [837] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1309),
    [840] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [843] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [846] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(894),
    [849] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [852] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(619),
    [855] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(623),
    [858] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(417),
    [861] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1300),
    [864] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1299),
    [867] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1298),
    [870] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1294),
    [873] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(902),
    [876] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1114),
    [878] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1291),
    [880] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1286),
    [882] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(35),
    [884] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(33),
    [886] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(97),
    [888] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1132),
    [890] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1354),
    [892] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(551),
    [894] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(550),
    [896] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1355),
    [898] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1356),
    [900] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1357),
    [902] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(831),
    [904] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(828),
    [906] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(827),
    [908] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(549),
    [910] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(548),
    [912] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(826),
    [914] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1358),
    [916] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1402),
    [918] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1359),
    [920] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1360),
    [922] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1361),
    [924] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1362),
    [926] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(546),
    [928] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(543),
    [930] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1363),
    [932] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(542),
    [934] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(541),
    [936] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(540),
    [938] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(539),
    [940] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(538),
    [942] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(537),
    [944] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(536),
    [946] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(823),
    [948] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(535),
    [950] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1364),
    [952] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(822),
    [954] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(384),
    [956] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(460),
    [958] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1262),
    [960] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1369),
    [962] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(125),
    [964] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(143),
    [966] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1370),
    [968] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1371),
    [970] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1372),
    [972] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(177),
    [974] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(188),
    [976] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(191),
    [978] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(140),
    [980] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(138),
    [982] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(189),
    [984] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1373),
    [986] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1133),
    [988] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1374),
    [990] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1375),
    [992] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1376),
    [994] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1377),
    [996] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(137),
    [998] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(136),
    [1000] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1378),
    [1002] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(135),
    [1004] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(126),
    [1006] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(128),
    [1008] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(123),
    [1010] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(124),
    [1012] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(129),
    [1014] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(132),
    [1016] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(171),
    [1018] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(122),
    [1020] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1379),
    [1022] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(157),
    [1024] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(105),
    [1026] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(127),
    [1028] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1265),
    [1030] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1384),
    [1032] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(513),
    [1034] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(512),
    [1036] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1385),
    [1038] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1386),
    [1040] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1387),
    [1042] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(713),
    [1044] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(712),
    [1046] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(711),
    [1048] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(511),
    [1050] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(470),
    [1052] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(709),
    [1054] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1388),
    [1056] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1011),
    [1058] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1389),
    [1060] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1390),
    [1062] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1391),
    [1064] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1392),
    [1066] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(509),
    [1068] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(508),
    [1070] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1393),
    [1072] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(507),
    [1074] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(506),
    [1076] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(505),
    [1078] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(504),
    [1080] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(503),
    [1082] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(502),
    [1084] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(501),
    [1086] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(653),
    [1088] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(500),
    [1090] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1394),
    [1092] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(652),
    [1094] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(386),
    [1096] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(464),
    [1098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1080),
    [1100] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1077),
    [1102] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(294),
    [1104] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(301),
    [1106] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1075),
    [1108] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1074),
    [1110] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1073),
    [1112] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(363),
    [1114] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(362),
    [1116] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(360),
    [1118] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(300),
    [1120] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(299),
    [1122] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(357),
    [1124] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1070),
    [1126] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1069),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1068),
    [1130] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1067),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1065),
    [1134] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1054),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(298),
    [1138] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(293),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1045),
    [1142] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(287),
    [1144] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(288),
    [1146] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(289),
    [1148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(290),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(291),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(292),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(296),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(324),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(297),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1044),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(321),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(241),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(283),
    [1168] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(915),
    [1170] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(942),
    [1172] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(957),
    [1174] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(443),
    [1177] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(442),
    [1180] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [1183] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [1186] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(439),
    [1189] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(516),
    [1192] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1029),
    [1195] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(426),
    [1198] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1201] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1204] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(429),
    [1207] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [1210] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [1213] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [1216] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [1219] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [1222] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(432),
    [1225] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(433),
    [1228] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(518),
    [1231] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [1234] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1027),
    [1237] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [1239] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [1242] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [1245] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(519),
    [1248] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(236),
    [1251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1016),
    [1253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(906),
    [1255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1136),
    [1257] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [1259] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(450),
    [1261] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1263] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(533),
    [1265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(565),
    [1267] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(200),
    [1269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1038),
    [1271] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1037),
    [1273] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1280),
    [1275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1058),
    [1277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1030),
    [1279] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(443),
    [1282] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(442),
    [1285] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [1288] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [1291] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(439),
    [1294] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1038),
    [1297] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1037),
    [1300] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(426),
    [1303] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1306] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(429),
    [1312] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [1315] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(431),
    [1318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [1321] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [1324] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [1327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(432),
    [1330] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(433),
    [1333] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [1336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1014),
    [1339] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1341] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1307),
    [1344] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [1347] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [1350] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(236),
    [1353] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1355] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1357] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1359] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1361] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(871),
    [1363] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1340),
    [1365] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(82),
    [1367] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1369] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1371] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1373] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1375] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1379] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1381] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1383] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1385] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1387] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1389] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1391] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1393] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1395] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1397] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1399] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(385),
    [1401] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1403] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1405] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(354),
    [1407] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(295),
    [1409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [1411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(695),
    [1413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(796),
    [1415] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1417] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1286),
    [1422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(97),
    [1425] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1427] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1429] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1431] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1433] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1435] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1437] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 1, 0, 2),
    [1439] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 1, 0, 2),
    [1441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [1443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(485),
    [1445] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(187),
    [1447] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1451] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [1454] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [1457] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 2, 0, 5),
    [1459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 2, 0, 5),
    [1461] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 10),
    [1463] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 10),
    [1465] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 12),
    [1467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 12),
    [1469] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 12),
    [1471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 12),
    [1473] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1475] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1477] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1479] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1481] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 10),
    [1483] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 10),
    [1485] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1489] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1493] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1497] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_non_serialized, 1, 0, 2),
    [1499] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_non_serialized, 1, 0, 2),
    [1501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(610),
    [1503] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_hashid, 1, 0, 2),
    [1505] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_hashid, 1, 0, 2),
    [1507] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(886),
    [1509] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_nested, 1, 0, 2),
    [1511] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_nested, 1, 0, 2),
    [1513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(612),
    [1515] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(491),
    [1521] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1523] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(614),
    [1527] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1529] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1531] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1533] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(613),
    [1537] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 1, 0, 2),
    [1539] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 1, 0, 2),
    [1541] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(611),
    [1543] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1545] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1547] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_try_construct, 1, 0, 2),
    [1549] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_try_construct, 1, 0, 2),
    [1551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(475),
    [1553] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1555] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1557] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 6, 0, 12),
    [1559] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 6, 0, 12),
    [1561] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1563] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(476),
    [1567] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1569] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1571] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(615),
    [1573] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1575] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(618),
    [1579] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1583] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(620),
    [1585] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 10),
    [1587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 10),
    [1589] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1591] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1593] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(622),
    [1595] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1597] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(84),
    [1601] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1603] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(490),
    [1607] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 2, 0, 6),
    [1609] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 2, 0, 6),
    [1611] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 4, 0, 2),
    [1613] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 4, 0, 2),
    [1615] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1617] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1619] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1621] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1623] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1627] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1629] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1631] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1633] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1635] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_hashid, 4, 0, 2),
    [1637] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_hashid, 4, 0, 2),
    [1639] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1641] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1643] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1645] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1647] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_nested, 4, 0, 2),
    [1649] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_nested, 4, 0, 2),
    [1651] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1653] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1655] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_data_representation_mask, 1, 0, 0),
    [1657] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_data_representation_mask, 1, 0, 0),
    [1659] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1661] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1663] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1665] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1667] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 9),
    [1669] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 9),
    [1671] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1673] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1675] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1677] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1679] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1681] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1683] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1685] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1687] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1689] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1691] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 8),
    [1693] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 8),
    [1695] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 3, 0, 0),
    [1697] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 3, 0, 0),
    [1699] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1701] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1703] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 8),
    [1705] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 8),
    [1707] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 3, 0, 7),
    [1709] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 3, 0, 7),
    [1711] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_try_construct_fail_action, 1, 0, 0),
    [1713] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_try_construct_fail_action, 1, 0, 0),
    [1715] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1719] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1723] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 16),
    [1725] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 16),
    [1727] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1729] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1731] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 15),
    [1733] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 15),
    [1735] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1737] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1739] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 14),
    [1741] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 14),
    [1743] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_try_construct, 4, 0, 2),
    [1745] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_try_construct, 4, 0, 2),
    [1747] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1749] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1751] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1753] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1755] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_non_serialized, 4, 0, 2),
    [1757] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_non_serialized, 4, 0, 2),
    [1759] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_data_representation, 4, 0, 2),
    [1761] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_data_representation, 4, 0, 2),
    [1763] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1765] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1767] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1769] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1771] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_data_representation, 5, 0, 2),
    [1773] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_data_representation, 5, 0, 2),
    [1775] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_topic_platform, 1, 0, 0),
    [1777] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_topic_platform, 1, 0, 0),
    [1779] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1781] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1783] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1785] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1787] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 13),
    [1789] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 13),
    [1791] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1793] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1795] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1797] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1799] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1801] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1803] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1807] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1809] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1811] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1813] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1815] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1817] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1819] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1301),
    [1821] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1823] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1825] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1827] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1829] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(411),
    [1831] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1833] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1835] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1837] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1839] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1841] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1845] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1847] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1849] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1853] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1855] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1857] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1859] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1861] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1863] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(443),
    [1865] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(442),
    [1867] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(439),
    [1869] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1113),
    [1871] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(426),
    [1873] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(429),
    [1875] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(257),
    [1877] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(256),
    [1879] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(237),
    [1881] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(929),
    [1883] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(255),
    [1885] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1129),
    [1887] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1348),
    [1889] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(71),
    [1891] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(435),
    [1893] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(412),
    [1895] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(817),
    [1897] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(816),
    [1899] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(815),
    [1901] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(802),
    [1903] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1905] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [1908] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [1911] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(435),
    [1914] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [1917] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(817),
    [1920] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(816),
    [1923] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(815),
    [1926] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(802),
    [1929] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1931] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1933] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1935] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1937] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1939] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(659),
    [1941] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1227),
    [1943] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1945] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1947] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1949] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1951] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(737),
    [1953] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(327),
    [1955] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(493),
    [1957] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 3, 0, 0),
    [1959] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 3, 0, 0),
    [1961] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1963] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1965] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1967] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [1970] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [1973] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(435),
    [1976] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [1979] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(802),
    [1982] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1984] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1986] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1988] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1990] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1992] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [1994] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [1996] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1998] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [2000] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [2002] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [2004] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [2006] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [2008] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [2010] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [2012] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [2014] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [2016] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [2018] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [2020] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(151),
    [2022] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [2024] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [2026] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [2028] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [2030] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [2032] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [2034] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [2036] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [2039] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [2042] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(435),
    [2045] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(412),
    [2048] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(802),
    [2051] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [2053] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [2055] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 4, 0, 0),
    [2057] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 4, 0, 0),
    [2059] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_character_literal, 4, 0, 0),
    [2061] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_character_literal, 4, 0, 0),
    [2063] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [2065] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [2067] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1183),
    [2069] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [2071] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [2073] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [2075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [2077] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1338),
    [2079] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1338),
    [2081] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1341),
    [2083] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [2086] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [2089] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(986),
    [2091] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [2093] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [2095] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [2097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(119),
    [2099] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [2101] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [2103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(531),
    [2105] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(745),
    [2107] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(746),
    [2109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(980),
    [2111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(747),
    [2113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(748),
    [2115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(744),
    [2117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(527),
    [2119] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [2121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(532),
    [2123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(750),
    [2125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(743),
    [2127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(742),
    [2129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(740),
    [2131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(529),
    [2133] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [2135] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [2137] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [2139] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [2141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(114),
    [2143] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [2145] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [2147] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [2149] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1063),
    [2151] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [2153] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [2155] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [2157] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [2159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(970),
    [2161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [2163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [2165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(967),
    [2167] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [2169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(107),
    [2171] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(958),
    [2173] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [2175] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(959),
    [2177] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(961),
    [2179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(260),
    [2181] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [2183] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(917),
    [2185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(920),
    [2187] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(809),
    [2189] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(489),
    [2191] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1351),
    [2193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(702),
    [2195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(483),
    [2197] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(702),
    [2199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(905),
    [2201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1286),
    [2203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [2205] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2207] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [2209] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [2211] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [2213] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1286),
    [2216] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(97),
    [2219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(20),
    [2221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(450),
    [2223] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(533),
    [2227] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [2233] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [2237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(869),
    [2239] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2241] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [2243] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [2245] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(963),
    [2249] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [2253] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(34),
    [2255] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(36),
    [2257] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(338),
    [2259] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(133),
    [2261] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [2263] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(794),
    [2265] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2267] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1170),
    [2271] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(461),
    [2273] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(700),
    [2275] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(694),
    [2277] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(804),
    [2279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(19),
    [2281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(236),
    [2283] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(38),
    [2286] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [2289] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2291] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2293] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(93),
    [2296] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(846),
    [2300] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2302] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(793),
    [2304] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(317),
    [2306] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(870),
    [2308] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(34),
    [2311] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(36),
    [2314] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2316] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2318] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(418),
    [2320] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2322] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(808),
    [2324] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(649),
    [2326] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(811),
    [2328] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2330] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [2332] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2334] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [2336] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_type, 1, 0, 0),
    [2338] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1184),
    [2340] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1267),
    [2342] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(85),
    [2344] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(978),
    [2346] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(997),
    [2348] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2350] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2352] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(979),
    [2354] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(979),
    [2356] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2358] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2360] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2362] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(955),
    [2364] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(919),
    [2366] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2368] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(997),
    [2371] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(547),
    [2373] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1076),
    [2377] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1137),
    [2379] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(86),
    [2381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1128),
    [2383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(499),
    [2385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1126),
    [2387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(853),
    [2389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(602),
    [2391] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(992),
    [2395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1059),
    [2397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1118),
    [2399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(590),
    [2401] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2403] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(731),
    [2405] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(454),
    [2407] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(731),
    [2409] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(458),
    [2411] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [2413] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [2415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(698),
    [2417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(699),
    [2419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1100),
    [2421] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(466),
    [2423] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(468),
    [2425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(172),
    [2427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(173),
    [2429] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(284),
    [2431] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(281),
    [2433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(578),
    [2435] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(801),
    [2439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(803),
    [2441] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(245),
    [2443] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(248),
    [2445] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1008),
    [2447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(592),
    [2449] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(472),
    [2451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(593),
    [2453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(595),
    [2455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(872),
    [2457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(596),
    [2459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(597),
    [2461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(473),
    [2463] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(599),
    [2465] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(600),
    [2467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2469] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(606),
    [2471] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(607),
    [2473] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(486),
    [2475] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(487),
    [2477] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [2479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(752),
    [2481] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2483] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2485] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2487] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(604),
    [2489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2493] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2497] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(534),
    [2501] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2503] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(242),
    [2505] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(988),
    [2507] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [2509] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(732),
    [2511] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(252),
    [2513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(346),
    [2515] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(625),
    [2517] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(479),
    [2519] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(626),
    [2521] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(627),
    [2523] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(903),
    [2525] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(628),
    [2527] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(629),
    [2529] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(480),
    [2531] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(630),
    [2533] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(581),
    [2535] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2537] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [2539] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2541] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(631),
    [2543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(385),
    [2545] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(632),
    [2547] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(633),
    [2549] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(495),
    [2551] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(496),
    [2553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(889),
    [2555] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2557] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(877),
    [2561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2563] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2565] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2567] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2569] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(731),
    [2572] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2574] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(731),
    [2577] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(578),
    [2580] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2582] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2584] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(945),
    [2586] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [2588] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2590] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(604),
    [2593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2595] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2597] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(581),
    [2600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2602] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2604] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(562),
    [2606] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [2609] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(267),
    [2613] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(266),
    [2615] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(739),
    [2619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [2621] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(573),
    [2625] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(735),
    [2627] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(74),
    [2629] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(730),
    [2631] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2633] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_type, 4, 0, 0),
    [2635] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2637] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(586),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [2643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(946),
    [2645] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2647] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1124),
    [2649] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1123),
    [2651] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1122),
    [2653] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(521),
    [2656] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2658] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2660] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(718),
    [2662] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2664] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [2666] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1040),
    [2668] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2670] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(22),
    [2672] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(446),
    [2674] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(658),
    [2676] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(661),
    [2678] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(186),
    [2680] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(183),
    [2682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(112),
    [2684] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(100),
    [2686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [2688] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1272),
    [2690] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2692] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(117),
    [2694] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(590),
    [2697] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(758),
    [2699] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2701] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(954),
    [2704] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(760),
    [2706] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [2708] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(396),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2713] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_data_representation_repeat1, 2, 0, 0),
    SHIFT_REPEAT(446),
    [2716] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_data_representation_repeat1, 2, 0, 0),
    [2718] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(951),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2723] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2725] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(67),
    [2728] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2730] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(22),
    [2733] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2735] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [2737] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [2740] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2742] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(951),
    [2744] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2746] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(914),
    [2748] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(954),
    [2750] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2752] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(586),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(396),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(922),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(30),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2771] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(994),
    [2773] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(852),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1092),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(521),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(960),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(52),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2791] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(820),
    [2795] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(61),
    [2797] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2801] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2803] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(933),
    [2805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(953),
    [2811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(930),
    [2813] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2817] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2821] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2823] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2825] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(322),
    [2827] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2829] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(958),
    [2832] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2834] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(883),
    [2836] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2838] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1334),
    [2840] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2842] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2844] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2846] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [2848] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2850] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2852] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2854] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(706),
    [2856] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2858] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(868),
    [2860] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2862] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2864] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2866] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2868] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2870] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1314),
    [2873] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(80),
    [2875] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2877] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1314),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(896),
    [2881] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2883] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2885] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2887] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(883),
    [2890] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2892] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2894] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(891),
    [2896] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(852),
    [2899] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2901] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(52),
    [2904] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2906] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(933),
    [2909] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2911] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(930),
    [2914] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2916] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(350),
    [2918] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2920] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1188),
    [2922] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2924] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2926] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2928] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(842),
    [2932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1111),
    [2934] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [2936] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2938] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [2940] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [2942] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2944] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [2946] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(982),
    [2948] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2950] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2952] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1287),
    [2954] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2956] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2958] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [2960] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2962] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1285),
    [2964] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1032),
    [2966] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1031),
    [2968] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1284),
    [2970] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2972] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1281),
    [2974] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2976] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [2978] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2980] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [2982] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2984] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2986] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(865),
    [2988] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(981),
    [2990] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(211),
    [2992] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [2994] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2996] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [2998] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [3000] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [3002] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [3004] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [3006] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [3008] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [3010] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(438),
    [3012] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(734),
    [3014] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [3016] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(268),
    [3018] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(243),
    [3020] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(525),
    [3022] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(729),
    [3024] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [3026] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [3028] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [3030] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 11),
    [3032] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [3034] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [3036] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [3038] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(91),
    [3040] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [3042] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [3044] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1097),
    [3046] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [3048] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [3050] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [3052] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [3054] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 11),
    [3056] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(784),
    [3058] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [3060] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [3062] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [3064] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [3066] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(103),
    [3068] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [3070] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [3072] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [3074] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(367),
    [3076] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [3078] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [3080] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(270),
    [3082] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [3084] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(448),
    [3086] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(589),
    [3088] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(89),
    [3090] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [3092] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [3094] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [3096] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [3098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [3100] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [3102] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(279),
    [3104] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [3106] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3108] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3110] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [3112] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(113),
    [3114] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(198),
    [3116] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [3118] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(588),
    [3120] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(90),
    [3122] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3124] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3126] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(15),
    [3128] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [3130] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [3132] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(814),
    [3134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [3136] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [3138] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(810),
    [3140] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [3142] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(805),
    [3144] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1021),
    [3146] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(854),
    [3148] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 2, 0, 0),
    [3150] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 2, 0, 0),
    [3152] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3154] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [3156] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(315),
    [3158] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3160] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [3162] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [3164] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(558),
    [3166] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3168] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(95),
    [3170] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [3172] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(394),
    [3174] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [3176] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(313),
    [3178] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(88),
    [3180] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [3182] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(420),
    [3184] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3186] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(995),
    [3188] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(402),
    [3190] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(377),
    [3192] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(254),
    [3194] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3196] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [3198] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3200] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [3202] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [3204] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3206] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(441),
    [3208] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [3210] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(68),
    [3212] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [3214] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1263),
    [3216] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1264),
    [3218] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [3220] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(310),
    [3222] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3224] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(316),
    [3226] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1266),
    [3228] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [3230] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [3232] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(345),
    [3234] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [3236] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(609),
    [3238] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [3240] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [3242] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(977),
    [3244] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1326),
    [3246] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(218),
    [3248] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(219),
    [3250] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(975),
    [3252] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(221),
    [3254] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [3256] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(530),
    [3258] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(229),
    [3260] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(320),
    [3262] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(839),
    [3264] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(326),
    [3266] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [3268] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(25),
    [3270] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(280),
    [3272] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(560),
    [3274] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(561),
    [3276] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [3278] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [3280] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [3282] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(387),
    [3284] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1283),
    [3286] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(887),
    [3288] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(309),
    [3290] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1087),
    [3292] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [3294] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(918),
    [3296] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(366),
    [3298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [3300] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(335),
    [3302] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [3304] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(311),
    [3306] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(344),
    [3308] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(352),
    [3310] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(325),
    [3312] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(873),
    [3314] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(337),
    [3316] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(306),
    [3318] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(212),
    [3320] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [3322] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [3324] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [3326] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(359),
    [3328] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(308),
    [3330] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1043),
    [3332] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [3334] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(356),
    [3336] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(863),
    [3338] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [3340] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(416),
    [3342] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3344] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(45),
    [3346] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [3348] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(349),
    [3350] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1010),
    [3352] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [3354] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1404),
    [3356] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [3358] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(465),
    [3360] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(858),
    [3362] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1305),
    [3364] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [3366] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [3368] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(455),
    [3370] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1182),
    [3372] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(272),
    [3374] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [3376] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [3378] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(791),
    [3380] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(790),
    [3382] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(789),
    [3384] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(787),
    [3386] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(786),
    [3388] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(785),
    [3390] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(783),
    [3392] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(781),
    [3394] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [3396] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(779),
    [3398] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(778),
    [3400] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(777),
    [3402] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(776),
    [3404] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(774),
    [3406] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(773),
    [3408] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(771),
    [3410] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(769),
    [3412] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(768),
    [3414] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(767),
    [3416] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(766),
    [3418] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(764),
    [3420] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(763),
    [3422] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(762),
    [3424] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(761),
    [3426] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(348),
    [3428] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(759),
    [3430] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1117),
    [3432] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(334),
    [3434] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(757),
    [3436] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(756),
    [3438] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(755),
    [3440] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(754),
    [3442] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3444] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(342),
    [3446] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(373),
    [3448] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(4),
    [3450] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [3452] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(585),
    [3454] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [3456] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(371),
    [3458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(5),
    [3462] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(220),
    [3464] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [3466] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [3468] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [3470] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(149),
    [3472] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(147),
    [3474] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(146),
    [3476] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(181),
    [3478] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [3480] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(169),
    [3482] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [3484] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [3486] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [3488] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(163),
    [3490] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [3492] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(160),
    [3494] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(159),
    [3496] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(158),
    [3498] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(156),
    [3500] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [3502] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(155),
    [3504] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [3506] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(179),
    [3508] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [3510] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [3512] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(185),
    [3514] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(111),
    [3516] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [3518] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [3520] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(176),
    [3522] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(174),
    [3524] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(231),
    [3526] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [3528] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(233),
    [3530] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [3532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [3534] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [3536] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [3538] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(232),
    [3540] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1403),
    [3542] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [3544] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(693),
    [3546] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(692),
    [3548] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(691),
    [3550] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(687),
    [3552] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(685),
    [3554] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(684),
    [3556] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(682),
    [3558] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(681),
    [3560] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(679),
    [3562] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(678),
    [3564] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(677),
    [3566] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(676),
    [3568] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(675),
    [3570] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(674),
    [3572] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(673),
    [3574] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(672),
    [3576] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(671),
    [3578] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(670),
    [3580] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(667),
    [3582] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(666),
    [3584] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(665),
    [3586] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(664),
    [3588] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(663),
    [3590] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(662),
    [3592] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(911),
    [3594] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(660),
    [3596] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(333),
    [3598] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(657),
    [3600] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(656),
    [3602] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(655),
    [3604] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(654),
    [3606] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [3608] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(118),
    [3610] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [3612] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(579),
    [3614] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(457),
    [3616] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(584),
    [3618] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(452),
    [3620] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(7),
    [3622] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [3624] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [3626] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [3628] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(621),
    [3630] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(307),
    [3632] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [3634] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3636] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [3638] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(524),
    [3640] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [3642] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [3644] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [3646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [3648] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [3650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [3652] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [3654] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [3656] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(102),
    [3658] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [3660] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [3662] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [3664] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1007),
    [3666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3668] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(941),
    [3670] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [3672] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(728),
    [3674] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1226),
    [3676] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [3678] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [3680] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(969),
    [3682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(430),
    [3684] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(422),
    [3686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1289),
    [3688] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(62),
    [3690] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(331),
    [3692] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(566),
    [3694] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 3, 0, 0),
    [3696] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1039),
    [3698] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1297),
    [3700] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(720),
    [3702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(330),
    [3704] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [3706] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(514),
    [3708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(554),
    [3710] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(897),
    [3712] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(328),
    [3714] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(471),
    [3716] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [3718] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(323),
    [3720] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [3722] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(400),
    [3724] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(401),
    [3726] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [3728] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3730] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1308),
    [3732] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [3734] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [3736] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1084),
    [3738] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1035),
    [3740] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(925),
    [3742] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1288),
    [3744] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(312),
    [3746] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3748] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [3750] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1079),
    [3752] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1125),
    [3754] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [3756] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(570),
    [3758] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [3760] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(305),
    [3762] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [3764] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(372),
    [3766] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(841),
    [3768] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1296),
    [3770] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [3772] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(206),
    [3774] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [3776] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1130),
    [3778] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [3780] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(332),
    [3782] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(358),
    [3784] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(222),
    [3786] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(481),
    [3788] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(223),
    [3790] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(224),
    [3792] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(227),
    [3794] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(904),
    [3796] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(355),
    [3798] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(274),
    [3800] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(445),
    [3802] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(900),
    [3804] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(374),
    [3806] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(899),
    [3808] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(898),
    [3810] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(304),
    [3812] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(339),
    [3814] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(217),
    [3816] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(477),
    [3818] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(215),
    [3820] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(228),
    [3822] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(214),
    [3824] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(893),
    [3826] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(347),
    [3828] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(275),
    [3830] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(456),
    [3832] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(884),
    [3834] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(376),
    [3836] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(882),
    [3838] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(878),
    [3840] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(351),
    [3842] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(353),
    [3844] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(225),
    [3846] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(474),
    [3848] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(226),
    [3850] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [3852] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(216),
    [3854] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(875),
    [3856] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(361),
    [3858] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(273),
    [3860] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(469),
    [3862] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(867),
    [3864] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(369),
    [3866] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(866),
    [3868] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(864),
    [3870] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1134),
    [3872] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [3874] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [3876] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(861),
    [3878] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3880] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
